******************************************************************************************
*                                                                                        *
*  AppleIIgsKarate.Sprite1.s :  Compiled Sprites display Code for Sprite Bank #1.        *
*                                                                                        *
******************************************************************************************
*  Authors : Antoine VIGNAU / Olivier ZARDINI  *  Brutal Deluxe Software  *  April 2022  *
******************************************************************************************

*----------   Merlin 16+ Directives   ---------

                    mx         %00                  ; Assemble in 16 bit

                    rel                             ; Build a relocated S16 file
                    dsk        Sprite1.l            ; Name of the Segment

**************************************************************************************
*  DrawSpriteBank1() :  Display a Sprite on the Screen (IN:A=SpriteID,IN:Y=@Screen). *
**************************************************************************************
DrawSpriteBank1     ENT                             ; First Byte of this Segment
                    PHB
                    PHK
                    PLB                             ; Y=Target Screen Address ($2000-$9D00)
                    DEC                             ; A=Sprite Number ($0000-$008A)
                    ASL  
                    TAX
                    JMP        (TabSpriteBank1,X)

*----------   DrawSpriteBank1 Variables   ---------  
TabSpriteBank1      DA         Sprite_BR_001,Sprite_BR_002,Sprite_BR_003,Sprite_BR_004,Sprite_BR_005,Sprite_BR_006,Sprite_BR_007,Sprite_BR_008
                    DA         Sprite_BR_009,Sprite_BR_00A,Sprite_BR_00B,Sprite_BR_00C,Sprite_BR_00D,Sprite_BR_00E,Sprite_BR_00F,Sprite_BR_010
                    DA         Sprite_BR_011,Sprite_BR_012,Sprite_BR_013,Sprite_BR_014,Sprite_BR_015,Sprite_BR_016,Sprite_BR_017,Sprite_BR_018
                    DA         Sprite_BR_019,Sprite_BR_01A,Sprite_BR_01B,Sprite_BR_01C,Sprite_BR_01D,Sprite_BR_01E,Sprite_BF_01F,Sprite_BF_020
                    DA         Sprite_BF_021,Sprite_BL_022,Sprite_BL_023,Sprite_BL_024,Sprite_BL_025,Sprite_BL_026,Sprite_BL_027,Sprite_BL_028
                    DA         Sprite_BL_029,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    
StackAddress        HEX        0000

*--------------------------------------------------
Sprite_BR_000       PLB                             ; Sprite #0 does not exist
                    RTL

*-----------------------------------
Sprite_BR_001       CLC                             ; Sprite #001 : 44x56, 1985 bytes, 3185 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 17
                    LDY        #$4444               ; Pattern #2 : 15
                    LDA        #$6777               ; Pattern #3 : 14
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $A9,S                
                    LDA        $09,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $09,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4445               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    PEA        $5445                
                    PEA        $5555                
                    TSC                             ; Line 8
                    ADC        #$0144               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $01,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $4455                
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9D,S                
                    PHY                             
                    PEA        $4455                
                    TSC                             ; Line 11
                    ADC        #$0138               
                    TCS                             
                    TYA                             
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$64                 
                    STA        $09,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6747                
                    PEA        $4416                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 14
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $6757                
                    PEA        $4416                
                    PEA        $7665                
                    TSC                             ; Line 15
                    ADC        #$00A7               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $98,S                
                    LDA        $A4,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7476                
                    PEA        $7564                
                    PEA        $6157                
                    PEA        $7677                
                    TSC                             ; Line 16
                    ADC        #$00A9               
                    TCS                             
                    TYA                             
                    STA        $A3,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $97,S                
                    PHY                             
                    PEA        $5747                
                    PEA        $1676                
                    PEA        $6577                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    TYA                             
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7464                
                    PEA        $6157                
                    PEA        $7677                
                    TSC                             ; Line 18
                    ADC        #$00A7               
                    TCS                             
                    TYA                             
                    STA        $A3,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4017               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $98,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $1776                
                    PEA        $6577                
                    PHD                             
                    TSC                             ; Line 19
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4476               
                    STA        $A4,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $9A,S                
                    LDA        $A2,S                
                    AND        #$F00F               
                    ORA        #$0650               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $7657                
                    PEA        $7617                
                    PEA        $7657                
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$7467               
                    STA        $A3,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$6770               
                    STA        $A1,S                
                    PEA        $7761                
                    PEA        $6577                
                    PEA        $6166                
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7717                
                    PEA        $7617                
                    PEA        $6677                
                    TSC                             ; Line 22
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $7675                
                    PEA        $7711                
                    PEA        $6666                
                    PEA        $7775                
                    TSC                             ; Line 23
                    ADC        #$00AA               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7507               
                    STA        $97,S                
                    PEA        $7567                
                    PEA        $7756                
                    PEA        $7777                
                    PEA        $6677                
                    PEA        $5777                
                    TSC                             ; Line 24
                    ADC        #$00AA               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    PHX                             
                    PEA        $5766                
                    PEA        $7777                
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7576                
                    PEA        $5777                
                    PEA        $7757                
                    TSC                             ; Line 26
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6677                
                    PHX                             
                    PEA        $7577                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3063               
                    STA        $A0,S                
                    PEA        $6676                
                    PEA        $7677                
                    PEA        $7727                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3023               
                    STA        $A1,S                
                    PEA        $7727                
                    PEA        $2222                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $2233                
                    PEA        $3333                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $A1,S                
                    PEA        $2377                
                    PHX                             
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6023               
                    STA        $A1,S                
                    PEA        $3277                
                    PHD                             
                    TSC                             ; Line 32
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $2663                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $7623                
                    PEA        $2633                
                    PEA        $6677                
                    PEA        $7775                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $2367                
                    PEA        $3276                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7377                
                    PEA        $6666                
                    PHD                             
                    PEA        $7575                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $96,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7575                
                    PEA        $6676                
                    PEA        $7657                
                    PHX                             
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7657                
                    PHX                             
                    PEA        $6666                
                    PHD                             
                    PEA        $7575                
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    PHD                             
                    PEA        $7575                
                    PEA        $7565                
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A3,S                
                    PEA        $1676                
                    PHD                             
                    PEA        $7575                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7657                
                    PHX                             
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        #$71                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $7676                
                    PHX                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6667                
                    PEA        $7775                
                    TSC                             ; Line 41
                    ADC        #$009B               
                    TCS                             
                    LDA        #$7676               
                    STA        $9D,S                
                    LDA        #$7777               
                    STA        $A7,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$1067               
                    STA        $A9,S                
                    PEA        $1666                
                    PHD                             
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7677                
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$013A               
                    TCS                             
                    LDA        #$7775               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $01,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7775                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7177                
                    PHX                             
                    TSC                             ; Line 44
                    ADC        #$0099               
                    TCS                             
                    TXA                             
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6757                
                    TSC                             ; Line 45
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $7675                
                    TSC                             ; Line 46
                    ADC        #$00A3               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6171                
                    PHX                             
                    TSC                             ; Line 47
                    ADC        #$00A4               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    PEA        $1676                
                    PEA        $7775                
                    TSC                             ; Line 48
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7677               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $9F,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7757                
                    TSC                             ; Line 50
                    ADC        #$013F               
                    TCS                             
                    TDC                             
                    STA        $03,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $01,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $11,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A3,S                
                    LDA        $AF,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $B1,S                
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $02,S                
                    LDA        #$7777               
                    STA        $10,S                
                    LDA        #$4454               
                    STA        $B0,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0E,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$65                 
                    STA        $12,S                
                    LDA        $01,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $01,S                
                    LDA        $B5,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $02,S                
                    TYA                             
                    STA        $11,S                
                    STA        $A0,S                
                    STA        $B2,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $0F,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $13,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $01,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A2,S                
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AE,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                                                                        
*-----------------------------------                                
Sprite_BR_002       CLC                             ; Sprite #002 : 30x56, 1735 bytes, 2764 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7775               ; Pattern #1 : 14
                    LDY        #$7677               ; Pattern #2 : 11
                    LDA        #$4444               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $04,S                
                    STA        $A5,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A3,S                
                    TSC                             ; Line 2
                    ADC        #$0146               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $5454                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    TDC                             
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5405               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$013D               
                    TCS                             
                    TDC                             
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $06,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A5,S                
                    TSC                             ; Line 12
                    ADC        #$0146               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $01,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7644                
                    PEA        $6461                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $9A,S                
                    LDA        $A2,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A2,S                
                    PEA        $6757                
                    PEA        $4416                
                    PEA        $7665                
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    PEA        $7676                
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6757                
                    PEA        $4716                
                    PEA        $7665                
                    PEA        $7777                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7475                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $7757                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    TDC                             
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $4447                
                    PEA        $1676                
                    PEA        $6577                
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    PEA        $4476                
                    PEA        $6157                
                    PHY                             
                    PEA        $7657                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$6467               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7461                
                    PEA        $7765                
                    PEA        $7761                
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7776               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7517                
                    PEA        $5676                
                    PEA        $1766                
                    PEA        $7657                
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $99,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A3,S                
                    PEA        $7777                
                    PEA        $6177                
                    PEA        $6176                
                    PHX                             
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $6767                
                    PEA        $5777                
                    PEA        $1761                
                    PEA        $6676                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    PEA        $5777                
                    PEA        $7667                
                    PEA        $7577                
                    PEA        $6776                
                    PHX                             
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7565                
                    PHY                             
                    PEA        $7776                
                    PEA        $5777                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    PEA        $5767                
                    PHX                             
                    PEA        $7777                
                    PEA        $7577                
                    TSC                             ; Line 26
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9F,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $7565                
                    PHY                             
                    PEA        $7555                
                    PEA        $7777                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7777                
                    PEA        $7722                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $2222                
                    PEA        $3233                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $2232                
                    PEA        $3333                
                    PEA        $5357                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $3672                
                    PHX                             
                    PEA        $7575                
                    TSC                             ; Line 31
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $6623                
                    PEA        $2377                
                    PEA        $7657                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6026               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $2336                
                    PEA        $2267                
                    PHX                             
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6266                
                    PEA        $3673                
                    PEA        $7757                
                    TSC                             ; Line 34
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $6667                
                    PEA        $6777                
                    TSC                             ; Line 35
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6767                
                    PEA        $6776                
                    PEA        $7657                
                    TSC                             ; Line 36
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7656                
                    PEA        $5767                
                    PEA        $6667                
                    PHX                             
                    TSC                             ; Line 37
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    PEA        $6667                
                    PHX                             
                    PEA        $6576                
                    PEA        $7676                
                    TSC                             ; Line 38
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7657                
                    PEA        $5767                
                    PEA        $6667                
                    PEA        $6775                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PEA        $6677                
                    PEA        $7575                
                    TSC                             ; Line 40
                    ADC        #$009F               
                    TCS                             
                    LDA        #$7757               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    PEA        $1666                
                    PEA        $6777                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $6676                
                    PEA        $5757                
                    TSC                             ; Line 41
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $97,S                
                    LDA        #$7657               
                    STA        $9E,S                
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $99,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $96,S                
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $1666                
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$013A               
                    TCS                             
                    LDA        #$6661               
                    STA        $02,S                
                    LDA        #$7675               
                    STA        $08,S                
                    LDA        #$1676               
                    STA        $A2,S                
                    LDA        #$5757               
                    STA        $A8,S                
                    LDA        $00,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $00,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A0,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $AA,S                
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6666               
                    STA        $02,S                
                    TXA                             
                    STA        $A0,S                
                    LDA        $00,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $00,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $0A,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A2,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $AA,S                
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5757               
                    STA        $00,S                
                    TYA                             
                    STA        $A1,S                
                    LDA        $02,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $02,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $0A,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A0,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6657               
                    STA        $01,S                
                    TYA                             
                    STA        $A1,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $0A,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $00,S                
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A0,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6657               
                    STA        $01,S                
                    LDA        #$7676               
                    STA        $09,S                
                    TYA                             
                    STA        $A1,S                
                    LDA        #$6566               
                    STA        $AA,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A9,S                
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $00,S                
                    LDA        $0B,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0B,S                
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A0,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $01,S                
                    STA        $AA,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5040               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $09,S                
                    STA        $A9,S                
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A0,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $00,S                
                    STA        $09,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $02,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0B,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_003       CLC                             ; Sprite #003 : 32x55, 1655 bytes, 2653 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5777               ; Pattern #1 : 15
                    LDY        #$7575               ; Pattern #2 : 13
                    LDA        #$7775               ; Pattern #3 : 11
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $06,S                
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0148               
                    TCS                             
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5544                
                    PEA        $4454                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    PEA        $4555                
                    PEA        $5445                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4544                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$013C               
                    TCS                             
                    LDA        #$5455               
                    STA        $06,S                
                    LDA        #$4444               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4475               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$7045               
                    STA        $07,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0507               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A9,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $5745                
                    PEA        $4475                
                    TSC                             ; Line 12
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6056               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $5617                
                    PEA        $4544                
                    PHY                             
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A7,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6745                
                    PEA        $5475                
                    PEA        $6567                
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A1,S                
                    LDA        #$44                 
                    STA        $A6,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $5154                
                    PHD                             
                    PEA        $6616                
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        #$65                 
                    STA        $99,S                
                    LDA        #$67                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7675                
                    PEA        $5654                
                    PHD                             
                    PEA        $5766                
                    TSC                             ; Line 16
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $A4,S                
                    PEA        $6677                
                    PEA        $5717                
                    PEA        $4454                
                    PHD                             
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7475               
                    STA        $A3,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7506               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$6760               
                    STA        $A1,S                
                    PEA        $7677                
                    PEA        $7765                
                    PEA        $4444                
                    PEA        $5657                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $97,S                
                    PHD                             
                    PHD                             
                    PEA        $4464                
                    PEA        $6675                
                    TSC                             ; Line 19
                    ADC        #$00AC               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $93,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    PEA        $5757                
                    PEA        $7776                
                    PEA        $5657                
                    PEA        $7757                
                    PEA        $1675                
                    PEA        $6556                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $7567                
                    PHY                             
                    PEA        $7757                
                    PEA        $6755                
                    PEA        $6766                
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $A3,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7506               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$F00F               
                    ORA        #$0570               
                    STA        $A1,S                
                    PEA        $7777                
                    PEA        $7551                
                    PEA        $7565                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $5757                
                    PEA        $5757                
                    TSC                             ; Line 22
                    ADC        #$009F               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A0,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7556                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7757                
                    PEA        $1665                
                    PEA        $5557                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5606               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7757                
                    PEA        $6765                
                    PEA        $7675                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$6605               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    TSC                             ; Line 26
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9B,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    TSC                             ; Line 27
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $5767                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $3375                
                    PHY                             
                    PEA        $7733                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $3233                
                    PEA        $3333                
                    PEA        $2323                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $2522                
                    PEA        $7227                
                    PEA        $2363                
                    TSC                             ; Line 31
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3223                
                    PEA        $7366                
                    TSC                             ; Line 32
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $9A,S                
                    PHY                             
                    PEA        $3275                
                    PEA        $3367                
                    TSC                             ; Line 33
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $99,S                
                    PHX                             
                    PEA        $7722                
                    PEA        $7732                
                    TSC                             ; Line 34
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7606               
                    STA        $99,S                
                    PHY                             
                    PEA        $7777                
                    PEA        $7532                
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$6766               
                    STA        $99,S                
                    LDA        #$7566               
                    STA        $9E,S                
                    LDA        $9B,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9B,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    PHX                             
                    PEA        $7756                
                    PHX                             
                    TSC                             ; Line 37
                    ADC        #$013D               
                    TCS                             
                    LDA        #$7767               
                    STA        $02,S                
                    STA        $07,S                
                    LDA        #$7766               
                    STA        $A2,S                
                    STA        $A7,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $04,S                
                    LDA        $09,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $09,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A4,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A9,S                
                    TSC                             ; Line 39
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7767               
                    STA        $02,S                
                    LDA        #$6767               
                    STA        $07,S                
                    TYA                             
                    STA        $A3,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $04,S                
                    LDA        $09,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $09,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $03,S                
                    STA        $09,S                
                    TYA                             
                    STA        $A3,S                
                    STA        $A9,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $07,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $A1,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$7606               
                    STA        $A7,S                
                    TSC                             ; Line 43
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5757               
                    STA        $03,S                
                    TXA                             
                    STA        $09,S                
                    TYA                             
                    STA        $A9,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $08,S                
                    LDA        #$66                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $02,S                
                    STA        $09,S                
                    TYA                             
                    STA        $A2,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$7506               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A1,S                
                    LDA        $01,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $01,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $08,S                
                    REP        #$30                 
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $02,S                
                    LDA        #$7566               
                    STA        $A1,S                
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $01,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A3,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7767               
                    STA        $01,S                
                    STA        $09,S                
                    LDA        #$7567               
                    STA        $A1,S                
                    LDA        #$7566               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $03,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $03,S                
                    LDA        $0B,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0B,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A3,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5767               
                    STA        $01,S                
                    LDA        #$7767               
                    STA        $09,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5040               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    LDA        $03,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $03,S                
                    LDA        $0B,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $01,S                
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $A1,S                
                    AND        #$0F0F               
                    ORA        #$5040               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A0,S                
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $00,S                
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $03,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_004       CLC                             ; Sprite #004 : 44x56, 1952 bytes, 3130 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 21
                    LDY        #$7775               ; Pattern #2 : 15
                    LDA        #$6777               ; Pattern #3 : 14
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $A8,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $08,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0A,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4445               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    PEA        $5445                
                    PEA        $5555                
                    TSC                             ; Line 8
                    ADC        #$0144               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $01,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4455                
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        $9E,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9E,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4455                
                    TSC                             ; Line 11
                    ADC        #$0139               
                    TCS                             
                    LDA        #$4464               
                    STA        $09,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0F,S                
                    LDA        $AF,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$00AC               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A0,S                
                    LDA        $A3,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $7656                
                    PEA        $4416                
                    TSC                             ; Line 13
                    ADC        #$00A3               
                    TCS                             
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$7506               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$71                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $9A,S                
                    LDA        $A2,S                
                    AND        #$F00F               
                    ORA        #$0110               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $5644                
                    PEA        $1676                
                    PEA        $6566                
                    TSC                             ; Line 15
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$6506               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7756                
                    PEA        $6461                
                    PEA        $5766                
                    TSC                             ; Line 16
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6167                
                    PEA        $4516                
                    PEA        $7665                
                    PEA        $7776                
                    TSC                             ; Line 17
                    ADC        #$00A9               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $96,S                
                    PEA        $6176                
                    PEA        $6765                
                    PEA        $4457                
                    PEA        $7667                
                    PHY                             
                    TSC                             ; Line 18
                    ADC        #$00AB               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $95,S                
                    PEA        $6566                
                    PEA        $6757                
                    PEA        $4644                
                    PEA        $6477                
                    PEA        $7576                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $95,S                
                    PEA        $7776                
                    PEA        $7665                
                    PEA        $4144                
                    PEA        $4454                
                    PEA        $6577                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $95,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $9F,S                
                    PEA        $6567                
                    PEA        $5717                
                    PEA        $7665                
                    PEA        $4464                
                    PEA        $6576                
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $7561                
                    PEA        $5777                
                    PEA        $4567                
                    PEA        $6677                
                    TSC                             ; Line 22
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $96,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7665                
                    PEA        $7757                
                    PEA        $5767                
                    PEA        $7657                
                    TSC                             ; Line 23
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $5776                
                    PEA        $7777                
                    PEA        $7575                
                    PHY                             
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6567                
                    PEA        $7777                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    PEA        $6676                
                    PEA        $6677                
                    PHY                             
                    PEA        $7575                
                    TSC                             ; Line 26
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6667                
                    PHD                             
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A8               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3063               
                    STA        $A0,S                
                    PEA        $6676                
                    PEA        $7676                
                    PEA        $7727                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2023               
                    STA        $A1,S                
                    PEA        $7727                
                    PEA        $2222                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7027               
                    STA        $A1,S                
                    PEA        $2233                
                    PEA        $3333                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $A1,S                
                    PEA        $2377                
                    PHX                             
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6023               
                    STA        $A1,S                
                    PEA        $3277                
                    PHD                             
                    TSC                             ; Line 32
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $2663                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $7623                
                    PEA        $2633                
                    PEA        $6677                
                    PHY                             
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $2367                
                    PEA        $3276                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7377                
                    PEA        $6666                
                    PHD                             
                    PEA        $7575                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $96,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7575                
                    PEA        $6676                
                    PEA        $7657                
                    PHX                             
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7657                
                    PHX                             
                    PEA        $6666                
                    PHD                             
                    PEA        $7575                
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    PHD                             
                    PEA        $7575                
                    PEA        $7565                
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A3,S                
                    PEA        $1676                
                    PHD                             
                    PEA        $7575                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7657                
                    PHX                             
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        #$71                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $7676                
                    PHX                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6667                
                    PHY                             
                    TSC                             ; Line 41
                    ADC        #$009B               
                    TCS                             
                    LDA        #$7676               
                    STA        $9D,S                
                    LDA        #$7777               
                    STA        $A7,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$1067               
                    STA        $A9,S                
                    PEA        $1666                
                    PHD                             
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7677                
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$013A               
                    TCS                             
                    TYA                             
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $01,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $6676                
                    PHY                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7177                
                    PHX                             
                    TSC                             ; Line 44
                    ADC        #$0099               
                    TCS                             
                    TXA                             
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6757                
                    TSC                             ; Line 45
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $7675                
                    TSC                             ; Line 46
                    ADC        #$00A3               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6171                
                    PHX                             
                    TSC                             ; Line 47
                    ADC        #$00A4               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    PEA        $1676                
                    PHY                             
                    TSC                             ; Line 48
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7677               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $9F,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7757                
                    TSC                             ; Line 50
                    ADC        #$013F               
                    TCS                             
                    TDC                             
                    STA        $03,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $01,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $11,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A3,S                
                    LDA        $AF,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $B1,S                
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $02,S                
                    LDA        #$7777               
                    STA        $10,S                
                    LDA        #$4454               
                    STA        $B0,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0E,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$65                 
                    STA        $12,S                
                    LDA        $01,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $01,S                
                    LDA        $B5,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $02,S                
                    LDA        #$4444               
                    STA        $11,S                
                    STA        $A0,S                
                    STA        $B2,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $0F,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $13,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $01,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A2,S                
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AE,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_005       CLC                             ; Sprite #005 : 50x56, 1966 bytes, 3176 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7777               ; Pattern #1 : 24
                    LDY        #$5757               ; Pattern #2 : 24
                    LDA        #$7575               ; Pattern #3 : 21
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0A,S                
                    STA        $AB,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A9,S                
                    TSC                             ; Line 2
                    ADC        #$014C               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $AB,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4454               
                    STA        $9D,S                
                    LDA        #$4444               
                    STA        $AA,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$6401               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$0137               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    STA        $AA,S                
                    LDA        #$1666               
                    STA        $15,S                
                    LDA        #$4464               
                    STA        $A9,S                
                    LDA        #$6616               
                    STA        $B4,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0C,S                
                    LDA        $17,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $17,S                
                    LDA        $AC,S                
                    AND        #$FF0F               
                    ORA        #$0040               
                    STA        $AC,S                
                    LDA        $B6,S                
                    AND        #$0F00               
                    ORA        #$4067               
                    STA        $B6,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $09,S                
                    LDA        $14,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $14,S                
                    LDA        $B3,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $B3,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4456               
                    STA        $09,S                
                    LDA        #$7776               
                    STA        $14,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$6047               
                    STA        $0B,S                
                    LDA        $12,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $12,S                
                    LDA        $16,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $16,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $AC,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $08,S                
                    LDA        $B7,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $B7,S                
                    REP        #$30                 
                    TSC                             ; Line 13
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4564                
                    PEA        $6577                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PHY                             
                    PEA        $6767                
                    PEA        $6661                
                    TSC                             ; Line 14
                    ADC        #$009D               
                    TCS                             
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A6,S                
                    PEA        $6656                
                    PEA        $6656                
                    PEA        $7667                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHD                             
                    PEA        $7576                
                    PEA        $7661                
                    TSC                             ; Line 15
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5767                
                    PEA        $6767                
                    PEA        $6766                
                    PEA        $6676                
                    PEA        $6667                
                    PEA        $7776                
                    TSC                             ; Line 16
                    ADC        #$00AC               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    PHD                             
                    PEA        $7776                
                    PEA        $7676                
                    PEA        $7667                
                    PEA        $6777                
                    PEA        $7677                
                    TSC                             ; Line 17
                    ADC        #$00AA               
                    TCS                             
                    PEA        $5777                
                    PHX                             
                    PEA        $6777                
                    PHX                             
                    PEA        $7757                
                    TSC                             ; Line 18
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $97,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7577                
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00A9               
                    TCS                             
                    PHY                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    PHD                             
                    PHD                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9B,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $5777                
                    PEA        $7757                
                    TSC                             ; Line 22
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    PEA        $7577                
                    TSC                             ; Line 23
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6777                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7677                
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6767                
                    PEA        $6757                
                    PHY                             
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7775                
                    PHD                             
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3063               
                    STA        $A0,S                
                    PEA        $6676                
                    PEA        $7757                
                    PEA        $5727                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3023               
                    STA        $A1,S                
                    PEA        $7727                
                    PEA        $2222                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $2233                
                    PEA        $3333                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $A1,S                
                    PEA        $2377                
                    PHY                             
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6023               
                    STA        $A1,S                
                    PEA        $3277                
                    PEA        $6777                
                    TSC                             ; Line 32
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $2663                
                    PEA        $7676                
                    PHY                             
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $7623                
                    PEA        $2633                
                    PEA        $6677                
                    PEA        $7775                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $2367                
                    PEA        $3276                
                    PEA        $7676                
                    PHY                             
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7377                
                    PEA        $6666                
                    PEA        $6777                
                    PHD                             
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6777                
                    PHD                             
                    PEA        $6676                
                    PEA        $7657                
                    PHY                             
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7657                
                    PHY                             
                    PEA        $6666                
                    PEA        $6777                
                    PHD                             
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    PEA        $6777                
                    PHD                             
                    PEA        $7565                
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A3,S                
                    PEA        $1676                
                    PEA        $6777                
                    PHD                             
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7657                
                    PHY                             
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        #$71                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $7676                
                    PHY                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6667                
                    PEA        $7775                
                    TSC                             ; Line 41
                    ADC        #$009B               
                    TCS                             
                    LDA        #$7676               
                    STA        $9D,S                
                    TXA                             
                    STA        $A7,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$1067               
                    STA        $A9,S                
                    PEA        $1666                
                    PEA        $6777                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 43
                    ADC        #$013A               
                    TCS                             
                    TXA                             
                    STA        $AA,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $01,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AC,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7775                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7177                
                    PHY                             
                    TSC                             ; Line 44
                    ADC        #$0099               
                    TCS                             
                    TYA                             
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6757                
                    TSC                             ; Line 45
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $7675                
                    TSC                             ; Line 46
                    ADC        #$00A3               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6171                
                    PHY                             
                    TSC                             ; Line 47
                    ADC        #$00A4               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    PEA        $1676                
                    PEA        $7775                
                    TSC                             ; Line 48
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7677               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $9F,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7757                
                    TSC                             ; Line 50
                    ADC        #$013F               
                    TCS                             
                    LDA        #$6777               
                    STA        $03,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $01,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $11,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A3,S                
                    LDA        $AF,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $B1,S                
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6777               
                    STA        $02,S                
                    TXA                             
                    STA        $10,S                
                    LDA        #$4454               
                    STA        $B0,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0E,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$65                 
                    STA        $12,S                
                    LDA        $01,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $01,S                
                    LDA        $B5,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $02,S                
                    LDA        #$4444               
                    STA        $11,S                
                    STA        $A0,S                
                    STA        $B2,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $0F,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $13,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $01,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A2,S                
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AE,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_006       CLC                             ; Sprite #006 : 50x56, 1920 bytes, 3122 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 33
                    LDY        #$7575               ; Pattern #2 : 24
                    LDA        #$6777               ; Pattern #3 : 17
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0A,S                
                    STA        $AB,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A9,S                
                    TSC                             ; Line 2
                    ADC        #$014C               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4454               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$0137               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    STA        $AA,S                
                    LDA        #$4464               
                    STA        $A9,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$FF0F               
                    ORA        #$0040               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $09,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7457               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$6047               
                    STA        $0B,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $AC,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $08,S                
                    REP        #$30                 
                    TSC                             ; Line 13
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4574                
                    PEA        $7577                
                    TSC                             ; Line 14
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4457                
                    PEA        $7676                
                    TSC                             ; Line 15
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7744                
                    PEA        $6767                
                    PEA        $7777                
                    TSC                             ; Line 16
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4566                
                    PEA        $7676                
                    PEA        $7675                
                    TSC                             ; Line 17
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6766                
                    PHD                             
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $6676                
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $7676                
                    PEA        $7777                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $99,S                
                    REP        #$30                 
                    PHD                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 22
                    ADC        #$00A9               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $98,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A8,S                
                    PEA        $7676                
                    PEA        $7775                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 23
                    ADC        #$00AF               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $91,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    PEA        $6466                
                    PEA        $6666                
                    PEA        $6666                
                    PHD                             
                    PHX                             
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 24
                    ADC        #$00AE               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    LDA        $A1,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $91,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $91,S                
                    REP        #$30                 
                    PEA        $6467                
                    PEA        $6767                
                    PHD                             
                    PEA        $7775                
                    PHY                             
                    PEA        $7676                
                    PHY                             
                    TSC                             ; Line 25
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    LDA        $A9,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A9,S                
                    REP        #$30                 
                    PEA        $6767                
                    PEA        $6757                
                    PHX                             
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 26
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7775                
                    PHY                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHY                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 27
                    ADC        #$009E               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3063               
                    STA        $A0,S                
                    PEA        $6676                
                    PEA        $7757                
                    PEA        $5727                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3023               
                    STA        $A1,S                
                    PEA        $7727                
                    PEA        $2222                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $2233                
                    PEA        $3333                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $A1,S                
                    PEA        $2377                
                    PHX                             
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6023               
                    STA        $A1,S                
                    PEA        $3277                
                    PHD                             
                    TSC                             ; Line 32
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $2663                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $7623                
                    PEA        $2633                
                    PEA        $6677                
                    PEA        $7775                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $2367                
                    PEA        $3276                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7377                
                    PEA        $6666                
                    PHD                             
                    PHY                             
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $96,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    PEA        $6676                
                    PEA        $7657                
                    PHX                             
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7657                
                    PHX                             
                    PEA        $6666                
                    PHD                             
                    PHY                             
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    PHD                             
                    PHY                             
                    PEA        $7565                
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A3,S                
                    PEA        $1676                
                    PHD                             
                    PHY                             
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7657                
                    PHX                             
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        #$71                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $7676                
                    PHX                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6667                
                    PEA        $7775                
                    TSC                             ; Line 41
                    ADC        #$009B               
                    TCS                             
                    LDA        #$7676               
                    STA        $9D,S                
                    LDA        #$7777               
                    STA        $A7,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$1067               
                    STA        $A9,S                
                    PEA        $1666                
                    PHD                             
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7677                
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$013A               
                    TCS                             
                    LDA        #$7775               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $01,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7775                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7177                
                    PHX                             
                    TSC                             ; Line 44
                    ADC        #$0099               
                    TCS                             
                    TXA                             
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6757                
                    TSC                             ; Line 45
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $7675                
                    TSC                             ; Line 46
                    ADC        #$00A3               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6171                
                    PHX                             
                    TSC                             ; Line 47
                    ADC        #$00A4               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    PEA        $1676                
                    PEA        $7775                
                    TSC                             ; Line 48
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7677               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $9F,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7757                
                    TSC                             ; Line 50
                    ADC        #$013F               
                    TCS                             
                    TDC                             
                    STA        $03,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $01,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $11,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A3,S                
                    LDA        $AF,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $B1,S                
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $02,S                
                    LDA        #$7777               
                    STA        $10,S                
                    LDA        #$4454               
                    STA        $B0,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0E,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$65                 
                    STA        $12,S                
                    LDA        $01,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $01,S                
                    LDA        $B5,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $02,S                
                    LDA        #$4444               
                    STA        $11,S                
                    STA        $A0,S                
                    STA        $B2,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $0F,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $13,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $01,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A2,S                
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AE,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_007       CLC                             ; Sprite #007 : 44x56, 2047 bytes, 3322 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 28
                    LDY        #$7575               ; Pattern #2 : 24
                    LDA        #$7777               ; Pattern #3 : 17
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $A9,S                
                    LDA        $09,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $09,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A6,S                
                    PEA        $5445                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4445                
                    PEA        $4544                
                    PEA        $6466                
                    PEA        $6666                
                    TSC                             ; Line 8
                    ADC        #$00A9               
                    TCS                             
                    TDC                             
                    STA        $98,S                
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $96,S                
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $9A,S                
                    LDA        $A6,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A6,S                
                    PEA        $4444                
                    PEA        $4445                
                    PEA        $4464                
                    PEA        $6767                
                    PEA        $6767                
                    TSC                             ; Line 9
                    ADC        #$00AA               
                    TCS                             
                    TDC                             
                    STA        $98,S                
                    LDA        #$4444               
                    STA        $9F,S                
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $96,S                
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $9A,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9D,S                
                    LDA        $A6,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A6,S                
                    PEA        $4444                
                    PEA        $4445                
                    TSC                             ; Line 11
                    ADC        #$0138               
                    TCS                             
                    LDA        #$4464               
                    STA        $09,S                
                    LDA        #$6677               
                    STA        $12,S                
                    STA        $A4,S                
                    LDA        #$7677               
                    STA        $B2,S                
                    LDA        $02,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $04,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $0B,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$6657               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $96,S                
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6747                
                    PEA        $4416                
                    TSC                             ; Line 13
                    ADC        #$009E               
                    TCS                             
                    LDA        #$7675               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AB,S                
                    REP        #$30                 
                    PEA        $6676                
                    PHX                             
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $7656                
                    PEA        $4644                
                    PEA        $6657                
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $6617                
                    PEA        $5744                
                    PEA        $1476                
                    PEA        $6566                
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 15
                    ADC        #$00B1               
                    TCS                             
                    PEA        $6667                
                    PEA        $6767                
                    PEA        $6677                
                    PEA        $6757                
                    PEA        $4464                
                    PEA        $5767                
                    PEA        $6777                
                    PHX                             
                    TSC                             ; Line 16
                    ADC        #$00B0               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $91,S                
                    PEA        $5777                
                    PEA        $7676                
                    PEA        $7676                
                    PEA        $1756                
                    PEA        $4464                
                    PEA        $5777                
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 17
                    ADC        #$00B0               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7577                
                    PHD                             
                    PEA        $6751                
                    PEA        $4561                
                    PEA        $7567                
                    PEA        $7757                
                    TSC                             ; Line 18
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $93,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $5777                
                    PHD                             
                    PEA        $7645                
                    PEA        $5677                
                    PHD                             
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9F,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $9F,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $7766                
                    PEA        $1556                
                    PHD                             
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    PHX                             
                    PEA        $7757                
                    PEA        $6175                
                    PHD                             
                    PHY                             
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A0,S                
                    PEA        $7717                
                    PEA        $5677                
                    PEA        $7757                
                    TSC                             ; Line 22
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6175                
                    PHD                             
                    PHY                             
                    TSC                             ; Line 23
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1756                
                    PHD                             
                    PHX                             
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6675                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $5657                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7675                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3053               
                    STA        $A0,S                
                    PEA        $5657                
                    PHX                             
                    PEA        $5727                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3023               
                    STA        $A1,S                
                    PEA        $7525                
                    PEA        $2222                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $2233                
                    PEA        $3333                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $A1,S                
                    PEA        $2377                
                    PHX                             
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6023               
                    STA        $A1,S                
                    PEA        $3277                
                    PEA        $6777                
                    TSC                             ; Line 32
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $2663                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $7623                
                    PEA        $2633                
                    PEA        $6677                
                    PEA        $7775                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $2367                
                    PEA        $3276                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7377                
                    PEA        $6666                
                    PEA        $6777                
                    PHY                             
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6777                
                    PHY                             
                    PEA        $6676                
                    PEA        $7657                
                    PHX                             
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1676                
                    PEA        $7657                
                    PHX                             
                    PEA        $6666                
                    PEA        $6777                
                    PHY                             
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    PEA        $6777                
                    PHY                             
                    PEA        $7565                
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A3,S                
                    PEA        $1676                
                    PEA        $6777                
                    PHY                             
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7657                
                    PHX                             
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        #$71                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $7676                
                    PHX                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6667                
                    PEA        $7775                
                    TSC                             ; Line 41
                    ADC        #$009B               
                    TCS                             
                    LDA        #$7676               
                    STA        $9D,S                
                    TDC                             
                    STA        $A7,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$1067               
                    STA        $A9,S                
                    PEA        $1666                
                    PEA        $6777                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7677                
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$013A               
                    TCS                             
                    TDC                             
                    STA        $AA,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $01,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AC,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7775                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7177                
                    PHX                             
                    TSC                             ; Line 44
                    ADC        #$0099               
                    TCS                             
                    TXA                             
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6757                
                    TSC                             ; Line 45
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $7675                
                    TSC                             ; Line 46
                    ADC        #$00A3               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6171                
                    PHX                             
                    TSC                             ; Line 47
                    ADC        #$00A4               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AC,S                
                    PEA        $1676                
                    PEA        $7775                
                    TSC                             ; Line 48
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7677               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $9F,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7757                
                    TSC                             ; Line 50
                    ADC        #$013F               
                    TCS                             
                    LDA        #$6777               
                    STA        $03,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $01,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $11,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A3,S                
                    LDA        $AF,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $B1,S                
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6777               
                    STA        $02,S                
                    TDC                             
                    STA        $10,S                
                    LDA        #$4454               
                    STA        $B0,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0E,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$65                 
                    STA        $12,S                
                    LDA        $01,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $01,S                
                    LDA        $B5,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $02,S                
                    LDA        #$4444               
                    STA        $11,S                
                    STA        $A0,S                
                    STA        $B2,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $0F,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $13,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $01,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A2,S                
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AE,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_008       CLC                             ; Sprite #008 : 48x56, 1816 bytes, 2886 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 14
                    LDY        #$7777               ; Pattern #2 : 12
                    LDA        #$7757               ; Pattern #3 : 12
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $10,S                
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $B2,S                
                    SEP        #$20                 
                    LDA        $12,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $12,S                
                    LDA        $AF,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0152               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $01,S                
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$54                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    PEA        $4554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$5405               
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 9
                    ADC        #$0145               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4466                
                    TSC                             ; Line 11
                    ADC        #$00A3               
                    TCS                             
                    LDA        #$7775               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4064               
                    STA        $9F,S                
                    PEA        $4464                
                    PEA        $7675                
                    TSC                             ; Line 13
                    ADC        #$0133               
                    TCS                             
                    LDA        $0C,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $0C,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $12,S                
                    LDA        $B2,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $B2,S                
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $4564                
                    PEA        $5777                
                    TSC                             ; Line 14
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $4476                
                    PEA        $5577                
                    PHX                             
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7657                
                    PEA        $4476                
                    PEA        $7577                
                    PHY                             
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6775                
                    PEA        $6457                
                    PHY                             
                    PEA        $7657                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6074               
                    STA        $A0,S                
                    PEA        $6675                
                    PEA        $7657                
                    PEA        $7717                
                    PEA        $7677                
                    TSC                             ; Line 18
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4577                
                    PEA        $7577                
                    PEA        $6766                
                    TSC                             ; Line 19
                    ADC        #$00A7               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    PEA        $4476                
                    PEA        $5775                
                    PEA        $7761                
                    PEA        $7775                
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6456                
                    PEA        $7717                
                    PEA        $7656                
                    TSC                             ; Line 21
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7677                
                    PEA        $6767                
                    PEA        $7775                
                    TSC                             ; Line 22
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $A3,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7507               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $A0,S                
                    PEA        $7675                
                    PEA        $6766                
                    PEA        $6176                
                    PEA        $5777                
                    TSC                             ; Line 23
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$2702               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $9F,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $7775                
                    PEA        $6577                
                    PEA        $7775                
                    TSC                             ; Line 24
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3703               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$7770               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $4444                
                    PEA        $6476                
                    PEA        $7657                
                    TSC                             ; Line 25
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $7575                
                    PEA        $7575                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $7477                
                    PEA        $6777                
                    TSC                             ; Line 26
                    ADC        #$009E               
                    TCS                             
                    LDA        #$7575               
                    STA        $A4,S                
                    LDA        $A1,S                
                    AND        #$F00F               
                    ORA        #$0560               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A3,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A6,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7727                
                    PEA        $3257                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $5777                
                    PEA        $6757                
                    TSC                             ; Line 27
                    ADC        #$009F               
                    TCS                             
                    TXA                             
                    STA        $A3,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A0,S                
                    PHY                             
                    PEA        $2232                
                    PEA        $7355                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3077               
                    STA        $A1,S                
                    PEA        $7633                
                    PEA        $7377                
                    PEA        $7755                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    PEA        $3263                
                    PHY                             
                    PEA        $5777                
                    TSC                             ; Line 30
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $3322                
                    PEA        $7276                
                    PEA        $7677                
                    PEA        $7755                
                    TSC                             ; Line 31
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6267                
                    PEA        $3262                
                    PEA        $6767                
                    PHD                             
                    TSC                             ; Line 32
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3633                
                    PEA        $6266                
                    PEA        $7676                
                    PEA        $7575                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $A0,S                
                    PEA        $3632                
                    PEA        $7366                
                    PEA        $6667                
                    PHX                             
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $A1,S                
                    PEA        $7673                
                    PEA        $7566                
                    PEA        $7676                
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PHD                             
                    PEA        $5766                
                    PEA        $6667                
                    TSC                             ; Line 36
                    ADC        #$00A6               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$4704               
                    STA        $91,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7675                
                    PEA        $7566                
                    PEA        $6676                
                    PEA        $6575                
                    TSC                             ; Line 37
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $1666                
                    PEA        $7677                
                    PEA        $7676                
                    PEA        $7676                
                    PEA        $7667                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6677                
                    PHX                             
                    TSC                             ; Line 38
                    ADC        #$009F               
                    TCS                             
                    TDC                             
                    STA        $A3,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7071               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6667                
                    PEA        $6767                
                    PEA        $6777                
                    PHY                             
                    PEA        $4744                
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $7676                
                    PEA        $7575                
                    TSC                             ; Line 39
                    ADC        #$009D               
                    TCS                             
                    LDA        #$7675               
                    STA        $A5,S                
                    LDA        $97,S                
                    AND        #$F000               
                    ORA        #$0544               
                    STA        $97,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$1066               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7677                
                    PHX                             
                    PHX                             
                    PEA        $4744                
                    TSC                             ; Line 40
                    ADC        #$00AA               
                    TCS                             
                    TDC                             
                    STA        $A5,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7765                
                    PEA        $7775                
                    PEA        $7575                
                    PEA        $7575                
                    TSC                             ; Line 41
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7175               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A4,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$013B               
                    TCS                             
                    TDC                             
                    STA        $0E,S                
                    LDA        #$7675               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $10,S                
                    STA        $B0,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $0E,S                
                    LDA        #$7675               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $10,S                
                    LDA        #$76                 
                    STA        $B0,S                
                    REP        #$30                 
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $0E,S                
                    LDA        #$7675               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $10,S                
                    STA        $B0,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $0E,S                
                    LDA        #$7675               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $10,S                
                    LDA        $B0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $B0,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7657               
                    STA        $0E,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$000F               
                    ORA        #$7550               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        $10,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $10,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $0E,S                
                    LDA        $11,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $13,S                
                    LDA        $A1,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$000F               
                    ORA        #$5450               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B1,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B3,S                
                    LDA        $B5,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B5,S                
                    SEP        #$20                 
                    LDA        $10,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $10,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $0F,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $11,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $15,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_009       CLC                             ; Sprite #009 : 64x49, 1818 bytes, 2911 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7775               ; Pattern #1 : 20
                    LDY        #$7676               ; Pattern #2 : 19
                    LDA        #$6777               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$4444               ; Line 0
                    STA        $A4,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $04,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7744               
                    STA        $A5,S                
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 4
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7757               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $07,S                
                    TSC                             ; Line 5
                    ADC        #$00A8               
                    TCS                             
                    TYA                             
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6177                
                    PHX                             
                    TSC                             ; Line 7
                    ADC        #$0145               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $01,S                
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $6667                
                    PHX                             
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7176                
                    PEA        $7657                
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    PEA        $6767                
                    PHX                             
                    TSC                             ; Line 11
                    ADC        #$0145               
                    TCS                             
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $6767                
                    PHX                             
                    TSC                             ; Line 12
                    ADC        #$00A6               
                    TCS                             
                    PEA        $6676                
                    PEA        $7677                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6666                
                    PHD                             
                    PEA        $7575                
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6766                
                    PHY                             
                    PEA        $5757                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7777                
                    PEA        $7577                
                    TSC                             ; Line 15
                    ADC        #$009C               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9A,S                
                    PEA        $6666                
                    PEA        $6667                
                    PHX                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7667                
                    PEA        $6757                
                    PEA        $5767                
                    TSC                             ; Line 16
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A0,S                
                    PEA        $7776                
                    PHY                             
                    PEA        $7575                
                    PEA        $7636                
                    PEA        $6666                
                    PHY                             
                    PEA        $7757                
                    TSC                             ; Line 17
                    ADC        #$00AD               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $93,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $A1,S                
                    PEA        $7766                
                    PHY                             
                    PEA        $5767                
                    PEA        $3376                
                    PEA        $7666                
                    PEA        $7777                
                    PEA        $7575                
                    TSC                             ; Line 18
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7715                
                    PEA        $6667                
                    PHX                             
                    PEA        $3366                
                    PHD                             
                    PEA        $5757                
                    TSC                             ; Line 19
                    ADC        #$00AD               
                    TCS                             
                    LDA        #$5355               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        #$35                 
                    STA        $A5,S                
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7715                
                    PHY                             
                    PEA        $5733                
                    PHY                             
                    PHX                             
                    PEA        $7575                
                    TSC                             ; Line 20
                    ADC        #$00AF               
                    TCS                             
                    LDA        #$3553               
                    STA        $A3,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $7657                
                    PEA        $7557                
                    PEA        $5761                
                    PEA        $7675                
                    PEA        $6366                
                    PHD                             
                    PEA        $5757                
                    TSC                             ; Line 21
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $6677                
                    PEA        $5577                
                    PEA        $7575                
                    PEA        $7157                
                    PEA        $6376                
                    PEA        $7677                
                    PEA        $7575                
                    TSC                             ; Line 22
                    ADC        #$00B2               
                    TCS                             
                    SEP        #$20                 
                    LDA        $8F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $8F,S                
                    REP        #$30                 
                    PEA        $3553                
                    PEA        $5545                
                    PEA        $6466                
                    PEA        $7755                
                    PEA        $5777                
                    PEA        $6675                
                    PEA        $6367                
                    PEA        $7757                
                    PEA        $5757                
                    TSC                             ; Line 23
                    ADC        #$00B3               
                    TCS                             
                    PEA        $5535                
                    PEA        $5345                
                    PEA        $4444                
                    PEA        $4466                
                    PEA        $7755                
                    PEA        $6756                
                    PEA        $5763                
                    PHY                             
                    PEA        $7575                
                    TSC                             ; Line 24
                    ADC        #$00B2               
                    TCS                             
                    PEA        $5535                
                    PEA        $5355                
                    PEA        $4444                
                    PEA        $4444                
                    PEA        $7657                
                    PEA        $6176                
                    PEA        $3563                
                    PHD                             
                    PEA        $5757                
                    TSC                             ; Line 25
                    ADC        #$00B2               
                    TCS                             
                    LDA        #$6677               
                    STA        $91,S                
                    LDA        $8F,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $8F,S                
                    LDA        $93,S                
                    AND        #$0F0F               
                    ORA        #$3030               
                    STA        $93,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9B,S                
                    PEA        $5535                
                    PEA        $4344                
                    PEA        $4444                
                    PEA        $6666                
                    PEA        $6477                
                    PEA        $6657                
                    PEA        $3733                
                    PEA        $7677                
                    PEA        $7575                
                    TSC                             ; Line 26
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$6677               
                    STA        $97,S                
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $95,S                
                    LDA        $9A,S                
                    AND        #$F00F               
                    ORA        #$0530               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$F00F               
                    ORA        #$0460               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $99,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $7655                
                    PEA        $7714                
                    PEA        $7677                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $5535                
                    PEA        $4344                
                    TSC                             ; Line 27
                    ADC        #$009D               
                    TCS                             
                    LDA        #$7677               
                    STA        $98,S                
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $96,S                
                    LDA        $9B,S                
                    AND        #$F0F0               
                    ORA        #$0703               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$F00F               
                    ORA        #$0460               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $9A,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $7755                
                    PEA        $6574                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $3543                
                    PEA        $4544                
                    TSC                             ; Line 28
                    ADC        #$009E               
                    TCS                             
                    TXA                             
                    STA        $97,S                
                    LDA        #$4344               
                    STA        $A4,S                
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        #$35                 
                    STA        $A6,S                
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $7656                
                    PEA        $4474                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $3543                
                    PEA        $4544                
                    TSC                             ; Line 29
                    ADC        #$009E               
                    TCS                             
                    LDA        #$7757               
                    STA        $97,S                
                    LDA        #$6175               
                    STA        $9F,S                
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$1066               
                    STA        $99,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4704               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6677                
                    PEA        $4444                
                    TSC                             ; Line 31
                    ADC        #$012C               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    LDA        #$5657               
                    STA        $16,S                
                    LDA        #$7757               
                    STA        $AF,S                
                    LDA        #$6675               
                    STA        $B6,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $11,S                
                    LDA        $B1,S                
                    AND        #$0F00               
                    ORA        #$1066               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0E,S                
                    LDA        $18,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $18,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $AE,S                
                    LDA        $B5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 33
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    TYA                             
                    STA        $B0,S                
                    STA        $B6,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $11,S                
                    LDA        $15,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $15,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $AF,S                
                    LDA        $17,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $17,S                
                    LDA        $B5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 35
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    LDA        #$6177               
                    STA        $16,S                
                    TYA                             
                    STA        $B0,S                
                    LDA        #$7677               
                    STA        $B6,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $11,S                
                    LDA        #$57                 
                    STA        $AF,S                
                    LDA        $15,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $15,S                
                    LDA        $B8,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $B8,S                
                    REP        #$30                 
                    TSC                             ; Line 37
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    TYA                             
                    STA        $B0,S                
                    LDA        #$4474               
                    STA        $B7,S                
                    LDA        $16,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $16,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $11,S                
                    LDA        #$57                 
                    STA        $AF,S                
                    LDA        $18,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $18,S                
                    REP        #$30                 
                    TSC                             ; Line 39
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    TYA                             
                    STA        $B0,S                
                    LDA        $17,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $17,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $11,S                
                    LDA        #$57                 
                    STA        $AF,S                
                    LDA        #$44                 
                    STA        $B8,S                
                    REP        #$30                 
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    LDA        #$7657               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $11,S                
                    LDA        $B1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 43
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7777               
                    STA        $0F,S                
                    LDA        #$7657               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        $11,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $11,S                
                    LDA        $B1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$5060               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $15,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$000F               
                    ORA        #$5450               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F000               
                    ORA        #$0544               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B6,S                
                    LDA        $B8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B8,S                
                    LDA        $BA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $BA,S                
                    LDA        $BC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $BC,S                
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $10,S                
                    LDA        #$4454               
                    STA        $B0,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $0E,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $15,S                
                    LDA        $17,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $17,S                
                    LDA        $19,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $19,S                
                    LDA        $1B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $1B,S                
                    LDA        $1D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $1D,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AD,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B2,S                
                    LDA        $BA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $BA,S                
                    SEP        #$20                 
                    LDA        $12,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $12,S                
                    LDA        $AF,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AF,S                
                    LDA        $BC,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $BC,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_00A       CLC                             ; Sprite #00A : 32x56, 1762 bytes, 2823 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 18
                    LDY        #$7775               ; Pattern #2 : 15
                    LDA        #$7575               ; Pattern #3 : 14
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $03,S                
                    STA        $A4,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A2,S                
                    TSC                             ; Line 2
                    ADC        #$0145               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4454               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$013E               
                    TCS                             
                    LDA        #$4444               
                    STA        $04,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0A,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $A3,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $06,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0146               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $04,S                
                    STA        $A4,S                
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $6745                
                    PEA        $6461                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1067               
                    STA        $A0,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$5067               
                    STA        $A3,S                
                    PEA        $7656                
                    PEA        $4416                
                    PEA        $7665                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$7017               
                    STA        $A4,S                
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$5066               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7167                
                    PEA        $4516                
                    PEA        $7665                
                    PEA        $7666                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $98,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$7017               
                    STA        $A2,S                
                    PEA        $7656                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $6777                
                    TSC                             ; Line 17
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5066               
                    STA        $A1,S                
                    PEA        $6677                
                    PEA        $5646                
                    PEA        $7465                
                    PEA        $7776                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7067               
                    STA        $A1,S                
                    PEA        $7676                
                    PEA        $6544                
                    PEA        $4476                
                    PEA        $5767                
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5076               
                    STA        $A1,S                
                    PEA        $6757                
                    PEA        $1644                
                    PEA        $4444                
                    PEA        $5576                
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7675                
                    PEA        $6157                
                    PEA        $4644                
                    PEA        $5666                
                    PHY                             
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5717                
                    PEA        $7675                
                    PEA        $5774                
                    PEA        $6676                
                    PHX                             
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9F,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $7565                
                    PEA        $5776                
                    PHY                             
                    PEA        $7566                
                    PHY                             
                    TSC                             ; Line 23
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6577                
                    PEA        $7757                
                    PEA        $5777                
                    PHX                             
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7777                
                    PHD                             
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7677                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 26
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $6777                
                    PEA        $7722                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7677                
                    PEA        $2222                
                    PEA        $3233                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $2232                
                    PEA        $3333                
                    PEA        $5357                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $3272                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6636                
                    PEA        $3272                
                    PEA        $7767                
                    PHY                             
                    TSC                             ; Line 32
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $6666                
                    PEA        $2337                
                    PEA        $6266                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 33
                    ADC        #$00AA               
                    TCS                             
                    PEA        $7676                
                    PEA        $7223                
                    PEA        $6666                
                    PEA        $6677                
                    PHD                             
                    TSC                             ; Line 34
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1666                
                    PEA        $6767                
                    PEA        $7723                
                    PEA        $6767                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 35
                    ADC        #$00AC               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $7676                
                    PEA        $7677                
                    PEA        $7757                
                    PEA        $7666                
                    PEA        $6677                
                    PHY                             
                    TSC                             ; Line 36
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $95,S                
                    PEA        $6777                
                    PHY                             
                    PHD                             
                    PEA        $6567                
                    PEA        $7676                
                    PHX                             
                    TSC                             ; Line 37
                    ADC        #$00AE               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $93,S                
                    PEA        $6161                
                    PEA        $7777                
                    PHX                             
                    PHX                             
                    PEA        $6766                
                    PEA        $6777                
                    TSC                             ; Line 38
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A0,S                
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $1676                
                    PHY                             
                    PHD                             
                    PHD                             
                    PEA        $7566                
                    PEA        $7676                
                    TSC                             ; Line 39
                    ADC        #$00A3               
                    TCS                             
                    LDA        #$7675               
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6767                
                    PEA        $7777                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        #$6777               
                    STA        $9D,S                
                    LDA        #$7757               
                    STA        $A8,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $1676                
                    PEA        $7657                
                    TSC                             ; Line 42
                    ADC        #$013E               
                    TCS                             
                    LDA        #$7657               
                    STA        $03,S                
                    LDA        #$7677               
                    STA        $A3,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $05,S                
                    LDA        $0C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $0E,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $A5,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $02,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 44
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6157               
                    STA        $03,S                
                    TYA                             
                    STA        $0D,S                
                    LDA        #$6676               
                    STA        $A3,S                
                    TXA                             
                    STA        $AC,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $0C,S                
                    LDA        #$76                 
                    STA        $AE,S                
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $02,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 46
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6671               
                    STA        $04,S                
                    LDA        #$6677               
                    STA        $A4,S                
                    LDA        #$7647               
                    STA        $AC,S                
                    LDA        $02,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $02,S                
                    LDA        $0B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $0D,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             ; Line 48
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7676               
                    STA        $04,S                
                    LDA        #$4444               
                    STA        $0C,S                
                    STA        $AD,S                
                    TYA                             
                    STA        $A3,S                
                    LDA        $02,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $02,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A5,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 50
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7657               
                    STA        $03,S                
                    TYA                             
                    STA        $A3,S                
                    LDA        $0D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0D,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $05,S                
                    LDA        $0F,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0F,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $03,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A3,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A2,S                
                    LDA        $02,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$5044               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A1,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_00B       CLC                             ; Sprite #00B : 56x53, 1909 bytes, 3121 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 31
                    LDY        #$7777               ; Pattern #2 : 29
                    LDA        #$6666               ; Pattern #3 : 21
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $A3,S                
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $03,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $02,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0006               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4455               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    PEA        $5445                
                    PEA        $5555                
                    TSC                             ; Line 8
                    ADC        #$0144               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AD,S                
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4555                
                    TSC                             ; Line 9
                    ADC        #$00B0               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    PEA        $4464                
                    PHD                             
                    PHD                             
                    PHD                             
                    PHD                             
                    PEA        $7677                
                    PEA        $4444                
                    PEA        $4455                
                    TSC                             ; Line 10
                    ADC        #$00B0               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$F00F               
                    ORA        #$0470               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $90,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6767                
                    PEA        $6777                
                    PEA        $7676                
                    PEA        $6767                
                    PEA        $6777                
                    PEA        $4444                
                    PEA        $4444                
                    TSC                             ; Line 11
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7776                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $7676                
                    PEA        $1656                
                    PEA        $4464                
                    TSC                             ; Line 12
                    ADC        #$00AD               
                    TCS                             
                    LDA        $9D,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        $92,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $92,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $7766                
                    PEA        $7761                
                    PEA        $5544                
                    PEA        $6657                
                    TSC                             ; Line 13
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $7575                
                    PEA        $6577                
                    PEA        $1756                
                    PEA        $4444                
                    PEA        $7675                
                    TSC                             ; Line 14
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PHY                             
                    PEA        $6145                
                    PEA        $4464                
                    PEA        $5657                
                    TSC                             ; Line 15
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7756                
                    PEA        $4464                
                    PEA        $6675                
                    PEA        $7775                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A0,S                
                    PHY                             
                    PEA        $1756                
                    PEA        $4466                
                    PEA        $5577                
                    PEA        $7757                
                    TSC                             ; Line 17
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$5607               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A1,S                
                    PEA        $7767                
                    PHD                             
                    PEA        $5577                
                    PEA        $7767                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $97,S                
                    PHD                             
                    PEA        $5555                
                    PEA        $6767                
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6656                
                    PEA        $5555                
                    PEA        $7676                
                    PEA        $7676                
                    PEA        $7767                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A3,S                
                    PEA        $5565                
                    PHD                             
                    PEA        $6767                
                    PEA        $6777                
                    PEA        $7767                
                    PEA        $5657                
                    TSC                             ; Line 21
                    ADC        #$00AE               
                    TCS                             
                    LDA        $AD,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AB,S                
                    REP        #$30                 
                    PEA        $3266                
                    PHD                             
                    PEA        $6776                
                    PEA        $7677                
                    PHY                             
                    PEA        $7576                
                    PEA        $7675                
                    TSC                             ; Line 22
                    ADC        #$00B8               
                    TCS                             
                    PHD                             
                    PHD                             
                    PHD                             
                    PHD                             
                    PHD                             
                    PEA        $2222                
                    PEA        $6767                
                    PEA        $6667                
                    PHY                             
                    PHX                             
                    PEA        $5767                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00BC               
                    TCS                             
                    TXA                             
                    STA        $85,S                
                    LDA        $87,S                
                    AND        #$0F00               
                    ORA        #$5066               
                    STA        $87,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    LDA        #$6767               
                    PEA        $4444                
                    PEA        $4464                
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $6623                
                    PEA        $7676                
                    PEA        $7676                
                    PEA        $7775                
                    PEA        $7575                
                    PEA        $7576                
                    PEA        $7675                
                    TSC                             ; Line 24
                    ADC        #$00BB               
                    TCS                             
                    LDA        #$7775               
                    STA        $86,S                
                    LDA        $8B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $8B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $88,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $7477                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $7776                
                    PEA        $7676                
                    PEA        $3762                
                    PEA        $6767                
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 25
                    ADC        #$00B4               
                    TCS                             
                    TXA                             
                    STA        $88,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $8A,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7477                
                    PEA        $7575                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $6767                
                    PEA        $7732                
                    PHY                             
                    PEA        $7775                
                    TSC                             ; Line 26
                    ADC        #$00B1               
                    TCS                             
                    LDA        #$6675               
                    STA        $8A,S                
                    LDA        $8F,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $8F,S                
                    SEP        #$20                 
                    LDA        $89,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $89,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $5777                
                    PEA        $7627                
                    PEA        $3372                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00B2               
                    TCS                             
                    LDA        #$7657               
                    STA        $8A,S                
                    SEP        #$20                 
                    LDA        $8C,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $8C,S                
                    REP        #$30                 
                    LDA        #$7575               
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $7565                
                    PEA        $6627                
                    PEA        $3322                
                    PEA        $2275                
                    TSC                             ; Line 28
                    ADC        #$00AB               
                    TCS                             
                    LDA        #$7575               
                    STA        $8F,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $91,S                
                    LDA        $9E,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $9E,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PEA        $5766                
                    PEA        $2273                
                    PEA        $3723                
                    PEA        $2257                
                    TSC                             ; Line 29
                    ADC        #$00A9               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $92,S                
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$7056               
                    STA        $94,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $99,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    PEA        $7575                
                    PEA        $3623                
                    PEA        $7357                
                    PEA        $3723                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$7575               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $6627                
                    PEA        $7375                
                    TSC                             ; Line 31
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4457               
                    STA        $95,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7066               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $7567                
                    PEA        $7673                
                    PHX                             
                    TSC                             ; Line 32
                    ADC        #$00A4               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7066               
                    STA        $A1,S                
                    PEA        $7773                
                    PEA        $7575                
                    TSC                             ; Line 33
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6777               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7067               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7677                
                    PHX                             
                    TSC                             ; Line 35
                    ADC        #$0138               
                    TCS                             
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $6676                
                    PEA        $7757                
                    TSC                             ; Line 36
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6667                
                    PEA        $6775                
                    TSC                             ; Line 37
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7775               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $9F,S                
                    PEA        $6671                
                    PEA        $7657                
                    TSC                             ; Line 39
                    ADC        #$0137               
                    TCS                             
                    LDA        #$7657               
                    STA        $0A,S                
                    LDA        #$7775               
                    STA        $AA,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$6071               
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6017               
                    STA        $AC,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5657               
                    STA        $0A,S                
                    LDA        #$6775               
                    STA        $AA,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $AC,S                
                    TSC                             ; Line 43
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7157               
                    STA        $0A,S                
                    LDA        #$7775               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $0C,S                
                    LDA        #$16                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7657               
                    STA        $0A,S                
                    LDA        #$7775               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $0C,S                
                    LDA        #$66                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7657               
                    STA        $0A,S                
                    LDA        #$7775               
                    STA        $AA,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0A,S                
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $12,S                
                    LDA        $14,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $14,S                
                    LDA        $16,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $16,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AA,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B1,S                
                    LDA        $B3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B3,S                
                    LDA        $B5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B5,S                
                    LDA        $B7,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B7,S                
                    LDA        $B9,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B9,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $05,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $08,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $12,S                
                    LDA        $14,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $14,S                
                    LDA        $16,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $16,S                
                    LDA        $18,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $18,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F000               
                    ORA        #$0544               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B0,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_00C       CLC                             ; Sprite #00C : 62x53, 2341 bytes, 3772 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7777               ; Pattern #1 : 23
                    LDY        #$5757               ; Pattern #2 : 21
                    LDA        #$6767               ; Pattern #3 : 17
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $03,S                
                    STA        $A4,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A2,S                
                    TSC                             ; Line 2
                    ADC        #$0145               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4464               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AD,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6661               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AC,S                
                    LDA        $B6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B6,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6666               
                    STA        $AA,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $A8,S                
                    LDA        $B5,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $B5,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $A5,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $AB,S                
                    LDA        $B5,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $B5,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5405               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$F00F               
                    ORA        #$0640               
                    STA        $A0,S                
                    LDA        $B3,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A2,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $AB,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $5454                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHD                             
                    PEA        $6761                
                    TSC                             ; Line 9
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4444               
                    STA        $94,S                
                    STA        $A9,S                
                    LDA        $96,S                
                    AND        #$000F               
                    ORA        #$7640               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $93,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7776                
                    PEA        $7676                
                    PEA        $6666                
                    TSC                             ; Line 10
                    ADC        #$00A7               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $93,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AB,S                
                    REP        #$30                 
                    PHY                             
                    PHX                             
                    PHD                             
                    PHD                             
                    TSC                             ; Line 11
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$6466               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $95,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AD,S                
                    REP        #$30                 
                    PEA        $7575                
                    PHX                             
                    PEA        $7676                
                    PEA        $1776                
                    PEA        $4544                
                    TSC                             ; Line 12
                    ADC        #$00AB               
                    TCS                             
                    LDA        #$6666               
                    STA        $A9,S                
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $93,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $9F,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $9F,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $7766                
                    PEA        $7761                
                    PEA        $7745                
                    PEA        $4464                
                    TSC                             ; Line 13
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$6766               
                    STA        $AB,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A9,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$7065               
                    STA        $AD,S                
                    PEA        $7575                
                    PEA        $6577                
                    PEA        $1776                
                    PEA        $5544                
                    PEA        $4466                
                    TSC                             ; Line 14
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $94,S                
                    REP        #$30                 
                    PHY                             
                    PHX                             
                    PEA        $6757                
                    PEA        $4544                
                    PEA        $6466                
                    PHY                             
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $96,S                
                    LDA        $AE,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A9,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6145                
                    PEA        $4466                
                    PEA        $6655                
                    PEA        $7557                
                    TSC                             
                    ADC        #$0019               
                    TCS                             
                    PEA        $5775                
                    PEA        $7666                
                    TSC                             ; Line 16
                    ADC        #$0096               
                    TCS                             
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A7,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7776                
                    PEA        $4566                
                    PEA        $6655                
                    PHX                             
                    TSC                             
                    ADC        #$0016               
                    TCS                             
                    PHD                             
                    PEA        $6661                
                    TSC                             ; Line 17
                    ADC        #$0098               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A6,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6766                
                    PEA        $6656                
                    PEA        $5575                
                    PHX                             
                    PHY                             
                    TSC                             
                    ADC        #$0017               
                    TCS                             
                    PHD                             
                    PEA        $6666                
                    TSC                             ; Line 18
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $95,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $AC,S                
                    REP        #$30                 
                    PEA        $7766                
                    PEA        $6655                
                    PEA        $5575                
                    PHX                             
                    PHX                             
                    PEA        $7775                
                    TSC                             
                    ADC        #$0018               
                    TCS                             
                    PEA        $5777                
                    PEA        $7676                
                    PEA        $6666                
                    TSC                             ; Line 19
                    ADC        #$009B               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7055               
                    STA        $A0,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A3,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A9,S                
                    PEA        $6656                
                    PEA        $5555                
                    PHX                             
                    PEA        $7676                
                    PHX                             
                    PEA        $7657                
                    TSC                             
                    ADC        #$0016               
                    TCS                             
                    PEA        $7575                
                    PHD                             
                    PEA        $6666                
                    TSC                             ; Line 20
                    ADC        #$009B               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A9,S                
                    PEA        $6566                
                    PEA        $6667                
                    PHD                             
                    PHX                             
                    PEA        $5767                
                    PEA        $7775                
                    TSC                             
                    ADC        #$0015               
                    TCS                             
                    PEA        $7776                
                    PEA        $7666                
                    TSC                             ; Line 21
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $8D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $8D,S                
                    REP        #$30                 
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $6666                
                    PEA        $2366                
                    PEA        $6667                
                    PEA        $7676                
                    PHX                             
                    PEA        $7775                
                    PEA        $7576                
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00B5               
                    TCS                             
                    LDA        #$7657               
                    STA        $8D,S                
                    LDA        $8F,S                
                    AND        #$F00F               
                    ORA        #$0560               
                    STA        $8F,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $91,S                
                    LDA        $8C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $8C,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7776                
                    PEA        $7666                
                    PEA        $6623                
                    PHD                             
                    PEA        $6667                
                    PHX                             
                    PHY                             
                    PEA        $5767                
                    PEA        $6777                
                    TSC                             ; Line 23
                    ADC        #$00B3               
                    TCS                             
                    LDA        $8D,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $8D,S                
                    LDA        $8F,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $8F,S                
                    PEA        $7575                
                    PHD                             
                    PEA        $6766                
                    PEA        $2376                
                    PEA        $7676                
                    PEA        $7677                
                    PEA        $7575                
                    TSC                             ; Line 24
                    ADC        #$00AE               
                    TCS                             
                    LDA        $8D,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $8D,S                
                    LDA        $8F,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $8F,S                
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $93,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    PHY                             
                    PEA        $7776                
                    PEA        $7666                
                    PEA        $3762                
                    PHD                             
                    PEA        $7757                
                    PHY                             
                    TSC                             ; Line 25
                    ADC        #$00AC               
                    TCS                             
                    LDA        $8F,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $8F,S                
                    LDA        $91,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $91,S                
                    PEA        $7577                
                    PEA        $6766                
                    PEA        $7732                
                    PHX                             
                    PEA        $7775                
                    TSC                             ; Line 26
                    ADC        #$00AB               
                    TCS                             
                    LDA        $8E,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $8E,S                
                    LDA        $90,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $90,S                
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $95,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    PHY                             
                    PEA        $5777                
                    PEA        $6627                
                    PEA        $3372                
                    PEA        $7757                
                    PHY                             
                    TSC                             ; Line 27
                    ADC        #$00AA               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $90,S                
                    LDA        $92,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $92,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PEA        $7565                
                    PEA        $6627                
                    PEA        $3322                
                    PEA        $2275                
                    TSC                             ; Line 28
                    ADC        #$00A7               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $91,S                
                    LDA        $93,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $93,S                
                    PEA        $5766                
                    PEA        $2273                
                    PEA        $3723                
                    PEA        $2257                
                    TSC                             ; Line 29
                    ADC        #$00A9               
                    TCS                             
                    LDA        #$6677               
                    STA        $91,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $99,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $90,S                
                    REP        #$30                 
                    PEA        $7575                
                    PEA        $3623                
                    PEA        $7357                
                    PEA        $3723                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$7657               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $9B,S                
                    LDA        $92,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $92,S                
                    REP        #$30                 
                    PEA        $6627                
                    PEA        $7375                
                    TSC                             ; Line 31
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$6677               
                    STA        $92,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7066               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $91,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $91,S                
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7567                
                    PEA        $7673                
                    PHY                             
                    TSC                             ; Line 32
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7066               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $7773                
                    PEA        $7575                
                    TSC                             ; Line 33
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6777               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7067               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 35
                    ADC        #$0137               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $01,S                
                    LDA        $0A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $0A,S                
                    LDA        $AA,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AA,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6676                
                    PEA        $7757                
                    TSC                             ; Line 36
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6667                
                    PEA        $6775                
                    TSC                             ; Line 37
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7775               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $9F,S                
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             ; Line 39
                    ADC        #$0136               
                    TCS                             
                    LDA        #$7657               
                    STA        $0B,S                
                    LDA        #$7775               
                    STA        $AB,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $AD,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5657               
                    STA        $0B,S                
                    LDA        #$6775               
                    STA        $AB,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AD,S                
                    TSC                             ; Line 43
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7657               
                    STA        $0B,S                
                    LDA        #$6677               
                    STA        $AC,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $0D,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7676               
                    STA        $0C,S                
                    LDA        #$7775               
                    STA        $AB,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7657               
                    STA        $0B,S                
                    LDA        #$7775               
                    STA        $AB,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A3,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B2,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $0D,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AD,S                
                    LDA        $B4,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $B4,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $0B,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $08,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $15,S                
                    LDA        $17,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $17,S                
                    LDA        $19,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $19,S                
                    LDA        $1B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $1B,S                
                    LDA        $1D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $1D,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AB,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B6,S                
                    LDA        $B8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B8,S                
                    LDA        $BA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $BA,S                
                    LDA        $BC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $BC,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $0B,S                
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$000F               
                    ORA        #$5450               
                    STA        $09,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $15,S                
                    LDA        $17,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $17,S                
                    LDA        $19,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $19,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F000               
                    ORA        #$0544               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B1,S                
                    LDA        $B3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B3,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_00D       CLC                             ; Sprite #00D : 48x56, 1942 bytes, 3118 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 28
                    LDY        #$7775               ; Pattern #2 : 16
                    LDA        #$7575               ; Pattern #3 : 15
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $07,S                
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A6,S                
                    TSC                             ; Line 2
                    ADC        #$0149               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4454               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$013A               
                    TCS                             
                    LDA        #$4444               
                    STA        $07,S                
                    STA        $A7,S                
                    LDA        #$4476               
                    STA        $A6,S                
                    LDA        $09,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$FF0F               
                    ORA        #$0040               
                    STA        $A9,S                
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $07,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $05,S                
                    LDA        $09,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $09,S                
                    TSC                             ; Line 13
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A0,S                
                    PEA        $7757                
                    PEA        $4466                
                    PEA        $7657                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    PEA        $4544                
                    PEA        $6677                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $A0,S                
                    PEA        $7757                
                    PEA        $4714                
                    PEA        $7675                
                    PHX                             
                    TSC                             ; Line 16
                    ADC        #$00A7               
                    TCS                             
                    PEA        $7544                
                    PEA        $6157                
                    PHY                             
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $A0,S                
                    PEA        $7657                
                    PEA        $5714                
                    PEA        $7675                
                    PEA        $7777                
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00A9               
                    TCS                             
                    PHY                             
                    PEA        $6157                
                    PEA        $7776                
                    PEA        $7677                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    PEA        $6657                
                    PEA        $5767                
                    PEA        $7675                
                    PEA        $6767                
                    PEA        $6777                
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $95,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6757                
                    PEA        $7776                
                    PEA        $7676                
                    PEA        $7677                
                    TSC                             ; Line 21
                    ADC        #$00AB               
                    TCS                             
                    PHX                             
                    PEA        $7766                
                    PEA        $7566                
                    PEA        $7777                
                    PEA        $7767                
                    PEA        $7757                
                    TSC                             ; Line 22
                    ADC        #$00AF               
                    TCS                             
                    LDA        #$7757               
                    STA        $91,S                
                    LDA        $93,S                
                    AND        #$F00F               
                    ORA        #$0560               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $95,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $6666                
                    PHY                             
                    PEA        $7565                
                    PEA        $7666                
                    PEA        $7676                
                    PEA        $5777                
                    PEA        $7776                
                    PHY                             
                    TSC                             ; Line 23
                    ADC        #$00AB               
                    TCS                             
                    LDA        #$7675               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A0,S                
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $95,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6765                
                    PEA        $6667                
                    PHY                             
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $4466                
                    PEA        $6677                
                    PHX                             
                    TSC                             ; Line 24
                    ADC        #$009E               
                    TCS                             
                    LDA        #$6757               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $A1,S                
                    LDA        #$44                 
                    STA        $A8,S                
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $7657                
                    PHX                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $4444                
                    PEA        $7676                
                    PEA        $7675                
                    TSC                             ; Line 25
                    ADC        #$009D               
                    TCS                             
                    LDA        #$7675               
                    STA        $96,S                
                    TDC                             
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$7507               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $A1,S                
                    LDA        $98,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6667                
                    PHY                             
                    PHD                             
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 26
                    ADC        #$009D               
                    TCS                             
                    LDA        #$6757               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $98,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$7675               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7777                
                    PEA        $7522                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $2222                
                    PEA        $3233                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$46                 
                    STA        $96,S                
                    LDA        #$77                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3233                
                    PEA        $3333                
                    PEA        $5357                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6026               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $96,S                
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $3773                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $96,S                
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $2373                
                    PEA        $7776                
                    PHX                             
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $6637                
                    PEA        $7732                
                    PEA        $6767                
                    PHY                             
                    TSC                             ; Line 33
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $6677                
                    PEA        $3772                
                    PEA        $2663                
                    PEA        $7657                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $98,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A2,S                
                    PEA        $7677                
                    PEA        $7726                
                    PEA        $6367                
                    PHY                             
                    TSC                             ; Line 35
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $97,S                
                    PEA        $6677                
                    PEA        $7567                
                    PEA        $7763                
                    PEA        $7677                
                    TSC                             ; Line 36
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6071               
                    STA        $A0,S                
                    PEA        $6667                
                    PEA        $7757                
                    PHX                             
                    PEA        $7666                
                    PEA        $6777                
                    TSC                             ; Line 37
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $7675                
                    PHD                             
                    PEA        $7566                
                    PEA        $7676                
                    PEA        $7757                
                    TSC                             ; Line 38
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $99,S                
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $1667                
                    PHX                             
                    PHX                             
                    PEA        $5767                
                    PEA        $6667                
                    PHY                             
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$1067               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7757                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $6171                
                    PEA        $7675                
                    PHD                             
                    TSC                             ; Line 40
                    ADC        #$009D               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $6167                
                    PHY                             
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 41
                    ADC        #$009C               
                    TCS                             
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $7675                
                    PHD                             
                    TSC                             ; Line 42
                    ADC        #$009B               
                    TCS                             
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AC,S                
                    PEA        $1666                
                    PHY                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6757                
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$009A               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A9,S                
                    REP        #$30                 
                    PEA        $6661                
                    PEA        $7757                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7676                
                    PHD                             
                    TSC                             ; Line 44
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $7675                
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $6467                
                    PHX                             
                    TSC                             ; Line 45
                    ADC        #$0097               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    TXA                             
                    STA        $AB,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $9F,S                
                    LDA        $AE,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $AD,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $AD,S                
                    REP        #$30                 
                    PEA        $6661                
                    PEA        $6657                
                    TSC                             
                    ADC        #$0012               
                    TCS                             
                    PEA        $4444                
                    PEA        $7675                
                    TSC                             ; Line 47
                    ADC        #$012E               
                    TCS                             
                    TXA                             
                    STA        $05,S                
                    LDA        #$4444               
                    STA        $16,S                
                    TYA                             
                    STA        $A5,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $07,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $14,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $07,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A7,S                
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7657               
                    STA        $06,S                
                    LDA        #$7675               
                    STA        $A6,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A5,S                
                    LDA        $01,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $03,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $12,S                
                    LDA        $14,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $14,S                
                    LDA        $16,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $16,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A2,S                
                    LDA        $A7,S                
                    AND        #$F000               
                    ORA        #$0545               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B1,S                
                    LDA        $B3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B3,S                
                    LDA        $B5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B5,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A4,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $04,S                
                    LDA        $01,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $11,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $06,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_00E       CLC                             ; Sprite #00E : 40x53, 1764 bytes, 2823 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 19
                    LDY        #$7575               ; Pattern #2 : 12
                    LDA        #$4444               ; Pattern #3 : 12
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $A5,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $05,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A4,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0008               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4445               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    PEA        $5445                
                    PEA        $5555                
                    TSC                             ; Line 8
                    ADC        #$0144               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $01,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $4455                
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    TDC                             
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9D,S                
                    PHD                             
                    PEA        $4455                
                    TSC                             ; Line 11
                    ADC        #$013C               
                    TCS                             
                    TDC                             
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        #$64                 
                    STA        $05,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A4,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6747                
                    PEA        $4416                
                    TSC                             ; Line 13
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$17                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $9A,S                
                    PEA        $5744                
                    PEA        $1676                
                    PEA        $6577                
                    TSC                             ; Line 15
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7175                
                    PEA        $6461                
                    PEA        $5776                
                    TSC                             ; Line 16
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4716                
                    PEA        $7665                
                    PEA        $7777                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A1,S                
                    PEA        $5764                
                    PEA        $6157                
                    PEA        $7677                
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $A1,S                
                    PEA        $4516                
                    PEA        $7665                
                    PEA        $7777                
                    PEA        $7775                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    PEA        $5576                
                    PEA        $5776                
                    PEA        $7775                
                    PEA        $5657                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7656                
                    PEA        $7661                
                    PEA        $6577                
                    PEA        $5767                
                    PEA        $7775                
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $96,S                
                    LDA        $A4,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $A4,S                
                    PEA        $6775                
                    PEA        $7757                
                    PEA        $7677                
                    PEA        $7565                
                    PEA        $7657                
                    TSC                             ; Line 22
                    ADC        #$00AD               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $7656                
                    PEA        $5775                
                    PEA        $6577                
                    PHX                             
                    PEA        $6677                
                    TSC                             ; Line 23
                    ADC        #$00AD               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $92,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $92,S                
                    REP        #$30                 
                    PEA        $6467                
                    PEA        $6766                
                    PEA        $7775                
                    PEA        $6676                
                    PEA        $6461                
                    PEA        $6167                
                    PEA        $7757                
                    TSC                             ; Line 24
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7476                
                    PEA        $7657                
                    PHX                             
                    PEA        $4644                
                    PEA        $7476                
                    PEA        $7676                
                    PEA        $7675                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $99,S                
                    PEA        $4644                
                    PEA        $5457                
                    PHX                             
                    PHX                             
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 26
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6644                
                    PEA        $7475                
                    PHY                             
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3063               
                    STA        $A0,S                
                    PEA        $6676                
                    PEA        $7677                
                    PEA        $7727                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2023               
                    STA        $A1,S                
                    PEA        $7727                
                    PEA        $2222                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7027               
                    STA        $A1,S                
                    PEA        $2233                
                    PEA        $3333                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $2377                
                    PHX                             
                    TSC                             ; Line 31
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $3272                
                    PEA        $7767                
                    PEA        $7775                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $98,S                
                    PEA        $6623                
                    PEA        $3762                
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             ; Line 33
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $6223                
                    PEA        $6666                
                    PEA        $6677                
                    TSC                             ; Line 34
                    ADC        #$00A9               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    PEA        $6667                
                    PEA        $6777                
                    PEA        $2367                
                    PEA        $6776                
                    PEA        $7657                
                    TSC                             ; Line 35
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $97,S                
                    PEA        $7677                
                    PEA        $7757                
                    PEA        $7666                
                    PEA        $6677                
                    TSC                             ; Line 36
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7775                
                    PHY                             
                    PEA        $6567                
                    PEA        $7676                
                    TSC                             ; Line 37
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $6177                
                    PHX                             
                    PHX                             
                    PEA        $6766                
                    PEA        $6777                
                    TSC                             ; Line 38
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A8,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7657                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $6176                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 39
                    ADC        #$009E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6767                
                    PEA        $7777                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 40
                    ADC        #$009D               
                    TCS                             
                    LDA        #$6777               
                    STA        $9D,S                
                    LDA        #$7657               
                    STA        $A7,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $1676                
                    PEA        $7657                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $6677                
                    PHY                             
                    TSC                             ; Line 42
                    ADC        #$013B               
                    TCS                             
                    LDA        #$6675               
                    STA        $08,S                
                    LDA        #$7657               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $1676                
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6675               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $6176                
                    PEA        $7775                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7675               
                    STA        $9D,S                
                    LDA        #$6657               
                    STA        $A8,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $1666                
                    PHX                             
                    TSC                             ; Line 46
                    ADC        #$0143               
                    TCS                             
                    LDA        #$7677               
                    STA        $09,S                
                    TYA                             
                    STA        $9D,S                
                    LDA        #$6657               
                    STA        $A9,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $6657                
                    PHX                             
                    TSC                             ; Line 48
                    ADC        #$013F               
                    TCS                             
                    LDA        #$6657               
                    STA        $03,S                
                    LDA        #$7675               
                    STA        $0E,S                
                    STA        $A2,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $01,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5070               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AF,S                
                    AND        #$F00F               
                    ORA        #$0540               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A1,S                
                    LDA        #$44                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             ; Line 50
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6757               
                    STA        $02,S                
                    TDC                             
                    STA        $0E,S                
                    STA        $A1,S                
                    LDA        $00,S                
                    AND        #$00F0               
                    ORA        #$4705               
                    STA        $00,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$5040               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $12,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B2,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A3,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$00B1               
                    TCS                             
                    TDC                             
                    STA        $91,S                
                    LDA        $93,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $93,S                
                    LDA        $95,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $90,S                
                    REP        #$30                 
                    PEA        $4544                
                    PHD                             
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_00F       CLC                             ; Sprite #00F : 32x56, 1188 bytes, 1929 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 14
                    LDY        #$4444               ; Pattern #2 : 14
                    LDA        #$7575               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $AB,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$5503               
                    STA        $0A,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$3305               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014C               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $5535                
                    PEA        $5355                
                    TSC                             ; Line 3
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9B,S                
                    PEA        $5555                
                    PEA        $3553                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5405               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $3355                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5535                
                    PEA        $5355                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $9F,S                
                    PEA        $5533                
                    PEA        $4354                
                    PEA        $4544                
                    PHX                             
                    TSC                             ; Line 7
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$43                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $7675                
                    TSC                             ; Line 8
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $5445                
                    PHY                             
                    PEA        $5677                
                    PHX                             
                    TSC                             ; Line 9
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $4464                
                    PEA        $5776                
                    PHD                             
                    TSC                             ; Line 10
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6465                
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 11
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5616                
                    PEA        $7677                
                    PHD                             
                    TSC                             ; Line 12
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9A,S                
                    PEA        $6177                
                    PEA        $7777                
                    PHX                             
                    TSC                             ; Line 13
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $5676                
                    PEA        $7777                
                    PEA        $7777                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6177                
                    PEA        $6777                
                    PEA        $7757                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7677                
                    PEA        $7576                
                    PEA        $7775                
                    TSC                             ; Line 16
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7566                
                    PEA        $5767                
                    PEA        $6777                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$1067               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $99,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6576                
                    PHD                             
                    PEA        $7677                
                    PHD                             
                    TSC                             ; Line 18
                    ADC        #$00A9               
                    TCS                             
                    PEA        $7765                
                    PEA        $6757                
                    PEA        $6767                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1077               
                    STA        $A1,S                
                    PEA        $7176                
                    PEA        $7756                
                    PEA        $6576                
                    PEA        $7565                
                    PEA        $7675                
                    PEA        $3533                
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6677                
                    PEA        $7565                
                    PEA        $7657                
                    PEA        $5733                
                    PEA        $7333                
                    PEA        $3377                
                    TSC                             ; Line 21
                    ADC        #$00AE               
                    TCS                             
                    PEA        $7177                
                    PHY                             
                    PEA        $6666                
                    PEA        $7775                
                    PEA        $6566                
                    PEA        $3333                
                    PEA        $6677                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $93,S                
                    PEA        $6657                
                    PHY                             
                    PEA        $7656                
                    PHX                             
                    PEA        $6666                
                    PEA        $6666                
                    PEA        $7777                
                    TSC                             ; Line 23
                    ADC        #$00AE               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $93,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $9F,S                
                    PEA        $7155                
                    PEA        $4644                
                    PHD                             
                    PEA        $7576                
                    PEA        $6676                
                    PEA        $7676                
                    TSC                             ; Line 24
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $7677                
                    PEA        $5755                
                    PEA        $5767                
                    PEA        $6767                
                    PEA        $6767                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    TXA                             
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7776                
                    PEA        $7677                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $7666                
                    PEA        $7755                
                    TSC                             ; Line 26
                    ADC        #$009E               
                    TCS                             
                    LDA        #$6677               
                    STA        $A4,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A2,S                
                    PHX                             
                    PEA        $7777                
                    PEA        $7757                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $7657                
                    PEA        $7557                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9C,S                
                    LDA        #$7657               
                    STA        $9F,S                
                    PEA        $6677                
                    PEA        $7547                
                    TSC                             ; Line 31
                    ADC        #$0138               
                    TCS                             
                    LDA        #$6657               
                    STA        $0B,S                
                    TYA                             
                    STA        $AB,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $08,S                
                    LDA        $A9,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 33
                    ADC        #$014E               
                    TCS                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 52
                    ADC        #$0BD6               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_010       CLC                             ; Sprite #010 : 32x64, 1188 bytes, 1929 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 14
                    LDY        #$4444               ; Pattern #2 : 14
                    LDA        #$7575               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $AB,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$5503               
                    STA        $0A,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$3305               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014C               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $5535                
                    PEA        $5355                
                    TSC                             ; Line 3
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9B,S                
                    PEA        $5555                
                    PEA        $3553                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5405               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $3355                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5535                
                    PEA        $5355                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $9F,S                
                    PEA        $5533                
                    PEA        $4354                
                    PEA        $4544                
                    PHX                             
                    TSC                             ; Line 7
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$43                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $7675                
                    TSC                             ; Line 8
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $5445                
                    PHY                             
                    PEA        $5677                
                    PHX                             
                    TSC                             ; Line 9
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $4464                
                    PEA        $5776                
                    PHD                             
                    TSC                             ; Line 10
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6465                
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 11
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5616                
                    PEA        $7677                
                    PHD                             
                    TSC                             ; Line 12
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9A,S                
                    PEA        $6177                
                    PEA        $7777                
                    PHX                             
                    TSC                             ; Line 13
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $5676                
                    PEA        $7777                
                    PEA        $7777                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6177                
                    PEA        $6777                
                    PEA        $7757                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7677                
                    PEA        $7576                
                    PEA        $7775                
                    TSC                             ; Line 16
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7566                
                    PEA        $5767                
                    PEA        $6777                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$1067               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $99,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6576                
                    PHD                             
                    PEA        $7677                
                    PHD                             
                    TSC                             ; Line 18
                    ADC        #$00A9               
                    TCS                             
                    PEA        $7765                
                    PEA        $6757                
                    PEA        $6767                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1077               
                    STA        $A1,S                
                    PEA        $7176                
                    PEA        $7756                
                    PEA        $6576                
                    PEA        $7565                
                    PEA        $7675                
                    PEA        $3533                
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6677                
                    PEA        $7565                
                    PEA        $7657                
                    PEA        $5733                
                    PEA        $7333                
                    PEA        $3377                
                    TSC                             ; Line 21
                    ADC        #$00AE               
                    TCS                             
                    PEA        $7177                
                    PHY                             
                    PEA        $6666                
                    PEA        $7775                
                    PEA        $6566                
                    PEA        $3333                
                    PEA        $6677                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $93,S                
                    PEA        $6657                
                    PHY                             
                    PEA        $7656                
                    PHX                             
                    PEA        $6666                
                    PEA        $6666                
                    PEA        $7777                
                    TSC                             ; Line 23
                    ADC        #$00AE               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $93,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $9F,S                
                    PEA        $7155                
                    PEA        $4644                
                    PHD                             
                    PEA        $7576                
                    PEA        $6676                
                    PEA        $7676                
                    TSC                             ; Line 24
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $7677                
                    PEA        $5755                
                    PEA        $5767                
                    PEA        $6767                
                    PEA        $6767                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    TXA                             
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7776                
                    PEA        $7677                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $7666                
                    PEA        $7755                
                    TSC                             ; Line 26
                    ADC        #$009E               
                    TCS                             
                    LDA        #$6677               
                    STA        $A4,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A2,S                
                    PHX                             
                    PEA        $7777                
                    PEA        $7757                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $7657                
                    PEA        $7557                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9C,S                
                    LDA        #$7657               
                    STA        $9F,S                
                    PEA        $6677                
                    PEA        $7547                
                    TSC                             ; Line 31
                    ADC        #$0138               
                    TCS                             
                    LDA        #$6657               
                    STA        $0B,S                
                    TYA                             
                    STA        $AB,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $08,S                
                    LDA        $A9,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 33
                    ADC        #$014E               
                    TCS                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 60
                    ADC        #$10D6               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 62
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_011       CLC                             ; Sprite #011 : 32x72, 1022 bytes, 1674 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 19
                    LDY        #$7777               ; Pattern #2 : 19
                    LDA        #$7575               ; Pattern #3 : 14
                    TCD                             
*--                                                 
                    TDC                             ; Line 0
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $07,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A9,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 2
                    ADC        #$00A7               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $98,S                
                    LDA        $A2,S                
                    AND        #$F00F               
                    ORA        #$0550               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A4,S                
                    PEA        $7577                
                    PHY                             
                    PHD                             
                    PHD                             
                    TSC                             ; Line 3
                    ADC        #$00A9               
                    TCS                             
                    LDA        #$5355               
                    STA        $A3,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$5540               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $5767                
                    PHY                             
                    PHY                             
                    PEA        $7757                
                    TSC                             ; Line 4
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$5703               
                    STA        $96,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$5053               
                    STA        $A4,S                
                    PEA        $7775                
                    PEA        $7676                
                    PHY                             
                    PHY                             
                    PHD                             
                    TSC                             ; Line 5
                    ADC        #$00AD               
                    TCS                             
                    PEA        $5555                
                    PEA        $4464                
                    PEA        $7567                
                    PHY                             
                    PHY                             
                    PEA        $7757                
                    TSC                             ; Line 6
                    ADC        #$00AE               
                    TCS                             
                    PEA        $5533                
                    PEA        $5544                
                    PEA        $4464                
                    PEA        $7576                
                    PEA        $7675                
                    PEA        $7577                
                    PHY                             
                    PEA        $7573                
                    TSC                             ; Line 7
                    ADC        #$00B0               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9B,S                
                    PEA        $5533                
                    PEA        $5545                
                    PEA        $4464                
                    PEA        $5767                
                    PEA        $6757                
                    PEA        $5776                
                    PEA        $7677                
                    PEA        $3757                
                    TSC                             ; Line 8
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A1,S                
                    PEA        $5677                
                    PEA        $7675                
                    PEA        $7566                
                    PEA        $6767                
                    PEA        $3775                
                    TSC                             
                    ADC        #$0010               
                    TCS                             
                    PEA        $5533                
                    PEA        $4544                
                    TSC                             ; Line 9
                    ADC        #$009E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $7775                
                    PEA        $6657                
                    PEA        $5776                
                    PEA        $7636                
                    PEA        $7357                
                    TSC                             
                    ADC        #$0010               
                    TCS                             
                    PEA        $5535                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$009E               
                    TCS                             
                    LDA        #$3543               
                    STA        $A4,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A2,S                
                    PEA        $7657                
                    PEA        $7676                
                    PEA        $7566                
                    PEA        $3333                
                    PEA        $7775                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $3543                
                    PEA        $4544                
                    TSC                             ; Line 11
                    ADC        #$009F               
                    TCS                             
                    LDA        $A4,S                
                    AND        #$0FF0               
                    ORA        #$3003               
                    STA        $A4,S                
                    PEA        $7675                
                    PEA        $6657                
                    PEA        $5737                
                    PEA        $6367                
                    PEA        $7757                
                    TSC                             ; Line 12
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $5657                
                    PEA        $7676                
                    PEA        $7566                
                    PEA        $7676                
                    PEA        $7775                
                    TSC                             ; Line 13
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7566                
                    PHX                             
                    PEA        $6667                
                    PEA        $7757                
                    TSC                             ; Line 14
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $97,S                
                    PEA        $5767                
                    PEA        $6666                
                    PEA        $5766                
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7666                
                    PEA        $6776                
                    PHD                             
                    PHD                             
                    TSC                             ; Line 16
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9A,S                
                    PEA        $7667                
                    PEA        $6657                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00A9               
                    TCS                             
                    PEA        $6777                
                    PEA        $6676                
                    PEA        $7555                
                    TSC                             ; Line 18
                    ADC        #$00A6               
                    TCS                             
                    PEA        $1777                
                    PEA        $6667                
                    PHX                             
                    PHX                             
                    PEA        $5744                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    PEA        $6776                
                    PEA        $6676                
                    PHD                             
                    PHD                             
                    PEA        $7544                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    PEA        $1766                
                    PEA        $4474                
                    PHY                             
                    PHY                             
                    PEA        $7744                
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    PEA        $6461                
                    PEA        $4474                
                    PEA        $7676                
                    PEA        $7676                
                    PEA        $7644                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $4447                
                    PEA        $4464                
                    PEA        $6666                
                    PEA        $6666                
                    PEA        $6644                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    LDA        $98,S                
                    AND        #$000F               
                    ORA        #$4440               
                    STA        $98,S                
                    PEA        $7744                
                    PEA        $6767                
                    PEA        $6767                
                    PEA        $6744                
                    TSC                             ; Line 25
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    TSC                             ; Line 68
                    ADC        #$1AE0               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 70
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_012       CLC                             ; Sprite #012 : 32x80, 1293 bytes, 2091 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 17
                    LDY        #$5757               ; Pattern #2 : 12
                    LDA        #$7777               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    TXA                             ; Line 0
                    STA        $08,S                
                    LDA        #$4444               
                    STA        $A2,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $0A,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$4444               
                    STA        $99,S                
                    LDA        $9B,S                
                    AND        #$F00F               
                    ORA        #$0540               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $9D,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    TSC                             ; Line 2
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $9A,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7533                
                    PHD                             
                    TSC                             ; Line 3
                    ADC        #$009D               
                    TCS                             
                    LDA        #$7566               
                    STA        $9F,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$7570               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $9E,S                
                    REP        #$30                 
                    PEA        $7767                
                    PEA        $4444                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $5777                
                    PEA        $7377                
                    PHY                             
                    TSC                             ; Line 4
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$7767               
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$000F               
                    ORA        #$5750               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5775                
                    PEA        $6733                
                    PEA        $7677                
                    TSC                             ; Line 5
                    ADC        #$00A6               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$6607               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $7736                
                    PEA        $6757                
                    TSC                             ; Line 6
                    ADC        #$00A5               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $97,S                
                    PEA        $7767                
                    PEA        $3776                
                    PEA        $7675                
                    PHX                             
                    TSC                             ; Line 7
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6607               
                    STA        $95,S                
                    PHX                             
                    PHD                             
                    PEA        $3663                
                    PEA        $7757                
                    PEA        $5577                
                    TSC                             ; Line 8
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $95,S                
                    PEA        $5777                
                    PEA        $7776                
                    PEA        $6763                
                    PEA        $7675                
                    PHX                             
                    TSC                             ; Line 9
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7767                
                    PEA        $6767                
                    PEA        $6657                
                    PEA        $5577                
                    TSC                             ; Line 10
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6666                
                    PEA        $7765                
                    PHX                             
                    PEA        $7566                
                    TSC                             ; Line 11
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$6607               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHD                             
                    PHX                             
                    PEA        $7557                
                    PHY                             
                    PEA        $7767                
                    TSC                             ; Line 12
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $5777                
                    PHY                             
                    PHY                             
                    PEA        $7775                
                    PHX                             
                    TSC                             ; Line 13
                    ADC        #$00A9               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$4407               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHD                             
                    PHX                             
                    PHX                             
                    PEA        $6767                
                    PEA        $7767                
                    TSC                             ; Line 14
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $95,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    PEA        $6767                
                    PEA        $6767                
                    PEA        $7646                
                    TSC                             ; Line 15
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7676                
                    PEA        $7666                
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 16
                    ADC        #$00AB               
                    TCS                             
                    LDA        #$6666               
                    PEA        $7767                
                    PEA        $6767                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $4444                
                    TSC                             ; Line 17
                    ADC        #$00AC               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $9F,S                
                    PEA        $5777                
                    PEA        $6767                
                    PEA        $7775                
                    PEA        $7576                
                    PEA        $6776                
                    PEA        $6674                
                    TSC                             ; Line 18
                    ADC        #$00AA               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6604               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5067               
                    STA        $A1,S                
                    PEA        $7676                
                    PHY                             
                    PEA        $5767                
                    PHD                             
                    PEA        $1677                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6104               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    PEA        $7757                
                    PEA        $7577                
                    PEA        $7565                
                    PEA        $7667                
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7677               
                    STA        $99,S                
                    LDA        #$6766               
                    STA        $9F,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$4704               
                    STA        $97,S                
                    LDA        $9B,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5575                
                    PEA        $7666                
                    PEA        $7677                
                    PEA        $6761                
                    TSC                             ; Line 22
                    ADC        #$013D               
                    TCS                             
                    LDA        #$4444               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$5044               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7547                
                    PEA        $4444                
                    TSC                             ; Line 24
                    ADC        #$0138               
                    TCS                             
                    LDA        #$4444               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0A,S                
                    TSC                             ; Line 25
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5544                
                    PEA        $4444                
                    TSC                             ; Line 26
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $4445                
                    TSC                             ; Line 27
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5545               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    PEA        $5555                
                    PEA        $4444                
                    TSC                             ; Line 29
                    ADC        #$0139               
                    TCS                             
                    LDA        #$3333               
                    STA        $09,S                
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $07,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $0B,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 30
                    ADC        #$00AB               
                    TCS                             
                    PEA        $3333                
                    PEA        $5355                
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5355                
                    PEA        $5555                
                    TSC                             ; Line 32
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5555               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 76
                    ADC        #$1B79               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 78
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_013       CLC                             ; Sprite #013 : 32x76, 1173 bytes, 1905 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 20
                    LDY        #$7777               ; Pattern #2 : 19
                    LDA        #$5757               ; Pattern #3 : 13
                    TCD                             
*--                                                 
                    SEP        #$20                 ; Line 0
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0E,S                
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        $0D,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $0D,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$7407               
                    STA        $A6,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$4040               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0F,S                
                    REP        #$30                 
                    TSC                             ; Line 3
                    ADC        #$00AD               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4064               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6467                
                    PEA        $6767                
                    PEA        $6747                
                    TSC                             ; Line 4
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    PEA        $6644                
                    PEA        $4447                
                    TSC                             ; Line 5
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7676                
                    PEA        $7644                
                    PEA        $6461                
                    TSC                             ; Line 6
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $98,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $7744                
                    PEA        $6416                
                    TSC                             ; Line 7
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4054               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PEA        $7566                
                    PEA        $7666                
                    TSC                             ; Line 8
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $98,S                
                    PHD                             
                    PHD                             
                    PEA        $6767                
                    PEA        $7617                
                    TSC                             ; Line 9
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7606               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A1,S                
                    PEA        $5555                
                    PHX                             
                    PEA        $6676                
                    TSC                             ; Line 10
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7606               
                    STA        $99,S                
                    PHD                             
                    PEA        $5767                
                    PEA        $6677                
                    TSC                             ; Line 11
                    ADC        #$00A8               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7506               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $6667                
                    TSC                             ; Line 12
                    ADC        #$00A8               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7767                
                    PEA        $5667                
                    PEA        $6676                
                    TSC                             ; Line 13
                    ADC        #$00A8               
                    TCS                             
                    LDA        $93,S                
                    AND        #$0F00               
                    ORA        #$3054               
                    STA        $93,S                
                    PEA        $7577                
                    PEA        $7666                
                    PHX                             
                    PEA        $6657                
                    TSC                             ; Line 14
                    ADC        #$00A9               
                    TCS                             
                    LDA        #$3453               
                    STA        $92,S                
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $91,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $91,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $6767                
                    PEA        $6657                
                    PEA        $6767                
                    PEA        $7565                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $91,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $91,S                
                    LDA        $96,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7636                
                    PEA        $7375                
                    PEA        $7566                
                    PEA        $5767                
                    TSC                             ; Line 16
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $3453                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $5777                
                    PEA        $3333                
                    PEA        $6657                
                    PEA        $6767                
                    PEA        $7567                
                    TSC                             ; Line 17
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4453                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7537                
                    PEA        $6367                
                    PEA        $6775                
                    PEA        $7566                
                    PEA        $5777                
                    TSC                             ; Line 18
                    ADC        #$009F               
                    TCS                             
                    PEA        $4444                
                    PEA        $5433                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $5773                
                    PEA        $7676                
                    PEA        $6657                
                    PEA        $5767                
                    PEA        $7765                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    PEA        $7573                
                    PEA        $7767                
                    PEA        $6775                
                    PEA        $7576                
                    PEA        $7675                
                    PEA        $4644                
                    PEA        $5455                
                    PEA        $3355                
                    TSC                             ; Line 20
                    ADC        #$00B0               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$3075               
                    STA        $9F,S                
                    PEA        $3757                
                    PHY                             
                    PEA        $7757                
                    PEA        $5767                
                    PEA        $6757                
                    PEA        $4644                
                    PEA        $4455                
                    PEA        $3355                
                    TSC                             ; Line 21
                    ADC        #$00AE               
                    TCS                             
                    LDA        #$5555               
                    STA        $95,S                
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$3503               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $7577                
                    PHY                             
                    PHY                             
                    PEA        $7657                
                    PEA        $4644                
                    PEA        $5555                
                    PEA        $3555                
                    TSC                             ; Line 22
                    ADC        #$00AF               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $93,S                
                    LDA        $95,S                
                    AND        #$F00F               
                    ORA        #$0550               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $97,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    PHY                             
                    PEA        $6767                
                    PEA        $5777                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PHY                             
                    PHY                             
                    PEA        $7776                
                    TSC                             ; Line 24
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $5777                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    TDC                             
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 72
                    ADC        #$1D5B               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 74
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_014       CLC                             ; Sprite #014 : 32x68, 1135 bytes, 1841 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 18
                    LDY        #$5757               ; Pattern #2 : 12
                    LDA        #$7757               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $04,S                
                    SEP        #$20                 
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $03,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00A6               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5535                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$3333               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A0,S                
                    PEA        $5535                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$013E               
                    TCS                             
                    LDA        #$5455               
                    STA        $04,S                
                    LDA        $02,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5444                
                    PEA        $4555                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9D,S                
                    PEA        $4444                
                    PEA        $4455                
                    TSC                             ; Line 10
                    ADC        #$013E               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $05,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $02,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$7675               
                    STA        $9D,S                
                    LDA        #$7767               
                    STA        $A4,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A2,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $7457                
                    TSC                             ; Line 13
                    ADC        #$013F               
                    TCS                             
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $01,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$4016               
                    STA        $0B,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $A1,S                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $1676                
                    PEA        $7767                
                    PEA        $6667                
                    PEA        $5755                
                    TSC                             ; Line 14
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $95,S                
                    PEA        $7761                
                    PEA        $7667                
                    PEA        $5657                
                    PHD                             
                    PEA        $7577                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4766                
                    PEA        $7777                
                    PEA        $7675                
                    PHX                             
                    PEA        $6767                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4444                
                    PEA        $6676                
                    PEA        $6757                
                    PEA        $5777                
                    PEA        $7676                
                    PEA        $7775                
                    TSC                             ; Line 17
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$6666               
                    PEA        $4444                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $6767                
                    PHD                             
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    PEA        $4744                
                    PEA        $7666                
                    PEA        $6676                
                    PEA        $7676                
                    PEA        $7677                
                    PEA        $7775                
                    TSC                             ; Line 19
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6677                
                    PEA        $6767                
                    PEA        $6767                
                    PEA        $6757                
                    PEA        $5777                
                    PHD                             
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6776                
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $7577                
                    PEA        $7775                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6677                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $5777                
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6776                
                    PHX                             
                    PEA        $6575                
                    PHX                             
                    PEA        $7577                
                    PEA        $7775                
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $95,S                
                    PEA        $6677                
                    PEA        $5755                
                    PEA        $6766                
                    PEA        $6766                
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 24
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $95,S                
                    PEA        $6776                
                    PHX                             
                    PEA        $7566                
                    PEA        $6367                
                    PEA        $7777                
                    TSC                             ; Line 25
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $95,S                
                    PEA        $6677                
                    PEA        $5755                
                    PEA        $7767                
                    PEA        $3376                
                    PEA        $7677                
                    TSC                             ; Line 26
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$6677               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$000F               
                    ORA        #$5750               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6776                
                    PHX                             
                    PEA        $7576                
                    PEA        $3667                
                    PEA        $7777                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$6476               
                    STA        $A3,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$7570               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $9A,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $5767                
                    PEA        $3776                
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $3663                
                    PEA        $7775                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7773                
                    PHY                             
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $4464                
                    PHD                             
                    TSC                             ; Line 30
                    ADC        #$009F               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    LDA        #$4444               
                    STA        $A2,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3703               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    PHX                             
                    PEA        $7737                
                    PEA        $7375                
                    TSC                             ; Line 32
                    ADC        #$013E               
                    TCS                             
                    TXA                             
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $06,S                
                    TSC                             ; Line 64
                    ADC        #$1400               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 66
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_015       CLC                             ; Sprite #015 : 32x59, 1135 bytes, 1841 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 18
                    LDY        #$5757               ; Pattern #2 : 12
                    LDA        #$7757               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $04,S                
                    SEP        #$20                 
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $03,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00A6               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5535                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$3333               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A0,S                
                    PEA        $5535                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$013E               
                    TCS                             
                    LDA        #$5455               
                    STA        $04,S                
                    LDA        $02,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5444                
                    PEA        $4555                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9D,S                
                    PEA        $4444                
                    PEA        $4455                
                    TSC                             ; Line 10
                    ADC        #$013E               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $05,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $02,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$7675               
                    STA        $9D,S                
                    LDA        #$7767               
                    STA        $A4,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A2,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $7457                
                    TSC                             ; Line 13
                    ADC        #$013F               
                    TCS                             
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $01,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$4016               
                    STA        $0B,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $A1,S                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $1676                
                    PEA        $7767                
                    PEA        $6667                
                    PEA        $5755                
                    TSC                             ; Line 14
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $95,S                
                    PEA        $7761                
                    PEA        $7667                
                    PEA        $5657                
                    PHD                             
                    PEA        $7577                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4766                
                    PEA        $7777                
                    PEA        $7675                
                    PHX                             
                    PEA        $6767                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4444                
                    PEA        $6676                
                    PEA        $6757                
                    PEA        $5777                
                    PEA        $7676                
                    PEA        $7775                
                    TSC                             ; Line 17
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$6666               
                    PEA        $4444                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $6767                
                    PHD                             
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    PEA        $4744                
                    PEA        $7666                
                    PEA        $6676                
                    PEA        $7676                
                    PEA        $7677                
                    PEA        $7775                
                    TSC                             ; Line 19
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6677                
                    PEA        $6767                
                    PEA        $6767                
                    PEA        $6757                
                    PEA        $5777                
                    PHD                             
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6776                
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $7577                
                    PEA        $7775                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6677                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $5777                
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6776                
                    PHX                             
                    PEA        $6575                
                    PHX                             
                    PEA        $7577                
                    PEA        $7775                
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $95,S                
                    PEA        $6677                
                    PEA        $5755                
                    PEA        $6766                
                    PEA        $6766                
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 24
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $95,S                
                    PEA        $6776                
                    PHX                             
                    PEA        $7566                
                    PEA        $6367                
                    PEA        $7777                
                    TSC                             ; Line 25
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $95,S                
                    PEA        $6677                
                    PEA        $5755                
                    PEA        $7767                
                    PEA        $3376                
                    PEA        $7677                
                    TSC                             ; Line 26
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$6677               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$000F               
                    ORA        #$5750               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6776                
                    PHX                             
                    PEA        $7576                
                    PEA        $3667                
                    PEA        $7777                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$6476               
                    STA        $A3,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$7570               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $9A,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $5767                
                    PEA        $3776                
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $3663                
                    PEA        $7775                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7773                
                    PHY                             
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $4464                
                    PHD                             
                    TSC                             ; Line 30
                    ADC        #$009F               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    LDA        #$4444               
                    STA        $A2,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3703               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    PHX                             
                    PEA        $7737                
                    PEA        $7375                
                    TSC                             ; Line 32
                    ADC        #$013E               
                    TCS                             
                    TXA                             
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $06,S                
                    TSC                             ; Line 55
                    ADC        #$0E60               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 57
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_016       CLC                             ; Sprite #016 : 32x60, 1453 bytes, 2324 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 14
                    LDY        #$7677               ; Pattern #2 : 10
                    LDA        #$7575               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4454               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    TSC                             ; Line 12
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $7644                
                    PEA        $6461                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7071               
                    STA        $A0,S                
                    PEA        $6757                
                    PEA        $4416                
                    PEA        $7665                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1057               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 15
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A7,S                
                    PEA        $4716                
                    PEA        $7665                
                    PEA        $7775                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $A5,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7175                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $7757                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$4416               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $4516                
                    PEA        $7665                
                    PEA        $7767                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7766               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6657                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $7776                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $7657                
                    PEA        $6577                
                    PEA        $6577                
                    PEA        $5767                
                    PEA        $7775                
                    TSC                             ; Line 20
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7567                
                    PEA        $6667                
                    PEA        $6765                
                    PEA        $1756                
                    PHY                             
                    PEA        $7576                
                    PEA        $7657                
                    TSC                             ; Line 21
                    ADC        #$00AD               
                    TCS                             
                    PEA        $7776                
                    PEA        $7656                
                    PEA        $7777                
                    PEA        $6577                
                    PHX                             
                    PEA        $6767                
                    PEA        $7775                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $9F,S                
                    PEA        $7567                
                    PEA        $6775                
                    PEA        $5557                
                    PHY                             
                    PHD                             
                    PEA        $7566                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $7757                
                    PEA        $6767                
                    PEA        $7757                
                    PHX                             
                    PEA        $6776                
                    PEA        $7675                
                    TSC                             ; Line 24
                    ADC        #$00AD               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $94,S                
                    LDA        $9C,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $9C,S                
                    PHD                             
                    PHD                             
                    PHY                             
                    PEA        $4564                
                    PEA        $6161                
                    PEA        $7157                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4744                
                    PEA        $7476                
                    PEA        $7675                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4744                
                    PEA        $5457                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $6377                
                    PEA        $7777                
                    PEA        $7777                
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    PEA        $6166                
                    PEA        $3633                
                    PEA        $3377                
                    PEA        $3733                
                    TSC                             ; Line 29
                    ADC        #$00A8               
                    TCS                             
                    PEA        $7667                
                    PEA        $6773                
                    PEA        $5767                
                    PEA        $6757                
                    TSC                             ; Line 30
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A0,S                
                    PEA        $6667                
                    PEA        $7775                
                    PEA        $3667                
                    PEA        $1676                
                    PEA        $7675                
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A1,S                
                    PEA        $7657                
                    PEA        $5737                
                    PEA        $6661                
                    PEA        $7157                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7676               
                    STA        $A1,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$000F               
                    ORA        #$7750               
                    STA        $9F,S                
                    PEA        $7775                
                    PEA        $7565                
                    PEA        $7676                
                    PHY                             
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$65                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5761                
                    PEA        $6767                
                    PHX                             
                    TSC                             ; Line 34
                    ADC        #$00A5               
                    TCS                             
                    TYA                             
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7775                
                    PHD                             
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A6,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $A4,S                
                    PEA        $6777                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 36
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4474               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4467               
                    STA        $0A,S                
                    LDA        #$7477               
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $08,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AB,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 56
                    ADC        #$0960               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 58
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_017       CLC                             ; Sprite #017 : 32x70, 1453 bytes, 2324 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 14
                    LDY        #$7677               ; Pattern #2 : 10
                    LDA        #$7575               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4454               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    TSC                             ; Line 12
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $7644                
                    PEA        $6461                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7071               
                    STA        $A0,S                
                    PEA        $6757                
                    PEA        $4416                
                    PEA        $7665                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1057               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 15
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A7,S                
                    PEA        $4716                
                    PEA        $7665                
                    PEA        $7775                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $A5,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7175                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $7757                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$4416               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $4516                
                    PEA        $7665                
                    PEA        $7767                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7766               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6657                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $7776                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $7657                
                    PEA        $6577                
                    PEA        $6577                
                    PEA        $5767                
                    PEA        $7775                
                    TSC                             ; Line 20
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7567                
                    PEA        $6667                
                    PEA        $6765                
                    PEA        $1756                
                    PHY                             
                    PEA        $7576                
                    PEA        $7657                
                    TSC                             ; Line 21
                    ADC        #$00AD               
                    TCS                             
                    PEA        $7776                
                    PEA        $7656                
                    PEA        $7777                
                    PEA        $6577                
                    PHX                             
                    PEA        $6767                
                    PEA        $7775                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $9F,S                
                    PEA        $7567                
                    PEA        $6775                
                    PEA        $5557                
                    PHY                             
                    PHD                             
                    PEA        $7566                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $7757                
                    PEA        $6767                
                    PEA        $7757                
                    PHX                             
                    PEA        $6776                
                    PEA        $7675                
                    TSC                             ; Line 24
                    ADC        #$00AD               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $94,S                
                    LDA        $9C,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $9C,S                
                    PHD                             
                    PHD                             
                    PHY                             
                    PEA        $4564                
                    PEA        $6161                
                    PEA        $7157                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4744                
                    PEA        $7476                
                    PEA        $7675                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4744                
                    PEA        $5457                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $6377                
                    PEA        $7777                
                    PEA        $7777                
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    PEA        $6166                
                    PEA        $3633                
                    PEA        $3377                
                    PEA        $3733                
                    TSC                             ; Line 29
                    ADC        #$00A8               
                    TCS                             
                    PEA        $7667                
                    PEA        $6773                
                    PEA        $5767                
                    PEA        $6757                
                    TSC                             ; Line 30
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A0,S                
                    PEA        $6667                
                    PEA        $7775                
                    PEA        $3667                
                    PEA        $1676                
                    PEA        $7675                
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A1,S                
                    PEA        $7657                
                    PEA        $5737                
                    PEA        $6661                
                    PEA        $7157                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7676               
                    STA        $A1,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$000F               
                    ORA        #$7750               
                    STA        $9F,S                
                    PEA        $7775                
                    PEA        $7565                
                    PEA        $7676                
                    PHY                             
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$65                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5761                
                    PEA        $6767                
                    PHX                             
                    TSC                             ; Line 34
                    ADC        #$00A5               
                    TCS                             
                    TYA                             
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7775                
                    PHD                             
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A6,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $A4,S                
                    PEA        $6777                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 36
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4474               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4467               
                    STA        $0A,S                
                    LDA        #$7477               
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $08,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AB,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 66
                    ADC        #$0FA0               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 68
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_018       CLC                             ; Sprite #018 : 32x77, 1453 bytes, 2324 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 14
                    LDY        #$7677               ; Pattern #2 : 10
                    LDA        #$7575               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4454               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    TSC                             ; Line 12
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $7644                
                    PEA        $6461                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7071               
                    STA        $A0,S                
                    PEA        $6757                
                    PEA        $4416                
                    PEA        $7665                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1057               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 15
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A7,S                
                    PEA        $4716                
                    PEA        $7665                
                    PEA        $7775                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $A5,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7175                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $7757                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$4416               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $4516                
                    PEA        $7665                
                    PEA        $7767                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7766               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6657                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $7776                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $7657                
                    PEA        $6577                
                    PEA        $6577                
                    PEA        $5767                
                    PEA        $7775                
                    TSC                             ; Line 20
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7567                
                    PEA        $6667                
                    PEA        $6765                
                    PEA        $1756                
                    PHY                             
                    PEA        $7576                
                    PEA        $7657                
                    TSC                             ; Line 21
                    ADC        #$00AD               
                    TCS                             
                    PEA        $7776                
                    PEA        $7656                
                    PEA        $7777                
                    PEA        $6577                
                    PHX                             
                    PEA        $6767                
                    PEA        $7775                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $9F,S                
                    PEA        $7567                
                    PEA        $6775                
                    PEA        $5557                
                    PHY                             
                    PHD                             
                    PEA        $7566                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $7757                
                    PEA        $6767                
                    PEA        $7757                
                    PHX                             
                    PEA        $6776                
                    PEA        $7675                
                    TSC                             ; Line 24
                    ADC        #$00AD               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $94,S                
                    LDA        $9C,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $9C,S                
                    PHD                             
                    PHD                             
                    PHY                             
                    PEA        $4564                
                    PEA        $6161                
                    PEA        $7157                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4744                
                    PEA        $7476                
                    PEA        $7675                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4744                
                    PEA        $5457                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $6377                
                    PEA        $7777                
                    PEA        $7777                
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    PEA        $6166                
                    PEA        $3633                
                    PEA        $3377                
                    PEA        $3733                
                    TSC                             ; Line 29
                    ADC        #$00A8               
                    TCS                             
                    PEA        $7667                
                    PEA        $6773                
                    PEA        $5767                
                    PEA        $6757                
                    TSC                             ; Line 30
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A0,S                
                    PEA        $6667                
                    PEA        $7775                
                    PEA        $3667                
                    PEA        $1676                
                    PEA        $7675                
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A1,S                
                    PEA        $7657                
                    PEA        $5737                
                    PEA        $6661                
                    PEA        $7157                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7676               
                    STA        $A1,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$000F               
                    ORA        #$7750               
                    STA        $9F,S                
                    PEA        $7775                
                    PEA        $7565                
                    PEA        $7676                
                    PHY                             
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$65                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5761                
                    PEA        $6767                
                    PHX                             
                    TSC                             ; Line 34
                    ADC        #$00A5               
                    TCS                             
                    TYA                             
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7775                
                    PHD                             
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A6,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $A4,S                
                    PEA        $6777                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 36
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4474               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4467               
                    STA        $0A,S                
                    LDA        #$7477               
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $08,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AB,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 73
                    ADC        #$1400               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 75
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_019       CLC                             ; Sprite #019 : 52x79, 1498 bytes, 2461 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 24
                    LDY        #$7575               ; Pattern #2 : 23
                    LDA        #$7676               ; Pattern #3 : 21
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4454               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    TSC                             ; Line 12
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $7644                
                    PEA        $6461                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $9A,S                
                    PEA        $6757                
                    PEA        $4416                
                    PEA        $7665                
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A1,S                
                    PEA        $7671                
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $6757                
                    PEA        $4716                
                    PEA        $7665                
                    PEA        $7775                
                    TSC                             ; Line 16
                    ADC        #$00AC               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $94,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    PEA        $6666                
                    PEA        $6667                
                    PEA        $1775                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $7757                
                    TSC                             ; Line 17
                    ADC        #$00B1               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    PEA        $6466                
                    PEA        $6666                
                    PEA        $6666                
                    PHD                             
                    PHD                             
                    PEA        $4516                
                    PEA        $7665                
                    PEA        $7767                
                    TSC                             ; Line 18
                    ADC        #$00B0               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$000F               
                    ORA        #$4470               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $8F,S                
                    REP        #$30                 
                    LDA        #$6767               
                    PEA        $6467                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $7717                
                    PEA        $6561                
                    PEA        $5776                
                    PEA        $7776                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00B1               
                    TCS                             
                    LDA        $8F,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $8F,S                
                    PHD                             
                    PEA        $7677                
                    PEA        $7757                
                    PHX                             
                    PEA        $6665                
                    PEA        $7765                
                    PEA        $7757                
                    PEA        $6777                
                    TSC                             ; Line 20
                    ADC        #$00B0               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $99,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $1617                
                    PEA        $5676                
                    PEA        $7775                
                    PHD                             
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    PEA        $7777                
                    PEA        $6577                
                    PHX                             
                    PEA        $6767                
                    PEA        $7775                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $9F,S                
                    PEA        $5557                
                    PEA        $7677                
                    PHY                             
                    PEA        $7566                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A1,S                
                    PEA        $7757                
                    PHX                             
                    PEA        $6776                
                    PEA        $7675                
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A1,S                
                    PEA        $7745                
                    PEA        $6461                
                    PEA        $6171                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4744                
                    PEA        $7476                
                    PEA        $7675                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    PEA        $4744                
                    PEA        $5457                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6377                
                    PEA        $7777                
                    PEA        $7777                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    PEA        $3633                
                    PEA        $3377                
                    PEA        $3733                
                    TSC                             ; Line 29
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A9,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A9,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    PEA        $6773                
                    PEA        $5767                
                    PEA        $6757                
                    TSC                             ; Line 30
                    ADC        #$00B2               
                    TCS                             
                    LDA        $8E,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $8E,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    LDA        #$6666               
                    PHA                             
                    PHA                             
                    PEA        $6616                
                    PEA        $1616                
                    PHA                             
                    PEA        $6777                
                    PEA        $3667                
                    PEA        $1676                
                    PEA        $7675                
                    TSC                             ; Line 31
                    ADC        #$00B5               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $8B,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $8B,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $6467                
                    PEA        $6767                
                    PEA        $6766                
                    PEA        $6666                
                    PEA        $6767                
                    PEA        $6777                
                    PEA        $5737                
                    PEA        $6661                
                    PEA        $7157                
                    TSC                             ; Line 32
                    ADC        #$00B3               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $8C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $8C,S                
                    LDA        $9F,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $4474                
                    PHD                             
                    PHD                             
                    PHD                             
                    PHD                             
                    PHD                             
                    PHY                             
                    PEA        $6576                
                    PHD                             
                    PEA        $7775                
                    TSC                             ; Line 33
                    ADC        #$00B2               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    LDA        #$7777               
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $7757                
                    PHX                             
                    PHX                             
                    PEA        $6167                
                    PEA        $6757                
                    PHX                             
                    TSC                             ; Line 34
                    ADC        #$00B2               
                    TCS                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $7565                
                    PHD                             
                    PEA        $7775                
                    PHY                             
                    TSC                             ; Line 35
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $95,S                
                    LDA        $9B,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $9B,S                
                    PHX                             
                    PHX                             
                    PEA        $5761                
                    PEA        $6777                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 36
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$7677               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    PEA        $6667                
                    PEA        $7757                
                    PHX                             
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4467               
                    STA        $0A,S                
                    LDA        #$7477               
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $08,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AB,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 75
                    ADC        #$1540               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B6,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 77
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $15,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $17,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $17,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_01A       CLC                             ; Sprite #01A : 32x41, 1355 bytes, 2172 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$4444               ; Pattern #1 : 10
                    LDY        #$7677               ; Pattern #2 : 10
                    LDA        #$7777               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $03,S                
                    STA        $A4,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A2,S                
                    TSC                             ; Line 2
                    ADC        #$0145               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $5454                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    TXA                             
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5405               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$013E               
                    TCS                             
                    TXA                             
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $05,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    TSC                             ; Line 12
                    ADC        #$0145               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $01,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7644                
                    PEA        $6461                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $9A,S                
                    LDA        $A2,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A2,S                
                    PEA        $6757                
                    PEA        $4416                
                    PEA        $7665                
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    PEA        $7676                
                    PEA        $4564                
                    PEA        $6157                
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6757                
                    PEA        $4716                
                    PEA        $7665                
                    PHD                             
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7475                
                    PEA        $6461                
                    PEA        $5776                
                    PEA        $7757                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    TXA                             
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $4447                
                    PEA        $1676                
                    PEA        $6577                
                    PEA        $7775                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4476                
                    PEA        $6157                
                    PHY                             
                    PEA        $7657                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4464               
                    STA        $A3,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$6760               
                    STA        $A1,S                
                    PEA        $7461                
                    PEA        $7765                
                    PEA        $7761                
                    PEA        $7755                
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7776               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7517                
                    PEA        $5676                
                    PEA        $1766                
                    PEA        $7675                
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6177                
                    PEA        $6176                
                    PEA        $7757                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5075               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $7767                
                    PEA        $5777                
                    PEA        $1761                
                    PEA        $6676                
                    PEA        $7775                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7507               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5075               
                    STA        $A0,S                
                    PHD                             
                    PEA        $7577                
                    PEA        $6776                
                    PEA        $7757                
                    TSC                             ; Line 24
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7757                
                    PHD                             
                    PHY                             
                    TSC                             ; Line 25
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$1066               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7775                
                    PHD                             
                    PEA        $5777                
                    TSC                             ; Line 26
                    ADC        #$00AA               
                    TCS                             
                    PEA        $6666                
                    PEA        $6676                
                    PEA        $7657                
                    PEA        $7776                
                    PEA        $7577                
                    TSC                             ; Line 27
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6506               
                    STA        $95,S                
                    PEA        $6617                
                    PEA        $6767                
                    PEA        $6766                
                    PEA        $6777                
                    PEA        $5757                
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $7176                
                    PHD                             
                    PEA        $7676                
                    PEA        $7637                
                    PEA        $7577                
                    TSC                             ; Line 29
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $6677                
                    PEA        $5757                
                    PHD                             
                    PEA        $3723                
                    PEA        $6367                
                    PEA        $6767                
                    TSC                             ; Line 30
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7575                
                    PEA        $7575                
                    PEA        $3532                
                    PEA        $7766                
                    PEA        $1616                
                    TSC                             ; Line 31
                    ADC        #$00AB               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    LDA        #$5757               
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $3772                
                    PEA        $7666                
                    PEA        $6767                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$5757               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $7575                
                    PEA        $7572                
                    PEA        $6767                
                    PEA        $7776                
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$6777               
                    STA        $9D,S                
                    LDA        #$7775               
                    STA        $A5,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $9B,S                
                    PEA        $5757                
                    PEA        $7676                
                    PEA        $7767                
                    TSC                             ; Line 35
                    ADC        #$0141               
                    TCS                             
                    LDA        #$7776               
                    STA        $02,S                
                    LDA        #$7757               
                    STA        $0A,S                
                    TYA                             
                    STA        $A1,S                
                    LDA        $00,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $00,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A0,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 37
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $01,S                
                    LDA        #$7557               
                    STA        $0A,S                
                    LDA        #$4454               
                    STA        $A9,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0705               
                    STA        $08,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A7,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $00,S                
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $03,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 39
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $01,S                
                    TXA                             
                    STA        $0A,S                
                    STA        $A1,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $08,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $00,S                
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $03,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0C,S                
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A0,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_01B       CLC                             ; Sprite #01B : 40x42, 1356 bytes, 2220 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7777               ; Pattern #1 : 21
                    LDY        #$7575               ; Pattern #2 : 19
                    LDA        #$5757               ; Pattern #3 : 18
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5555                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5554                
                    PEA        $5555                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4454                
                    PEA        $5455                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4454               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    STA        $A5,S                
                    LDA        #$4464               
                    STA        $A4,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A7,S                
                    AND        #$FF0F               
                    ORA        #$0040               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $04,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4456               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$5047               
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A7,S                
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $03,S                
                    REP        #$30                 
                    TSC                             ; Line 13
                    ADC        #$00A6               
                    TCS                             
                    LDA        $AC,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6566                
                    PEA        $6776                
                    TSC                             ; Line 14
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AD,S                
                    REP        #$30                 
                    PEA        $6776                
                    PEA        $7676                
                    TSC                             ; Line 15
                    ADC        #$00B0               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    LDA        #$6666               
                    PEA        $4464                
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $7676                
                    PEA        $6777                
                    TSC                             ; Line 16
                    ADC        #$00B0               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $90,S                
                    LDA        $9E,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $9E,S                
                    LDA        #$6666               
                    PEA        $4474                
                    PEA        $7776                
                    PEA        $7666                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $6767                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00AD               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $93,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    LDA        #$7676               
                    PHX                             
                    PHX                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $93,S                
                    PHY                             
                    PHY                             
                    PEA        $7577                
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $95,S                
                    LDA        $9D,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9D,S                
                    PHD                             
                    PHD                             
                    PEA        $5777                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $99,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7577                
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $5777                
                    PEA        $7757                
                    TSC                             ; Line 22
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9C,S                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 23
                    ADC        #$00A5               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    PHD                             
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$0142               
                    TCS                             
                    LDA        $01,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    PHD                             
                    PEA        $5733                
                    TSC                             ; Line 26
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $7535                
                    PEA        $3363                
                    TSC                             ; Line 27
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $98,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A2,S                
                    PEA        $6666                
                    PEA        $3633                
                    PEA        $3323                
                    PEA        $6267                
                    TSC                             ; Line 28
                    ADC        #$00A9               
                    TCS                             
                    PEA        $7676                
                    PEA        $7666                
                    PEA        $3275                
                    PHX                             
                    TSC                             ; Line 29
                    ADC        #$00AA               
                    TCS                             
                    PEA        $6667                
                    PHX                             
                    PEA        $6767                
                    PEA        $2357                
                    PEA        $5777                
                    PEA        $6766                
                    TSC                             ; Line 30
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $6176                
                    PHY                             
                    PEA        $7577                
                    PEA        $2375                
                    PEA        $7576                
                    PEA        $7676                
                    TSC                             ; Line 31
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$7775               
                    STA        $9F,S                
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$7606               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $9E,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9E,S                
                    REP        #$30                 
                    PEA        $6657                
                    PHD                             
                    PHD                             
                    PEA        $5357                
                    PEA        $5767                
                    PEA        $6761                
                    TSC                             ; Line 32
                    ADC        #$00A9               
                    TCS                             
                    TDC                             
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$000F               
                    ORA        #$5750               
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$5705               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $97,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $7767                
                    TSC                             ; Line 33
                    ADC        #$00A3               
                    TCS                             
                    LDA        #$7757               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7676                
                    TSC                             ; Line 34
                    ADC        #$00A4               
                    TCS                             
                    TXA                             
                    STA        $9D,S                
                    LDA        #$7775               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6777                
                    TSC                             ; Line 36
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6777               
                    STA        $01,S                
                    LDA        #$7757               
                    STA        $0A,S                
                    STA        $A9,S                
                    LDA        $A0,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $00,S                
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $09,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 38
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7775               
                    STA        $09,S                
                    LDA        #$4544               
                    STA        $A9,S                
                    LDA        $01,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    LDA        $A1,S                
                    AND        #$F000               
                    ORA        #$0577               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A7,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B2,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $00,S                
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A0,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 40
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4454               
                    STA        $00,S                
                    LDA        #$4444               
                    STA        $09,S                
                    STA        $A0,S                
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5040               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $11,S                
                    LDA        $A2,S                
                    AND        #$F000               
                    ORA        #$0545               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $02,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_01C       CLC                             ; Sprite #01C : 46x39, 1133 bytes, 1889 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 40
                    LDY        #$5757               ; Pattern #2 : 34
                    LDA        #$6666               ; Pattern #3 : 12
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $06,S                
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0148               
                    TCS                             
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5544                
                    PEA        $4454                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    PEA        $4555                
                    PEA        $5445                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4544                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$013C               
                    TCS                             
                    LDA        #$5455               
                    STA        $06,S                
                    LDA        #$4444               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4475               
                    STA        $05,S                
                    LDA        #$4544               
                    STA        $A6,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$7045               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A4,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$7057               
                    STA        $A8,S                
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $03,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PEA        $5617                
                    PEA        $4544                
                    PHX                             
                    TSC                             ; Line 13
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6656                
                    PEA        $6745                
                    PEA        $5475                
                    PEA        $6566                
                    TSC                             ; Line 14
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A2,S                
                    PHD                             
                    PEA        $6767                
                    PEA        $7551                
                    PEA        $5477                
                    PEA        $7566                
                    TSC                             ; Line 15
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7677                
                    PEA        $7757                
                    PEA        $4475                
                    PEA        $7775                
                    PEA        $7566                
                    TSC                             ; Line 16
                    ADC        #$00B0               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $90,S                
                    REP        #$30                 
                    PEA        $6466                
                    PEA        $6667                
                    PEA        $6777                
                    PEA        $7775                
                    PEA        $7747                
                    PEA        $4464                
                    PEA        $7657                
                    PEA        $5766                
                    TSC                             ; Line 17
                    ADC        #$00B0               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $90,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7457                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $7775                
                    PEA        $4474                
                    PEA        $6676                
                    PEA        $7577                
                    TSC                             ; Line 18
                    ADC        #$00AF               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $91,S                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $7777                
                    PEA        $7566                
                    PHD                             
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $97,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $5767                
                    PEA        $6767                
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    PHX                             
                    PHX                             
                    PEA        $7577                
                    PEA        $7676                
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    PHY                             
                    PEA        $5777                
                    PEA        $7767                
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7555                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00A7               
                    TCS                             
                    PEA        $5357                
                    PHY                             
                    PEA        $5755                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    PEA        $3233                
                    PEA        $3373                
                    PEA        $3323                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $9A,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A2,S                
                    PHD                             
                    PEA        $3262                
                    PEA        $6636                
                    TSC                             ; Line 26
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A5,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6633                
                    PEA        $7666                
                    TSC                             ; Line 27
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $94,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6676                
                    PEA        $7676                
                    PEA        $7673                
                    PEA        $6367                
                    PEA        $1766                
                    TSC                             ; Line 28
                    ADC        #$00B0               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $90,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    PHD                             
                    PHD                             
                    PEA        $6767                
                    PEA        $6757                
                    PHY                             
                    PEA        $3753                
                    PEA        $7377                
                    PEA        $7616                
                    TSC                             ; Line 29
                    ADC        #$00B3               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $8D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $8D,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6676                
                    PEA        $7676                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $7535                
                    PEA        $7565                
                    TSC                             ; Line 30
                    ADC        #$00B1               
                    TCS                             
                    LDA        $8E,S                
                    AND        #$00F0               
                    ORA        #$7507               
                    STA        $8E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $A0,S                
                    PEA        $6467                
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 31
                    ADC        #$00B1               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 32
                    ADC        #$00A3               
                    TCS                             
                    TXA                             
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7777                
                    TSC                             ; Line 34
                    ADC        #$013F               
                    TCS                             
                    LDA        #$5777               
                    STA        $03,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$7507               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 36
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $04,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B0,S                
                    TSC                             ; Line 38
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4544               
                    STA        $04,S                
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$000F               
                    ORA        #$5450               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $12,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_01D       CLC                             ; Sprite #01D : 32x38, 1201 bytes, 1935 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 22
                    LDY        #$7575               ; Pattern #2 : 16
                    LDA        #$6767               ; Pattern #3 : 6
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $09,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5355                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4533                
                    PEA        $3343                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5445               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4055               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4544                
                    PEA        $4444                
                    TSC                             ; Line 7
                    ADC        #$0138               
                    TCS                             
                    LDA        #$4544               
                    STA        $09,S                
                    LDA        #$5744               
                    STA        $AB,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0B,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A9,S                
                    TSC                             ; Line 9
                    ADC        #$0140               
                    TCS                             
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$6506               
                    STA        $08,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $A7,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$6071               
                    STA        $AD,S                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $6757                
                    PEA        $5445                
                    TSC                             ; Line 10
                    ADC        #$00A3               
                    TCS                             
                    PEA        $6765                
                    PEA        $6475                
                    TSC                             ; Line 11
                    ADC        #$00A6               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7606               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1666                
                    PEA        $6556                
                    PEA        $5467                
                    PEA        $7567                
                    TSC                             ; Line 12
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $7657                
                    PEA        $5654                
                    PEA        $6775                
                    TSC                             ; Line 13
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7775                
                    PEA        $5654                
                    PEA        $6775                
                    PHD                             
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $5657                
                    PEA        $6675                
                    PEA        $5776                
                    TSC                             ; Line 15
                    ADC        #$00A9               
                    TCS                             
                    LDA        #$5777               
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$000F               
                    ORA        #$5750               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7775                
                    PEA        $7577                
                    PEA        $5556                
                    PEA        $7775                
                    PEA        $7567                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1066               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $92,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $92,S                
                    REP        #$30                 
                    PEA        $7657                
                    PEA        $5775                
                    PEA        $6556                
                    TSC                             ; Line 17
                    ADC        #$009E               
                    TCS                             
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    PEA        $6747                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $1616                
                    PEA        $6644                
                    PEA        $4475                
                    TSC                             ; Line 18
                    ADC        #$009E               
                    TCS                             
                    TYA                             
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A9,S                
                    PHX                             
                    PHX                             
                    PEA        $4744                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHD                             
                    PEA        $6744                
                    PEA        $7457                
                    TSC                             ; Line 19
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7777                
                    PEA        $7775                
                    PHY                             
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9B,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00A5               
                    TCS                             
                    PHX                             
                    PHX                             
                    PEA        $5737                
                    TSC                             ; Line 23
                    ADC        #$00A6               
                    TCS                             
                    PEA        $3233                
                    PEA        $3733                
                    PEA        $3323                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    PEA        $6366                
                    PEA        $2723                
                    PEA        $6666                
                    TSC                             ; Line 25
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6677                
                    PEA        $7367                
                    PEA        $6666                
                    TSC                             ; Line 26
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7176                
                    PEA        $3753                
                    PEA        $7767                
                    PEA        $6766                
                    TSC                             ; Line 27
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7107               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6777                
                    PEA        $7373                
                    PEA        $7577                
                    PEA        $1616                
                    TSC                             ; Line 28
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $97,S                
                    LDA        $9C,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7676                
                    PHX                             
                    PHX                             
                    PEA        $7777                
                    TSC                             ; Line 29
                    ADC        #$00A3               
                    TCS                             
                    TXA                             
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$7057               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7577                
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 30
                    ADC        #$009F               
                    TCS                             
                    LDA        #$7577               
                    STA        $9D,S                
                    LDA        #$7777               
                    STA        $A4,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A2,S                
                    PHX                             
                    PEA        $7777                
                    TSC                             ; Line 32
                    ADC        #$013B               
                    TCS                             
                    TXA                             
                    STA        $0C,S                
                    TYA                             
                    STA        $A8,S                
                    STA        $AB,S                
                    LDA        $06,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $08,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$7507               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $AD,S                
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             ; Line 34
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $08,S                
                    STA        $0B,S                
                    LDA        #$7775               
                    STA        $A8,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A5,S                
                    LDA        $AB,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $07,S                
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $0D,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 36
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $08,S                
                    STA        $A8,S                
                    LDA        #$4544               
                    STA        $AC,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $06,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$5044               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A5,S                
                    LDA        $AA,S                
                    AND        #$000F               
                    ORA        #$5450               
                    STA        $AA,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A7,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BR_01E       CLC                             ; Sprite #01E : 38x48, 1611 bytes, 2582 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 15
                    LDY        #$7775               ; Pattern #2 : 10
                    LDA        #$6676               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $07,S                
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $06,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        #$3333               
                    STA        $06,S                
                    STA        $A6,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 4
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $07,S                
                    LDA        #$5445               
                    STA        $A6,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$5405               
                    STA        $05,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$4055               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $09,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $06,S                
                    STA        $A7,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $08,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $05,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 8
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5455               
                    STA        $07,S                
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $06,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4465               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$6045               
                    STA        $08,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00A9               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $9A,S                
                    PEA        $6745                
                    PEA        $4455                
                    PEA        $7657                
                    TSC                             ; Line 12
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $4544                
                    PEA        $6556                
                    TSC                             ; Line 13
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1066               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $5644                
                    PEA        $6557                
                    PHX                             
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7657                
                    PEA        $5654                
                    PEA        $6665                
                    PHY                             
                    TSC                             ; Line 15
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $7677                
                    PEA        $5756                
                    PEA        $5476                
                    PEA        $7576                
                    PHX                             
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $96,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A2,S                
                    PHX                             
                    PEA        $5756                
                    PEA        $5751                
                    PEA        $6667                
                    PHY                             
                    TSC                             ; Line 17
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $7675                
                    PEA        $7577                
                    PEA        $1555                
                    PEA        $5676                
                    PEA        $7676                
                    TSC                             ; Line 18
                    ADC        #$00AD               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $92,S                
                    PEA        $6666                
                    PEA        $7657                
                    PHX                             
                    PEA        $6765                
                    PEA        $1565                
                    PEA        $7766                
                    PEA        $6757                
                    TSC                             ; Line 19
                    ADC        #$00B1               
                    TCS                             
                    LDA        $8F,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $8F,S                
                    LDA        $97,S                
                    AND        #$0F00               
                    ORA        #$7067               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $6666                
                    PEA        $6677                
                    PEA        $7575                
                    PEA        $7766                
                    PEA        $7551                
                    PEA        $7677                
                    PEA        $6576                
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$7575               
                    STA        $A7,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A1,S                
                    LDA        #$44                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $1765                
                    PEA        $7757                
                    PEA        $5761                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $4467                
                    PEA        $6777                
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$009D               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $5676                
                    PEA        $7675                
                    PEA        $7566                
                    PEA        $7675                
                    TSC                             ; Line 22
                    ADC        #$00A9               
                    TCS                             
                    TDC                             
                    STA        $9E,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6665                
                    PEA        $6677                
                    PHX                             
                    PEA        $6677                
                    TSC                             ; Line 23
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A3,S                
                    PEA        $7575                
                    PEA        $1566                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A1,S                
                    PEA        $6777                
                    PEA        $5737                
                    PEA        $6376                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$000F               
                    ORA        #$5740               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3323                
                    PEA        $2261                
                    TSC                             ; Line 26
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $97,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A0,S                
                    PEA        $2722                
                    PEA        $2322                
                    PEA        $2272                
                    TSC                             ; Line 27
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $98,S                
                    PEA        $3732                
                    PHD                             
                    PHY                             
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $3636                
                    PEA        $6266                
                    PEA        $7757                
                    TSC                             ; Line 29
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $2336                
                    PEA        $6366                
                    PHY                             
                    TSC                             ; Line 30
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $6667                
                    PEA        $6367                
                    PEA        $6276                
                    PEA        $7757                
                    TSC                             ; Line 31
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $99,S                
                    PEA        $7676                
                    PEA        $7777                
                    PEA        $6666                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$6167               
                    STA        $99,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $97,S                
                    LDA        $9B,S                
                    AND        #$000F               
                    ORA        #$5760               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1666                
                    PEA        $6677                
                    PEA        $7765                
                    PHD                             
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    TDC                             
                    STA        $99,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $97,S                
                    LDA        $9B,S                
                    AND        #$000F               
                    ORA        #$5760               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $7677                
                    TSC                             ; Line 34
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    PEA        $6166                
                    PEA        $7757                
                    TSC                             ; Line 35
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $6661                
                    PHY                             
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $7616                
                    PEA        $7677                
                    TSC                             ; Line 36
                    ADC        #$009E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1666                
                    PEA        $7657                
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PEA        $6767                
                    PHX                             
                    TSC                             ; Line 37
                    ADC        #$009F               
                    TCS                             
                    PEA        $6661                
                    PHY                             
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $7667                
                    PEA        $7675                
                    TSC                             ; Line 38
                    ADC        #$009E               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    STA        $A5,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7067               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A3,S                
                    PEA        $7776                
                    PEA        $7657                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PHX                             
                    PEA        $7757                
                    TSC                             ; Line 40
                    ADC        #$0137               
                    TCS                             
                    TXA                             
                    STA        $04,S                
                    STA        $0B,S                
                    TYA                             
                    STA        $A5,S                
                    LDA        #$7555               
                    STA        $AB,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$7057               
                    STA        $06,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 42
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5557               
                    STA        $A3,S                
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$5705               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$7057               
                    STA        $05,S                
                    LDA        $0B,S                
                    AND        #$00F0               
                    ORA        #$5705               
                    STA        $0B,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A5,S                
                    LDA        $AB,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 44
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $04,S                
                    LDA        #$7557               
                    STA        $0C,S                
                    LDA        #$7544               
                    STA        $A3,S                
                    LDA        $02,S                
                    AND        #$000F               
                    ORA        #$5550               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0E,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 46
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    STA        $A2,S                
                    STA        $AC,S                
                    LDA        #$4544               
                    STA        $0D,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0A,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $11,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $02,S                
                    STA        $0C,S                
                    STA        $AE,S                
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $05,S                
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A4,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BF_01F       CLC                             ; Sprite #01F : 46x36, 1258 bytes, 2064 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 31
                    LDY        #$5757               ; Pattern #2 : 29
                    LDA        #$7777               ; Pattern #3 : 12
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0A,S                
                    STA        $AB,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014C               
                    TCS                             
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    PEA        $4544                
                    PEA        $4455                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5445                
                    PEA        $5554                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 8
                    ADC        #$0138               
                    TCS                             
                    LDA        #$5545               
                    STA        $0A,S                
                    LDA        #$4444               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $07,S                
                    SEP        #$20                 
                    LDA        $B0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $B0,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $1616                
                    PEA        $5644                
                    PEA        $5456                
                    TSC                             ; Line 11
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6661                
                    PEA        $6656                
                    PEA        $4454                
                    PEA        $6565                
                    PEA        $6616                
                    TSC                             ; Line 12
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6776                
                    PEA        $5644                
                    PEA        $5461                
                    PEA        $7666                
                    PEA        $6666                
                    TSC                             ; Line 13
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7676                
                    PEA        $6767                
                    PEA        $4554                
                    PEA        $6665                
                    PEA        $6767                
                    PEA        $6666                
                    TSC                             ; Line 14
                    ADC        #$00AF               
                    TCS                             
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $90,S                
                    REP        #$30                 
                    PEA        $6676                
                    PHD                             
                    PHD                             
                    PEA        $1545                
                    PEA        $1556                
                    PEA        $7677                
                    PHD                             
                    PEA        $7666                
                    TSC                             ; Line 15
                    ADC        #$00B2               
                    TCS                             
                    SEP        #$20                 
                    LDA        $8D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $8D,S                
                    REP        #$30                 
                    PEA        $6666                
                    PHD                             
                    PHX                             
                    PEA        $7577                
                    PEA        $6545                
                    PEA        $6575                
                    PHD                             
                    PHX                             
                    PEA        $7567                
                    TSC                             ; Line 16
                    ADC        #$00B3               
                    TCS                             
                    TXA                             
                    STA        $8D,S                
                    STA        $9E,S                
                    LDA        $8B,S                
                    AND        #$00F0               
                    ORA        #$4704               
                    STA        $8B,S                
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $92,S                
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $98,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    PEA        $4477                
                    PEA        $7757                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $5676                
                    PEA        $7557                
                    PHY                             
                    PHY                             
                    PEA        $5767                
                    TSC                             ; Line 17
                    ADC        #$00AB               
                    TCS                             
                    LDA        #$4444               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $96,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5507               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A1,S                
                    LDA        $A9,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A9,S                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00A4               
                    TCS                             
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7207               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7035               
                    STA        $A0,S                
                    PEA        $7375                
                    PEA        $5555                
                    PEA        $5523                
                    TSC                             ; Line 20
                    ADC        #$00A5               
                    TCS                             
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 21
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    PEA        $3757                
                    PEA        $5777                
                    PHD                             
                    TSC                             ; Line 22
                    ADC        #$00AB               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6777                
                    PEA        $7775                
                    PEA        $7535                
                    PHX                             
                    PHX                             
                    PEA        $7666                
                    TSC                             ; Line 23
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $7757                
                    PHY                             
                    PEA        $5353                
                    PHY                             
                    PEA        $7767                
                    TSC                             ; Line 24
                    ADC        #$00AC               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$1707               
                    STA        $92,S                
                    PEA        $7677                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $7761                
                    TSC                             ; Line 25
                    ADC        #$00AF               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $91,S                
                    PEA        $6167                
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $5767                
                    TSC                             ; Line 26
                    ADC        #$00AE               
                    TCS                             
                    LDA        #$6777               
                    STA        $92,S                
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$5067               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $1676                
                    PEA        $7675                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $7577                
                    TSC                             ; Line 27
                    ADC        #$00AE               
                    TCS                             
                    LDA        #$7657               
                    STA        $92,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $7757                
                    TSC                             ; Line 29
                    ADC        #$0132               
                    TCS                             
                    LDA        #$6777               
                    STA        $04,S                
                    LDA        #$7657               
                    STA        $A4,S                
                    LDA        #$6676               
                    STA        $B0,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $11,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $06,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A6,S                
                    LDA        $AF,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             ; Line 31
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6777               
                    STA        $05,S                
                    LDA        #$6657               
                    STA        $10,S                
                    LDA        #$7676               
                    STA        $A5,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $0F,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A4,S                
                    REP        #$30                 
                    TSC                             ; Line 33
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6777               
                    STA        $05,S                
                    LDA        #$6757               
                    STA        $0F,S                
                    LDA        #$4444               
                    STA        $A5,S                
                    LDA        $03,S                
                    AND        #$000F               
                    ORA        #$5550               
                    STA        $03,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$5060               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $13,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A1,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $AE,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B1,S                
                    LDA        $B3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $B0,S                
                    LDA        $A3,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A3,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 35
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    STA        $10,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    SEP        #$20                 
                    LDA        #$54                 
                    STA        $04,S                
                    STA        $0F,S                
                    LDA        $12,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $12,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BF_020       CLC                             ; Sprite #020 : 50x21, 997 bytes, 1632 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 24
                    LDY        #$7575               ; Pattern #2 : 15
                    LDA        #$6767               ; Pattern #3 : 7
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0B,S                
                    TSC                             ; Line 1
                    ADC        #$00AD               
                    TCS                             
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $3533                
                    PEA        $3353                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4644               
                    STA        $94,S                
                    LDA        #$4464               
                    STA        $A9,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$1066               
                    STA        $96,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $A7,S                
                    PEA        $4545                
                    PEA        $5454                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $A9,S                
                    PEA        $4454                
                    PEA        $4544                
                    TSC                             ; Line 4
                    ADC        #$009C               
                    TCS                             
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9D,S                
                    PEA        $1676                
                    PEA        $7646                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $7657                
                    PEA        $4744                
                    PEA        $4474                
                    PEA        $7577                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $7666                
                    PEA        $6166                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PEA        $6567                
                    PHD                             
                    PEA        $6666                
                    PEA        $7757                
                    PEA        $7745                
                    PEA        $5475                
                    PEA        $7567                
                    PEA        $6766                
                    PHD                             
                    TSC                             ; Line 6
                    ADC        #$00B1               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $90,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $5777                
                    PEA        $4757                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 7
                    ADC        #$00B0               
                    TCS                             
                    PEA        $7571                
                    PEA        $6176                
                    PHY                             
                    PEA        $6575                
                    PEA        $7567                
                    PEA        $6676                
                    PHY                             
                    TSC                             ; Line 8
                    ADC        #$00AF               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$71                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $5717                
                    PHD                             
                    PEA        $6766                
                    PEA        $5577                
                    PEA        $5765                
                    PEA        $6667                
                    PEA        $1757                
                    TSC                             ; Line 9
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $7775                
                    PEA        $7767                
                    PEA        $3633                
                    PEA        $3376                
                    PHY                             
                    PEA        $7171                
                    TSC                             ; Line 10
                    ADC        #$00AD               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $93,S                
                    PEA        $6657                
                    PHX                             
                    PEA        $7767                
                    PEA        $3666                
                    PHX                             
                    PHD                             
                    TSC                             ; Line 11
                    ADC        #$00AC               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $93,S                
                    PEA        $7676                
                    PHY                             
                    PEA        $7577                
                    PEA        $7373                
                    PHY                             
                    PEA        $1576                
                    TSC                             ; Line 12
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$7676               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$F00F               
                    ORA        #$0560               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $98,S                
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $6677                
                    PHX                             
                    PEA        $5777                
                    PEA        $6757                
                    PHX                             
                    PEA        $6567                
                    TSC                             ; Line 13
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$6657               
                    STA        $9F,S                
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $93,S                
                    LDA        $95,S                
                    AND        #$0F00               
                    ORA        #$7066               
                    STA        $95,S                
                    LDA        $9D,S                
                    AND        #$F00F               
                    ORA        #$0750               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $5575                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 14
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7676               
                    STA        $98,S                
                    LDA        #$6676               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $97,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             ; Line 15
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6677               
                    STA        $98,S                
                    LDA        #$6657               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    TSC                             ; Line 17
                    ADC        #$0136               
                    TCS                             
                    LDA        #$7676               
                    STA        $06,S                
                    LDA        #$6576               
                    STA        $11,S                
                    LDA        #$6777               
                    STA        $A6,S                
                    LDA        #$6757               
                    STA        $B0,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0F,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$000F               
                    ORA        #$5550               
                    STA        $A4,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B3,S                
                    LDA        $B5,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B5,S                
                    LDA        $B7,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B7,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $05,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $08,S                
                    LDA        $13,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $13,S                
                    LDA        $B2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $B2,S                
                    REP        #$30                 
                    TSC                             ; Line 19
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $06,S                
                    STA        $A6,S                
                    STA        $B1,S                
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $02,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$F000               
                    ORA        #$0544               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $15,S                
                    LDA        $17,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $17,S                
                    LDA        $A4,S                
                    AND        #$000F               
                    ORA        #$5450               
                    STA        $A4,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $AE,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$54                 
                    STA        $B0,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $08,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BF_021       CLC                             ; Sprite #021 : 50x18, 679 bytes, 1119 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 20
                    LDY        #$5757               ; Pattern #2 : 14
                    LDA        #$7777               ; Pattern #3 : 8
                    TCD                             
*--                                                 
                    LDA        #$3333               ; Line 0
                    STA        $0B,S                
                    LDA        #$4545               
                    STA        $AC,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$4505               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $0D,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $0C,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    TSC                             ; Line 3
                    ADC        #$00AF               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $7666                
                    PEA        $5747                
                    PEA        $5777                
                    PEA        $6666                
                    TSC                             ; Line 4
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $A1,S                
                    PEA        $1666                
                    PEA        $7766                
                    PEA        $7677                
                    PEA        $7676                
                    PEA        $6766                
                    TSC                             ; Line 5
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $93,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6767                
                    PEA        $6677                
                    PEA        $7757                
                    PHY                             
                    PEA        $6666                
                    TSC                             ; Line 6
                    ADC        #$00AF               
                    TCS                             
                    TYA                             
                    STA        $91,S                
                    LDA        $8F,S                
                    AND        #$00F0               
                    ORA        #$4704               
                    STA        $8F,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4064               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $7775                
                    PEA        $7566                
                    PEA        $3333                
                    PEA        $3333                
                    PEA        $7375                
                    PHX                             
                    PEA        $6566                
                    TSC                             ; Line 7
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$4544               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $97,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $3767                
                    PEA        $6773                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $6657                
                    PHY                             
                    TSC                             ; Line 8
                    ADC        #$009E               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A2,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A6,S                
                    PHD                             
                    PEA        $3577                
                    PEA        $7666                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $4474                
                    PHX                             
                    TSC                             ; Line 9
                    ADC        #$009D               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$1076               
                    STA        $A2,S                
                    PHD                             
                    PEA        $5753                
                    PEA        $7377                
                    PEA        $6717                
                    TSC                             ; Line 10
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$1066               
                    STA        $A2,S                
                    PEA        $7677                
                    PHX                             
                    PHX                             
                    PEA        $7577                
                    PEA        $7661                
                    TSC                             ; Line 11
                    ADC        #$00AB               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $94,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$1066               
                    STA        $A2,S                
                    PEA        $6777                
                    PHY                             
                    PHY                             
                    PHY                             
                    PHD                             
                    PEA        $1666                
                    TSC                             ; Line 12
                    ADC        #$00AD               
                    TCS                             
                    LDA        $90,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $90,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $93,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7775                
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $7577                
                    TSC                             ; Line 13
                    ADC        #$00A3               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AE,S                
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $99,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6676                
                    PEA        $7657                
                    PHY                             
                    TSC                             ; Line 14
                    ADC        #$009A               
                    TCS                             
                    LDA        $AF,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9A,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A9,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $AE,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7567                
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $6666                
                    PEA        $7775                
                    PHX                             
                    TSC                             ; Line 15
                    ADC        #$0097               
                    TCS                             
                    LDA        #$4444               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        #$47                 
                    STA        $9F,S                
                    LDA        #$44                 
                    STA        $B1,S                
                    REP        #$30                 
                    PEA        $5747                
                    PEA        $4444                
                    TSC                             
                    ADC        #$0013               
                    TCS                             
                    PEA        $7677                
                    PHY                             
                    TSC                             ; Line 16
                    ADC        #$00A5               
                    TCS                             
                    LDA        $8B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $8B,S                
                    LDA        $8D,S                
                    AND        #$000F               
                    ORA        #$4450               
                    STA        $8D,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A2,S                
                    PEA        $4474                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00A5               
                    TCS                             
                    PEA        $4544                
                    PEA        $4457                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             

*-----------------------------------

Sprite_BL_022       CLC                             ; Sprite #022 : 44x56, 1845 bytes, 2956 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 18
                    LDY        #$5777               ; Pattern #2 : 18
                    LDA        #$7767               ; Pattern #3 : 15
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0A,S                
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $AB,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $4544                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $4555                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4545                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5045               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4544                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0139               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $08,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $AB,S                
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $08,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $1646                
                    PEA        $4467                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7067               
                    STA        $A0,S                
                    PEA        $5667                
                    PEA        $6144                
                    PEA        $7576                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    PEA        $7516                
                    PEA        $4654                
                    PEA        $6767                
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $7777                
                    PEA        $5667                
                    PEA        $6174                
                    PEA        $7576                
                    PEA        $4444                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $93,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $6775                
                    PEA        $1646                
                    PEA        $5747                
                    PEA        $4444                
                    TSC                             ; Line 17
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$4444               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $93,S                
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7756                
                    PEA        $6761                
                    PEA        $7444                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$0F0F               
                    ORA        #$6040               
                    STA        $96,S                
                    PEA        $7567                
                    PHD                             
                    PEA        $7516                
                    PEA        $6744                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4644               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $97,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1677                
                    PEA        $5677                
                    PEA        $1647                
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$6777               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $95,S                
                    LDA        $98,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7567                
                    PEA        $6671                
                    PEA        $6765                
                    PEA        $7157                
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $95,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    PHY                             
                    PEA        $6716                
                    PEA        $7716                
                    PEA        $7777                
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6766                
                    PEA        $1671                
                    PEA        $7775                
                    PEA        $7676                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $97,S                
                    PHY                             
                    PEA        $6776                
                    PEA        $7757                
                    PEA        $7667                
                    PEA        $7775                
                    TSC                             ; Line 24
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7775                
                    PEA        $6777                
                    PHD                             
                    PEA        $5657                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    PHY                             
                    PEA        $7757                
                    PEA        $7776                
                    PHX                             
                    TSC                             ; Line 26
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7777                
                    PEA        $5557                
                    PHD                             
                    PEA        $5657                
                    TSC                             ; Line 27
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $2277                
                    PEA        $7777                
                    PEA        $7666                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $2322                
                    PEA        $2277                
                    PEA        $6733                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $3533                
                    PEA        $3323                
                    PEA        $2233                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $5757                
                    PHY                             
                    PEA        $2763                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $6777                
                    PEA        $3732                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $6623                
                    PEA        $2663                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PHD                             
                    PEA        $3623                
                    PEA        $2673                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $7636                
                    PEA        $6227                
                    PEA        $6361                
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $7677                
                    PEA        $7316                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7666                
                    PEA        $7675                
                    PEA        $7567                
                    PEA        $6761                
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $5657                
                    PHY                             
                    PEA        $7616                
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $99,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7666                
                    PEA        $6675                
                    PHX                             
                    PEA        $7567                
                    PEA        $6761                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A9,S                
                    PHY                             
                    PEA        $7616                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $6777                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        #$7777               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7601               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A4,S                
                    PHX                             
                    PEA        $7567                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $7776                
                    PEA        $6666                
                    TSC                             ; Line 41
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$17                 
                    STA        $92,S                
                    LDA        #$66                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6767                
                    TSC                             ; Line 42
                    ADC        #$009A               
                    TCS                             
                    LDA        #$7766               
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A6,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHY                             
                    PEA        $7666                
                    TSC                             ; Line 43
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AC,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7761                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7766               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6767                
                    PEA        $6161                
                    TSC                             ; Line 45
                    ADC        #$00A5               
                    TCS                             
                    TDC                             
                    STA        $91,S                
                    LDA        #$7761               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $93,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1616                
                    TSC                             ; Line 47
                    ADC        #$0132               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    TDC                             
                    STA        $A3,S                
                    STA        $B1,S                
                    LDA        #$6767               
                    STA        $B0,S                
                    LDA        $B3,S                
                    AND        #$FF0F               
                    ORA        #$0050               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $03,S                
                    LDA        #$75                 
                    STA        $A5,S                
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $13,S                
                    LDA        $AF,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0012               
                    TCS                             
                    PEA        $7577                
                    PEA        $1666                
                    TSC                             ; Line 49
                    ADC        #$0132               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    STA        $B2,S                
                    TDC                             
                    STA        $A3,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $03,S                
                    LDA        #$75                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0013               
                    TCS                             
                    PEA        $7577                
                    PEA        $7676                
                    TSC                             ; Line 51
                    ADC        #$0131               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    LDA        #$7776               
                    STA        $11,S                
                    TDC                             
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $A5,S                
                    AND        #$F000               
                    ORA        #$0575               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $03,S                
                    LDA        #$75                 
                    STA        $13,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    LDA        $B1,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F00F               
                    ORA        #$0450               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$5044               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $12,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A0,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    LDA        $B4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B4,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    STA        $13,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0D,S                
                    LDA        $15,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $15,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BL_023       CLC                             ; Sprite #023 : 30x56, 1763 bytes, 2804 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$4444               ; Pattern #1 : 15
                    LDY        #$6767               ; Pattern #2 : 10
                    LDA        #$6766               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $08,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0A,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014A               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PHX                             
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5444               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    PEA        $5555                
                    PEA        $5445                
                    TSC                             ; Line 8
                    ADC        #$013A               
                    TCS                             
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $06,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $5544                
                    PHX                             
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    TXA                             
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    PEA        $5544                
                    PHX                             
                    TSC                             ; Line 11
                    ADC        #$013A               
                    TCS                             
                    TXA                             
                    STA        $08,S                
                    SEP        #$20                 
                    LDA        #$46                 
                    STA        $0A,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6144                
                    PEA        $7476                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7606               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7516                
                    PEA        $4654                
                    PHY                             
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $7756                
                    PEA        $6761                
                    PEA        $4475                
                    TSC                             ; Line 15
                    ADC        #$00A5               
                    TCS                             
                    LDA        $95,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6775                
                    PEA        $1646                
                    PEA        $5767                
                    PEA        $4744                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    TXA                             
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    PEA        $7756                
                    PEA        $6761                
                    PEA        $7475                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    TXA                             
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7767                
                    PEA        $7516                
                    PEA        $4647                
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00A9               
                    TCS                             
                    TXA                             
                    STA        $95,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $7756                
                    PEA        $6771                
                    PEA        $4644                
                    TSC                             ; Line 19
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$6744               
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$F00F               
                    ORA        #$0560               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $9B,S                
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $96,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6771                
                    PEA        $6775                
                    PEA        $6771                
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$7676               
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7707               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        #$47                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7766                
                    PEA        $1677                
                    PEA        $5616                
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $6671                
                    PEA        $6771                
                    TSC                             ; Line 22
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $7766                
                    PEA        $6611                
                    PEA        $7757                
                    PHY                             
                    PEA        $7775                
                    TSC                             ; Line 23
                    ADC        #$00AB               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7057               
                    STA        $9F,S                
                    PEA        $7775                
                    PEA        $7766                
                    PEA        $7777                
                    PEA        $6577                
                    PEA        $7657                
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A1,S                
                    PEA        $7776                
                    PEA        $7777                
                    PEA        $6675                
                    PEA        $7575                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7775                
                    PEA        $6757                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $5775                
                    PEA        $7577                
                    PEA        $6675                
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3603               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A0,S                
                    PEA        $7277                
                    PEA        $7767                
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A1,S                
                    PEA        $2222                
                    PEA        $7277                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    PEA        $3333                
                    PEA        $3322                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$6306               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A1,S                
                    PEA        $7575                
                    PEA        $7732                
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    PEA        $7776                
                    PEA        $2723                
                    TSC                             ; Line 32
                    ADC        #$00A6               
                    TCS                             
                    PEA        $7575                
                    PEA        $6727                
                    PEA        $3226                
                    PEA        $6366                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    PEA        $5777                
                    PEA        $7733                
                    PEA        $6666                
                    PEA        $2266                
                    TSC                             ; Line 34
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7567                
                    PHY                             
                    PEA        $7676                
                    PEA        $3666                
                    TSC                             ; Line 35
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    PEA        $5777                
                    PEA        $7666                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 36
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A1,S                
                    PHY                             
                    PEA        $6657                
                    PEA        $5776                
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7065               
                    STA        $A1,S                
                    PEA        $7676                
                    PEA        $6675                
                    PEA        $7567                
                    TSC                             ; Line 38
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$7776               
                    STA        $A0,S                
                    LDA        $9D,S                
                    AND        #$F00F               
                    ORA        #$0670               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9F,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6657                
                    PEA        $5777                
                    PEA        $7666                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6716               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$7067               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7575                
                    PHD                             
                    TSC                             ; Line 40
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6716               
                    STA        $9D,S                
                    TDC                             
                    STA        $A3,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5757                
                    PEA        $7766                
                    TSC                             ; Line 42
                    ADC        #$0143               
                    TCS                             
                    LDA        #$1666               
                    STA        $9D,S                
                    LDA        #$5767               
                    STA        $A6,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $A4,S                
                    PEA        $5777                
                    PEA        $6666                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $7577                
                    PEA        $1666                
                    TSC                             ; Line 44
                    ADC        #$0137               
                    TCS                             
                    LDA        #$6761               
                    STA        $03,S                
                    LDA        #$7577               
                    STA        $0C,S                
                    LDA        #$7666               
                    STA        $A3,S                
                    LDA        #$5767               
                    STA        $AC,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $05,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $0A,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 46
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $03,S                
                    LDA        #$7766               
                    STA        $0B,S                
                    LDA        #$7666               
                    STA        $A3,S                
                    TDC                             
                    STA        $AB,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $05,S                
                    LDA        #$75                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 48
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $03,S                
                    LDA        #$7577               
                    STA        $0C,S                
                    LDA        #$7666               
                    STA        $A3,S                
                    LDA        #$5767               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $05,S                
                    LDA        #$75                 
                    STA        $A5,S                
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0B,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 50
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $03,S                
                    LDA        #$7577               
                    STA        $0C,S                
                    LDA        #$7666               
                    STA        $A3,S                
                    LDA        #$5767               
                    STA        $AC,S                
                    LDA        $A5,S                
                    AND        #$F000               
                    ORA        #$0575               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $05,S                
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0B,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $03,S                
                    LDA        #$7577               
                    STA        $0C,S                
                    LDA        #$4544               
                    STA        $A4,S                
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $A1,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$56                 
                    STA        $0B,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A3,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $03,S                
                    STA        $0C,S                
                    STA        $A2,S                
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $01,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0A,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $05,S                
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AE,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             

*-----------------------------------                                
Sprite_BL_024       CLC                             ; Sprite #024 : 32x55, 1665 bytes, 2666 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$5757               ; Pattern #1 : 15
                    LDY        #$7775               ; Pattern #2 : 15
                    LDA        #$5777               ; Pattern #3 : 11
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $08,S                
                    STA        $A9,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0A,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014A               
                    TCS                             
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    PEA        $4544                
                    PEA        $4455                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5445                
                    PEA        $5554                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4454                
                    TSC                             ; Line 8
                    ADC        #$013A               
                    TCS                             
                    LDA        #$5545               
                    STA        $08,S                
                    LDA        #$4444               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0A,S                
                    LDA        $AA,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AA,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5744               
                    STA        $09,S                
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$5407               
                    STA        $07,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$7050               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $5744                
                    PEA        $5475                
                    TSC                             ; Line 12
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $4454                
                    PEA        $7165                
                    TSC                             ; Line 13
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $95,S                
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $5657                
                    PEA        $4554                
                    PEA        $7665                
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $93,S                
                    LDA        #$67                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6166                
                    PHD                             
                    PEA        $4515                
                    PHD                             
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    LDA        $94,S                
                    AND        #$000F               
                    ORA        #$7640               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $93,S                
                    LDA        #$56                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6675                
                    PHD                             
                    PEA        $4565                
                    PEA        $5767                
                    TSC                             ; Line 16
                    ADC        #$00A7               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$4704               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A1,S                
                    PHD                             
                    PEA        $4544                
                    PEA        $7175                
                    PEA        $7766                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7657               
                    STA        $96,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        #$47                 
                    STA        $95,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $7565                
                    PEA        $4444                
                    PEA        $5677                
                    PEA        $7767                
                    TSC                             ; Line 18
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A0,S                
                    PHX                             
                    PEA        $6646                
                    PEA        $4457                
                    PEA        $7757                
                    TSC                             ; Line 19
                    ADC        #$00A7               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $6556                
                    PEA        $5761                
                    PEA        $7577                
                    PEA        $7565                
                    PEA        $6777                
                    PEA        $7575                
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7705               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $5576                
                    PEA        $7577                
                    PHX                             
                    PEA        $7657                
                    TSC                             ; Line 21
                    ADC        #$00A3               
                    TCS                             
                    TXA                             
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$F00F               
                    ORA        #$0750               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A2,S                
                    LDA        $A9,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A9,S                
                    REP        #$30                 
                    PEA        $7575                
                    PEA        $7575                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7656                
                    PEA        $5715                
                    PHD                             
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $99,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7565                
                    PHD                             
                    TSC                             ; Line 23
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $5556                
                    PEA        $6175                
                    PEA        $7777                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6065               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6756                
                    PEA        $7675                
                    PEA        $7757                
                    TSC                             ; Line 25
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5066               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    TSC                             ; Line 26
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHD                             
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7675                
                    PHY                             
                    TSC                             ; Line 28
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3377                
                    PHX                             
                    PEA        $5733                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3232                
                    PEA        $3333                
                    PEA        $3323                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $3632                
                    PEA        $7227                
                    PEA        $2252                
                    TSC                             ; Line 31
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6637                
                    PEA        $3223                
                    PHY                             
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $3357                
                    PEA        $2357                
                    PHX                             
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $A1,S                
                    PEA        $2377                
                    PEA        $2277                
                    PHY                             
                    TSC                             ; Line 34
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A1,S                
                    PEA        $2357                
                    PEA        $7777                
                    PHX                             
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$6657               
                    STA        $9C,S                
                    LDA        #$6676               
                    STA        $A1,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9A,S                
                    LDA        $9F,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9F,S                
                    PHY                             
                    PEA        $6577                
                    PHY                             
                    TSC                             ; Line 37
                    ADC        #$013B               
                    TCS                             
                    LDA        #$7677               
                    STA        $07,S                
                    STA        $0C,S                
                    LDA        #$6677               
                    STA        $A7,S                
                    STA        $AC,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $05,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $0A,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $A5,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AA,S                
                    TSC                             ; Line 39
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7676               
                    STA        $07,S                
                    LDA        #$7677               
                    STA        $0C,S                
                    TXA                             
                    STA        $AB,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $05,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $0A,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $05,S                
                    STA        $0B,S                
                    TXA                             
                    STA        $A5,S                
                    STA        $AB,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $07,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $0D,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$6067               
                    STA        $A7,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AD,S                
                    TSC                             ; Line 43
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $05,S                
                    LDA        #$7575               
                    STA        $0B,S                
                    TXA                             
                    STA        $A5,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $0D,S                
                    LDA        $AB,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$6077               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $07,S                
                    LDA        #$66                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $05,S                
                    STA        $0C,S                
                    TXA                             
                    STA        $AC,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$6057               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $AE,S                
                    LDA        $07,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $07,S                
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $0C,S                
                    LDA        #$6657               
                    STA        $A5,S                
                    STA        $AD,S                
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$6076               
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $0E,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A4,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7677               
                    STA        $05,S                
                    STA        $0D,S                
                    LDA        #$6657               
                    STA        $A5,S                
                    LDA        #$7657               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0C,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A4,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7677               
                    STA        $05,S                
                    LDA        #$7675               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AE,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $04,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $04,S                
                    LDA        #$4454               
                    STA        $0D,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $02,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AF,S                
                    LDA        $06,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $06,S                
                    LDA        $0F,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BL_025       CLC                             ; Sprite #025 : 44x56, 1863 bytes, 2992 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 24
                    LDY        #$5777               ; Pattern #2 : 17
                    LDA        #$7767               ; Pattern #3 : 14
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0B,S                
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $AC,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $4544                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $4555                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4545                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5045               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $99,S                
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4544                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0138               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $04,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A4,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $09,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $05,S                
                    STA        $A5,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $08,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $1646                
                    PEA        $5476                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$7605               
                    STA        $97,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$7601               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    PEA        $5667                
                    PEA        $6144                
                    PEA        $6567                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7107               
                    STA        $98,S                
                    PEA        $7516                
                    PEA        $4654                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $97,S                
                    AND        #$F000               
                    ORA        #$0166               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6667                
                    PEA        $5667                
                    PEA        $6154                
                    PEA        $7617                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$7107               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    PEA        $7776                
                    PEA        $6775                
                    PEA        $1646                
                    PEA        $6567                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6605               
                    STA        $97,S                
                    PEA        $6777                
                    PEA        $5647                
                    PEA        $6465                
                    PEA        $7766                
                    TSC                             ; Line 18
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7607               
                    STA        $95,S                
                    PHY                             
                    PEA        $7675                
                    PEA        $6744                
                    PEA        $4456                
                    PEA        $6767                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6705               
                    STA        $95,S                
                    PHX                             
                    PEA        $6755                
                    PEA        $4444                
                    PEA        $4461                
                    PEA        $7576                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$76                 
                    STA        $96,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6665                
                    PEA        $4464                
                    PEA        $7516                
                    PEA        $5767                
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $96,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6766                
                    PEA        $4775                
                    PEA        $5767                
                    PEA        $7175                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $98,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6657                
                    PHY                             
                    PEA        $6775                
                    PEA        $5657                
                    TSC                             ; Line 23
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7775                
                    PEA        $7577                
                    PEA        $7756                
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $5757                
                    PEA        $5757                
                    PEA        $7777                
                    PEA        $6767                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHD                             
                    PEA        $7666                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    PEA        $6767                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $2277                
                    PEA        $7776                
                    PEA        $7666                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $3323                
                    PEA        $2222                
                    PHD                             
                    TSC                             ; Line 29
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $3533                
                    PEA        $3323                
                    PEA        $2223                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $5757                
                    PHY                             
                    PEA        $2723                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $6777                
                    PEA        $3732                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $6623                
                    PEA        $2663                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PHD                             
                    PEA        $3623                
                    PEA        $2673                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $7636                
                    PEA        $6227                
                    PEA        $6361                
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $7677                
                    PEA        $7316                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7666                
                    PEA        $7675                
                    PEA        $7567                
                    PEA        $6761                
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $5657                
                    PHY                             
                    PEA        $7616                
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $99,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7666                
                    PEA        $6675                
                    PHX                             
                    PEA        $7567                
                    PEA        $6761                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A9,S                
                    PHY                             
                    PEA        $7616                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $6777                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        #$7777               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7601               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A4,S                
                    PHX                             
                    PEA        $7567                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $7776                
                    PEA        $6666                
                    TSC                             ; Line 41
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$17                 
                    STA        $92,S                
                    LDA        #$66                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6767                
                    TSC                             ; Line 42
                    ADC        #$009A               
                    TCS                             
                    LDA        #$7766               
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A6,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHY                             
                    PEA        $7666                
                    TSC                             ; Line 43
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AC,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7761                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7766               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6767                
                    PEA        $6161                
                    TSC                             ; Line 45
                    ADC        #$00A5               
                    TCS                             
                    TDC                             
                    STA        $91,S                
                    LDA        #$7761               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $93,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1616                
                    TSC                             ; Line 47
                    ADC        #$0132               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    TDC                             
                    STA        $A3,S                
                    STA        $B1,S                
                    LDA        $AF,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $03,S                
                    LDA        #$75                 
                    STA        $A5,S                
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $13,S                
                    LDA        $B3,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $B3,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0012               
                    TCS                             
                    PEA        $7577                
                    PEA        $1666                
                    TSC                             ; Line 49
                    ADC        #$0132               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    STA        $B2,S                
                    TDC                             
                    STA        $A3,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $03,S                
                    LDA        #$75                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0013               
                    TCS                             
                    PEA        $7577                
                    PEA        $7676                
                    TSC                             ; Line 51
                    ADC        #$0131               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    LDA        #$7776               
                    STA        $11,S                
                    TDC                             
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $A5,S                
                    AND        #$F000               
                    ORA        #$0575               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $03,S                
                    LDA        #$75                 
                    STA        $13,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    LDA        $B1,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F00F               
                    ORA        #$0450               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$5044               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $12,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A0,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    LDA        $B4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B4,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    STA        $13,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0D,S                
                    LDA        $15,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $15,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             

*-----------------------------------                                
Sprite_BL_026       CLC                             ; Sprite #026 : 52x56, 1925 bytes, 3084 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 28
                    LDY        #$5757               ; Pattern #2 : 20
                    LDA        #$7777               ; Pattern #3 : 18
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $AE,S                
                    LDA        $0D,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $0D,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0F,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014F               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $4444                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5444               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $92,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $92,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5445                
                    TSC                             ; Line 8
                    ADC        #$0135               
                    TCS                             
                    LDA        #$6144               
                    STA        $A2,S                
                    LDA        $01,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $01,S                
                    LDA        $A0,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $5544                
                    PEA        $4444                
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5544                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0099               
                    TCS                             
                    LDA        #$4444               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $AB,S                
                    PEA        $6116                
                    PEA        $4644                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $4444                
                    PEA        $4444                
                    TSC                             ; Line 11
                    ADC        #$009A               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1666                
                    PEA        $6647                
                    TSC                             ; Line 12
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6544               
                    STA        $A9,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$7506               
                    STA        $A7,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$7067               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $7676                
                    PEA        $7775                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $5546                
                    PEA        $4467                
                    TSC                             ; Line 13
                    ADC        #$009B               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $6166                
                    PEA        $6757                
                    PHY                             
                    TSC                             ; Line 14
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$7076               
                    STA        $A7,S                
                    PEA        $1666                
                    PEA        $7176                
                    PEA        $7675                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $6777                
                    PEA        $5666                
                    PEA        $5666                
                    TSC                             ; Line 15
                    ADC        #$00A5               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A1,S                
                    PEA        $6767                
                    PEA        $7666                
                    PEA        $6666                
                    PEA        $6767                
                    PEA        $6757                
                    PHY                             
                    TSC                             ; Line 16
                    ADC        #$00AC               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A1,S                
                    PEA        $7667                
                    PEA        $6777                
                    PEA        $7676                
                    PEA        $7676                
                    PEA        $7775                
                    TSC                             ; Line 17
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $98,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7767                
                    PHD                             
                    PEA        $7757                
                    PHY                             
                    TSC                             ; Line 18
                    ADC        #$00AA               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A1,S                
                    PHD                             
                    PHD                             
                    PHD                             
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    PEA        $7757                
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A1,S                
                    PHD                             
                    PEA        $7775                
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $7757                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7577                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $7767                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7577                
                    PEA        $7676                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $5767                
                    PEA        $6767                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PEA        $7766                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $2257                
                    PEA        $5777                
                    PEA        $7766                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $2322                
                    PEA        $2277                
                    PEA        $6733                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $3533                
                    PEA        $3323                
                    PEA        $2233                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $5777                
                    PEA        $2763                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $6777                
                    PEA        $3732                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $6623                
                    PEA        $2663                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $7767                
                    PEA        $3623                
                    PEA        $2673                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $7636                
                    PEA        $6227                
                    PEA        $6361                
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $7677                
                    PEA        $7316                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7666                
                    PEA        $7675                
                    PEA        $7567                
                    PEA        $6761                
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $5657                
                    PEA        $5777                
                    PEA        $7616                
                    TSC                             ; Line 38
                    ADC        #$00AC               
                    TCS                             
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $98,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7776                
                    PEA        $6666                
                    PHX                             
                    PHX                             
                    PEA        $6767                
                    TSC                             ; Line 39
                    ADC        #$00A3               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A9,S                
                    PEA        $5777                
                    PEA        $7616                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $6777                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    TDC                             
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7601               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A4,S                
                    PHX                             
                    PEA        $7567                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $7776                
                    PEA        $6666                
                    TSC                             ; Line 41
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$17                 
                    STA        $92,S                
                    LDA        #$66                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6767                
                    TSC                             ; Line 42
                    ADC        #$009A               
                    TCS                             
                    LDA        #$7766               
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A6,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7767                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $5777                
                    PEA        $7666                
                    TSC                             ; Line 43
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AC,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7761                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7766               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7767                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6767                
                    PEA        $6161                
                    TSC                             ; Line 45
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$7767               
                    STA        $91,S                
                    LDA        #$7761               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $93,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1616                
                    TSC                             ; Line 47
                    ADC        #$012E               
                    TCS                             
                    LDA        #$5777               
                    STA        $08,S                
                    LDA        #$7767               
                    STA        $A7,S                
                    STA        $B5,S                
                    LDA        #$6767               
                    STA        $B4,S                
                    LDA        $B7,S                
                    AND        #$FF0F               
                    ORA        #$0050               
                    STA        $B7,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $07,S                
                    LDA        #$75                 
                    STA        $A9,S                
                    LDA        $17,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $17,S                
                    LDA        $B3,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $B3,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0016               
                    TCS                             
                    PEA        $7577                
                    PEA        $1666                
                    TSC                             ; Line 49
                    ADC        #$012E               
                    TCS                             
                    LDA        #$5777               
                    STA        $08,S                
                    STA        $B6,S                
                    LDA        #$7767               
                    STA        $A7,S                
                    LDA        $B4,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $B4,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $07,S                
                    LDA        #$75                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0017               
                    TCS                             
                    PEA        $7577                
                    PEA        $7676                
                    TSC                             ; Line 51
                    ADC        #$012D               
                    TCS                             
                    LDA        #$5777               
                    STA        $08,S                
                    LDA        #$7776               
                    STA        $15,S                
                    LDA        #$7767               
                    STA        $A7,S                
                    STA        $B6,S                
                    LDA        $A9,S                
                    AND        #$F000               
                    ORA        #$0575               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $07,S                
                    LDA        #$75                 
                    STA        $17,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A6,S                
                    LDA        $B5,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A7,S                
                    STA        $B6,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F00F               
                    ORA        #$0450               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$5044               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $12,S                
                    LDA        $14,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $14,S                
                    LDA        $16,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $16,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A4,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B4,S                
                    SEP        #$20                 
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A6,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A9,S                
                    LDA        $B8,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B8,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $07,S                
                    STA        $17,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $05,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0F,S                
                    SEP        #$20                 
                    LDA        $11,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $11,S                
                    LDA        $19,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $19,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts                             
                    PLB
                    RTL                             
                    
*-----------------------------------                                
Sprite_BL_027       CLC                             ; Sprite #027 : 50x56, 1927 bytes, 3129 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 33
                    LDY        #$5757               ; Pattern #2 : 23
                    LDA        #$7776               ; Pattern #3 : 17
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0D,S                
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $AE,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0B,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $4544                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $4555                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4545                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5045               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4544                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0136               
                    TCS                             
                    LDA        #$4444               
                    STA        $0C,S                
                    LDA        #$4644               
                    STA        $AE,S                
                    LDA        $0E,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0E,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4774               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F00               
                    ORA        #$5075               
                    STA        $0F,S                
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $B0,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 13
                    ADC        #$00AF               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5067               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5747                
                    PEA        $5467                
                    TSC                             ; Line 14
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6775                
                    PEA        $4475                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7777                
                    PEA        $7676                
                    PEA        $4477                
                    TSC                             ; Line 16
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $5767                
                    PEA        $6767                
                    PEA        $6654                
                    TSC                             ; Line 17
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    PEA        $6676                
                    TSC                             ; Line 18
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $99,S                
                    PHY                             
                    PEA        $7767                
                    PEA        $6766                
                    TSC                             ; Line 19
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7577                
                    PHD                             
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $97,S                
                    PHY                             
                    PHY                             
                    PEA        $7777                
                    PEA        $6767                
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PHD                             
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $91,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    PHY                             
                    PHY                             
                    PEA        $7767                
                    PEA        $6767                
                    TSC                             ; Line 23
                    ADC        #$00A8               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $91,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A1,S                
                    PHX                             
                    PEA        $7577                
                    PHX                             
                    PHD                             
                    PEA        $6666                
                    PEA        $6666                
                    PEA        $6646                
                    TSC                             ; Line 24
                    ADC        #$00AE               
                    TCS                             
                    LDA        $91,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $91,S                
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6767                
                    PHY                             
                    PEA        $5777                
                    PHD                             
                    PEA        $7676                
                    PEA        $7646                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $99,S                
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $7576                
                    PEA        $7676                
                    TSC                             ; Line 26
                    ADC        #$009E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A9,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $A9,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PHY                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHY                             
                    PEA        $5777                
                    PEA        $6766                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3603               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A0,S                
                    PEA        $7275                
                    PEA        $7577                
                    PEA        $6766                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A1,S                
                    PEA        $2222                
                    PEA        $7277                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    PEA        $3333                
                    PEA        $3322                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$6306               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A1,S                
                    PHX                             
                    PEA        $7732                
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3206               
                    STA        $9B,S                
                    PHD                             
                    PEA        $7723                
                    TSC                             ; Line 32
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6767                
                    PEA        $3662                
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $98,S                
                    PEA        $5777                
                    PEA        $7766                
                    PEA        $3362                
                    PEA        $3267                
                    TSC                             ; Line 34
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6767                
                    PEA        $6723                
                    PEA        $7632                
                    TSC                             ; Line 35
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $96,S                
                    PHY                             
                    PHD                             
                    PEA        $6666                
                    PEA        $7737                
                    PEA        $6761                
                    TSC                             ; Line 36
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7567                
                    PEA        $6766                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 37
                    ADC        #$00AA               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    PHY                             
                    PHD                             
                    PEA        $6666                
                    PHX                             
                    PEA        $7567                
                    PEA        $6761                
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6701               
                    STA        $95,S                
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $5657                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A3,S                
                    PHX                             
                    PEA        $7567                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PHY                             
                    PHD                             
                    PEA        $6761                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$17                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7666                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHX                             
                    PEA        $6767                
                    TSC                             ; Line 41
                    ADC        #$009B               
                    TCS                             
                    LDA        #$7777               
                    STA        $9D,S                
                    LDA        #$6767               
                    STA        $A7,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7601               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A9,S                
                    PHX                             
                    PEA        $7767                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PHD                             
                    PEA        $6661                
                    TSC                             ; Line 43
                    ADC        #$0131               
                    TCS                             
                    LDA        #$7777               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        #$57                 
                    STA        $15,S                
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $06,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A6,S                
                    LDA        $B1,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PHX                             
                    PEA        $7717                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $7767                
                    PEA        $6661                
                    TSC                             ; Line 44
                    ADC        #$00A5               
                    TCS                             
                    TXA                             
                    STA        $93,S                
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $91,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7576                
                    PEA        $1616                
                    TSC                             ; Line 45
                    ADC        #$00A4               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $91,S                
                    LDA        $93,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $5767                
                    PEA        $6161                
                    TSC                             ; Line 46
                    ADC        #$00A5               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $90,S                
                    LDA        $92,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $92,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1716                
                    TSC                             ; Line 47
                    ADC        #$00A4               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $90,S                
                    LDA        $92,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $92,S                
                    PEA        $5777                
                    PEA        $6761                
                    TSC                             ; Line 48
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6767               
                    STA        $9E,S                
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $90,S                
                    LDA        $92,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $92,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7666                
                    TSC                             ; Line 50
                    ADC        #$012E               
                    TCS                             
                    TDC                             
                    STA        $14,S                
                    LDA        $06,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $08,S                
                    LDA        $16,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $16,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A8,S                
                    LDA        $B4,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $B6,S                
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7756               
                    STA        $06,S                
                    TDC                             
                    STA        $15,S                
                    LDA        #$4544               
                    STA        $A7,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $11,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A3,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0405               
                    STA        $B4,S                
                    SEP        #$20                 
                    LDA        #$77                 
                    STA        $08,S                
                    LDA        #$44                 
                    STA        $B6,S                
                    LDA        $17,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $17,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $06,S                
                    STA        $16,S                
                    STA        $A5,S                
                    STA        $B7,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $04,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $13,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A7,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$54                 
                    STA        $15,S                
                    LDA        $08,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $08,S                
                    LDA        $B0,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $B0,S                
                    LDA        $B6,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $B6,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_BL_028       CLC                             ; Sprite #028 : 44x56, 2006 bytes, 3239 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 34
                    LDY        #$5757               ; Pattern #2 : 24
                    LDA        #$7777               ; Pattern #3 : 19
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0A,S                
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $AB,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $4544                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $95,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A4,S                
                    PEA        $5555                
                    PEA        $4555                
                    TSC                             ; Line 7
                    ADC        #$00A7               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $92,S                
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4444                
                    PEA        $4545                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$4444               
                    STA        $98,S                
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$4045               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $91,S                
                    LDA        #$77                 
                    STA        $A1,S                
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $6767                
                    PEA        $6767                
                    PEA        $4444                
                    PEA        $4544                
                    PEA        $4444                
                    TSC                             ; Line 9
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$4444               
                    STA        $99,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $91,S                
                    LDA        #$75                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    TSC                             ; Line 10
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5777               
                    STA        $A0,S                
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $90,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $98,S                
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9F,S                
                    LDA        $92,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $92,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    TSC                             ; Line 12
                    ADC        #$0133               
                    TCS                             
                    TXA                             
                    STA        $11,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $01,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $0F,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $03,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $03,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $08,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A3,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A7,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $1646                
                    PEA        $4467                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    TXA                             
                    STA        $95,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $94,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $5667                
                    PEA        $4644                
                    PEA        $5676                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PHY                             
                    PEA        $7766                
                    TSC                             ; Line 14
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $90,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7766                
                    PEA        $6675                
                    PEA        $1644                
                    PEA        $5417                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $90,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7767                
                    PEA        $6757                
                    PEA        $6744                
                    PEA        $5467                
                    PEA        $7767                
                    PEA        $6667                
                    PEA        $6767                
                    TSC                             ; Line 16
                    ADC        #$00AF               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $91,S                
                    PHX                             
                    PEA        $7776                
                    PEA        $5767                
                    PEA        $4454                
                    PEA        $1677                
                    PEA        $7676                
                    PEA        $7676                
                    TSC                             ; Line 17
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7767                
                    PEA        $7765                
                    PEA        $4155                
                    PEA        $6177                
                    PHD                             
                    PEA        $7775                
                    TSC                             ; Line 18
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    PEA        $5746                
                    PEA        $7576                
                    PHD                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    PEA        $5716                
                    PEA        $6576                
                    PEA        $7775                
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    PEA        $6551                
                    PEA        $7757                
                    PHY                             
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    PHY                             
                    PHD                             
                    PEA        $5716                
                    PHD                             
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7765                
                    PEA        $7157                
                    TSC                             ; Line 23
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    PEA        $5716                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PEA        $7565                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $2257                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $2322                
                    PEA        $2275                
                    PEA        $5533                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $3533                
                    PEA        $3323                
                    PEA        $2233                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $5777                
                    PEA        $2763                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $6777                
                    PEA        $3732                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $6623                
                    PEA        $2663                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $7767                
                    PEA        $3623                
                    PEA        $2673                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $7776                
                    PEA        $7636                
                    PEA        $6227                
                    PEA        $6361                
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $7677                
                    PEA        $7316                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7666                
                    PEA        $7675                
                    PEA        $7567                
                    PEA        $6761                
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7567                
                    PEA        $6766                
                    PEA        $5657                
                    PEA        $5777                
                    PEA        $7616                
                    TSC                             ; Line 38
                    ADC        #$00AC               
                    TCS                             
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $98,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7776                
                    PEA        $6666                
                    PHX                             
                    PHX                             
                    PEA        $6767                
                    TSC                             ; Line 39
                    ADC        #$00A3               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6706               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A9,S                
                    PEA        $5777                
                    PEA        $7616                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $6777                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    TDC                             
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$7601               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A4,S                
                    PHX                             
                    PEA        $7567                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $7776                
                    PEA        $6666                
                    TSC                             ; Line 41
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$17                 
                    STA        $92,S                
                    LDA        #$66                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6767                
                    TSC                             ; Line 42
                    ADC        #$009A               
                    TCS                             
                    LDA        #$7766               
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A6,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7767                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $5777                
                    PEA        $7666                
                    TSC                             ; Line 43
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $AC,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7761                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$7766               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7767                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6767                
                    PEA        $6161                
                    TSC                             ; Line 45
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$7767               
                    STA        $91,S                
                    LDA        #$7761               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $93,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1616                
                    TSC                             ; Line 47
                    ADC        #$0132               
                    TCS                             
                    LDA        #$5777               
                    STA        $04,S                
                    LDA        #$7767               
                    STA        $A3,S                
                    STA        $B1,S                
                    LDA        #$6767               
                    STA        $B0,S                
                    LDA        $B3,S                
                    AND        #$FF0F               
                    ORA        #$0050               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$67                 
                    STA        $03,S                
                    LDA        #$75                 
                    STA        $A5,S                
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $13,S                
                    LDA        $AF,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0012               
                    TCS                             
                    PEA        $7577                
                    PEA        $1666                
                    TSC                             ; Line 49
                    ADC        #$0132               
                    TCS                             
                    LDA        #$5777               
                    STA        $04,S                
                    STA        $B2,S                
                    LDA        #$7767               
                    STA        $A3,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $03,S                
                    LDA        #$75                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0013               
                    TCS                             
                    PEA        $7577                
                    PEA        $7676                
                    TSC                             ; Line 51
                    ADC        #$0131               
                    TCS                             
                    LDA        #$5777               
                    STA        $04,S                
                    LDA        #$7776               
                    STA        $11,S                
                    LDA        #$7767               
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $A5,S                
                    AND        #$F000               
                    ORA        #$0575               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $03,S                
                    LDA        #$75                 
                    STA        $13,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A2,S                
                    LDA        $B1,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F00F               
                    ORA        #$0450               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$5044               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $12,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A0,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    LDA        $B4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B4,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    STA        $13,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0D,S                
                    LDA        $15,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $15,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                    
*-----------------------------------                                
Sprite_BL_029       CLC                             ; Sprite #029 : 48x56, 1816 bytes, 2884 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$7575               ; Pattern #1 : 13
                    LDY        #$7777               ; Pattern #2 : 13
                    LDA        #$6767               ; Pattern #3 : 12
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $06,S                
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $05,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A4,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $01,S                
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5545                
                    PEA        $4444                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    PEA        $5545                
                    PEA        $5445                
                    TSC                             ; Line 7
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4444               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5045               
                    STA        $9F,S                
                    PEA        $5545                
                    PEA        $4544                
                    TSC                             ; Line 9
                    ADC        #$0143               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4444                
                    TSC                             ; Line 11
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$5777               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4604               
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7077               
                    STA        $A1,S                
                    PEA        $5767                
                    PEA        $4644                
                    TSC                             ; Line 13
                    ADC        #$013B               
                    TCS                             
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $04,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$5077               
                    STA        $0A,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$7506               
                    STA        $A4,S                
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PEA        $7775                
                    PEA        $4654                
                    TSC                             ; Line 14
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7755                
                    PEA        $6744                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7757                
                    PEA        $6744                
                    PEA        $7567                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7567                
                    PHY                             
                    PEA        $7546                
                    PEA        $5776                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$4706               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    PEA        $7767                
                    PEA        $7177                
                    PEA        $7567                
                    PEA        $5766                
                    TSC                             ; Line 18
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $6676                
                    PEA        $7757                
                    PEA        $7754                
                    TSC                             ; Line 19
                    ADC        #$00A7               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A0,S                
                    PEA        $5777                
                    PEA        $1677                
                    PEA        $5775                
                    PEA        $6744                
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $6567                
                    PEA        $7177                
                    PEA        $6546                
                    TSC                             ; Line 21
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7676                
                    PEA        $7767                
                    PEA        $7775                
                    TSC                             ; Line 22
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $95,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$7706               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7057               
                    STA        $A0,S                
                    PEA        $7775                
                    PEA        $6716                
                    PEA        $6676                
                    PEA        $5767                
                    TSC                             ; Line 23
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$7505               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $5777                
                    PEA        $7756                
                    PEA        $5777                
                    TSC                             ; Line 24
                    ADC        #$00A1               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$4704               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $7567                
                    PEA        $6746                
                    PEA        $4444                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $7275                
                    PHX                             
                    TSC                             ; Line 25
                    ADC        #$009E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7677                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $7357                
                    PEA        $5757                
                    TSC                             ; Line 26
                    ADC        #$009E               
                    TCS                             
                    LDA        #$5757               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$F00F               
                    ORA        #$0650               
                    STA        $A0,S                
                    PEA        $7576                
                    PEA        $7775                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $7523                
                    PEA        $7277                
                    PHY                             
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    TXA                             
                    STA        $97,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$6707               
                    STA        $9A,S                
                    PEA        $5537                
                    PEA        $2322                
                    PHY                             
                    TSC                             ; Line 28
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$7703               
                    STA        $99,S                
                    PEA        $5577                
                    PEA        $7737                
                    PEA        $3367                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    PEA        $7775                
                    PHY                             
                    PEA        $3623                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5577                
                    PEA        $7767                
                    PEA        $6727                
                    PEA        $2233                
                    TSC                             ; Line 31
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7676                
                    PEA        $2623                
                    PEA        $7626                
                    TSC                             ; Line 32
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $5757                
                    PHD                             
                    PEA        $6626                
                    PEA        $3363                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$6306               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $A0,S                
                    PHX                             
                    PEA        $7666                
                    PEA        $6637                
                    PEA        $2363                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6306               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $A1,S                
                    PHD                             
                    PEA        $6657                
                    PEA        $3767                
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $99,S                
                    PEA        $7666                
                    PEA        $6675                
                    PEA        $7577                
                    TSC                             ; Line 36
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$4074               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $5756                
                    PEA        $6766                
                    PEA        $6657                
                    PEA        $5767                
                    TSC                             ; Line 37
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $7766                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $7667                
                    PHD                             
                    PHD                             
                    PEA        $7767                
                    PEA        $6661                
                    TSC                             ; Line 38
                    ADC        #$009F               
                    TCS                             
                    LDA        #$7766               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9F,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$1707               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5757                
                    PHD                             
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $4474                
                    PHY                             
                    PEA        $7776                
                    PEA        $7676                
                    PEA        $7666                
                    PEA        $6666                
                    TSC                             ; Line 39
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$6766               
                    STA        $90,S                
                    LDA        $92,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $92,S                
                    LDA        $9F,S                
                    AND        #$000F               
                    ORA        #$4450               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $8F,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $8F,S                
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $4474                
                    PHX                             
                    PHX                             
                    PEA        $7767                
                    PHD                             
                    TSC                             ; Line 40
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$7766               
                    STA        $92,S                
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $94,S                
                    LDA        $9D,S                
                    AND        #$0F00               
                    ORA        #$7075               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        $91,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $91,S                
                    REP        #$30                 
                    PEA        $5757                
                    PEA        $5757                
                    PEA        $5777                
                    PEA        $5677                
                    TSC                             ; Line 41
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1716               
                    STA        $96,S                
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$5057               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $95,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$0133               
                    TCS                             
                    LDA        #$7766               
                    STA        $07,S                
                    LDA        #$6766               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $09,S                
                    LDA        #$57                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7766               
                    STA        $07,S                
                    TDC                             
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $09,S                
                    LDA        #$57                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7766               
                    STA        $07,S                
                    LDA        #$6766               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $09,S                
                    LDA        #$57                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7766               
                    STA        $07,S                
                    LDA        #$5767               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        #$75                 
                    STA        $09,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$7567               
                    STA        $08,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F000               
                    ORA        #$0557               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$000F               
                    ORA        #$7750               
                    STA        $07,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $12,S                
                    LDA        $14,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $14,S                
                    LDA        $16,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $16,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F000               
                    ORA        #$0545               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B1,S                
                    LDA        $B3,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B3,S                
                    LDA        $B5,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $B5,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $09,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4454               
                    STA        $07,S                
                    LDA        $01,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $05,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$5050               
                    STA        $0F,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             

********************************************************************************
