******************************************************************************************
*                                                                                        *
*  AppleIIgsKarate.Sprite3.s :  Compiled Sprites display Code for Sprite Bank #3.        *
*                                                                                        *
******************************************************************************************
*  Authors : Antoine VIGNAU / Olivier ZARDINI  *  Brutal Deluxe Software  *  April 2022  *
******************************************************************************************

*----------   Merlin 16+ Directives   ---------

                    mx         %00                  ; Assemble in 16 bit

                    rel                             ; Build a relocated S16 file
                    dsk        Sprite3.l            ; Name of the Segment

**************************************************************************************
*  DrawSpriteBank3() :  Display a Sprite on the Screen (IN:A=SpriteID,IN:Y=@Screen). *
**************************************************************************************
DrawSpriteBank3     ENT                             ; First Byte of this Segment
                    PHB
                    PHK
                    PLB                             ; Y=Target Screen Address ($2000-$9D00)
                    DEC                             ; A=Sprite Number ($0001-$008A)
                    ASL  
                    TAX
                    JMP        (TabSpriteBank3,X)

*----------   DrawSpriteBank3 Variables   ---------  
TabSpriteBank3      DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_BR_000
                    DA         Sprite_BR_000,Sprite_BR_000,Sprite_BR_000,Sprite_RR_054,Sprite_RR_055,Sprite_RR_056,Sprite_RR_057,Sprite_RR_058
                    DA         Sprite_RR_059,Sprite_RR_05A,Sprite_RR_05B,Sprite_RR_05C,Sprite_RR_05D,Sprite_RR_05E,Sprite_RF_05F,Sprite_RF_060
                    DA         Sprite_RF_061,Sprite_RL_062,Sprite_RL_063,Sprite_RL_064,Sprite_RL_065,Sprite_RL_066,Sprite_RL_067,Sprite_RL_068
                    DA         Sprite_RL_069,Sprite_RL_06A,Sprite_RL_06B,Sprite_RL_06C,Sprite_RL_06D,Sprite_RL_06E,Sprite_RL_06F,Sprite_RL_070
                    DA         Sprite_RL_071,Sprite_RL_072,Sprite_RL_073,Sprite_RL_074,Sprite_RL_075,Sprite_RL_076,Sprite_RL_077,Sprite_RL_078
                    DA         Sprite_RL_079,Sprite_RL_07A,Sprite_RL_07B,Sprite_RL_07C,Sprite_RL_07D,Sprite_RL_07E,Sprite_RL_07F,Sprite_5H_080
                    DA         Sprite_SM_081,Sprite_BR_000

StackAddress        HEX        0000

*--------------------------------------------------
Sprite_BR_000       PLB                             ; Sprite #0 does not exist
                    RTL

*-------------------------------------
                                                    
Sprite_RR_054       CLC                             ; Sprite #054 : 32x68, 1135 bytes, 1841 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 18
                    LDY        #$6161               ; Pattern #2 : 12
                    LDA        #$1161               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $04,S                
                    SEP        #$20                 
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $03,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00A6               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6656                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5555               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    PEA        $6656                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$013E               
                    TCS                             
                    LDA        #$6466               
                    STA        $04,S                
                    LDA        $02,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $6666                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6444                
                    PEA        $4666                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9D,S                
                    PEA        $4444                
                    PEA        $4466                
                    TSC                             ; Line 10
                    ADC        #$013E               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $05,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $02,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$1316               
                    STA        $9D,S                
                    LDA        #$1131               
                    STA        $A4,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $A2,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4014               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $1461                
                    TSC                             ; Line 13
                    ADC        #$013F               
                    TCS                             
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $01,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$4023               
                    STA        $0B,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$1306               
                    STA        $A1,S                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $2313                
                    PEA        $1131                
                    PEA        $3331                
                    PEA        $6166                
                    TSC                             ; Line 14
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $95,S                
                    PEA        $1132                
                    PEA        $1331                
                    PEA        $6361                
                    PHD                             
                    PEA        $1611                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4133                
                    PEA        $1111                
                    PEA        $1316                
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4444                
                    PEA        $3313                
                    PEA        $3161                
                    PEA        $6111                
                    PEA        $1313                
                    PEA        $1116                
                    TSC                             ; Line 17
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$3333               
                    PEA        $4444                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $3131                
                    PHD                             
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    PEA        $4144                
                    PEA        $1333                
                    PEA        $3313                
                    PEA        $1313                
                    PEA        $1311                
                    PEA        $1116                
                    TSC                             ; Line 19
                    ADC        #$00AC               
                    TCS                             
                    PEA        $3311                
                    PEA        $3131                
                    PEA        $3131                
                    PEA        $3161                
                    PEA        $6111                
                    PHD                             
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $3113                
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1611                
                    PEA        $1116                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    PEA        $3311                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $6111                
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00AC               
                    TCS                             
                    PEA        $3113                
                    PHX                             
                    PEA        $3616                
                    PHX                             
                    PEA        $1611                
                    PEA        $1116                
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $95,S                
                    PEA        $3311                
                    PEA        $6166                
                    PEA        $3133                
                    PEA        $3133                
                    PEA        $1311                
                    PHY                             
                    TSC                             ; Line 24
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $95,S                
                    PEA        $3113                
                    PHX                             
                    PEA        $1633                
                    PEA        $3531                
                    PEA        $1111                
                    TSC                             ; Line 25
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $95,S                
                    PEA        $3311                
                    PEA        $6166                
                    PEA        $1131                
                    PEA        $5513                
                    PEA        $1311                
                    TSC                             ; Line 26
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$3311               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$000F               
                    ORA        #$6160               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $3113                
                    PHX                             
                    PEA        $1613                
                    PEA        $5331                
                    PEA        $1111                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$3413               
                    STA        $A3,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$1610               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $9A,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $5113                
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9A,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $5335                
                    PEA        $1116                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1115                
                    PHY                             
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $4434                
                    PHD                             
                    TSC                             ; Line 30
                    ADC        #$009F               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    LDA        #$4444               
                    STA        $A2,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5105               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    PHX                             
                    PEA        $1151                
                    PEA        $1516                
                    TSC                             ; Line 32
                    ADC        #$013E               
                    TCS                             
                    TXA                             
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $06,S                
                    TSC                             ; Line 64
                    ADC        #$1400               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 66
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_055       CLC                             ; Sprite #055 : 32x59, 1135 bytes, 1841 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 18
                    LDY        #$6161               ; Pattern #2 : 12
                    LDA        #$1161               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $04,S                
                    SEP        #$20                 
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $03,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00A6               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6656                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5555               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    PEA        $6656                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$013E               
                    TCS                             
                    LDA        #$6466               
                    STA        $04,S                
                    LDA        $02,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $6666                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6444                
                    PEA        $4666                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9D,S                
                    PEA        $4444                
                    PEA        $4466                
                    TSC                             ; Line 10
                    ADC        #$013E               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $05,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $02,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$1316               
                    STA        $9D,S                
                    LDA        #$1131               
                    STA        $A4,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $A2,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4014               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $1461                
                    TSC                             ; Line 13
                    ADC        #$013F               
                    TCS                             
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $01,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$4023               
                    STA        $0B,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$1306               
                    STA        $A1,S                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $2313                
                    PEA        $1131                
                    PEA        $3331                
                    PEA        $6166                
                    TSC                             ; Line 14
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $95,S                
                    PEA        $1132                
                    PEA        $1331                
                    PEA        $6361                
                    PHD                             
                    PEA        $1611                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4133                
                    PEA        $1111                
                    PEA        $1316                
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4444                
                    PEA        $3313                
                    PEA        $3161                
                    PEA        $6111                
                    PEA        $1313                
                    PEA        $1116                
                    TSC                             ; Line 17
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$3333               
                    PEA        $4444                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $3131                
                    PHD                             
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    PEA        $4144                
                    PEA        $1333                
                    PEA        $3313                
                    PEA        $1313                
                    PEA        $1311                
                    PEA        $1116                
                    TSC                             ; Line 19
                    ADC        #$00AC               
                    TCS                             
                    PEA        $3311                
                    PEA        $3131                
                    PEA        $3131                
                    PEA        $3161                
                    PEA        $6111                
                    PHD                             
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $3113                
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1611                
                    PEA        $1116                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    PEA        $3311                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $6111                
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00AC               
                    TCS                             
                    PEA        $3113                
                    PHX                             
                    PEA        $3616                
                    PHX                             
                    PEA        $1611                
                    PEA        $1116                
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $95,S                
                    PEA        $3311                
                    PEA        $6166                
                    PEA        $3133                
                    PEA        $3133                
                    PEA        $1311                
                    PHY                             
                    TSC                             ; Line 24
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $95,S                
                    PEA        $3113                
                    PHX                             
                    PEA        $1633                
                    PEA        $3531                
                    PEA        $1111                
                    TSC                             ; Line 25
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $95,S                
                    PEA        $3311                
                    PEA        $6166                
                    PEA        $1131                
                    PEA        $5513                
                    PEA        $1311                
                    TSC                             ; Line 26
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$3311               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$000F               
                    ORA        #$6160               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $3113                
                    PHX                             
                    PEA        $1613                
                    PEA        $5331                
                    PEA        $1111                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$3413               
                    STA        $A3,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$1610               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $9A,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $5113                
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9A,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $5335                
                    PEA        $1116                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1115                
                    PHY                             
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $4434                
                    PHD                             
                    TSC                             ; Line 30
                    ADC        #$009F               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    LDA        #$4444               
                    STA        $A2,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5105               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    PHX                             
                    PEA        $1151                
                    PEA        $1516                
                    TSC                             ; Line 32
                    ADC        #$013E               
                    TCS                             
                    TXA                             
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $06,S                
                    TSC                             ; Line 55
                    ADC        #$0E60               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 57
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_056       CLC                             ; Sprite #056 : 32x60, 1453 bytes, 2324 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 14
                    LDY        #$1311               ; Pattern #2 : 10
                    LDA        #$1616               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6666                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6664                
                    PEA        $6666                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6466                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4464               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4464                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4403               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    TSC                             ; Line 12
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $1344                
                    PEA        $3432                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1012               
                    STA        $A0,S                
                    PEA        $3161                
                    PEA        $4423                
                    PEA        $1336                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $4634                
                    PEA        $3261                
                    TSC                             ; Line 15
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A7,S                
                    PEA        $4123                
                    PEA        $1336                
                    PEA        $1116                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $A5,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $1216                
                    PEA        $3432                
                    PEA        $6113                
                    PEA        $1161                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$4423               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $4623                
                    PEA        $1336                
                    PEA        $1131                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1133               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3361                
                    PEA        $3432                
                    PEA        $6113                
                    PEA        $1113                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $1361                
                    PEA        $3611                
                    PEA        $3611                
                    PEA        $6131                
                    PEA        $1116                
                    TSC                             ; Line 20
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3331                
                    PEA        $3136                
                    PEA        $2163                
                    PHY                             
                    PEA        $1613                
                    PEA        $1361                
                    TSC                             ; Line 21
                    ADC        #$00AD               
                    TCS                             
                    PEA        $1113                
                    PEA        $1363                
                    PEA        $1111                
                    PEA        $3611                
                    PHX                             
                    PEA        $3131                
                    PEA        $1116                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $9F,S                
                    PEA        $1631                
                    PEA        $3116                
                    PEA        $6661                
                    PHY                             
                    PHD                             
                    PEA        $1633                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1161                
                    PEA        $3131                
                    PEA        $1161                
                    PHX                             
                    PEA        $3113                
                    PEA        $1316                
                    TSC                             ; Line 24
                    ADC        #$00AD               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $94,S                
                    LDA        $9C,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $9C,S                
                    PHD                             
                    PHD                             
                    PHY                             
                    PEA        $4634                
                    PEA        $3232                
                    PEA        $1261                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4144                
                    PEA        $1413                
                    PEA        $1316                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$2023               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4144                
                    PEA        $6461                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $3511                
                    PEA        $1111                
                    PEA        $1111                
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A1,S                
                    PEA        $3233                
                    PEA        $5355                
                    PEA        $5511                
                    PEA        $5155                
                    TSC                             ; Line 29
                    ADC        #$00A8               
                    TCS                             
                    PEA        $1331                
                    PEA        $3115                
                    PEA        $6131                
                    PEA        $3161                
                    TSC                             ; Line 30
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A0,S                
                    PEA        $3331                
                    PEA        $1116                
                    PEA        $5331                
                    PEA        $2313                
                    PEA        $1316                
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A1,S                
                    PEA        $1361                
                    PEA        $6151                
                    PEA        $3332                
                    PEA        $1261                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1313               
                    STA        $A1,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$000F               
                    ORA        #$1160               
                    STA        $9F,S                
                    PEA        $1116                
                    PEA        $1636                
                    PEA        $1313                
                    PHY                             
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$36                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6132                
                    PEA        $3131                
                    PHX                             
                    TSC                             ; Line 34
                    ADC        #$00A5               
                    TCS                             
                    TYA                             
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$000F               
                    ORA        #$4430               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $1116                
                    PHD                             
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A6,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $A4,S                
                    PEA        $3111                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 36
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4414               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $3331                
                    PEA        $1161                
                    PHX                             
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4431               
                    STA        $0A,S                
                    LDA        #$1411               
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $08,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AB,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 56
                    ADC        #$0960               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 58
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_057       CLC                             ; Sprite #057 : 32x70, 1453 bytes, 2324 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 14
                    LDY        #$1311               ; Pattern #2 : 10
                    LDA        #$1616               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6666                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6664                
                    PEA        $6666                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6466                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4464               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4464                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4403               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    TSC                             ; Line 12
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $1344                
                    PEA        $3432                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1012               
                    STA        $A0,S                
                    PEA        $3161                
                    PEA        $4423                
                    PEA        $1336                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $4634                
                    PEA        $3261                
                    TSC                             ; Line 15
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A7,S                
                    PEA        $4123                
                    PEA        $1336                
                    PEA        $1116                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $A5,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $1216                
                    PEA        $3432                
                    PEA        $6113                
                    PEA        $1161                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$4423               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $4623                
                    PEA        $1336                
                    PEA        $1131                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1133               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3361                
                    PEA        $3432                
                    PEA        $6113                
                    PEA        $1113                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $1361                
                    PEA        $3611                
                    PEA        $3611                
                    PEA        $6131                
                    PEA        $1116                
                    TSC                             ; Line 20
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3331                
                    PEA        $3136                
                    PEA        $2163                
                    PHY                             
                    PEA        $1613                
                    PEA        $1361                
                    TSC                             ; Line 21
                    ADC        #$00AD               
                    TCS                             
                    PEA        $1113                
                    PEA        $1363                
                    PEA        $1111                
                    PEA        $3611                
                    PHX                             
                    PEA        $3131                
                    PEA        $1116                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $9F,S                
                    PEA        $1631                
                    PEA        $3116                
                    PEA        $6661                
                    PHY                             
                    PHD                             
                    PEA        $1633                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1161                
                    PEA        $3131                
                    PEA        $1161                
                    PHX                             
                    PEA        $3113                
                    PEA        $1316                
                    TSC                             ; Line 24
                    ADC        #$00AD               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $94,S                
                    LDA        $9C,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $9C,S                
                    PHD                             
                    PHD                             
                    PHY                             
                    PEA        $4634                
                    PEA        $3232                
                    PEA        $1261                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4144                
                    PEA        $1413                
                    PEA        $1316                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$2023               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4144                
                    PEA        $6461                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $3511                
                    PEA        $1111                
                    PEA        $1111                
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A1,S                
                    PEA        $3233                
                    PEA        $5355                
                    PEA        $5511                
                    PEA        $5155                
                    TSC                             ; Line 29
                    ADC        #$00A8               
                    TCS                             
                    PEA        $1331                
                    PEA        $3115                
                    PEA        $6131                
                    PEA        $3161                
                    TSC                             ; Line 30
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A0,S                
                    PEA        $3331                
                    PEA        $1116                
                    PEA        $5331                
                    PEA        $2313                
                    PEA        $1316                
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A1,S                
                    PEA        $1361                
                    PEA        $6151                
                    PEA        $3332                
                    PEA        $1261                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1313               
                    STA        $A1,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$000F               
                    ORA        #$1160               
                    STA        $9F,S                
                    PEA        $1116                
                    PEA        $1636                
                    PEA        $1313                
                    PHY                             
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$36                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6132                
                    PEA        $3131                
                    PHX                             
                    TSC                             ; Line 34
                    ADC        #$00A5               
                    TCS                             
                    TYA                             
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$000F               
                    ORA        #$4430               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $1116                
                    PHD                             
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A6,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $A4,S                
                    PEA        $3111                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 36
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4414               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $3331                
                    PEA        $1161                
                    PHX                             
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4431               
                    STA        $0A,S                
                    LDA        #$1411               
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $08,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AB,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 66
                    ADC        #$0FA0               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 68
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_058       CLC                             ; Sprite #058 : 32x77, 1453 bytes, 2324 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 14
                    LDY        #$1311               ; Pattern #2 : 10
                    LDA        #$1616               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6666                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6664                
                    PEA        $6666                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6466                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4464               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4464                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4403               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    TSC                             ; Line 12
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $1344                
                    PEA        $3432                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1012               
                    STA        $A0,S                
                    PEA        $3161                
                    PEA        $4423                
                    PEA        $1336                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $4634                
                    PEA        $3261                
                    TSC                             ; Line 15
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A7,S                
                    PEA        $4123                
                    PEA        $1336                
                    PEA        $1116                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $A5,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $1216                
                    PEA        $3432                
                    PEA        $6113                
                    PEA        $1161                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$4423               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $4623                
                    PEA        $1336                
                    PEA        $1131                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1133               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3361                
                    PEA        $3432                
                    PEA        $6113                
                    PEA        $1113                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $1361                
                    PEA        $3611                
                    PEA        $3611                
                    PEA        $6131                
                    PEA        $1116                
                    TSC                             ; Line 20
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3331                
                    PEA        $3136                
                    PEA        $2163                
                    PHY                             
                    PEA        $1613                
                    PEA        $1361                
                    TSC                             ; Line 21
                    ADC        #$00AD               
                    TCS                             
                    PEA        $1113                
                    PEA        $1363                
                    PEA        $1111                
                    PEA        $3611                
                    PHX                             
                    PEA        $3131                
                    PEA        $1116                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $9F,S                
                    PEA        $1631                
                    PEA        $3116                
                    PEA        $6661                
                    PHY                             
                    PHD                             
                    PEA        $1633                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1161                
                    PEA        $3131                
                    PEA        $1161                
                    PHX                             
                    PEA        $3113                
                    PEA        $1316                
                    TSC                             ; Line 24
                    ADC        #$00AD               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $94,S                
                    LDA        $9C,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $9C,S                
                    PHD                             
                    PHD                             
                    PHY                             
                    PEA        $4634                
                    PEA        $3232                
                    PEA        $1261                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4144                
                    PEA        $1413                
                    PEA        $1316                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$2023               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $4144                
                    PEA        $6461                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $3511                
                    PEA        $1111                
                    PEA        $1111                
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A1,S                
                    PEA        $3233                
                    PEA        $5355                
                    PEA        $5511                
                    PEA        $5155                
                    TSC                             ; Line 29
                    ADC        #$00A8               
                    TCS                             
                    PEA        $1331                
                    PEA        $3115                
                    PEA        $6131                
                    PEA        $3161                
                    TSC                             ; Line 30
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A0,S                
                    PEA        $3331                
                    PEA        $1116                
                    PEA        $5331                
                    PEA        $2313                
                    PEA        $1316                
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A1,S                
                    PEA        $1361                
                    PEA        $6151                
                    PEA        $3332                
                    PEA        $1261                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1313               
                    STA        $A1,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $97,S                
                    LDA        $9F,S                
                    AND        #$000F               
                    ORA        #$1160               
                    STA        $9F,S                
                    PEA        $1116                
                    PEA        $1636                
                    PEA        $1313                
                    PHY                             
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$36                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6132                
                    PEA        $3131                
                    PHX                             
                    TSC                             ; Line 34
                    ADC        #$00A5               
                    TCS                             
                    TYA                             
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$000F               
                    ORA        #$4430               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $1116                
                    PHD                             
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $A6,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $A4,S                
                    PEA        $3111                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 36
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4414               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A7,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $3331                
                    PEA        $1161                
                    PHX                             
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4431               
                    STA        $0A,S                
                    LDA        #$1411               
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $08,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AB,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 73
                    ADC        #$1400               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 75
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_059       CLC                             ; Sprite #059 : 52x79, 1498 bytes, 2461 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 24
                    LDY        #$1616               ; Pattern #2 : 23
                    LDA        #$1313               ; Pattern #3 : 21
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6666                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6664                
                    PEA        $6666                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6466                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4464               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4464                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4403               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    TSC                             ; Line 12
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $1344                
                    PEA        $3432                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $9A,S                
                    PEA        $3161                
                    PEA        $4423                
                    PEA        $1336                
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A1,S                
                    PEA        $1312                
                    PEA        $4634                
                    PEA        $3261                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $3161                
                    PEA        $4123                
                    PEA        $1336                
                    PEA        $1116                
                    TSC                             ; Line 16
                    ADC        #$00AC               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $94,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A6,S                
                    PEA        $3333                
                    PEA        $3331                
                    PEA        $2116                
                    PEA        $3432                
                    PEA        $6113                
                    PEA        $1161                
                    TSC                             ; Line 17
                    ADC        #$00B1               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    PEA        $3433                
                    PEA        $3333                
                    PEA        $3333                
                    PHD                             
                    PHD                             
                    PEA        $4623                
                    PEA        $1336                
                    PEA        $1131                
                    TSC                             ; Line 18
                    ADC        #$00B0               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$000F               
                    ORA        #$4410               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $8F,S                
                    REP        #$30                 
                    LDA        #$3131               
                    PEA        $3431                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $1121                
                    PEA        $3632                
                    PEA        $6113                
                    PEA        $1113                
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00B1               
                    TCS                             
                    LDA        $8F,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $8F,S                
                    PHD                             
                    PEA        $1311                
                    PEA        $1161                
                    PHX                             
                    PEA        $3336                
                    PEA        $1136                
                    PEA        $1161                
                    PEA        $3111                
                    TSC                             ; Line 20
                    ADC        #$00B0               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $99,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $2321                
                    PEA        $6313                
                    PEA        $1116                
                    PHD                             
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    PEA        $1111                
                    PEA        $3611                
                    PHX                             
                    PEA        $3131                
                    PEA        $1116                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $9F,S                
                    PEA        $6661                
                    PEA        $1311                
                    PHY                             
                    PEA        $1633                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1013               
                    STA        $A1,S                
                    PEA        $1161                
                    PHX                             
                    PEA        $3113                
                    PEA        $1316                
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PEA        $1146                
                    PEA        $3432                
                    PEA        $3212                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4144                
                    PEA        $1413                
                    PEA        $1316                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    PEA        $4144                
                    PEA        $6461                
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3511                
                    PEA        $1111                
                    PEA        $1111                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    PEA        $5355                
                    PEA        $5511                
                    PEA        $5155                
                    TSC                             ; Line 29
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A9,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A9,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3333                
                    PEA        $3115                
                    PEA        $6131                
                    PEA        $3161                
                    TSC                             ; Line 30
                    ADC        #$00B2               
                    TCS                             
                    LDA        $8E,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $8E,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    LDA        #$3333               
                    PHA                             
                    PHA                             
                    PEA        $3323                
                    PEA        $2323                
                    PHA                             
                    PEA        $3111                
                    PEA        $5331                
                    PEA        $2313                
                    PEA        $1316                
                    TSC                             ; Line 31
                    ADC        #$00B5               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $8B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $8B,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $3431                
                    PEA        $3131                
                    PEA        $3133                
                    PEA        $3333                
                    PEA        $3131                
                    PEA        $3111                
                    PEA        $6151                
                    PEA        $3332                
                    PEA        $1261                
                    TSC                             ; Line 32
                    ADC        #$00B3               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $8C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $8C,S                
                    LDA        $9F,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $4414                
                    PHD                             
                    PHD                             
                    PHD                             
                    PHD                             
                    PHD                             
                    PHY                             
                    PEA        $3613                
                    PHD                             
                    PEA        $1116                
                    TSC                             ; Line 33
                    ADC        #$00B2               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    LDA        #$1111               
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $1161                
                    PHX                             
                    PHX                             
                    PEA        $3231                
                    PEA        $3161                
                    PHX                             
                    TSC                             ; Line 34
                    ADC        #$00B2               
                    TCS                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $1636                
                    PHD                             
                    PEA        $1116                
                    PHY                             
                    TSC                             ; Line 35
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $95,S                
                    LDA        $9B,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $9B,S                
                    PHX                             
                    PHX                             
                    PEA        $6132                
                    PEA        $3111                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 36
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $1311                
                    PHY                             
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$1311               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    PEA        $3331                
                    PEA        $1161                
                    PHX                             
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4431               
                    STA        $0A,S                
                    LDA        #$1411               
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $08,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AB,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AB,S                
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 75
                    ADC        #$1540               
                    TCS                             
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B6,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 77
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $15,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $17,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $17,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_05A       CLC                             ; Sprite #05A : 32x41, 1355 bytes, 2172 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$4444               ; Pattern #1 : 10
                    LDY        #$1311               ; Pattern #2 : 10
                    LDA        #$1111               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $03,S                
                    STA        $A4,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A2,S                
                    TSC                             ; Line 2
                    ADC        #$0145               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6666                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $6664                
                    PEA        $6666                
                    TSC                             ; Line 7
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6464                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    TXA                             
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6406               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $4464                
                    TSC                             ; Line 10
                    ADC        #$013E               
                    TCS                             
                    TXA                             
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $05,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$4403               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    TSC                             ; Line 12
                    ADC        #$0145               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $01,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1344                
                    PEA        $3432                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $9A,S                
                    LDA        $A2,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A2,S                
                    PEA        $3161                
                    PEA        $4423                
                    PEA        $1336                
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    PEA        $1313                
                    PEA        $4634                
                    PEA        $3261                
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3161                
                    PEA        $4123                
                    PEA        $1336                
                    PHD                             
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1416                
                    PEA        $3432                
                    PEA        $6113                
                    PEA        $1161                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    TXA                             
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $4441                
                    PEA        $2313                
                    PEA        $3611                
                    PEA        $1116                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0403               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4413                
                    PEA        $3261                
                    PHY                             
                    PEA        $1361                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4434               
                    STA        $A3,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$3130               
                    STA        $A1,S                
                    PEA        $1432                
                    PEA        $1136                
                    PEA        $1132                
                    PEA        $1166                
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1113               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $1621                
                    PEA        $6313                
                    PEA        $2133                
                    PEA        $1316                
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $3211                
                    PEA        $3213                
                    PEA        $1161                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1131                
                    PEA        $6111                
                    PEA        $2132                
                    PEA        $3313                
                    PEA        $1116                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1601               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $A0,S                
                    PHD                             
                    PEA        $1611                
                    PEA        $3113                
                    PEA        $1161                
                    TSC                             ; Line 24
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $1161                
                    PHD                             
                    PHY                             
                    TSC                             ; Line 25
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$2033               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1116                
                    PHD                             
                    PEA        $6111                
                    TSC                             ; Line 26
                    ADC        #$00AA               
                    TCS                             
                    PEA        $3333                
                    PEA        $3313                
                    PEA        $1361                
                    PEA        $1113                
                    PEA        $1611                
                    TSC                             ; Line 27
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$3603               
                    STA        $95,S                
                    PEA        $3321                
                    PEA        $3131                
                    PEA        $3133                
                    PEA        $3111                
                    PEA        $6161                
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $1213                
                    PHD                             
                    PEA        $1313                
                    PEA        $1351                
                    PEA        $1611                
                    TSC                             ; Line 29
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $3311                
                    PEA        $6161                
                    PHD                             
                    PEA        $5175                
                    PEA        $3531                
                    PEA        $3131                
                    TSC                             ; Line 30
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1616                
                    PEA        $1616                
                    PEA        $5657                
                    PEA        $1133                
                    PEA        $2323                
                    TSC                             ; Line 31
                    ADC        #$00AB               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    LDA        #$6161               
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $5117                
                    PEA        $1333                
                    PEA        $3131                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$6161               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $1617                
                    PEA        $3131                
                    PEA        $1113                
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$3111               
                    STA        $9D,S                
                    LDA        #$1116               
                    STA        $A5,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $9B,S                
                    PEA        $6161                
                    PEA        $1313                
                    PEA        $1131                
                    TSC                             ; Line 35
                    ADC        #$0141               
                    TCS                             
                    LDA        #$1113               
                    STA        $02,S                
                    LDA        #$1161               
                    STA        $0A,S                
                    TYA                             
                    STA        $A1,S                
                    LDA        $00,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $00,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A0,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 37
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $01,S                
                    LDA        #$1661               
                    STA        $0A,S                
                    LDA        #$4464               
                    STA        $A9,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0106               
                    STA        $08,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A7,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $00,S                
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $03,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 39
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4644               
                    STA        $01,S                
                    TXA                             
                    STA        $0A,S                
                    STA        $A1,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $08,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $00,S                
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $03,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0C,S                
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A0,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_05B       CLC                             ; Sprite #05B : 40x42, 1356 bytes, 2220 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1111               ; Pattern #1 : 21
                    LDY        #$1616               ; Pattern #2 : 19
                    LDA        #$6161               ; Pattern #3 : 18
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $05,S                
                    STA        $A6,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A4,S                
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6666                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6664                
                    PEA        $6666                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $6466                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4464               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4464                
                    TSC                             ; Line 10
                    ADC        #$013C               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    STA        $A5,S                
                    LDA        #$4434               
                    STA        $A4,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    LDA        $A7,S                
                    AND        #$FF0F               
                    ORA        #$0040               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $04,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4463               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$6041               
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A7,S                
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $03,S                
                    REP        #$30                 
                    TSC                             ; Line 13
                    ADC        #$00A6               
                    TCS                             
                    LDA        $AC,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3633                
                    PEA        $3113                
                    TSC                             ; Line 14
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AD,S                
                    REP        #$30                 
                    PEA        $3113                
                    PEA        $1313                
                    TSC                             ; Line 15
                    ADC        #$00B0               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A1,S                
                    REP        #$30                 
                    LDA        #$3333               
                    PEA        $4434                
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $1313                
                    PEA        $3111                
                    TSC                             ; Line 16
                    ADC        #$00B0               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $90,S                
                    LDA        $9E,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $9E,S                
                    LDA        #$3333               
                    PEA        $4414                
                    PEA        $1113                
                    PEA        $1333                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $3131                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00AD               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $93,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    LDA        #$1313               
                    PHX                             
                    PHX                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $93,S                
                    PHY                             
                    PHY                             
                    PEA        $1611                
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $95,S                
                    LDA        $9D,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9D,S                
                    PHD                             
                    PHD                             
                    PEA        $6111                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $99,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1611                
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6111                
                    PEA        $1161                
                    TSC                             ; Line 22
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9C,S                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 23
                    ADC        #$00A5               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    PHD                             
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$0142               
                    TCS                             
                    LDA        $01,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PHD                             
                    PEA        $6155                
                    TSC                             ; Line 26
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $1656                
                    PEA        $5535                
                    TSC                             ; Line 27
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $98,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A2,S                
                    PEA        $3333                
                    PEA        $5355                
                    PEA        $5575                
                    PEA        $3731                
                    TSC                             ; Line 28
                    ADC        #$00A9               
                    TCS                             
                    PEA        $1313                
                    PEA        $1333                
                    PEA        $5716                
                    PHX                             
                    TSC                             ; Line 29
                    ADC        #$00AA               
                    TCS                             
                    PEA        $3331                
                    PHX                             
                    PEA        $3131                
                    PEA        $7561                
                    PEA        $6111                
                    PEA        $3133                
                    TSC                             ; Line 30
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $3213                
                    PHY                             
                    PEA        $1611                
                    PEA        $7516                
                    PEA        $1613                
                    PEA        $1313                
                    TSC                             ; Line 31
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$1116               
                    STA        $9F,S                
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $9E,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9E,S                
                    REP        #$30                 
                    PEA        $3361                
                    PHD                             
                    PHD                             
                    PEA        $6561                
                    PEA        $6131                
                    PEA        $3132                
                    TSC                             ; Line 32
                    ADC        #$00A9               
                    TCS                             
                    TDC                             
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$000F               
                    ORA        #$6160               
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $97,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $1131                
                    TSC                             ; Line 33
                    ADC        #$00A3               
                    TCS                             
                    LDA        #$1161               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1313                
                    TSC                             ; Line 34
                    ADC        #$00A4               
                    TCS                             
                    TXA                             
                    STA        $9D,S                
                    LDA        #$1116               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A5,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3111                
                    TSC                             ; Line 36
                    ADC        #$0140               
                    TCS                             
                    LDA        #$3111               
                    STA        $01,S                
                    LDA        #$1161               
                    STA        $0A,S                
                    STA        $A9,S                
                    LDA        $A0,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $00,S                
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $09,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 38
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1116               
                    STA        $09,S                
                    LDA        #$4644               
                    STA        $A9,S                
                    LDA        $01,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0D,S                
                    LDA        $A1,S                
                    AND        #$F000               
                    ORA        #$0611               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A7,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B2,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $00,S                
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A0,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 40
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4464               
                    STA        $00,S                
                    LDA        #$4444               
                    STA        $09,S                
                    STA        $A0,S                
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6040               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $11,S                
                    LDA        $A2,S                
                    AND        #$F000               
                    ORA        #$0646               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $02,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_05C       CLC                             ; Sprite #05C : 46x39, 1133 bytes, 1889 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 40
                    LDY        #$6161               ; Pattern #2 : 34
                    LDA        #$3333               ; Pattern #3 : 12
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $06,S                
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0148               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6644                
                    PEA        $4464                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    PEA        $4666                
                    PEA        $6446                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$013C               
                    TCS                             
                    LDA        #$6466               
                    STA        $06,S                
                    LDA        #$4444               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4416               
                    STA        $05,S                
                    LDA        #$4644               
                    STA        $A6,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$1046               
                    STA        $07,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A4,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$1061               
                    STA        $A8,S                
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $03,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PEA        $6321                
                    PEA        $4644                
                    PHX                             
                    TSC                             ; Line 13
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $3363                
                    PEA        $3146                
                    PEA        $6416                
                    PEA        $3633                
                    TSC                             ; Line 14
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A2,S                
                    PHD                             
                    PEA        $3131                
                    PEA        $1662                
                    PEA        $6411                
                    PEA        $1633                
                    TSC                             ; Line 15
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $3313                
                    PEA        $1311                
                    PEA        $1161                
                    PEA        $4416                
                    PEA        $1116                
                    PEA        $1633                
                    TSC                             ; Line 16
                    ADC        #$00B0               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $90,S                
                    REP        #$30                 
                    PEA        $3433                
                    PEA        $3331                
                    PEA        $3111                
                    PEA        $1116                
                    PEA        $1141                
                    PEA        $4434                
                    PEA        $1361                
                    PEA        $6133                
                    TSC                             ; Line 17
                    ADC        #$00B0               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $90,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1461                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $1116                
                    PEA        $4414                
                    PEA        $3313                
                    PEA        $1611                
                    TSC                             ; Line 18
                    ADC        #$00AF               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $91,S                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1111                
                    PEA        $1633                
                    PHD                             
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $97,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $6131                
                    PEA        $3131                
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    PHX                             
                    PHX                             
                    PEA        $1611                
                    PEA        $1313                
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PHY                             
                    PEA        $6111                
                    PEA        $1131                
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1666                
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00A7               
                    TCS                             
                    PEA        $6561                
                    PHY                             
                    PEA        $6166                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    PEA        $5755                
                    PEA        $5515                
                    PEA        $5575                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9A,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A2,S                
                    PHD                             
                    PEA        $5737                
                    PEA        $3353                
                    TSC                             ; Line 26
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A5,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $3355                
                    PEA        $1333                
                    TSC                             ; Line 27
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $94,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $3313                
                    PEA        $1313                
                    PEA        $1315                
                    PEA        $3531                
                    PEA        $2133                
                    TSC                             ; Line 28
                    ADC        #$00B0               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $90,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    PHD                             
                    PHD                             
                    PEA        $3131                
                    PEA        $3161                
                    PHY                             
                    PEA        $5165                
                    PEA        $1511                
                    PEA        $1323                
                    TSC                             ; Line 29
                    ADC        #$00B3               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $8D,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $8D,S                
                    REP        #$30                 
                    PEA        $4434                
                    PEA        $3313                
                    PEA        $1313                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1656                
                    PEA        $1636                
                    TSC                             ; Line 30
                    ADC        #$00B1               
                    TCS                             
                    LDA        $8E,S                
                    AND        #$00F0               
                    ORA        #$1601               
                    STA        $8E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4014               
                    STA        $A0,S                
                    PEA        $3431                
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 31
                    ADC        #$00B1               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 32
                    ADC        #$00A3               
                    TCS                             
                    TXA                             
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1111                
                    TSC                             ; Line 34
                    ADC        #$013F               
                    TCS                             
                    LDA        #$6111               
                    STA        $03,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$1601               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 36
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4644               
                    STA        $04,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B0,S                
                    TSC                             ; Line 38
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4644               
                    STA        $04,S                
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$000F               
                    ORA        #$6460               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $12,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_05D       CLC                             ; Sprite #05D : 32x38, 1201 bytes, 1935 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 22
                    LDY        #$1616               ; Pattern #2 : 16
                    LDA        #$3131               ; Pattern #3 : 6
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $09,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6566                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4655                
                    PEA        $5545                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6446               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4066               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 7
                    ADC        #$0138               
                    TCS                             
                    LDA        #$4644               
                    STA        $09,S                
                    LDA        #$6144               
                    STA        $AB,S                
                    LDA        $0B,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0B,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A9,S                
                    TSC                             ; Line 9
                    ADC        #$0140               
                    TCS                             
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$3603               
                    STA        $08,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $A7,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$3012               
                    STA        $AD,S                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $3161                
                    PEA        $6446                
                    TSC                             ; Line 10
                    ADC        #$00A3               
                    TCS                             
                    PEA        $3136                
                    PEA        $3416                
                    TSC                             ; Line 11
                    ADC        #$00A6               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3032               
                    STA        $A0,S                
                    PEA        $2333                
                    PEA        $3663                
                    PEA        $6431                
                    PEA        $1631                
                    TSC                             ; Line 12
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A1,S                
                    PEA        $1361                
                    PEA        $6364                
                    PEA        $3116                
                    TSC                             ; Line 13
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1116                
                    PEA        $6364                
                    PEA        $3116                
                    PHD                             
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6361                
                    PEA        $3316                
                    PEA        $6113                
                    TSC                             ; Line 15
                    ADC        #$00A9               
                    TCS                             
                    LDA        #$6111               
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$000F               
                    ORA        #$6160               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1116                
                    PEA        $1611                
                    PEA        $6663                
                    PEA        $1116                
                    PEA        $1631                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$2033               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $92,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $92,S                
                    REP        #$30                 
                    PEA        $1361                
                    PEA        $6116                
                    PEA        $3663                
                    TSC                             ; Line 17
                    ADC        #$009E               
                    TCS                             
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    PEA        $3141                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $2323                
                    PEA        $3344                
                    PEA        $4416                
                    TSC                             ; Line 18
                    ADC        #$009E               
                    TCS                             
                    TYA                             
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A9,S                
                    PHX                             
                    PHX                             
                    PEA        $4144                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHD                             
                    PEA        $3144                
                    PEA        $1461                
                    TSC                             ; Line 19
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $1116                
                    PHY                             
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9B,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00A5               
                    TCS                             
                    PHX                             
                    PHX                             
                    PEA        $6151                
                    TSC                             ; Line 23
                    ADC        #$00A6               
                    TCS                             
                    PEA        $5755                
                    PEA        $5155                
                    PEA        $5575                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A0,S                
                    PEA        $3533                
                    PEA        $7175                
                    PEA        $3333                
                    TSC                             ; Line 25
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3311                
                    PEA        $1531                
                    PEA        $3333                
                    TSC                             ; Line 26
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3032               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1213                
                    PEA        $5165                
                    PEA        $1131                
                    PEA        $3133                
                    TSC                             ; Line 27
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1201               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3111                
                    PEA        $1515                
                    PEA        $1611                
                    PEA        $2323                
                    TSC                             ; Line 28
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $97,S                
                    LDA        $9C,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1313                
                    PHX                             
                    PHX                             
                    PEA        $1111                
                    TSC                             ; Line 29
                    ADC        #$00A3               
                    TCS                             
                    TXA                             
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$1061               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1611                
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 30
                    ADC        #$009F               
                    TCS                             
                    LDA        #$1611               
                    STA        $9D,S                
                    LDA        #$1111               
                    STA        $A4,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A2,S                
                    PHX                             
                    PEA        $1111                
                    TSC                             ; Line 32
                    ADC        #$013B               
                    TCS                             
                    TXA                             
                    STA        $0C,S                
                    TYA                             
                    STA        $A8,S                
                    STA        $AB,S                
                    LDA        $06,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $08,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$1601               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $AD,S                
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             ; Line 34
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $08,S                
                    STA        $0B,S                
                    LDA        #$1116               
                    STA        $A8,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A5,S                
                    LDA        $AB,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $07,S                
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $0D,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 36
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $08,S                
                    STA        $A8,S                
                    LDA        #$4644               
                    STA        $AC,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0E,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A5,S                
                    LDA        $AA,S                
                    AND        #$000F               
                    ORA        #$6460               
                    STA        $AA,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A7,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RR_05E       CLC                             ; Sprite #05E : 38x48, 1611 bytes, 2582 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 15
                    LDY        #$1116               ; Pattern #2 : 10
                    LDA        #$3313               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $07,S                
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $06,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5555               
                    STA        $06,S                
                    STA        $A6,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 4
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $07,S                
                    LDA        #$6446               
                    STA        $A6,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$6406               
                    STA        $05,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$4066               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $09,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $06,S                
                    STA        $A7,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $08,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $05,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 8
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6466               
                    STA        $07,S                
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $06,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4436               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$3046               
                    STA        $08,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00A9               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $9A,S                
                    PEA        $3146                
                    PEA        $4466                
                    PEA        $1361                
                    TSC                             ; Line 12
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3331                
                    PEA        $4644                
                    PEA        $3663                
                    TSC                             ; Line 13
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$2033               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6344                
                    PEA        $3661                
                    PHX                             
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1361                
                    PEA        $6364                
                    PEA        $3336                
                    PHY                             
                    TSC                             ; Line 15
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A1,S                
                    PEA        $1311                
                    PEA        $6163                
                    PEA        $6413                
                    PEA        $1613                
                    PHX                             
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $96,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A2,S                
                    PHX                             
                    PEA        $6163                
                    PEA        $6162                
                    PEA        $3331                
                    PHY                             
                    TSC                             ; Line 17
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1316                
                    PEA        $1611                
                    PEA        $2666                
                    PEA        $6313                
                    PEA        $1313                
                    TSC                             ; Line 18
                    ADC        #$00AD               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $92,S                
                    PEA        $3333                
                    PEA        $1361                
                    PHX                             
                    PEA        $3136                
                    PEA        $2636                
                    PEA        $1133                
                    PEA        $3161                
                    TSC                             ; Line 19
                    ADC        #$00B1               
                    TCS                             
                    LDA        $8F,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $8F,S                
                    LDA        $97,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $3333                
                    PEA        $3311                
                    PEA        $1616                
                    PEA        $1133                
                    PEA        $1662                
                    PEA        $1311                
                    PEA        $3613                
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$1616               
                    STA        $A7,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    LDA        #$44                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $2136                
                    PEA        $1161                
                    PEA        $6132                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $4431                
                    PEA        $3111                
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$009D               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $6313                
                    PEA        $1316                
                    PEA        $1633                
                    PEA        $1316                
                    TSC                             ; Line 22
                    ADC        #$00A9               
                    TCS                             
                    TDC                             
                    STA        $9E,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9D,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $3336                
                    PEA        $3311                
                    PHX                             
                    PEA        $3311                
                    TSC                             ; Line 23
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9B,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A3,S                
                    PEA        $1616                
                    PEA        $2633                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1306               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A1,S                
                    PEA        $3111                
                    PEA        $6151                
                    PEA        $3513                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$000F               
                    ORA        #$6140               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5575                
                    PEA        $7732                
                    TSC                             ; Line 26
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $97,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A0,S                
                    PEA        $7177                
                    PEA        $7577                
                    PEA        $7717                
                    TSC                             ; Line 27
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $98,S                
                    PEA        $5157                
                    PHD                             
                    PHY                             
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $5353                
                    PEA        $3733                
                    PEA        $1161                
                    TSC                             ; Line 29
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $7553                
                    PEA        $3533                
                    PHY                             
                    TSC                             ; Line 30
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3032               
                    STA        $A1,S                
                    PEA        $3331                
                    PEA        $3531                
                    PEA        $3713                
                    PEA        $1161                
                    TSC                             ; Line 31
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $99,S                
                    PEA        $1313                
                    PEA        $1111                
                    PEA        $3333                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$3231               
                    STA        $99,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $97,S                
                    LDA        $9B,S                
                    AND        #$000F               
                    ORA        #$6130               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $2333                
                    PEA        $3311                
                    PEA        $1136                
                    PHD                             
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    TDC                             
                    STA        $99,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $97,S                
                    LDA        $9B,S                
                    AND        #$000F               
                    ORA        #$6130               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $1311                
                    TSC                             ; Line 34
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9C,S                
                    PEA        $3233                
                    PEA        $1161                
                    TSC                             ; Line 35
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $3332                
                    PHY                             
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $1323                
                    PEA        $1311                
                    TSC                             ; Line 36
                    ADC        #$009E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $2333                
                    PEA        $1361                
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PEA        $3131                
                    PHX                             
                    TSC                             ; Line 37
                    ADC        #$009F               
                    TCS                             
                    PEA        $3332                
                    PHY                             
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $1331                
                    PEA        $1316                
                    TSC                             ; Line 38
                    ADC        #$009E               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    STA        $A5,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A3,S                
                    PEA        $1113                
                    PEA        $1361                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PHX                             
                    PEA        $1161                
                    TSC                             ; Line 40
                    ADC        #$0137               
                    TCS                             
                    TXA                             
                    STA        $04,S                
                    STA        $0B,S                
                    TYA                             
                    STA        $A5,S                
                    LDA        #$1666               
                    STA        $AB,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$1061               
                    STA        $06,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 42
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6661               
                    STA        $A3,S                
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$1061               
                    STA        $05,S                
                    LDA        $0B,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $0B,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A5,S                
                    LDA        $AB,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 44
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $04,S                
                    LDA        #$1661               
                    STA        $0C,S                
                    LDA        #$1644               
                    STA        $A3,S                
                    LDA        $02,S                
                    AND        #$000F               
                    ORA        #$6660               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0E,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 46
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    STA        $A2,S                
                    STA        $AC,S                
                    LDA        #$4644               
                    STA        $0D,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $11,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $02,S                
                    STA        $0C,S                
                    STA        $AE,S                
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $05,S                
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A4,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RF_05F       CLC                             ; Sprite #05F : 46x36, 1258 bytes, 2064 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 31
                    LDY        #$6161               ; Pattern #2 : 29
                    LDA        #$1111               ; Pattern #3 : 12
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0A,S                
                    STA        $AB,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014C               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    PEA        $4644                
                    PEA        $4466                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6446                
                    PEA        $6664                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4464                
                    TSC                             ; Line 8
                    ADC        #$0138               
                    TCS                             
                    LDA        #$6646               
                    STA        $0A,S                
                    LDA        #$4444               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $07,S                
                    SEP        #$20                 
                    LDA        $B0,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $B0,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $2323                
                    PEA        $6344                
                    PEA        $6463                
                    TSC                             ; Line 11
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3332                
                    PEA        $3363                
                    PEA        $4464                
                    PEA        $3636                
                    PEA        $3323                
                    TSC                             ; Line 12
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3113                
                    PEA        $6344                
                    PEA        $6432                
                    PEA        $1333                
                    PEA        $3333                
                    TSC                             ; Line 13
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3313                
                    PEA        $1313                
                    PEA        $3131                
                    PEA        $4664                
                    PEA        $3336                
                    PEA        $3131                
                    PEA        $3333                
                    TSC                             ; Line 14
                    ADC        #$00AF               
                    TCS                             
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $90,S                
                    REP        #$30                 
                    PEA        $3313                
                    PHD                             
                    PHD                             
                    PEA        $2646                
                    PEA        $2663                
                    PEA        $1311                
                    PHD                             
                    PEA        $1333                
                    TSC                             ; Line 15
                    ADC        #$00B2               
                    TCS                             
                    SEP        #$20                 
                    LDA        $8D,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $8D,S                
                    REP        #$30                 
                    PEA        $3333                
                    PHD                             
                    PHX                             
                    PEA        $1611                
                    PEA        $3646                
                    PEA        $3616                
                    PHD                             
                    PHX                             
                    PEA        $1631                
                    TSC                             ; Line 16
                    ADC        #$00B3               
                    TCS                             
                    TXA                             
                    STA        $8D,S                
                    STA        $9E,S                
                    LDA        $8B,S                
                    AND        #$00F0               
                    ORA        #$4104               
                    STA        $8B,S                
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $92,S                
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $98,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    PEA        $4411                
                    PEA        $1161                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $6313                
                    PEA        $1661                
                    PHY                             
                    PHY                             
                    PEA        $6131                
                    TSC                             ; Line 17
                    ADC        #$00AB               
                    TCS                             
                    LDA        #$4444               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $96,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$6601               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    LDA        $A9,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A9,S                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00A4               
                    TCS                             
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1701               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1056               
                    STA        $A0,S                
                    PEA        $1516                
                    PEA        $6666                
                    PEA        $6675                
                    TSC                             ; Line 20
                    ADC        #$00A5               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 21
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    PEA        $5161                
                    PEA        $6111                
                    PHD                             
                    TSC                             ; Line 22
                    ADC        #$00AB               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3111                
                    PEA        $1116                
                    PEA        $1656                
                    PHX                             
                    PHX                             
                    PEA        $1333                
                    TSC                             ; Line 23
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $1161                
                    PHY                             
                    PEA        $6565                
                    PHY                             
                    PEA        $1131                
                    TSC                             ; Line 24
                    ADC        #$00AC               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$2101               
                    STA        $92,S                
                    PEA        $1311                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1132                
                    TSC                             ; Line 25
                    ADC        #$00AF               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $91,S                
                    PEA        $3231                
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $6131                
                    TSC                             ; Line 26
                    ADC        #$00AE               
                    TCS                             
                    LDA        #$3111               
                    STA        $92,S                
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$6031               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $2313                
                    PEA        $1316                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1611                
                    TSC                             ; Line 27
                    ADC        #$00AE               
                    TCS                             
                    LDA        #$1361               
                    STA        $92,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$1306               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $1161                
                    TSC                             ; Line 29
                    ADC        #$0132               
                    TCS                             
                    LDA        #$3111               
                    STA        $04,S                
                    LDA        #$1361               
                    STA        $A4,S                
                    LDA        #$3313               
                    STA        $B0,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $11,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $06,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A6,S                
                    LDA        $AF,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             ; Line 31
                    ADC        #$0140               
                    TCS                             
                    LDA        #$3111               
                    STA        $05,S                
                    LDA        #$3361               
                    STA        $10,S                
                    LDA        #$1313               
                    STA        $A5,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $04,S                
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $0F,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A4,S                
                    REP        #$30                 
                    TSC                             ; Line 33
                    ADC        #$0140               
                    TCS                             
                    LDA        #$3111               
                    STA        $05,S                
                    LDA        #$3161               
                    STA        $0F,S                
                    LDA        #$4444               
                    STA        $A5,S                
                    LDA        $03,S                
                    AND        #$000F               
                    ORA        #$6660               
                    STA        $03,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0D,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$6030               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $13,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A1,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $AE,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B1,S                
                    LDA        $B3,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $B0,S                
                    LDA        $A3,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A3,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 35
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    STA        $10,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0D,S                
                    SEP        #$20                 
                    LDA        #$64                 
                    STA        $04,S                
                    STA        $0F,S                
                    LDA        $12,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $12,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RF_060       CLC                             ; Sprite #060 : 50x21, 997 bytes, 1632 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 24
                    LDY        #$1616               ; Pattern #2 : 15
                    LDA        #$3131               ; Pattern #3 : 7
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0B,S                
                    TSC                             ; Line 1
                    ADC        #$00AD               
                    TCS                             
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AA,S                
                    REP        #$30                 
                    PEA        $5655                
                    PEA        $5565                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4344               
                    STA        $94,S                
                    LDA        #$4434               
                    STA        $A9,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$2033               
                    STA        $96,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$3202               
                    STA        $A7,S                
                    PEA        $4646                
                    PEA        $6464                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$4014               
                    STA        $A9,S                
                    PEA        $4464                
                    PEA        $4644                
                    TSC                             ; Line 4
                    ADC        #$009C               
                    TCS                             
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9D,S                
                    PEA        $2313                
                    PEA        $1343                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $1361                
                    PEA        $4144                
                    PEA        $4414                
                    PEA        $1611                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $1333                
                    PEA        $3233                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $3631                
                    PHD                             
                    PEA        $3333                
                    PEA        $1161                
                    PEA        $1146                
                    PEA        $6416                
                    PEA        $1631                
                    PEA        $3133                
                    PHD                             
                    TSC                             ; Line 6
                    ADC        #$00B1               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $90,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $6111                
                    PEA        $4161                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 7
                    ADC        #$00B0               
                    TCS                             
                    PEA        $1612                
                    PEA        $3213                
                    PHY                             
                    PEA        $3616                
                    PEA        $1631                
                    PEA        $3313                
                    PHY                             
                    TSC                             ; Line 8
                    ADC        #$00AF               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$12                 
                    STA        $9F,S                
                    REP        #$30                 
                    PEA        $6121                
                    PHD                             
                    PEA        $3133                
                    PEA        $6611                
                    PEA        $6136                
                    PEA        $3331                
                    PEA        $2161                
                    TSC                             ; Line 9
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1116                
                    PEA        $1131                
                    PEA        $5355                
                    PEA        $5513                
                    PHY                             
                    PEA        $1212                
                    TSC                             ; Line 10
                    ADC        #$00AD               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $93,S                
                    PEA        $3361                
                    PHX                             
                    PEA        $1131                
                    PEA        $5333                
                    PHX                             
                    PHD                             
                    TSC                             ; Line 11
                    ADC        #$00AC               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $93,S                
                    PEA        $1313                
                    PHY                             
                    PEA        $1611                
                    PEA        $1515                
                    PHY                             
                    PEA        $2613                
                    TSC                             ; Line 12
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$1313               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$F00F               
                    ORA        #$0630               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $98,S                
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $3311                
                    PHX                             
                    PEA        $6111                
                    PEA        $3161                
                    PHX                             
                    PEA        $3631                
                    TSC                             ; Line 13
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$3361               
                    STA        $9F,S                
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $93,S                
                    LDA        $95,S                
                    AND        #$0F00               
                    ORA        #$1033               
                    STA        $95,S                
                    LDA        $9D,S                
                    AND        #$F00F               
                    ORA        #$0160               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $6616                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 14
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1313               
                    STA        $98,S                
                    LDA        #$3313               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $97,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             ; Line 15
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$3311               
                    STA        $98,S                
                    LDA        #$3361               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    TSC                             ; Line 17
                    ADC        #$0136               
                    TCS                             
                    LDA        #$1313               
                    STA        $06,S                
                    LDA        #$3613               
                    STA        $11,S                
                    LDA        #$3111               
                    STA        $A6,S                
                    LDA        #$3161               
                    STA        $B0,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0F,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$000F               
                    ORA        #$6660               
                    STA        $A4,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B3,S                
                    LDA        $B5,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B5,S                
                    LDA        $B7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B7,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $05,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $08,S                
                    LDA        $13,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $13,S                
                    LDA        $B2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $B2,S                
                    REP        #$30                 
                    TSC                             ; Line 19
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $06,S                
                    STA        $A6,S                
                    STA        $B1,S                
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $02,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$F000               
                    ORA        #$0644               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $15,S                
                    LDA        $17,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $17,S                
                    LDA        $A4,S                
                    AND        #$000F               
                    ORA        #$6460               
                    STA        $A4,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B3,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$64                 
                    STA        $B0,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $04,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $08,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RF_061       CLC                             ; Sprite #061 : 50x18, 679 bytes, 1119 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 20
                    LDY        #$6161               ; Pattern #2 : 14
                    LDA        #$1111               ; Pattern #3 : 8
                    TCD                             
*--                                                 
                    LDA        #$5555               ; Line 0
                    STA        $0B,S                
                    LDA        #$4646               
                    STA        $AC,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$4606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $0D,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $0C,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0A,S                
                    TSC                             ; Line 3
                    ADC        #$00AF               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1333                
                    PEA        $6141                
                    PEA        $6111                
                    PEA        $3333                
                    TSC                             ; Line 4
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3023               
                    STA        $A1,S                
                    PEA        $2333                
                    PEA        $1133                
                    PEA        $1311                
                    PEA        $1313                
                    PEA        $3133                
                    TSC                             ; Line 5
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $93,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $3131                
                    PEA        $3311                
                    PEA        $1161                
                    PHY                             
                    PEA        $3333                
                    TSC                             ; Line 6
                    ADC        #$00AF               
                    TCS                             
                    TYA                             
                    STA        $91,S                
                    LDA        $8F,S                
                    AND        #$00F0               
                    ORA        #$4104               
                    STA        $8F,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4034               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $1116                
                    PEA        $1633                
                    PEA        $5555                
                    PEA        $5555                
                    PEA        $1516                
                    PHX                             
                    PEA        $3633                
                    TSC                             ; Line 7
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$4644               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $97,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $5131                
                    PEA        $3115                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $3361                
                    PHY                             
                    TSC                             ; Line 8
                    ADC        #$009E               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A2,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A6,S                
                    PHD                             
                    PEA        $5611                
                    PEA        $1333                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $4414                
                    PHX                             
                    TSC                             ; Line 9
                    ADC        #$009D               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$2013               
                    STA        $A2,S                
                    PHD                             
                    PEA        $6165                
                    PEA        $1511                
                    PEA        $3121                
                    TSC                             ; Line 10
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$2033               
                    STA        $A2,S                
                    PEA        $1311                
                    PHX                             
                    PHX                             
                    PEA        $1611                
                    PEA        $1332                
                    TSC                             ; Line 11
                    ADC        #$00AB               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $94,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$2033               
                    STA        $A2,S                
                    PEA        $3111                
                    PHY                             
                    PHY                             
                    PHY                             
                    PHD                             
                    PEA        $2333                
                    TSC                             ; Line 12
                    ADC        #$00AD               
                    TCS                             
                    LDA        $90,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $90,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $93,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $1116                
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1611                
                    TSC                             ; Line 13
                    ADC        #$00A3               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AE,S                
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $99,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $3313                
                    PEA        $1361                
                    PHY                             
                    TSC                             ; Line 14
                    ADC        #$009A               
                    TCS                             
                    LDA        $AF,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9A,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A9,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $AE,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1631                
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $3333                
                    PEA        $1116                
                    PHX                             
                    TSC                             ; Line 15
                    ADC        #$0097               
                    TCS                             
                    LDA        #$4444               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        #$41                 
                    STA        $9F,S                
                    LDA        #$44                 
                    STA        $B1,S                
                    REP        #$30                 
                    PEA        $6141                
                    PEA        $4444                
                    TSC                             
                    ADC        #$0013               
                    TCS                             
                    PEA        $1311                
                    PHY                             
                    TSC                             ; Line 16
                    ADC        #$00A5               
                    TCS                             
                    LDA        $8B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $8B,S                
                    LDA        $8D,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $8D,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    PEA        $4414                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00A5               
                    TCS                             
                    PEA        $4644                
                    PEA        $4461                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             

*-----------------------------------                                

Sprite_RL_062       CLC                             ; Sprite #062 : 44x56, 1845 bytes, 2956 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 18
                    LDY        #$6111               ; Pattern #2 : 18
                    LDA        #$1131               ; Pattern #3 : 15
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0A,S                
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AB,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0139               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $08,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$3044               
                    STA        $AB,S                
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $08,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $2343                
                    PEA        $4431                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $A0,S                
                    PEA        $6331                
                    PEA        $3244                
                    PEA        $1613                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    PEA        $1623                
                    PEA        $4364                
                    PEA        $3131                
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $6331                
                    PEA        $3214                
                    PEA        $1613                
                    PEA        $4444                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $93,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $6141                
                    PEA        $4444                
                    TSC                             ; Line 17
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$4444               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $93,S                
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1163                
                    PEA        $3132                
                    PEA        $1444                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$0F0F               
                    ORA        #$3040               
                    STA        $96,S                
                    PEA        $1631                
                    PHD                             
                    PEA        $1623                
                    PEA        $3144                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4344               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $97,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $2311                
                    PEA        $6311                
                    PEA        $2341                
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$3111               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $95,S                
                    LDA        $98,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3312                
                    PEA        $3136                
                    PEA        $1261                
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $95,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    PHY                             
                    PEA        $3123                
                    PEA        $1123                
                    PEA        $1111                
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3133                
                    PEA        $2312                
                    PEA        $1116                
                    PEA        $1313                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $97,S                
                    PHY                             
                    PEA        $3113                
                    PEA        $1161                
                    PEA        $1331                
                    PEA        $1116                
                    TSC                             ; Line 24
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1116                
                    PEA        $3111                
                    PHD                             
                    PEA        $6361                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    PHY                             
                    PEA        $1161                
                    PEA        $1113                
                    PHX                             
                    TSC                             ; Line 26
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $6661                
                    PHD                             
                    PEA        $6361                
                    TSC                             ; Line 27
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7711                
                    PEA        $1111                
                    PEA        $1333                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7711                
                    PEA        $3155                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $5655                
                    PEA        $5575                
                    PEA        $7755                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6161                
                    PHY                             
                    PEA        $7135                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $3111                
                    PEA        $5157                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $3375                
                    PEA        $7335                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PHD                             
                    PEA        $5375                
                    PEA        $7315                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $1353                
                    PEA        $3771                
                    PEA        $3532                
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $1311                
                    PEA        $1523                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $96,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1333                
                    PEA        $1316                
                    PEA        $1631                
                    PEA        $3132                
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $6361                
                    PHY                             
                    PEA        $1323                
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $99,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1333                
                    PEA        $3316                
                    PHX                             
                    PEA        $1631                
                    PEA        $3132                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A9,S                
                    PHY                             
                    PEA        $1323                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $3111                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        #$1111               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $A4,S                
                    PHX                             
                    PEA        $1631                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $1113                
                    PEA        $3333                
                    TSC                             ; Line 41
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$21                 
                    STA        $92,S                
                    LDA        #$33                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 42
                    ADC        #$009A               
                    TCS                             
                    LDA        #$1133               
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $A6,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHY                             
                    PEA        $1333                
                    TSC                             ; Line 43
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AC,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1132                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1133               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $3131                
                    PEA        $3232                
                    TSC                             ; Line 45
                    ADC        #$00A5               
                    TCS                             
                    TDC                             
                    STA        $91,S                
                    LDA        #$1132               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $93,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $2323                
                    TSC                             ; Line 47
                    ADC        #$0132               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    TDC                             
                    STA        $A3,S                
                    STA        $B1,S                
                    LDA        #$3131               
                    STA        $B0,S                
                    LDA        $B3,S                
                    AND        #$FF0F               
                    ORA        #$0060               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $03,S                
                    LDA        #$16                 
                    STA        $A5,S                
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $13,S                
                    LDA        $AF,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0012               
                    TCS                             
                    PEA        $1611                
                    PEA        $2333                
                    TSC                             ; Line 49
                    ADC        #$0132               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    STA        $B2,S                
                    TDC                             
                    STA        $A3,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $03,S                
                    LDA        #$16                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0013               
                    TCS                             
                    PEA        $1611                
                    PEA        $1313                
                    TSC                             ; Line 51
                    ADC        #$0131               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    LDA        #$1113               
                    STA        $11,S                
                    TDC                             
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $A5,S                
                    AND        #$F000               
                    ORA        #$0616               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $03,S                
                    LDA        #$16                 
                    STA        $13,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    LDA        $B1,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F00F               
                    ORA        #$0460               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $12,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A5,S                
                    LDA        $B4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B4,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    STA        $13,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0D,S                
                    LDA        $15,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $15,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_063       CLC                             ; Sprite #063 : 30x56, 1763 bytes, 2804 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$4444               ; Pattern #1 : 15
                    LDY        #$3131               ; Pattern #2 : 10
                    LDA        #$3133               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $A9,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $08,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0A,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014A               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PHX                             
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6444               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    PEA        $6666                
                    PEA        $6446                
                    TSC                             ; Line 8
                    ADC        #$013A               
                    TCS                             
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $06,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $6644                
                    PHX                             
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    TXA                             
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    PEA        $6644                
                    PHX                             
                    TSC                             ; Line 11
                    ADC        #$013A               
                    TCS                             
                    TXA                             
                    STA        $08,S                
                    SEP        #$20                 
                    LDA        #$43                 
                    STA        $0A,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3244                
                    PEA        $1413                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $1623                
                    PEA        $4364                
                    PHY                             
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1163                
                    PEA        $3132                
                    PEA        $4416                
                    TSC                             ; Line 15
                    ADC        #$00A5               
                    TCS                             
                    LDA        $95,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $6131                
                    PEA        $4144                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    TXA                             
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $1163                
                    PEA        $3132                
                    PEA        $1416                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    TXA                             
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1131                
                    PEA        $1623                
                    PEA        $4341                
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00A9               
                    TCS                             
                    TXA                             
                    STA        $95,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $1163                
                    PEA        $3112                
                    PEA        $4344                
                    TSC                             ; Line 19
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$3144               
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$F00F               
                    ORA        #$0630               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $9B,S                
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $96,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3112                
                    PEA        $3116                
                    PEA        $3112                
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$1313               
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        #$41                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1133                
                    PEA        $2311                
                    PEA        $6323                
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $3312                
                    PEA        $3112                
                    TSC                             ; Line 22
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1133                
                    PEA        $3322                
                    PEA        $1161                
                    PHY                             
                    PEA        $1116                
                    TSC                             ; Line 23
                    ADC        #$00AB               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1061               
                    STA        $9F,S                
                    PEA        $1116                
                    PEA        $1133                
                    PEA        $1111                
                    PEA        $3611                
                    PEA        $1361                
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PEA        $1113                
                    PEA        $1111                
                    PEA        $3316                
                    PEA        $1616                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $1116                
                    PEA        $3161                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6116                
                    PEA        $1611                
                    PEA        $3316                
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$5305               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    PEA        $1711                
                    PEA        $1131                
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5705               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $7777                
                    PEA        $1711                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $5555                
                    PEA        $5577                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3503               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $1616                
                    PEA        $1157                
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    PEA        $1113                
                    PEA        $7175                
                    TSC                             ; Line 32
                    ADC        #$00A6               
                    TCS                             
                    PEA        $1616                
                    PEA        $3171                
                    PEA        $5773                
                    PEA        $3533                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    PEA        $6111                
                    PEA        $1155                
                    PEA        $3333                
                    PEA        $7733                
                    TSC                             ; Line 34
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1631                
                    PHY                             
                    PEA        $1313                
                    PEA        $5333                
                    TSC                             ; Line 35
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $6111                
                    PEA        $1333                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 36
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    PHY                             
                    PEA        $3361                
                    PEA        $6113                
                    TSC                             ; Line 37
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1036               
                    STA        $A1,S                
                    PEA        $1313                
                    PEA        $3316                
                    PEA        $1631                
                    TSC                             ; Line 38
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$1113               
                    STA        $A0,S                
                    LDA        $9D,S                
                    AND        #$F00F               
                    ORA        #$0310               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9F,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3361                
                    PEA        $6111                
                    PEA        $1333                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$3123               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1616                
                    PHD                             
                    TSC                             ; Line 40
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$3123               
                    STA        $9D,S                
                    TDC                             
                    STA        $A3,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $1133                
                    TSC                             ; Line 42
                    ADC        #$0143               
                    TCS                             
                    LDA        #$2333               
                    STA        $9D,S                
                    LDA        #$6131               
                    STA        $A6,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $A4,S                
                    PEA        $6111                
                    PEA        $3333                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $1611                
                    PEA        $2333                
                    TSC                             ; Line 44
                    ADC        #$0137               
                    TCS                             
                    LDA        #$3132               
                    STA        $03,S                
                    LDA        #$1611               
                    STA        $0C,S                
                    LDA        #$1333               
                    STA        $A3,S                
                    LDA        #$6131               
                    STA        $AC,S                
                    LDA        $05,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $05,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $0A,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 46
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $03,S                
                    LDA        #$1133               
                    STA        $0B,S                
                    LDA        #$1333               
                    STA        $A3,S                
                    TDC                             
                    STA        $AB,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $05,S                
                    LDA        #$16                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 48
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $03,S                
                    LDA        #$1611               
                    STA        $0C,S                
                    LDA        #$1333               
                    STA        $A3,S                
                    LDA        #$6131               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $05,S                
                    LDA        #$16                 
                    STA        $A5,S                
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $0B,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 50
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $03,S                
                    LDA        #$1611               
                    STA        $0C,S                
                    LDA        #$1333               
                    STA        $A3,S                
                    LDA        #$6131               
                    STA        $AC,S                
                    LDA        $A5,S                
                    AND        #$F000               
                    ORA        #$0616               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $05,S                
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $0B,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $03,S                
                    LDA        #$1611               
                    STA        $0C,S                
                    LDA        #$4644               
                    STA        $A4,S                
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $A1,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$63                 
                    STA        $0B,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A3,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $03,S                
                    STA        $0C,S                
                    STA        $A2,S                
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A4,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $05,S                
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AE,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_064       CLC                             ; Sprite #064 : 32x55, 1665 bytes, 2666 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 15
                    LDY        #$1116               ; Pattern #2 : 15
                    LDA        #$6111               ; Pattern #3 : 11
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $08,S                
                    STA        $A9,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0A,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014A               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    PEA        $4644                
                    PEA        $4466                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6446                
                    PEA        $6664                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4464                
                    TSC                             ; Line 8
                    ADC        #$013A               
                    TCS                             
                    LDA        #$6646               
                    STA        $08,S                
                    LDA        #$4444               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0A,S                
                    LDA        $AA,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AA,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6144               
                    STA        $09,S                
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$6401               
                    STA        $07,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$1060               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6144                
                    PEA        $6416                
                    TSC                             ; Line 12
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $4464                
                    PEA        $1236                
                    TSC                             ; Line 13
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $95,S                
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6361                
                    PEA        $4664                
                    PEA        $1336                
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $93,S                
                    LDA        #$31                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $3233                
                    PHD                             
                    PEA        $4626                
                    PHD                             
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    LDA        $94,S                
                    AND        #$000F               
                    ORA        #$1340               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $93,S                
                    LDA        #$63                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $3316                
                    PHD                             
                    PEA        $4636                
                    PEA        $6131                
                    TSC                             ; Line 16
                    ADC        #$00A7               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$4104               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A1,S                
                    PHD                             
                    PEA        $4644                
                    PEA        $1216                
                    PEA        $1133                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1361               
                    STA        $96,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        #$41                 
                    STA        $95,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1636                
                    PEA        $4444                
                    PEA        $6311                
                    PEA        $1131                
                    TSC                             ; Line 18
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    PHX                             
                    PEA        $3343                
                    PEA        $4461                
                    PEA        $1161                
                    TSC                             ; Line 19
                    ADC        #$00A7               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A1,S                
                    PEA        $3663                
                    PEA        $6132                
                    PEA        $1611                
                    PEA        $1636                
                    PEA        $3111                
                    PEA        $1616                
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3313                
                    PEA        $6613                
                    PEA        $1611                
                    PHX                             
                    PEA        $1361                
                    TSC                             ; Line 21
                    ADC        #$00A3               
                    TCS                             
                    TXA                             
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$F00F               
                    ORA        #$0160               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A2,S                
                    LDA        $A9,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A9,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $1616                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $1363                
                    PEA        $6126                
                    PHD                             
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $99,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $1636                
                    PHD                             
                    TSC                             ; Line 23
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6663                
                    PEA        $3216                
                    PEA        $1111                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$3036               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $3163                
                    PEA        $1316                
                    PEA        $1161                
                    TSC                             ; Line 25
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6033               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    TSC                             ; Line 26
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHD                             
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1316                
                    PHY                             
                    TSC                             ; Line 28
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5511                
                    PHX                             
                    PEA        $6155                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5757                
                    PEA        $5555                
                    PEA        $5575                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $5357                
                    PEA        $1771                
                    PEA        $7767                
                    TSC                             ; Line 31
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $3351                
                    PEA        $5775                
                    PHY                             
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A1,S                
                    PEA        $5561                
                    PEA        $7561                
                    PHX                             
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A1,S                
                    PEA        $7511                
                    PEA        $7711                
                    PHY                             
                    TSC                             ; Line 34
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A1,S                
                    PEA        $7561                
                    PEA        $1111                
                    PHX                             
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$3361               
                    STA        $9C,S                
                    LDA        #$3313               
                    STA        $A1,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9A,S                
                    LDA        $9F,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9F,S                
                    PHY                             
                    PEA        $3611                
                    PHY                             
                    TSC                             ; Line 37
                    ADC        #$013B               
                    TCS                             
                    LDA        #$1311               
                    STA        $07,S                
                    STA        $0C,S                
                    LDA        #$3311               
                    STA        $A7,S                
                    STA        $AC,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $05,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $0A,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $A5,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $AA,S                
                    TSC                             ; Line 39
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1313               
                    STA        $07,S                
                    LDA        #$1311               
                    STA        $0C,S                
                    TXA                             
                    STA        $AB,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $05,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $0A,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$3011               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $05,S                
                    STA        $0B,S                
                    TXA                             
                    STA        $A5,S                
                    STA        $AB,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $07,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $0D,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A7,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$3011               
                    STA        $AD,S                
                    TSC                             ; Line 43
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $05,S                
                    LDA        #$1616               
                    STA        $0B,S                
                    TXA                             
                    STA        $A5,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $0D,S                
                    LDA        $AB,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$3011               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $07,S                
                    LDA        #$33                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $05,S                
                    STA        $0C,S                
                    TXA                             
                    STA        $AC,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$3061               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $AE,S                
                    LDA        $07,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $07,S                
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $0E,S                
                    REP        #$30                 
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $0C,S                
                    LDA        #$3361               
                    STA        $A5,S                
                    STA        $AD,S                
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $06,S                
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $0E,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A4,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1311               
                    STA        $05,S                
                    STA        $0D,S                
                    LDA        #$3361               
                    STA        $A5,S                
                    LDA        #$1361               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $04,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0C,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A4,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1311               
                    STA        $05,S                
                    LDA        #$1316               
                    STA        $0D,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AE,S                
                    LDA        $04,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $04,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $04,S                
                    LDA        #$4464               
                    STA        $0D,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $AF,S                
                    LDA        $06,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $06,S                
                    LDA        $0F,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0F,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_065       CLC                             ; Sprite #065 : 44x56, 1863 bytes, 2992 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 24
                    LDY        #$6111               ; Pattern #2 : 17
                    LDA        #$1131               ; Pattern #3 : 14
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0B,S                
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AC,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $99,S                
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0138               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $04,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A4,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $09,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $05,S                
                    STA        $A5,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $08,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $2343                
                    PEA        $6413                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1306               
                    STA        $97,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A0,S                
                    PEA        $6331                
                    PEA        $3244                
                    PEA        $3631                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1201               
                    STA        $98,S                
                    PEA        $1623                
                    PEA        $4364                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $97,S                
                    AND        #$F000               
                    ORA        #$0233               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3331                
                    PEA        $6331                
                    PEA        $3264                
                    PEA        $1321                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$1201               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $1113                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $3631                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$3306               
                    STA        $97,S                
                    PEA        $3111                
                    PEA        $6341                
                    PEA        $3436                
                    PEA        $1133                
                    TSC                             ; Line 18
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $95,S                
                    PHY                             
                    PEA        $1316                
                    PEA        $3144                
                    PEA        $4463                
                    PEA        $3131                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$3106               
                    STA        $95,S                
                    PHX                             
                    PEA        $3166                
                    PEA        $4444                
                    PEA        $4432                
                    PEA        $1613                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $96,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3336                
                    PEA        $4434                
                    PEA        $1623                
                    PEA        $6131                
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $96,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3133                
                    PEA        $4116                
                    PEA        $6131                
                    PEA        $1216                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $98,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3361                
                    PHY                             
                    PEA        $3116                
                    PEA        $6361                
                    TSC                             ; Line 23
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1116                
                    PEA        $1611                
                    PEA        $1163                
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6161                
                    PEA        $1111                
                    PEA        $3131                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHD                             
                    PEA        $1333                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    PEA        $3131                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $7711                
                    PEA        $1113                
                    PEA        $1333                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $5575                
                    PEA        $7777                
                    PHD                             
                    TSC                             ; Line 29
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $5655                
                    PEA        $5575                
                    PEA        $7775                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6161                
                    PHY                             
                    PEA        $7175                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $3111                
                    PEA        $5157                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $3375                
                    PEA        $7335                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PHD                             
                    PEA        $5375                
                    PEA        $7315                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $1353                
                    PEA        $3771                
                    PEA        $3532                
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $1311                
                    PEA        $1523                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $96,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1333                
                    PEA        $1316                
                    PEA        $1631                
                    PEA        $3132                
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $6361                
                    PHY                             
                    PEA        $1323                
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $99,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1333                
                    PEA        $3316                
                    PHX                             
                    PEA        $1631                
                    PEA        $3132                
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A9,S                
                    PHY                             
                    PEA        $1323                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $3111                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        #$1111               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $A4,S                
                    PHX                             
                    PEA        $1631                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $1113                
                    PEA        $3333                
                    TSC                             ; Line 41
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$21                 
                    STA        $92,S                
                    LDA        #$33                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 42
                    ADC        #$009A               
                    TCS                             
                    LDA        #$1133               
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $A6,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHY                             
                    PEA        $1333                
                    TSC                             ; Line 43
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AC,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1132                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1133               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $3131                
                    PEA        $3232                
                    TSC                             ; Line 45
                    ADC        #$00A5               
                    TCS                             
                    TDC                             
                    STA        $91,S                
                    LDA        #$1132               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $93,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $2323                
                    TSC                             ; Line 47
                    ADC        #$0132               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    TDC                             
                    STA        $A3,S                
                    STA        $B1,S                
                    LDA        $AF,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $03,S                
                    LDA        #$16                 
                    STA        $A5,S                
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $13,S                
                    LDA        $B3,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $B3,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0012               
                    TCS                             
                    PEA        $1611                
                    PEA        $2333                
                    TSC                             ; Line 49
                    ADC        #$0132               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    STA        $B2,S                
                    TDC                             
                    STA        $A3,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $03,S                
                    LDA        #$16                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0013               
                    TCS                             
                    PEA        $1611                
                    PEA        $1313                
                    TSC                             ; Line 51
                    ADC        #$0131               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    LDA        #$1113               
                    STA        $11,S                
                    TDC                             
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $A5,S                
                    AND        #$F000               
                    ORA        #$0616               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $03,S                
                    LDA        #$16                 
                    STA        $13,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    LDA        $B1,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F00F               
                    ORA        #$0460               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $12,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A5,S                
                    LDA        $B4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B4,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    STA        $13,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0D,S                
                    LDA        $15,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $15,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_066       CLC                             ; Sprite #066 : 52x56, 1925 bytes, 3084 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 28
                    LDY        #$6161               ; Pattern #2 : 20
                    LDA        #$1111               ; Pattern #3 : 18
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $AE,S                
                    LDA        $0D,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $0D,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0F,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014F               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4444                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6444               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $92,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $92,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6446                
                    TSC                             ; Line 8
                    ADC        #$0135               
                    TCS                             
                    LDA        #$3244               
                    STA        $A2,S                
                    LDA        $01,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $01,S                
                    LDA        $A0,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6644                
                    PEA        $4444                
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0099               
                    TCS                             
                    LDA        #$4444               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$3044               
                    STA        $AB,S                
                    PEA        $3223                
                    PEA        $4344                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $4444                
                    PEA        $4444                
                    TSC                             ; Line 11
                    ADC        #$009A               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $2333                
                    PEA        $3341                
                    TSC                             ; Line 12
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$3644               
                    STA        $A9,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$1603               
                    STA        $A7,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $1116                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6643                
                    PEA        $4431                
                    TSC                             ; Line 13
                    ADC        #$009B               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $3233                
                    PEA        $3161                
                    PHY                             
                    TSC                             ; Line 14
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$1013               
                    STA        $A7,S                
                    PEA        $2333                
                    PEA        $1213                
                    PEA        $1316                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $3111                
                    PEA        $6333                
                    PEA        $6333                
                    TSC                             ; Line 15
                    ADC        #$00A5               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PEA        $3131                
                    PEA        $1333                
                    PEA        $3333                
                    PEA        $3131                
                    PEA        $3161                
                    PHY                             
                    TSC                             ; Line 16
                    ADC        #$00AC               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    PEA        $1331                
                    PEA        $3111                
                    PEA        $1313                
                    PEA        $1313                
                    PEA        $1116                
                    TSC                             ; Line 17
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $1131                
                    PHD                             
                    PEA        $1161                
                    PHY                             
                    TSC                             ; Line 18
                    ADC        #$00AA               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    PHD                             
                    PHD                             
                    PHD                             
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    PEA        $1161                
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    PHD                             
                    PEA        $1116                
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $1161                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1611                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $1131                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    PEA        $1313                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6131                
                    PEA        $3131                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PEA        $1133                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7761                
                    PEA        $6111                
                    PEA        $1133                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7711                
                    PEA        $3155                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $5655                
                    PEA        $5575                
                    PEA        $7755                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6111                
                    PEA        $7135                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $3111                
                    PEA        $5157                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $3375                
                    PEA        $7335                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $1131                
                    PEA        $5375                
                    PEA        $7315                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $1353                
                    PEA        $3771                
                    PEA        $3532                
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $1311                
                    PEA        $1523                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1333                
                    PEA        $1316                
                    PEA        $1631                
                    PEA        $3132                
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $6361                
                    PEA        $6111                
                    PEA        $1323                
                    TSC                             ; Line 38
                    ADC        #$00AC               
                    TCS                             
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $98,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1113                
                    PEA        $3333                
                    PHX                             
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 39
                    ADC        #$00A3               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A9,S                
                    PEA        $6111                
                    PEA        $1323                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $3111                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    TDC                             
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $A4,S                
                    PHX                             
                    PEA        $1631                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $1113                
                    PEA        $3333                
                    TSC                             ; Line 41
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$21                 
                    STA        $92,S                
                    LDA        #$33                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 42
                    ADC        #$009A               
                    TCS                             
                    LDA        #$1133               
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $A6,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1131                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6111                
                    PEA        $1333                
                    TSC                             ; Line 43
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AC,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1132                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1133               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1131                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $3131                
                    PEA        $3232                
                    TSC                             ; Line 45
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$1131               
                    STA        $91,S                
                    LDA        #$1132               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $93,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $2323                
                    TSC                             ; Line 47
                    ADC        #$012E               
                    TCS                             
                    LDA        #$6111               
                    STA        $08,S                
                    LDA        #$1131               
                    STA        $A7,S                
                    STA        $B5,S                
                    LDA        #$3131               
                    STA        $B4,S                
                    LDA        $B7,S                
                    AND        #$FF0F               
                    ORA        #$0060               
                    STA        $B7,S                
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $07,S                
                    LDA        #$16                 
                    STA        $A9,S                
                    LDA        $17,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $17,S                
                    LDA        $B3,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $B3,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0016               
                    TCS                             
                    PEA        $1611                
                    PEA        $2333                
                    TSC                             ; Line 49
                    ADC        #$012E               
                    TCS                             
                    LDA        #$6111               
                    STA        $08,S                
                    STA        $B6,S                
                    LDA        #$1131               
                    STA        $A7,S                
                    LDA        $B4,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $B4,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $07,S                
                    LDA        #$16                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0017               
                    TCS                             
                    PEA        $1611                
                    PEA        $1313                
                    TSC                             ; Line 51
                    ADC        #$012D               
                    TCS                             
                    LDA        #$6111               
                    STA        $08,S                
                    LDA        #$1113               
                    STA        $15,S                
                    LDA        #$1131               
                    STA        $A7,S                
                    STA        $B6,S                
                    LDA        $A9,S                
                    AND        #$F000               
                    ORA        #$0616               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $07,S                
                    LDA        #$16                 
                    STA        $17,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A6,S                
                    LDA        $B5,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A7,S                
                    STA        $B6,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F00F               
                    ORA        #$0460               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $12,S                
                    LDA        $14,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $14,S                
                    LDA        $16,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $16,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B4,S                
                    SEP        #$20                 
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A6,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A9,S                
                    LDA        $B8,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B8,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $07,S                
                    STA        $17,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $05,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0F,S                
                    SEP        #$20                 
                    LDA        $11,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $11,S                
                    LDA        $19,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $19,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_067       CLC                             ; Sprite #067 : 50x56, 1927 bytes, 3129 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 33
                    LDY        #$6161               ; Pattern #2 : 23
                    LDA        #$1113               ; Pattern #3 : 17
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0D,S                
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AE,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0B,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0136               
                    TCS                             
                    LDA        #$4444               
                    STA        $0C,S                
                    LDA        #$4344               
                    STA        $AE,S                
                    LDA        $0E,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0E,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4114               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $0F,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $B0,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 13
                    ADC        #$00AF               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6031               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6141                
                    PEA        $6431                
                    TSC                             ; Line 14
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3116                
                    PEA        $4416                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $1313                
                    PEA        $4411                
                    TSC                             ; Line 16
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3131                
                    PEA        $3364                
                    TSC                             ; Line 17
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    PEA        $3313                
                    TSC                             ; Line 18
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $99,S                
                    PHY                             
                    PEA        $1131                
                    PEA        $3133                
                    TSC                             ; Line 19
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    PHD                             
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $97,S                
                    PHY                             
                    PHY                             
                    PEA        $1111                
                    PEA        $3131                
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $96,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PHD                             
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $91,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PHY                             
                    PHY                             
                    PEA        $1131                
                    PEA        $3131                
                    TSC                             ; Line 23
                    ADC        #$00A8               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $91,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PHX                             
                    PEA        $1611                
                    PHX                             
                    PHD                             
                    PEA        $3333                
                    PEA        $3333                
                    PEA        $3343                
                    TSC                             ; Line 24
                    ADC        #$00AE               
                    TCS                             
                    LDA        $91,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $91,S                
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3131                
                    PHY                             
                    PEA        $6111                
                    PHD                             
                    PEA        $1313                
                    PEA        $1343                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $99,S                
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $1613                
                    PEA        $1313                
                    TSC                             ; Line 26
                    ADC        #$009E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A9,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A9,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PHY                             
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHY                             
                    PEA        $6111                
                    PEA        $3133                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$5305               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    PEA        $1716                
                    PEA        $1611                
                    PEA        $3133                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5705               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $7777                
                    PEA        $1711                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $5555                
                    PEA        $5577                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3503               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PHX                             
                    PEA        $1157                
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5703               
                    STA        $9B,S                
                    PHD                             
                    PEA        $1175                
                    TSC                             ; Line 32
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3131                
                    PEA        $5337                
                    TSC                             ; Line 33
                    ADC        #$00A6               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $98,S                
                    PEA        $6111                
                    PEA        $1133                
                    PEA        $5537                
                    PEA        $5731                
                    TSC                             ; Line 34
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3131                
                    PEA        $3175                
                    PEA        $1357                
                    TSC                             ; Line 35
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $96,S                
                    PHY                             
                    PHD                             
                    PEA        $3333                
                    PEA        $1151                
                    PEA        $3132                
                    TSC                             ; Line 36
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1631                
                    PEA        $3133                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 37
                    ADC        #$00AA               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PHY                             
                    PHD                             
                    PEA        $3333                
                    PHX                             
                    PEA        $1631                
                    PEA        $3132                
                    TSC                             ; Line 38
                    ADC        #$00AB               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $95,S                
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $6361                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 39
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $A3,S                
                    PHX                             
                    PEA        $1631                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PHY                             
                    PHD                             
                    PEA        $3132                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$21                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1333                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 41
                    ADC        #$009B               
                    TCS                             
                    LDA        #$1111               
                    STA        $9D,S                
                    LDA        #$3131               
                    STA        $A7,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A9,S                
                    PHX                             
                    PEA        $1131                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PHD                             
                    PEA        $3332                
                    TSC                             ; Line 43
                    ADC        #$0131               
                    TCS                             
                    LDA        #$1111               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $15,S                
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $06,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A6,S                
                    LDA        $B1,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PHX                             
                    PEA        $1121                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $1131                
                    PEA        $3332                
                    TSC                             ; Line 44
                    ADC        #$00A5               
                    TCS                             
                    TXA                             
                    STA        $93,S                
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $91,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1613                
                    PEA        $2323                
                    TSC                             ; Line 45
                    ADC        #$00A4               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $91,S                
                    LDA        $93,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3232                
                    TSC                             ; Line 46
                    ADC        #$00A5               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $90,S                
                    LDA        $92,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $92,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $2123                
                    TSC                             ; Line 47
                    ADC        #$00A4               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $90,S                
                    LDA        $92,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $92,S                
                    PEA        $6111                
                    PEA        $3132                
                    TSC                             ; Line 48
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$3131               
                    STA        $9E,S                
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $90,S                
                    LDA        $92,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $92,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $1333                
                    TSC                             ; Line 50
                    ADC        #$012E               
                    TCS                             
                    TDC                             
                    STA        $14,S                
                    LDA        $06,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $08,S                
                    LDA        $16,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $16,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A8,S                
                    LDA        $B4,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $B6,S                
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1163               
                    STA        $06,S                
                    TDC                             
                    STA        $15,S                
                    LDA        #$4644               
                    STA        $A7,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $11,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A3,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $B4,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $08,S                
                    LDA        #$44                 
                    STA        $B6,S                
                    LDA        $17,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $17,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $06,S                
                    STA        $16,S                
                    STA        $A5,S                
                    STA        $B7,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $13,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A7,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$64                 
                    STA        $15,S                
                    LDA        $08,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $08,S                
                    LDA        $B0,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $B0,S                
                    LDA        $B6,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $B6,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_068       CLC                             ; Sprite #068 : 44x56, 2006 bytes, 3239 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 34
                    LDY        #$6161               ; Pattern #2 : 24
                    LDA        #$1111               ; Pattern #3 : 19
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0A,S                
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AB,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $95,S                
                    LDA        $A4,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A4,S                
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A7               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $92,S                
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $4444                
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$4444               
                    STA        $98,S                
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$4046               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $91,S                
                    LDA        #$11                 
                    STA        $A1,S                
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $3131                
                    PEA        $4444                
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 9
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$4444               
                    STA        $99,S                
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $91,S                
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    TSC                             ; Line 10
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6111               
                    STA        $A0,S                
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $90,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $98,S                
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$3044               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9F,S                
                    LDA        $92,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $92,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    TSC                             ; Line 12
                    ADC        #$0133               
                    TCS                             
                    TXA                             
                    STA        $11,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $01,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $0F,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $03,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $03,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $08,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A3,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A7,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $2343                
                    PEA        $4431                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    TXA                             
                    STA        $95,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $94,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $6331                
                    PEA        $4344                
                    PEA        $6313                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PHY                             
                    PEA        $1133                
                    TSC                             ; Line 14
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $90,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $90,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1133                
                    PEA        $3316                
                    PEA        $2344                
                    PEA        $6421                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $90,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1131                
                    PEA        $3161                
                    PEA        $3144                
                    PEA        $6431                
                    PEA        $1131                
                    PEA        $3331                
                    PEA        $3131                
                    TSC                             ; Line 16
                    ADC        #$00AF               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $91,S                
                    PHX                             
                    PEA        $1113                
                    PEA        $6131                
                    PEA        $4464                
                    PEA        $2311                
                    PEA        $1313                
                    PEA        $1313                
                    TSC                             ; Line 17
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1131                
                    PEA        $1136                
                    PEA        $4266                
                    PEA        $3211                
                    PHD                             
                    PEA        $1116                
                    TSC                             ; Line 18
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    PEA        $6143                
                    PEA        $1613                
                    PHD                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    PEA        $6123                
                    PEA        $3613                
                    PEA        $1116                
                    PHX                             
                    TSC                             ; Line 20
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PHD                             
                    PEA        $3662                
                    PEA        $1161                
                    PHY                             
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    PHY                             
                    PHD                             
                    PEA        $6123                
                    PHD                             
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $1136                
                    PEA        $1261                
                    TSC                             ; Line 23
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PHD                             
                    PEA        $6123                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PEA        $1636                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7761                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7716                
                    PEA        $6655                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $5655                
                    PEA        $5575                
                    PEA        $7755                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6111                
                    PEA        $7135                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $3111                
                    PEA        $5157                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $3375                
                    PEA        $7335                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $1131                
                    PEA        $5375                
                    PEA        $7315                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $1353                
                    PEA        $3771                
                    PEA        $3532                
                    TSC                             ; Line 35
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $1311                
                    PEA        $1523                
                    TSC                             ; Line 36
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1333                
                    PEA        $1316                
                    PEA        $1631                
                    PEA        $3132                
                    TSC                             ; Line 37
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $6361                
                    PEA        $6111                
                    PEA        $1323                
                    TSC                             ; Line 38
                    ADC        #$00AC               
                    TCS                             
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $98,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1113                
                    PEA        $3333                
                    PHX                             
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 39
                    ADC        #$00A3               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9C,S                
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A9,S                
                    PEA        $6111                
                    PEA        $1323                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PEA        $3111                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    TDC                             
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $A4,S                
                    PHX                             
                    PEA        $1631                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $1113                
                    PEA        $3333                
                    TSC                             ; Line 41
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$21                 
                    STA        $92,S                
                    LDA        #$33                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 42
                    ADC        #$009A               
                    TCS                             
                    LDA        #$1133               
                    STA        $A8,S                
                    LDA        $A6,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $A6,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1131                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6111                
                    PEA        $1333                
                    TSC                             ; Line 43
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AC,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1132                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1133               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1131                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $3131                
                    PEA        $3232                
                    TSC                             ; Line 45
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$1131               
                    STA        $91,S                
                    LDA        #$1132               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $93,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $2323                
                    TSC                             ; Line 47
                    ADC        #$0132               
                    TCS                             
                    LDA        #$6111               
                    STA        $04,S                
                    LDA        #$1131               
                    STA        $A3,S                
                    STA        $B1,S                
                    LDA        #$3131               
                    STA        $B0,S                
                    LDA        $B3,S                
                    AND        #$FF0F               
                    ORA        #$0060               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $03,S                
                    LDA        #$16                 
                    STA        $A5,S                
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $13,S                
                    LDA        $AF,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0012               
                    TCS                             
                    PEA        $1611                
                    PEA        $2333                
                    TSC                             ; Line 49
                    ADC        #$0132               
                    TCS                             
                    LDA        #$6111               
                    STA        $04,S                
                    STA        $B2,S                
                    LDA        #$1131               
                    STA        $A3,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $03,S                
                    LDA        #$16                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0013               
                    TCS                             
                    PEA        $1611                
                    PEA        $1313                
                    TSC                             ; Line 51
                    ADC        #$0131               
                    TCS                             
                    LDA        #$6111               
                    STA        $04,S                
                    LDA        #$1113               
                    STA        $11,S                
                    LDA        #$1131               
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $A5,S                
                    AND        #$F000               
                    ORA        #$0616               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $03,S                
                    LDA        #$16                 
                    STA        $13,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    LDA        $B1,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $A3,S                
                    STA        $B2,S                
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F00F               
                    ORA        #$0460               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $12,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A5,S                
                    LDA        $B4,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B4,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $03,S                
                    STA        $13,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0D,S                
                    LDA        $15,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $15,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_069       CLC                             ; Sprite #069 : 48x56, 1816 bytes, 2884 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 13
                    LDY        #$1111               ; Pattern #2 : 13
                    LDA        #$3131               ; Pattern #3 : 12
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $06,S                
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $05,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A4,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0147               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $01,S                
                    LDA        #$55                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6646                
                    PEA        $4444                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    PEA        $6646                
                    PEA        $6446                
                    TSC                             ; Line 7
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4444               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $9F,S                
                    PEA        $6646                
                    PEA        $4644                
                    TSC                             ; Line 9
                    ADC        #$0143               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A3,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4444                
                    TSC                             ; Line 11
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$6111               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$4304               
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PEA        $6131                
                    PEA        $4344                
                    TSC                             ; Line 13
                    ADC        #$013B               
                    TCS                             
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $04,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $0A,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$1603               
                    STA        $A4,S                
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PEA        $1116                
                    PEA        $4364                
                    TSC                             ; Line 14
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1166                
                    PEA        $3144                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1161                
                    PEA        $3144                
                    PEA        $1631                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1631                
                    PHY                             
                    PEA        $1643                
                    PEA        $6113                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$4103               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $1131                
                    PEA        $1211                
                    PEA        $1631                
                    PEA        $6133                
                    TSC                             ; Line 18
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $3313                
                    PEA        $1161                
                    PEA        $1164                
                    TSC                             ; Line 19
                    ADC        #$00A7               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $6111                
                    PEA        $2311                
                    PEA        $6116                
                    PEA        $3144                
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $3631                
                    PEA        $1211                
                    PEA        $3643                
                    TSC                             ; Line 21
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1313                
                    PEA        $1131                
                    PEA        $1116                
                    TSC                             ; Line 22
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $95,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1061               
                    STA        $A0,S                
                    PEA        $1116                
                    PEA        $3123                
                    PEA        $3313                
                    PEA        $6131                
                    TSC                             ; Line 23
                    ADC        #$00A7               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1163                
                    PEA        $6111                
                    TSC                             ; Line 24
                    ADC        #$00A1               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$4104               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A7,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3143                
                    PEA        $4444                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $1716                
                    PHX                             
                    TSC                             ; Line 25
                    ADC        #$009E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1311                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $1561                
                    PEA        $6161                
                    TSC                             ; Line 26
                    ADC        #$009E               
                    TCS                             
                    LDA        #$6161               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$F00F               
                    ORA        #$0360               
                    STA        $A0,S                
                    PEA        $1613                
                    PEA        $1116                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $1675                
                    PEA        $1711                
                    PHY                             
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    TXA                             
                    STA        $97,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $9A,S                
                    PEA        $6651                
                    PEA        $7577                
                    PHY                             
                    TSC                             ; Line 28
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1105               
                    STA        $99,S                
                    PEA        $6611                
                    PEA        $1151                
                    PEA        $5531                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    PEA        $1116                
                    PHY                             
                    PEA        $5375                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6611                
                    PEA        $1131                
                    PEA        $3171                
                    PEA        $7755                
                    TSC                             ; Line 31
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $1313                
                    PEA        $7375                
                    PEA        $1373                
                    TSC                             ; Line 32
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $6161                
                    PHD                             
                    PEA        $3373                
                    PEA        $5535                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3503               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $1333                
                    PEA        $3351                
                    PEA        $7535                
                    TSC                             ; Line 34
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3503               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PHD                             
                    PEA        $3361                
                    PEA        $5131                
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $99,S                
                    PEA        $1333                
                    PEA        $3316                
                    PEA        $1611                
                    TSC                             ; Line 36
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A7,S                
                    AND        #$0F00               
                    ORA        #$4014               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $6163                
                    PEA        $3133                
                    PEA        $3361                
                    PEA        $6131                
                    TSC                             ; Line 37
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1133                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $1331                
                    PHD                             
                    PHD                             
                    PEA        $1131                
                    PEA        $3332                
                    TSC                             ; Line 38
                    ADC        #$009F               
                    TCS                             
                    LDA        #$1133               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$2101               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6161                
                    PHD                             
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $4414                
                    PHY                             
                    PEA        $1113                
                    PEA        $1313                
                    PEA        $1333                
                    PEA        $3333                
                    TSC                             ; Line 39
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$3133               
                    STA        $90,S                
                    LDA        $92,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $92,S                
                    LDA        $9F,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $8F,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $8F,S                
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $4414                
                    PHX                             
                    PHX                             
                    PEA        $1131                
                    PHD                             
                    TSC                             ; Line 40
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1133               
                    STA        $92,S                
                    LDA        $94,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $94,S                
                    LDA        $9D,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        $91,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $91,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6161                
                    PEA        $6111                
                    PEA        $6311                
                    TSC                             ; Line 41
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$2123               
                    STA        $96,S                
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $95,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             ; Line 43
                    ADC        #$0133               
                    TCS                             
                    LDA        #$1133               
                    STA        $07,S                
                    LDA        #$3133               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $09,S                
                    LDA        #$61                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1133               
                    STA        $07,S                
                    TDC                             
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $09,S                
                    LDA        #$61                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1133               
                    STA        $07,S                
                    LDA        #$3133               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $09,S                
                    LDA        #$61                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1133               
                    STA        $07,S                
                    LDA        #$6131               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $09,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1631               
                    STA        $08,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F000               
                    ORA        #$0661               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$000F               
                    ORA        #$1160               
                    STA        $07,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $12,S                
                    LDA        $14,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $14,S                
                    LDA        $16,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $16,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F000               
                    ORA        #$0646               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B1,S                
                    LDA        $B3,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B3,S                
                    LDA        $B5,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B5,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $09,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4464               
                    STA        $07,S                
                    LDA        $01,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $05,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0F,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_06A       CLC                             ; Sprite #06A : 64x49, 1830 bytes, 2930 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6111               ; Pattern #1 : 21
                    LDY        #$3131               ; Pattern #2 : 19
                    LDA        #$4444               ; Pattern #3 : 11
                    TCD                             
*--                                                 
                    TDC                             ; Line 0
                    STA        $BA,S                
                    LDA        $1A,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $1A,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1133               
                    STA        $B8,S                
                    LDA        $18,S                
                    AND        #$00F0               
                    ORA        #$3403               
                    STA        $18,S                
                    LDA        $1A,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $1A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $BA,S                
                    REP        #$30                 
                    TSC                             ; Line 4
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1611               
                    STA        $19,S                
                    LDA        $17,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $17,S                
                    TSC                             ; Line 5
                    ADC        #$00BA               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1123                
                    TSC                             ; Line 7
                    ADC        #$012A               
                    TCS                             
                    SEP        #$20                 
                    LDA        $15,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $15,S                
                    LDA        $B9,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $B9,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0019               
                    TCS                             
                    PHX                             
                    PEA        $1333                
                    TSC                             ; Line 8
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3121                
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    PHX                             
                    PEA        $1313                
                    TSC                             ; Line 11
                    ADC        #$012C               
                    TCS                             
                    LDA        $B6,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $B6,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $13,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0017               
                    TCS                             
                    PHX                             
                    PEA        $1313                
                    TSC                             ; Line 12
                    ADC        #$00A2               
                    TCS                             
                    PEA        $1131                
                    PEA        $3133                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $1113                
                    PEA        $3333                
                    TSC                             ; Line 14
                    ADC        #$009A               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$1013               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $AB,S                
                    REP        #$30                 
                    PEA        $1161                
                    PEA        $1111                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $1616                
                    PHY                             
                    PEA        $3313                
                    TSC                             ; Line 15
                    ADC        #$009C               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A9,S                
                    PEA        $1316                
                    PEA        $1613                
                    PEA        $1331                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PHX                             
                    PEA        $1333                
                    PEA        $3333                
                    TSC                             ; Line 16
                    ADC        #$00A5               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $92,S                
                    PEA        $1611                
                    PHY                             
                    PEA        $3333                
                    PEA        $3531                
                    PEA        $6161                
                    PHY                             
                    PEA        $3111                
                    TSC                             ; Line 17
                    ADC        #$00AF               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $91,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    PEA        $6161                
                    PEA        $1111                
                    PEA        $3331                
                    PEA        $3155                
                    PEA        $1316                
                    PHY                             
                    PEA        $3311                
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $1113                
                    PEA        $3355                
                    PHX                             
                    PEA        $1333                
                    PEA        $6211                
                    TSC                             ; Line 19
                    ADC        #$00AD               
                    TCS                             
                    LDA        #$5665               
                    STA        $8E,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $90,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6161                
                    PHX                             
                    PHY                             
                    PEA        $5516                
                    PHY                             
                    PEA        $6211                
                    PEA        $1161                
                    TSC                             ; Line 20
                    ADC        #$00AD               
                    TCS                             
                    LDA        #$6656               
                    STA        $90,S                
                    LDA        $8E,S                
                    AND        #$00F0               
                    ORA        #$6506               
                    STA        $8E,S                
                    SEP        #$20                 
                    LDA        $92,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $92,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $1113                
                    PEA        $3353                
                    PEA        $6131                
                    PEA        $2316                
                    PEA        $1661                
                    PEA        $1631                
                    TSC                             ; Line 21
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $1131                
                    PEA        $3153                
                    PEA        $1621                
                    PEA        $6161                
                    PEA        $1166                
                    PEA        $1133                
                    TSC                             ; Line 22
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1616                
                    PEA        $1113                
                    PEA        $5361                
                    PEA        $3311                
                    PEA        $1666                
                    PEA        $1133                
                    PEA        $4364                
                    PEA        $6656                
                    PEA        $6566                
                    TSC                             ; Line 23
                    ADC        #$00B2               
                    TCS                             
                    PEA        $6161                
                    PHY                             
                    PEA        $5316                
                    PEA        $3613                
                    PEA        $6611                
                    PEA        $3344                
                    PHD                             
                    PEA        $6456                
                    PEA        $6566                
                    TSC                             ; Line 24
                    ADC        #$00B2               
                    TCS                             
                    PEA        $1616                
                    PEA        $1113                
                    PEA        $5365                
                    PEA        $3123                
                    PEA        $1631                
                    PHD                             
                    PHD                             
                    PEA        $6656                
                    PEA        $6566                
                    TSC                             ; Line 25
                    ADC        #$00B2               
                    TCS                             
                    LDA        #$1611               
                    STA        $9E,S                
                    LDA        $9B,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $8F,S                
                    LDA        #$33                 
                    STA        $9D,S                
                    LDA        $94,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $1131                
                    PEA        $5515                
                    PEA        $1633                
                    PEA        $1143                
                    PEA        $3333                
                    PHD                             
                    PEA        $4454                
                    PEA        $6566                
                    TSC                             ; Line 26
                    ADC        #$00A5               
                    TCS                             
                    TXA                             
                    STA        $AB,S                
                    LDA        $A1,S                
                    AND        #$F00F               
                    ORA        #$0340               
                    STA        $A1,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0505               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $AA,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A7,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AD,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $5465                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $1131                
                    PEA        $4211                
                    PEA        $6631                
                    TSC                             ; Line 27
                    ADC        #$009F               
                    TCS                             
                    LDA        #$1611               
                    STA        $AB,S                
                    LDA        $A1,S                
                    AND        #$F00F               
                    ORA        #$0340               
                    STA        $A1,S                
                    LDA        $A8,S                
                    AND        #$F00F               
                    ORA        #$0550               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $AA,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A7,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $AD,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $5465                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $4163                
                    PEA        $6611                
                    TSC                             ; Line 28
                    ADC        #$009E               
                    TCS                             
                    LDA        #$5465               
                    STA        $9D,S                
                    TXA                             
                    STA        $AB,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $9F,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AD,S                
                    REP        #$30                 
                    PEA        $4464                
                    PEA        $5465                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $4144                
                    PEA        $3631                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6123               
                    STA        $9D,S                
                    LDA        #$1133               
                    STA        $A4,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4014               
                    STA        $9F,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $1133                
                    TSC                             ; Line 31
                    ADC        #$013A               
                    TCS                             
                    LDA        #$1636               
                    STA        $08,S                
                    TXA                             
                    STA        $0F,S                
                    LDA        #$6133               
                    STA        $A8,S                
                    LDA        #$1133               
                    STA        $AE,S                
                    LDA        $0D,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $0D,S                
                    LDA        $B0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $07,S                
                    LDA        $11,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $11,S                
                    LDA        $AA,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AA,S                
                    LDA        $AD,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 33
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    TYA                             
                    STA        $A8,S                
                    STA        $AE,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $08,S                
                    LDA        $0D,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $0D,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $B0,S                
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $0A,S                
                    LDA        $AA,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AA,S                
                    REP        #$30                 
                    TSC                             ; Line 35
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1123               
                    STA        $08,S                
                    TXA                             
                    STA        $0F,S                
                    LDA        #$1131               
                    STA        $A8,S                
                    TYA                             
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $0E,S                
                    LDA        #$16                 
                    STA        $B0,S                
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $0A,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 37
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    LDA        #$4144               
                    STA        $A7,S                
                    TYA                             
                    STA        $AE,S                
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$1104               
                    STA        $07,S                
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $0E,S                
                    LDA        #$16                 
                    STA        $B0,S                
                    LDA        $09,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $09,S                
                    REP        #$30                 
                    TSC                             ; Line 39
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    TYA                             
                    STA        $AE,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $07,S                
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $0E,S                
                    LDA        #$44                 
                    STA        $A7,S                
                    LDA        #$16                 
                    STA        $B0,S                
                    REP        #$30                 
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0F,S                
                    LDA        #$1631               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $0E,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             ; Line 43
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1111               
                    STA        $0F,S                
                    LDA        #$1631               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $0E,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0306               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $13,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$F000               
                    ORA        #$0646               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B6,S                
                    LDA        $B8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B8,S                
                    LDA        $BA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $BA,S                
                    LDA        $BC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $BC,S                
                    LDA        $BE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $BE,S                
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $0E,S                
                    LDA        #$4644               
                    STA        $AE,S                
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $10,S                
                    AND        #$0F0F               
                    ORA        #$6040               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $12,S                
                    LDA        $14,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $14,S                
                    LDA        $16,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $16,S                
                    LDA        $18,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $18,S                
                    LDA        $1A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $1A,S                
                    LDA        $1C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $1C,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A3,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $B1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B1,S                
                    LDA        $B3,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B3,S                
                    LDA        $B5,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B5,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0D,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A5,S                
                    LDA        $B0,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $B0,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_06B       CLC                             ; Sprite #06B : 32x56, 1772 bytes, 2837 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 18
                    LDY        #$6111               ; Pattern #2 : 15
                    LDA        #$6161               ; Pattern #3 : 14
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0B,S                
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AC,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $99,S                
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0138               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $04,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A4,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $09,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $05,S                
                    STA        $A5,S                
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $08,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $2343                
                    PEA        $6413                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1306               
                    STA        $97,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A0,S                
                    PEA        $6331                
                    PEA        $3244                
                    PEA        $3631                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1201               
                    STA        $98,S                
                    PEA        $1623                
                    PEA        $4364                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $97,S                
                    AND        #$F000               
                    ORA        #$0233               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3331                
                    PEA        $6331                
                    PEA        $3264                
                    PEA        $1321                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$1201               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $1113                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $3631                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$3306               
                    STA        $97,S                
                    PEA        $3111                
                    PEA        $6341                
                    PEA        $3436                
                    PEA        $1133                
                    TSC                             ; Line 18
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $95,S                
                    PHY                             
                    PEA        $1316                
                    PEA        $3144                
                    PEA        $4463                
                    PEA        $3131                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$3106               
                    STA        $95,S                
                    PHX                             
                    PEA        $3166                
                    PEA        $4444                
                    PEA        $4432                
                    PEA        $1613                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $96,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3336                
                    PEA        $4434                
                    PEA        $1623                
                    PEA        $6131                
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $96,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3133                
                    PEA        $4116                
                    PEA        $6131                
                    PEA        $1216                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $98,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3361                
                    PHY                             
                    PEA        $3116                
                    PEA        $6361                
                    TSC                             ; Line 23
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1116                
                    PEA        $1611                
                    PEA        $1163                
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    PEA        $1111                
                    PEA        $3131                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PEA        $1131                
                    PEA        $1333                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1131                
                    PEA        $3131                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7711                
                    PEA        $1113                
                    PEA        $1333                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7711                
                    PEA        $3155                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $5655                
                    PEA        $5575                
                    PEA        $7775                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    PEA        $7175                
                    TSC                             ; Line 31
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $97,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1311                
                    PEA        $7175                
                    PEA        $3533                
                    TSC                             ; Line 32
                    ADC        #$00A9               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $95,S                
                    PHX                             
                    PEA        $3131                
                    PEA        $3373                
                    PEA        $1557                
                    PEA        $3333                
                    TSC                             ; Line 33
                    ADC        #$00AA               
                    TCS                             
                    PHD                             
                    PEA        $1133                
                    PEA        $3333                
                    PEA        $5771                
                    PEA        $3131                
                    TSC                             ; Line 34
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3131                
                    PEA        $1313                
                    PEA        $5711                
                    PEA        $1313                
                    PEA        $3332                
                    TSC                             ; Line 35
                    ADC        #$00AC               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$3202               
                    STA        $93,S                
                    PHY                             
                    PEA        $1133                
                    PEA        $3331                
                    PEA        $1611                
                    PEA        $1131                
                    PEA        $3131                
                    TSC                             ; Line 36
                    ADC        #$00AC               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $9F,S                
                    PHX                             
                    PEA        $3131                
                    PEA        $1363                
                    PHD                             
                    PHY                             
                    PEA        $1113                
                    TSC                             ; Line 37
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $1113                
                    PEA        $3313                
                    PHX                             
                    PHX                             
                    PEA        $1111                
                    PEA        $2323                
                    TSC                             ; Line 38
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $95,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $3361                
                    PHD                             
                    PHD                             
                    PHY                             
                    PEA        $3132                
                    TSC                             ; Line 39
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$6131               
                    STA        $9C,S                
                    LDA        $9E,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A9,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A9,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $1111                
                    PEA        $1313                
                    TSC                             ; Line 40
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1611               
                    STA        $94,S                
                    LDA        #$1333               
                    STA        $9E,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3132                
                    TSC                             ; Line 42
                    ADC        #$0138               
                    TCS                             
                    LDA        #$3123               
                    STA        $0A,S                
                    LDA        #$3132               
                    STA        $AA,S                
                    LDA        $00,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $02,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $0C,S                
                    LDA        $A0,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A2,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 44
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $01,S                
                    LDA        #$2323               
                    STA        $0A,S                
                    TXA                             
                    STA        $A2,S                
                    LDA        #$3332               
                    STA        $AA,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6031               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $03,S                
                    LDA        #$31                 
                    STA        $A1,S                
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 46
                    ADC        #$0140               
                    TCS                             
                    LDA        #$2133               
                    STA        $0A,S                
                    LDA        #$1431               
                    STA        $A2,S                
                    LDA        #$1133               
                    STA        $AA,S                
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $03,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A1,S                
                    REP        #$30                 
                    TSC                             ; Line 48
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $02,S                
                    STA        $A1,S                
                    LDA        #$3131               
                    STA        $0A,S                
                    TYA                             
                    STA        $AB,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $0C,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $AA,S                
                    LDA        $A3,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A3,S                
                    REP        #$30                 
                    TSC                             ; Line 50
                    ADC        #$0140               
                    TCS                             
                    LDA        #$3133               
                    STA        $0A,S                
                    TYA                             
                    STA        $AB,S                
                    LDA        $00,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $00,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $0C,S                
                    LDA        $02,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $02,S                
                    LDA        $AA,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AA,S                
                    REP        #$30                 
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $0B,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $0A,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $AC,S                
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AE,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_06C       CLC                             ; Sprite #06C : 56x53, 1906 bytes, 3115 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 31
                    LDY        #$1111               ; Pattern #2 : 29
                    LDA        #$3333               ; Pattern #3 : 21
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $B7,S                
                    LDA        $16,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $16,S                
                    LDA        $B5,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $B5,S                
                    SEP        #$20                 
                    LDA        $18,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $18,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0158               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4444                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6644               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    PEA        $6666                
                    PEA        $6446                
                    TSC                             ; Line 8
                    ADC        #$012C               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $B8,S                
                    LDA        $14,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $14,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0018               
                    TCS                             
                    PEA        $6664                
                    PEA        $4444                
                    TSC                             ; Line 9
                    ADC        #$00A3               
                    TCS                             
                    LDA        $90,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $90,S                
                    PEA        $4444                
                    PEA        $4411                
                    PEA        $3133                
                    PHD                             
                    PHD                             
                    PHD                             
                    PEA        $3343                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$00B1               
                    TCS                             
                    LDA        $91,S                
                    AND        #$F00F               
                    ORA        #$0140               
                    STA        $91,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $90,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4444                
                    PEA        $1113                
                    PEA        $1313                
                    PEA        $3131                
                    PEA        $1113                
                    PEA        $1313                
                    PEA        $4344                
                    TSC                             ; Line 11
                    ADC        #$00B0               
                    TCS                             
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $4344                
                    PEA        $3632                
                    PEA        $3131                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $3111                
                    TSC                             ; Line 12
                    ADC        #$00AF               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1633                
                    PEA        $4466                
                    PEA        $2311                
                    PEA        $3311                
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 13
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3144                
                    PEA        $4436                
                    PEA        $1211                
                    PEA        $6361                
                    PEA        $6161                
                    TSC                             ; Line 14
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1636                
                    PEA        $4344                
                    PEA        $6423                
                    PHY                             
                    PHX                             
                    TSC                             ; Line 15
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $6133                
                    PEA        $4344                
                    PEA        $3611                
                    PEA        $1161                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1611                
                    PEA        $1166                
                    PEA        $3344                
                    PEA        $3612                
                    PHY                             
                    TSC                             ; Line 17
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1036               
                    STA        $A1,S                
                    PEA        $1311                
                    PEA        $1166                
                    PHD                             
                    PEA        $1311                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    PHY                             
                    PEA        $1313                
                    PEA        $6666                
                    PHD                             
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $1311                
                    PEA        $3131                
                    PEA        $3131                
                    PEA        $6666                
                    PEA        $3633                
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $91,S                
                    PEA        $1636                
                    PEA        $1311                
                    PEA        $1113                
                    PEA        $1313                
                    PHD                             
                    PEA        $6366                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    LDA        $85,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $85,S                
                    SEP        #$20                 
                    LDA        $88,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $88,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3161                
                    PHY                             
                    PEA        $1131                
                    PEA        $3113                
                    PHD                             
                    PEA        $3375                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    PHX                             
                    PEA        $1316                
                    PHX                             
                    PHY                             
                    PEA        $1333                
                    PEA        $1313                
                    PEA        $7777                
                    PHD                             
                    PHD                             
                    PHD                             
                    PHD                             
                    PHD                             
                    TSC                             ; Line 23
                    ADC        #$00B8               
                    TCS                             
                    TXA                             
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$3306               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        $85,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $85,S                
                    REP        #$30                 
                    LDA        #$1313               
                    PEA        $6131                
                    PEA        $3161                
                    PEA        $6161                
                    PEA        $6111                
                    PEA        $3131                
                    PEA        $3131                
                    PEA        $5733                
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $4344                
                    PEA        $4444                
                    TSC                             ; Line 24
                    ADC        #$00B7               
                    TCS                             
                    LDA        #$1131               
                    STA        $A3,S                
                    LDA        $8B,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $8B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A5,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    PEA        $1313                
                    PEA        $7315                
                    PEA        $3131                
                    PEA        $3111                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $1141                
                    PEA        $4444                
                    TSC                             ; Line 25
                    ADC        #$00B4               
                    TCS                             
                    TXA                             
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A5,S                
                    LDA        $8F,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $8F,S                
                    REP        #$30                 
                    PEA        $6111                
                    PHY                             
                    PEA        $7511                
                    PEA        $1313                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $6161                
                    PEA        $1141                
                    TSC                             ; Line 26
                    ADC        #$00B3               
                    TCS                             
                    LDA        #$6133               
                    STA        $A4,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A6,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PEA        $7155                
                    PEA        $1731                
                    PEA        $1116                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00B0               
                    TCS                             
                    LDA        #$1631               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A5,S                
                    REP        #$30                 
                    LDA        #$6161               
                    PEA        $6177                
                    PEA        $7755                
                    PEA        $1733                
                    PEA        $6361                
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    TSC                             ; Line 28
                    ADC        #$00B1               
                    TCS                             
                    LDA        #$6161               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $A4,S                
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1677                
                    PEA        $5715                
                    PEA        $5177                
                    PEA        $3316                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 29
                    ADC        #$00AB               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $99,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A4,S                
                    AND        #$00F0               
                    ORA        #$3601               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A6,S                
                    PEA        $5715                
                    PEA        $1651                
                    PEA        $5735                
                    PEA        $6161                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$6161               
                    STA        $A7,S                
                    SEP        #$20                 
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $6151                
                    PEA        $1733                
                    TSC                             ; Line 31
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$1644               
                    STA        $A5,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3301               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A4,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $5131                
                    PEA        $1361                
                    TSC                             ; Line 32
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3301               
                    STA        $9B,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A5,S                
                    PEA        $6161                
                    PEA        $5111                
                    TSC                             ; Line 33
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1113               
                    STA        $9D,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A5,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1131                
                    TSC                             ; Line 35
                    ADC        #$0143               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $3133                
                    TSC                             ; Line 36
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6113                
                    PEA        $1333                
                    TSC                             ; Line 37
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6111               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $9D,S                
                    PEA        $1631                
                    PEA        $2133                
                    TSC                             ; Line 39
                    ADC        #$0133               
                    TCS                             
                    LDA        #$1631               
                    STA        $10,S                
                    LDA        #$6111               
                    STA        $B0,S                
                    LDA        $0E,S                
                    AND        #$00F0               
                    ORA        #$2103               
                    STA        $0E,S                
                    LDA        $AE,S                
                    AND        #$00F0               
                    ORA        #$1203               
                    STA        $AE,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1636               
                    STA        $10,S                
                    LDA        #$6113               
                    STA        $B0,S                
                    LDA        $0E,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $0E,S                
                    LDA        $AE,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $AE,S                
                    TSC                             ; Line 43
                    ADC        #$0140               
                    TCS                             
                    LDA        #$2131               
                    STA        $0F,S                
                    LDA        #$1132               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $11,S                
                    LDA        #$61                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 45
                    ADC        #$0140               
                    TCS                             
                    LDA        #$3131               
                    STA        $0F,S                
                    LDA        #$1133               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $11,S                
                    LDA        #$61                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 47
                    ADC        #$0140               
                    TCS                             
                    LDA        #$3133               
                    STA        $0F,S                
                    LDA        #$6111               
                    STA        $B0,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $11,S                
                    LDA        $AF,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $10,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $16,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $16,S                
                    LDA        $18,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $18,S                
                    LDA        $A1,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $AF,S                
                    LDA        $B2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B6,S                
                    LDA        $B8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B8,S                
                    LDA        $BA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $BA,S                
                    SEP        #$20                 
                    LDA        $0F,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $0F,S                
                    LDA        $1A,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $1A,S                
                    LDA        $B1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $10,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0E,S                
                    LDA        $12,S                
                    AND        #$0F0F               
                    ORA        #$6040               
                    STA        $12,S                
                    LDA        $14,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $14,S                
                    LDA        $16,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $16,S                
                    LDA        $18,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $18,S                
                    LDA        $1A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $1A,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$000F               
                    ORA        #$4460               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B6,S                
                    LDA        $B8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B8,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_06D       CLC                             ; Sprite #06D : 62x53, 2272 bytes, 3649 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1111               ; Pattern #1 : 25
                    LDY        #$1616               ; Pattern #2 : 19
                    LDA        #$1313               ; Pattern #3 : 16
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $BA,S                
                    LDA        $19,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $19,S                
                    LDA        $B8,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $B8,S                
                    SEP        #$20                 
                    LDA        $1B,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $1B,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$015B               
                    TCS                             
                    LDA        #$5555               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 4
                    ADC        #$0129               
                    TCS                             
                    LDA        #$5555               
                    STA        $19,S                
                    LDA        #$4444               
                    STA        $AC,S                
                    LDA        $0B,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0B,S                
                    LDA        $17,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $17,S                
                    LDA        $1B,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $1B,S                
                    SEP        #$20                 
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $AE,S                
                    LDA        $BC,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $BC,S                
                    REP        #$30                 
                    TSC                             ; Line 5
                    ADC        #$00BB               
                    TCS                             
                    LDA        #$3243               
                    STA        $92,S                
                    SEP        #$20                 
                    LDA        $88,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $88,S                
                    LDA        $94,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $94,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4444                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$3232               
                    STA        $94,S                
                    LDA        #$6644               
                    STA        $9E,S                
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $92,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $88,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6446                
                    TSC                             ; Line 8
                    ADC        #$0129               
                    TCS                             
                    LDA        $03,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $03,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A3,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $13,S                
                    LDA        $17,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $17,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0012               
                    TCS                             
                    PEA        $3232                
                    PEA        $3131                
                    PHX                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6664                
                    PEA        $4444                
                    TSC                             ; Line 9
                    ADC        #$009F               
                    TCS                             
                    LDA        #$4444               
                    STA        $A3,S                
                    LDA        $8D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $8D,S                
                    LDA        $A1,S                
                    AND        #$000F               
                    ORA        #$4410               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $98,S                
                    LDA        $8F,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $8F,S                
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3313                
                    PHD                             
                    PEA        $1311                
                    PHX                             
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$009F               
                    TCS                             
                    LDA        #$4344               
                    STA        $8E,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $3331                
                    PEA        $3131                
                    PHX                             
                    PEA        $6161                
                    TSC                             ; Line 11
                    ADC        #$00AD               
                    TCS                             
                    LDA        #$3344               
                    STA        $89,S                
                    SEP        #$20                 
                    LDA        $8B,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $8B,S                
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $4344                
                    PEA        $4416                
                    PEA        $2311                
                    PHD                             
                    PHX                             
                    PHY                             
                    TSC                             ; Line 12
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$1344               
                    STA        $89,S                
                    LDA        $8B,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $8B,S                
                    PEA        $3344                
                    PEA        $4416                
                    PEA        $3112                
                    PEA        $3113                
                    PEA        $6161                
                    PEA        $6161                
                    TSC                             ; Line 13
                    ADC        #$00AD               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $8C,S                
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1633                
                    PEA        $4344                
                    PEA        $6416                
                    PEA        $2311                
                    PEA        $3116                
                    PHY                             
                    TSC                             ; Line 14
                    ADC        #$0097               
                    TCS                             
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$6601               
                    STA        $9D,S                
                    PEA        $3333                
                    PEA        $3116                
                    TSC                             
                    ADC        #$0018               
                    TCS                             
                    PEA        $3133                
                    PEA        $4444                
                    PEA        $6631                
                    PHX                             
                    PEA        $6161                
                    TSC                             ; Line 15
                    ADC        #$0098               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $A9,S                
                    PEA        $2333                
                    PHD                             
                    TSC                             
                    ADC        #$0018               
                    TCS                             
                    PEA        $6111                
                    PEA        $6636                
                    PEA        $3343                
                    PEA        $4436                
                    PEA        $1211                
                    PEA        $1116                
                    TSC                             ; Line 16
                    ADC        #$0099               
                    TCS                             
                    LDA        $B3,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $B3,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $3232                
                    PEA        $3331                
                    PEA        $6161                
                    TSC                             
                    ADC        #$0019               
                    TCS                             
                    PEA        $1611                
                    PEA        $1161                
                    PEA        $3633                
                    PEA        $4316                
                    PEA        $1311                
                    TSC                             ; Line 17
                    ADC        #$0098               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9B,S                
                    LDA        $B3,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $B3,S                
                    REP        #$30                 
                    PEA        $3233                
                    PEA        $3331                
                    PEA        $1116                
                    TSC                             
                    ADC        #$0017               
                    TCS                             
                    PHX                             
                    PEA        $1166                
                    PEA        $6633                
                    PEA        $3333                
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$009A               
                    TCS                             
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $A5,S                
                    LDA        $B1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PHD                             
                    PEA        $1361                
                    TSC                             
                    ADC        #$0017               
                    TCS                             
                    PEA        $1611                
                    PHX                             
                    PHX                             
                    PEA        $6666                
                    PEA        $3633                
                    PEA        $1311                
                    TSC                             ; Line 19
                    ADC        #$009B               
                    TCS                             
                    LDA        $B1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $3111                
                    PHY                             
                    TSC                             
                    ADC        #$0016               
                    TCS                             
                    PEA        $1113                
                    PHX                             
                    PHD                             
                    PEA        $1161                
                    PEA        $6666                
                    TSC                             ; Line 20
                    ADC        #$009B               
                    TCS                             
                    LDA        $B0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $B0,S                
                    PEA        $3313                
                    PHD                             
                    PEA        $6161                
                    TSC                             
                    ADC        #$0015               
                    TCS                             
                    PEA        $3161                
                    PHX                             
                    PEA        $3131                
                    PEA        $3131                
                    PEA        $3333                
                    PEA        $6616                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $8D,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $8D,S                
                    REP        #$30                 
                    PEA        $1113                
                    PHY                             
                    PHX                             
                    PEA        $1113                
                    PEA        $3331                
                    PEA        $3373                
                    PEA        $3533                
                    PEA        $3333                
                    PEA        $3111                
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00B5               
                    TCS                             
                    LDA        #$6111               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9E,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3161                
                    PEA        $6161                
                    PHX                             
                    PEA        $3131                
                    PEA        $3331                
                    PEA        $7135                
                    PEA        $3313                
                    PHD                             
                    PEA        $6161                
                    TSC                             ; Line 23
                    ADC        #$00B0               
                    TCS                             
                    LDA        #$3131               
                    STA        $A2,S                
                    LDA        $9E,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A4,S                
                    LDA        $91,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $91,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $1113                
                    PHD                             
                    PEA        $7335                
                    PEA        $3331                
                    PEA        $3111                
                    PHY                             
                    TSC                             ; Line 24
                    ADC        #$00AD               
                    TCS                             
                    LDA        #$6111               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    LDA        #$33                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $3131                
                    PEA        $3157                
                    PEA        $3113                
                    PHD                             
                    PEA        $6161                
                    TSC                             ; Line 25
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$3133               
                    STA        $A5,S                
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A7,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PHX                             
                    PEA        $5117                
                    PEA        $3133                
                    PHX                             
                    PHY                             
                    TSC                             ; Line 26
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$6111               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $96,S                
                    LDA        #$33                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $6161                
                    PHX                             
                    PEA        $5775                
                    PEA        $3113                
                    PEA        $6161                
                    TSC                             ; Line 27
                    ADC        #$00AA               
                    TCS                             
                    LDA        #$3133               
                    STA        $A5,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6071               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A7,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7677                
                    PEA        $5775                
                    PEA        $3133                
                    PHY                             
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$6111               
                    STA        $A8,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7055               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A7,S                
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $7755                
                    PEA        $1175                
                    PEA        $3763                
                    PEA        $6161                
                    TSC                             ; Line 29
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$1631               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $7555                
                    PEA        $1316                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$6111               
                    STA        $A9,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $7531                
                    PEA        $6361                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$1631               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1533                
                    TSC                             ; Line 32
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A8,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A8,S                
                    PHY                             
                    PEA        $1615                
                    PEA        $3113                
                    TSC                             ; Line 33
                    ADC        #$00A4               
                    TCS                             
                    LDA        $AA,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $9D,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3313                
                    TSC                             ; Line 34
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A9,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3131                
                    TSC                             ; Line 35
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A9,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1133                
                    TSC                             ; Line 36
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1333               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $1636                
                    PEA        $3131                
                    TSC                             ; Line 38
                    ADC        #$0131               
                    TCS                             
                    LDA        #$3131               
                    STA        $10,S                
                    LDA        #$1333               
                    STA        $B0,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $12,S                
                    LDA        $B2,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $B2,S                
                    TSC                             ; Line 40
                    ADC        #$0140               
                    TCS                             
                    LDA        #$3131               
                    STA        $10,S                
                    LDA        #$1333               
                    STA        $B0,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $12,S                
                    LDA        $B2,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $B2,S                
                    TSC                             ; Line 42
                    ADC        #$0140               
                    TCS                             
                    LDA        #$3133               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$1036               
                    STA        $12,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $B2,S                
                    TSC                             ; Line 44
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $12,S                
                    LDA        #$6111               
                    STA        $B2,S                
                    LDA        $10,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $10,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $B0,S                
                    TSC                             ; Line 46
                    ADC        #$0140               
                    TCS                             
                    LDA        $10,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $12,S                
                    LDA        $B0,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $B2,S                
                    TSC                             ; Line 48
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1631               
                    STA        $11,S                
                    LDA        #$6131               
                    STA        $B1,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $18,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $18,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B5,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B5,S                
                    LDA        $B7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B7,S                
                    LDA        $B9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B9,S                
                    LDA        $BB,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $BB,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0B,S                
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $13,S                
                    LDA        $1A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $1A,S                
                    LDA        $B3,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $B3,S                
                    REP        #$30                 
                    TSC                             ; Line 50
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $B2,S                
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $10,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $15,S                
                    LDA        $17,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $17,S                
                    LDA        $19,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $19,S                
                    LDA        $1B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $1B,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$000F               
                    ORA        #$6460               
                    STA        $B0,S                
                    LDA        $B4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B6,S                
                    LDA        $B8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B8,S                
                    LDA        $BA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $BA,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $12,S                
                    REP        #$30                 
                    TSC                             ; Line 52
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $13,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $11,S                
                    LDA        $17,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $17,S                
                    LDA        $19,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $19,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_06E       CLC                             ; Sprite #06E : 48x56, 1945 bytes, 3120 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 25
                    LDY        #$6111               ; Pattern #2 : 16
                    LDA        #$6161               ; Pattern #3 : 16
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0F,S                
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $B0,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0134               
                    TCS                             
                    LDA        #$4444               
                    STA        $0F,S                
                    LDA        #$3144               
                    STA        $B0,S                
                    LDA        $0D,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $0D,S                
                    LDA        $AE,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AE,S                
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $0F,S                
                    LDA        $0D,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $0D,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$6031               
                    STA        $11,S                
                    TSC                             ; Line 13
                    ADC        #$00B2               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1631                
                    PEA        $3344                
                    PEA        $1611                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    PEA        $1133                
                    PEA        $4464                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $6131                
                    PEA        $4214                
                    PEA        $1611                
                    TSC                             ; Line 16
                    ADC        #$00A7               
                    TCS                             
                    PHY                             
                    PEA        $1623                
                    PEA        $4461                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $1111                
                    PEA        $6131                
                    PEA        $4216                
                    PEA        $1631                
                    TSC                             ; Line 18
                    ADC        #$00A9               
                    TCS                             
                    PEA        $1131                
                    PEA        $3111                
                    PEA        $1623                
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PEA        $1113                
                    PEA        $1313                
                    PEA        $6131                
                    PEA        $1316                
                    PEA        $1633                
                    TSC                             ; Line 20
                    ADC        #$00AB               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1131                
                    PEA        $3131                
                    PEA        $3111                
                    PEA        $1613                
                    PHD                             
                    TSC                             ; Line 21
                    ADC        #$00AB               
                    TCS                             
                    PEA        $1611                
                    PEA        $1311                
                    PEA        $1111                
                    PEA        $3361                
                    PEA        $3311                
                    PHX                             
                    TSC                             ; Line 22
                    ADC        #$00AD               
                    TCS                             
                    LDA        #$1611               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$F00F               
                    ORA        #$0360               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $96,S                
                    LDA        $8E,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $8E,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3111                
                    PEA        $1116                
                    PEA        $3131                
                    PEA        $3331                
                    PEA        $6361                
                    PHY                             
                    PEA        $3333                
                    TSC                             ; Line 23
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6131               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A8,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AD,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1133                
                    PEA        $3344                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHD                             
                    PEA        $1113                
                    PEA        $3363                
                    TSC                             ; Line 24
                    ADC        #$009D               
                    TCS                             
                    LDA        #$1613               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $9C,S                
                    LDA        #$13                 
                    STA        $A3,S                
                    LDA        $AE,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $AE,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3131                
                    PEA        $4444                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PHX                             
                    PEA        $3133                
                    PEA        $3316                
                    TSC                             ; Line 25
                    ADC        #$009E               
                    TCS                             
                    TDC                             
                    STA        $9D,S                
                    LDA        #$6131               
                    STA        $AD,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1061               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A9,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $AC,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHD                             
                    PHY                             
                    PEA        $1333                
                    TSC                             ; Line 26
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$1613               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9B,S                
                    LDA        $A4,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A4,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1131                
                    PEA        $3313                
                    TSC                             ; Line 27
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$6131               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $7761                
                    PEA        $1111                
                    PEA        $1333                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$1603               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $7577                
                    PEA        $7731                
                    PEA        $3355                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $9B,S                
                    LDA        #$34                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $5655                
                    PEA        $5555                
                    PEA        $7575                
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3703               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A5,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    PEA        $5115                
                    TSC                             ; Line 31
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A5,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3111                
                    PEA        $5157                
                    TSC                             ; Line 32
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A5,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1313                
                    PEA        $7511                
                    PEA        $1533                
                    TSC                             ; Line 33
                    ADC        #$00A7               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $5337                
                    PEA        $7115                
                    PEA        $1133                
                    TSC                             ; Line 34
                    ADC        #$00A9               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PHY                             
                    PEA        $1353                
                    PEA        $3711                
                    PEA        $1131                
                    TSC                             ; Line 35
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $1131                
                    PEA        $5311                
                    PEA        $1361                
                    PEA        $1133                
                    TSC                             ; Line 36
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$2103               
                    STA        $96,S                
                    PEA        $1113                
                    PEA        $3331                
                    PHX                             
                    PEA        $1611                
                    PEA        $1333                
                    TSC                             ; Line 37
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $3131                
                    PEA        $3361                
                    PHD                             
                    PEA        $6131                
                    TSC                             ; Line 38
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $9A,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1333                
                    PEA        $1316                
                    PHX                             
                    PHX                             
                    PEA        $1332                
                    TSC                             ; Line 39
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        $A3,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A3,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6131                
                    PEA        $2123                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $1611                
                    PEA        $3131                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PHY                             
                    PEA        $1323                
                    TSC                             ; Line 41
                    ADC        #$009B               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6131                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $1631                
                    PEA        $3133                
                    TSC                             ; Line 42
                    ADC        #$0099               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9B,S                
                    PHX                             
                    PEA        $1333                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PHY                             
                    PEA        $3332                
                    TSC                             ; Line 43
                    ADC        #$0099               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9F,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $9F,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $3131                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $1611                
                    PEA        $2333                
                    TSC                             ; Line 44
                    ADC        #$0097               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1343                
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $6131                
                    PEA        $3232                
                    TSC                             ; Line 45
                    ADC        #$0096               
                    TCS                             
                    TXA                             
                    STA        $9F,S                
                    TYA                             
                    STA        $AD,S                
                    LDA        $9D,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9D,S                
                    LDA        $AB,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $4444                
                    TSC                             
                    ADC        #$0012               
                    TCS                             
                    PEA        $1633                
                    PEA        $2333                
                    TSC                             ; Line 47
                    ADC        #$0132               
                    TCS                             
                    LDA        #$4444               
                    STA        $00,S                
                    TXA                             
                    STA        $11,S                
                    TYA                             
                    STA        $B1,S                
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $0F,S                
                    LDA        $AF,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $03,S                
                    REP        #$30                 
                    TSC                             ; Line 49
                    ADC        #$0140               
                    TCS                             
                    LDA        $0F,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $11,S                
                    LDA        $AF,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $AF,S                
                    LDA        $B1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $B1,S                
                    TSC                             ; Line 51
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1631               
                    STA        $10,S                
                    LDA        #$6131               
                    STA        $B0,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $12,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $12,S                
                    LDA        $B2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $B2,S                
                    REP        #$30                 
                    TSC                             ; Line 53
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4464               
                    STA        $B0,S                
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $10,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $15,S                
                    LDA        $A1,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AD,S                
                    LDA        $B2,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B6,S                
                    SEP        #$20                 
                    LDA        $AF,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             ; Line 55
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $12,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0F,S                
                    LDA        $15,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $15,S                
                    SEP        #$20                 
                    LDA        $11,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $11,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_06F       CLC                             ; Sprite #06F : 40x53, 1784 bytes, 2849 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 19
                    LDY        #$6161               ; Pattern #2 : 14
                    LDA        #$4444               ; Pattern #3 : 12
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $AD,S                
                    LDA        $0C,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $0C,S                
                    LDA        $AB,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PHD                             
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6444               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    PEA        $6666                
                    PEA        $6446                
                    TSC                             ; Line 8
                    ADC        #$0136               
                    TCS                             
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $0A,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $6644                
                    PHD                             
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    TDC                             
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    PEA        $6644                
                    PHD                             
                    TSC                             ; Line 11
                    ADC        #$0136               
                    TCS                             
                    TDC                             
                    STA        $0C,S                
                    SEP        #$20                 
                    LDA        #$43                 
                    STA        $0E,S                
                    LDA        $AF,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $AF,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$00AE               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3016               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3244                
                    PEA        $1413                
                    TSC                             ; Line 13
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $2343                
                    PEA        $6431                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PEA        $6331                
                    PEA        $3244                
                    PEA        $1612                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $6121                
                    TSC                             ; Line 16
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1163                
                    PEA        $3132                
                    PEA        $1416                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $97,S                
                    PHX                             
                    PEA        $1131                
                    PEA        $1623                
                    PEA        $4316                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $97,S                
                    PEA        $6111                
                    PEA        $1111                
                    PEA        $6331                
                    PEA        $3264                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    PEA        $1636                
                    PEA        $6111                
                    PEA        $3116                
                    PEA        $3166                
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1316                
                    PEA        $1163                
                    PEA        $2331                
                    PEA        $3631                
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$3203               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $92,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $6361                
                    PEA        $1131                
                    PEA        $1611                
                    PEA        $6113                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $91,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $91,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $3316                
                    PEA        $1611                
                    PEA        $6361                
                    PEA        $1636                
                    PEA        $3132                
                    TSC                             ; Line 23
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $92,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $92,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $2323                
                    PEA        $4331                
                    PEA        $3361                
                    PEA        $1133                
                    PEA        $1313                
                    PEA        $4344                
                    TSC                             ; Line 24
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $94,S                
                    REP        #$30                 
                    LDA        #$3131               
                    PHA                             
                    PHA                             
                    PEA        $4144                
                    PEA        $3416                
                    PHX                             
                    PHA                             
                    PEA        $4144                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A8,S                
                    PHY                             
                    PHY                             
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PHX                             
                    PHX                             
                    PEA        $1646                
                    PEA        $4434                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$70                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6141                
                    PEA        $4433                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$5305               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    PEA        $1711                
                    PEA        $1131                
                    PEA        $3133                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$5707               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $7777                
                    PEA        $1711                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1701               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $5555                
                    PEA        $5577                
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1157                
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $1171                
                    PEA        $7535                
                    TSC                             ; Line 32
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1631                
                    PEA        $3133                
                    PEA        $7315                
                    PEA        $5733                
                    TSC                             ; Line 33
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1133                
                    PEA        $3333                
                    PEA        $5773                
                    PEA        $3133                
                    TSC                             ; Line 34
                    ADC        #$00A9               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A0,S                
                    PEA        $1631                
                    PEA        $3113                
                    PEA        $1357                
                    PEA        $1113                
                    PEA        $1333                
                    TSC                             ; Line 35
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $1133                
                    PEA        $3331                
                    PEA        $1611                
                    PEA        $1131                
                    TSC                             ; Line 36
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $1363                
                    PHY                             
                    PEA        $6111                
                    PEA        $1333                
                    TSC                             ; Line 37
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $96,S                
                    LDA        $9D,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $9D,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $3313                
                    PHX                             
                    PHX                             
                    PEA        $1123                
                    TSC                             ; Line 38
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$32                 
                    STA        $9A,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A6,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    PEA        $6131                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $1631                
                    PEA        $3133                
                    TSC                             ; Line 39
                    ADC        #$009D               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A8,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $1111                
                    PEA        $1313                
                    TSC                             ; Line 40
                    ADC        #$009C               
                    TCS                             
                    LDA        #$1631               
                    STA        $9D,S                
                    LDA        #$1333               
                    STA        $A6,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $A5,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1133                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $1631                
                    PEA        $3132                
                    TSC                             ; Line 42
                    ADC        #$0135               
                    TCS                             
                    LDA        #$6133               
                    STA        $04,S                
                    LDA        #$1631               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $06,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $0C,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0010               
                    TCS                             
                    PHX                             
                    PEA        $3132                
                    TSC                             ; Line 43
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6133               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $3123                
                    TSC                             ; Line 44
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1633               
                    STA        $94,S                
                    LDA        #$3133               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $96,S                
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9D,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3332                
                    TSC                             ; Line 46
                    ADC        #$0134               
                    TCS                             
                    LDA        #$1131               
                    STA        $04,S                
                    LDA        #$1633               
                    STA        $A4,S                
                    TYA                             
                    STA        $B0,S                
                    LDA        $AE,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $06,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PHX                             
                    PEA        $1633                
                    TSC                             ; Line 48
                    ADC        #$0133               
                    TCS                             
                    LDA        #$6131               
                    STA        $04,S                
                    LDA        #$1633               
                    STA        $0F,S                
                    TYA                             
                    STA        $B1,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $11,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $11,S                
                    LDA        $A3,S                
                    AND        #$F00F               
                    ORA        #$0460               
                    STA        $A3,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0106               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A5,S                
                    LDA        #$31                 
                    STA        $B0,S                
                    REP        #$30                 
                    TSC                             ; Line 50
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $04,S                
                    STA        $B1,S                
                    LDA        #$1416               
                    STA        $11,S                
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0E,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A7,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $10,S                
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $13,S                
                    LDA        $A6,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A6,S                
                    LDA        $B3,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $B3,S                
                    REP        #$30                 
                    TSC                             ; Line 51
                    ADC        #$00A5               
                    TCS                             
                    TDC                             
                    STA        $AB,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AD,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $4464                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_070       CLC                             ; Sprite #070 : 32x56, 1189 bytes, 1930 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 15
                    LDY        #$4444               ; Pattern #2 : 14
                    LDA        #$1111               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $A3,S                
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $03,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$6055               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $02,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0006               
                    TCS                             
                    PEA        $6656                
                    PEA        $6566                
                    TSC                             ; Line 3
                    ADC        #$00A3               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $5665                
                    PEA        $6666                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$000F               
                    ORA        #$6160               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $6655                
                    PEA        $6666                
                    TSC                             ; Line 5
                    ADC        #$00A5               
                    TCS                             
                    PEA        $4666                
                    PEA        $5665                
                    TSC                             ; Line 6
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PHX                             
                    PEA        $4464                
                    PEA        $4654                
                    PEA        $5566                
                    TSC                             ; Line 7
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$54                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6131                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 8
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1136                
                    PHY                             
                    PEA        $6446                
                    TSC                             ; Line 9
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $3116                
                    PEA        $4344                
                    PHY                             
                    TSC                             ; Line 10
                    ADC        #$00A9               
                    TCS                             
                    LDA        $99,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    PEA        $6343                
                    PHY                             
                    TSC                             ; Line 11
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $1131                
                    PEA        $3236                
                    TSC                             ; Line 12
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PHD                             
                    PEA        $1123                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    PEA        $3136                
                    TSC                             ; Line 14
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $1311                
                    PEA        $2316                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1131                
                    PEA        $6111                
                    PEA        $3116                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1113                
                    PEA        $1316                
                    PEA        $3361                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $95,S                
                    LDA        $97,S                
                    AND        #$000F               
                    ORA        #$1130               
                    STA        $97,S                
                    PEA        $6161                
                    PEA        $1131                
                    PEA        $6161                
                    PEA        $3163                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    PHX                             
                    PEA        $1613                
                    PEA        $1316                
                    PEA        $1363                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1102               
                    STA        $93,S                
                    PEA        $5565                
                    PEA        $6131                
                    PEA        $6361                
                    PEA        $3163                
                    PEA        $3611                
                    PEA        $3121                
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $1155                
                    PEA        $5551                
                    PEA        $5516                
                    PEA        $1631                
                    PEA        $6361                
                    PEA        $1133                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    PEA        $1133                
                    PEA        $5555                
                    PEA        $3363                
                    PEA        $6111                
                    PEA        $3333                
                    PHY                             
                    PEA        $1121                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $9F,S                
                    PHD                             
                    PEA        $3333                
                    PEA        $3333                
                    PHX                             
                    PEA        $3631                
                    PHY                             
                    PEA        $1633                
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1603               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PEA        $3131                
                    PEA        $3133                
                    PEA        $3161                
                    PEA        $6161                
                    PEA        $4434                
                    PEA        $6621                
                    TSC                             ; Line 24
                    ADC        #$00AC               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $1313                
                    PEA        $1316                
                    PEA        $6616                
                    PEA        $1131                
                    TSC                             ; Line 25
                    ADC        #$00A3               
                    TCS                             
                    TXA                             
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6611                
                    PEA        $3331                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PHD                             
                    PEA        $3131                
                    PEA        $1161                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$1133               
                    STA        $96,S                
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $98,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    PEA        $1611                
                    PHD                             
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6161                
                    TSC                             ; Line 28
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1661                
                    PEA        $1631                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 29
                    ADC        #$009E               
                    TCS                             
                    LDA        #$1631               
                    STA        $9D,S                
                    TYA                             
                    STA        $A0,S                
                    PEA        $1461                
                    PEA        $1133                
                    TSC                             ; Line 31
                    ADC        #$013E               
                    TCS                             
                    LDA        #$1633               
                    STA        $03,S                
                    TYA                             
                    STA        $A3,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $06,S                
                    LDA        $A5,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 33
                    ADC        #$0144               
                    TCS                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 52
                    ADC        #$0BE0               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 54
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_071       CLC                             ; Sprite #071 : 32x64, 1189 bytes, 1930 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 15
                    LDY        #$4444               ; Pattern #2 : 14
                    LDA        #$1111               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $A3,S                
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $03,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$6055               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $02,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0006               
                    TCS                             
                    PEA        $6656                
                    PEA        $6566                
                    TSC                             ; Line 3
                    ADC        #$00A3               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A1,S                
                    PEA        $5665                
                    PEA        $6666                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$000F               
                    ORA        #$6160               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $6655                
                    PEA        $6666                
                    TSC                             ; Line 5
                    ADC        #$00A5               
                    TCS                             
                    PEA        $4666                
                    PEA        $5665                
                    TSC                             ; Line 6
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PHX                             
                    PEA        $4464                
                    PEA        $4654                
                    PEA        $5566                
                    TSC                             ; Line 7
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$54                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6131                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 8
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1136                
                    PHY                             
                    PEA        $6446                
                    TSC                             ; Line 9
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $3116                
                    PEA        $4344                
                    PHY                             
                    TSC                             ; Line 10
                    ADC        #$00A9               
                    TCS                             
                    LDA        $99,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    PEA        $6343                
                    PHY                             
                    TSC                             ; Line 11
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $1131                
                    PEA        $3236                
                    TSC                             ; Line 12
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PHD                             
                    PEA        $1123                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    PEA        $3136                
                    TSC                             ; Line 14
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $1311                
                    PEA        $2316                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $1131                
                    PEA        $6111                
                    PEA        $3116                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1113                
                    PEA        $1316                
                    PEA        $3361                
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $95,S                
                    LDA        $97,S                
                    AND        #$000F               
                    ORA        #$1130               
                    STA        $97,S                
                    PEA        $6161                
                    PEA        $1131                
                    PEA        $6161                
                    PEA        $3163                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    PHX                             
                    PEA        $1613                
                    PEA        $1316                
                    PEA        $1363                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1102               
                    STA        $93,S                
                    PEA        $5565                
                    PEA        $6131                
                    PEA        $6361                
                    PEA        $3163                
                    PEA        $3611                
                    PEA        $3121                
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $1155                
                    PEA        $5551                
                    PEA        $5516                
                    PEA        $1631                
                    PEA        $6361                
                    PEA        $1133                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    PEA        $1133                
                    PEA        $5555                
                    PEA        $3363                
                    PEA        $6111                
                    PEA        $3333                
                    PHY                             
                    PEA        $1121                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $9F,S                
                    PHD                             
                    PEA        $3333                
                    PEA        $3333                
                    PHX                             
                    PEA        $3631                
                    PHY                             
                    PEA        $1633                
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1603               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PEA        $3131                
                    PEA        $3133                
                    PEA        $3161                
                    PEA        $6161                
                    PEA        $4434                
                    PEA        $6621                
                    TSC                             ; Line 24
                    ADC        #$00AC               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$6106               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $1313                
                    PEA        $1316                
                    PEA        $6616                
                    PEA        $1131                
                    TSC                             ; Line 25
                    ADC        #$00A3               
                    TCS                             
                    TXA                             
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6611                
                    PEA        $3331                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PHD                             
                    PEA        $3131                
                    PEA        $1161                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$1133               
                    STA        $96,S                
                    LDA        $98,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $98,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    PEA        $1611                
                    PHD                             
                    PHX                             
                    TSC                             ; Line 27
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6161                
                    TSC                             ; Line 28
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1661                
                    PEA        $1631                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 29
                    ADC        #$009E               
                    TCS                             
                    LDA        #$1631               
                    STA        $9D,S                
                    TYA                             
                    STA        $A0,S                
                    PEA        $1461                
                    PEA        $1133                
                    TSC                             ; Line 31
                    ADC        #$013E               
                    TCS                             
                    LDA        #$1633               
                    STA        $03,S                
                    TYA                             
                    STA        $A3,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $06,S                
                    LDA        $A5,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    REP        #$30                 
                    TSC                             ; Line 33
                    ADC        #$0144               
                    TCS                             
                    PHY                             
                    PHY                             
                    TSC                             ; Line 60
                    ADC        #$10E0               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 62
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_072       CLC                             ; Sprite #072 : 32x72, 1038 bytes, 1694 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 19
                    LDY        #$1111               ; Pattern #2 : 19
                    LDA        #$6161               ; Pattern #3 : 14
                    TCD                             
*--                                                 
                    TDC                             ; Line 0
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $AC,S                
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 2
                    ADC        #$00A7               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $95,S                
                    LDA        $97,S                
                    AND        #$F00F               
                    ORA        #$0660               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $99,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6111                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 3
                    ADC        #$00A9               
                    TCS                             
                    LDA        #$6666               
                    STA        $95,S                
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$5605               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $97,S                
                    REP        #$30                 
                    PHX                             
                    PHY                             
                    PHY                             
                    PEA        $1113                
                    TSC                             ; Line 4
                    ADC        #$00A9               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$5606               
                    STA        $92,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5016               
                    STA        $A0,S                
                    PHD                             
                    PHY                             
                    PHY                             
                    PEA        $3131                
                    PEA        $6111                
                    TSC                             ; Line 5
                    ADC        #$00A9               
                    TCS                             
                    PEA        $1611                
                    PHY                             
                    PHY                             
                    PEA        $1361                
                    PEA        $4344                
                    PEA        $6666                
                    TSC                             ; Line 6
                    ADC        #$00AE               
                    TCS                             
                    PEA        $5161                
                    PHY                             
                    PEA        $1161                
                    PEA        $6131                
                    PEA        $3161                
                    PEA        $4344                
                    PEA        $4466                
                    PEA        $5566                
                    TSC                             ; Line 7
                    ADC        #$00B0               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $91,S                
                    LDA        $96,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $1615                
                    PEA        $1131                
                    PEA        $3116                
                    PEA        $1613                
                    PEA        $1316                
                    PEA        $4344                
                    PEA        $6466                
                    PEA        $5566                
                    TSC                             ; Line 8
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $6455                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6115                
                    PEA        $1313                
                    PEA        $3361                
                    PEA        $6131                
                    PEA        $1136                
                    TSC                             ; Line 9
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4465                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $1651                
                    PEA        $3531                
                    PEA        $3116                
                    PEA        $1633                
                    PEA        $6111                
                    TSC                             ; Line 10
                    ADC        #$009F               
                    TCS                             
                    LDA        #$5465               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    PEA        $4464                
                    PEA        $5465                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6111                
                    PEA        $5555                
                    PEA        $3361                
                    PEA        $3131                
                    PEA        $1631                
                    TSC                             ; Line 11
                    ADC        #$00AA               
                    TCS                             
                    LDA        $92,S                
                    AND        #$0FF0               
                    ORA        #$5005               
                    STA        $92,S                
                    PEA        $1611                
                    PEA        $1353                
                    PEA        $1516                
                    PEA        $1633                
                    PEA        $6131                
                    TSC                             ; Line 12
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $3131                
                    PEA        $3361                
                    PEA        $3131                
                    PEA        $1636                
                    TSC                             ; Line 13
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $1333                
                    PHX                             
                    PEA        $3361                
                    TSC                             ; Line 14
                    ADC        #$00A9               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    PHX                             
                    PEA        $1611                
                    PEA        $3316                
                    PEA        $3333                
                    PEA        $1316                
                    TSC                             ; Line 15
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    PEA        $3113                
                    PEA        $3331                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $9F,S                
                    PHX                             
                    PHX                             
                    PEA        $3313                
                    PEA        $3131                
                    TSC                             ; Line 17
                    ADC        #$00A6               
                    TCS                             
                    PEA        $6661                
                    PEA        $3133                
                    PEA        $1113                
                    TSC                             ; Line 18
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4416                
                    PHX                             
                    PHX                             
                    PEA        $1333                
                    PEA        $1112                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4461                
                    PHD                             
                    PHD                             
                    PEA        $3133                
                    PEA        $3113                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4411                
                    PHY                             
                    PHY                             
                    PEA        $4144                
                    PEA        $3312                
                    TSC                             ; Line 21
                    ADC        #$00AA               
                    TCS                             
                    PEA        $4431                
                    PEA        $3131                
                    PEA        $3131                
                    PEA        $4144                
                    PEA        $2343                
                    TSC                             ; Line 22
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $4433                
                    PEA        $3333                
                    PEA        $3333                
                    PEA        $4344                
                    PEA        $1444                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$F000               
                    ORA        #$0444               
                    STA        $A0,S                
                    PEA        $4413                
                    PEA        $1313                
                    PEA        $1313                
                    PEA        $4411                
                    TSC                             ; Line 25
                    ADC        #$013A               
                    TCS                             
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $0E,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             ; Line 68
                    ADC        #$1AE0               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 70
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_073       CLC                             ; Sprite #073 : 32x80, 1290 bytes, 2081 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 16
                    LDY        #$1616               ; Pattern #2 : 13
                    LDA        #$1111               ; Pattern #3 : 10
                    TCD                             
*--                                                 
                    TXA                             ; Line 0
                    STA        $06,S                
                    LDA        #$4444               
                    STA        $AC,S                
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $04,S                
                    LDA        $AA,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A4,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$4444               
                    STA        $A3,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$F00F               
                    ORA        #$0460               
                    STA        $A1,S                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9B,S                
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1155                
                    TSC                             ; Line 3
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4433               
                    STA        $A3,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $1151                
                    PEA        $1116                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $4444                
                    PEA        $1311                
                    TSC                             ; Line 4
                    ADC        #$009F               
                    TCS                             
                    LDA        #$1311               
                    STA        $A2,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A1,S                
                    LDA        $A4,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A4,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $3155                
                    PEA        $1361                
                    TSC                             ; Line 5
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $99,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$1033               
                    STA        $A3,S                
                    PHY                             
                    PEA        $1335                
                    PEA        $1161                
                    TSC                             ; Line 6
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A1,S                
                    PHX                             
                    PEA        $6131                
                    PEA        $3115                
                    PEA        $1311                
                    TSC                             ; Line 7
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1033               
                    STA        $A1,S                
                    PEA        $1166                
                    PEA        $1611                
                    PEA        $5335                
                    PHD                             
                    PHX                             
                    TSC                             ; Line 8
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A1,S                
                    PHX                             
                    PEA        $6131                
                    PEA        $5313                
                    PEA        $3111                
                    PEA        $1116                
                    TSC                             ; Line 9
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1033               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $1166                
                    PEA        $1633                
                    PEA        $1313                
                    PEA        $1311                
                    PEA        $1161                
                    TSC                             ; Line 10
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $96,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6163                
                    PEA        $1133                
                    PEA        $3311                
                    PEA        $1116                
                    TSC                             ; Line 11
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1033               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $1116                
                    PHY                             
                    PHX                             
                    PEA        $6111                
                    PEA        $1161                
                    TSC                             ; Line 12
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6111                
                    PHY                             
                    PHY                             
                    PEA        $1116                
                    TSC                             ; Line 13
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1044               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1311                
                    PEA        $1313                
                    PHX                             
                    PHX                             
                    PHD                             
                    TSC                             ; Line 14
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $3431                
                    PEA        $1313                
                    PEA        $1313                
                    PHY                             
                    PHD                             
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $96,S                
                    REP        #$30                 
                    PEA        $3433                
                    PEA        $3333                
                    PEA        $3131                
                    PEA        $3111                
                    PEA        $1161                
                    TSC                             ; Line 16
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$3333               
                    PEA        $4444                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $1313                
                    PEA        $1311                
                    TSC                             ; Line 17
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $95,S                
                    PEA        $4133                
                    PEA        $3113                
                    PEA        $3161                
                    PEA        $6111                
                    PEA        $1313                
                    PEA        $1116                
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1306               
                    STA        $95,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4033               
                    STA        $9F,S                
                    PEA        $1132                
                    PHD                             
                    PEA        $1316                
                    PHY                             
                    PEA        $3131                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4023               
                    STA        $A1,S                
                    PEA        $1331                
                    PEA        $6361                
                    PEA        $1161                
                    PEA        $1611                
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1316               
                    STA        $98,S                
                    LDA        #$1131               
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4014               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $2313                
                    PEA        $1131                
                    PEA        $3331                
                    PEA        $6166                
                    TSC                             ; Line 22
                    ADC        #$0143               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $01,S                
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $1461                
                    TSC                             ; Line 24
                    ADC        #$013E               
                    TCS                             
                    LDA        #$4444               
                    STA        $06,S                
                    LDA        $04,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $04,S                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4466                
                    TSC                             ; Line 26
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6444                
                    PEA        $4666                
                    TSC                             ; Line 27
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6466               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $A0,S                
                    PEA        $4444                
                    PEA        $6666                
                    TSC                             ; Line 29
                    ADC        #$013D               
                    TCS                             
                    LDA        #$5555               
                    STA        $05,S                
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $03,S                
                    LDA        $07,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $07,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    PEA        $6656                
                    PEA        $5555                
                    TSC                             ; Line 31
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6666                
                    PEA        $6656                
                    TSC                             ; Line 32
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6666               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 76
                    ADC        #$1B7D               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 78
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_074       CLC                             ; Sprite #074 : 32x76, 1157 bytes, 1885 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 19
                    LDY        #$1111               ; Pattern #2 : 19
                    LDA        #$1616               ; Pattern #3 : 13
                    TCD                             
*--                                                 
                    SEP        #$20                 ; Line 0
                    LDA        $01,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A1,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0404               
                    STA        $00,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0404               
                    STA        $A0,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$1041               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        $02,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $02,S                
                    REP        #$30                 
                    TSC                             ; Line 3
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$4014               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $1413                
                    PEA        $1313                
                    PEA        $1343                
                    TSC                             ; Line 4
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$4023               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $3333                
                    PEA        $3333                
                    PEA        $3343                
                    TSC                             ; Line 5
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1032               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $4344                
                    PEA        $3131                
                    PEA        $3131                
                    PEA        $3141                
                    TSC                             ; Line 6
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1033               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $4344                
                    PHY                             
                    PHY                             
                    PEA        $1141                
                    TSC                             ; Line 7
                    ADC        #$00A8               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$4604               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3133                
                    PHX                             
                    PHX                             
                    PEA        $6141                
                    TSC                             ; Line 8
                    ADC        #$00A9               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1013               
                    STA        $A0,S                
                    PEA        $1231                
                    PEA        $1313                
                    PHD                             
                    PHD                             
                    TSC                             ; Line 9
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A1,S                
                    PEA        $3133                
                    PHX                             
                    PEA        $6666                
                    TSC                             ; Line 10
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A1,S                
                    PEA        $1133                
                    PEA        $1316                
                    PHD                             
                    TSC                             ; Line 11
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1333                
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 12
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3011               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $3133                
                    PEA        $1336                
                    PEA        $1311                
                    PHD                             
                    TSC                             ; Line 13
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$4605               
                    STA        $A5,S                
                    PEA        $1633                
                    PHX                             
                    PEA        $3331                
                    PEA        $1161                
                    TSC                             ; Line 14
                    ADC        #$00A9               
                    TCS                             
                    LDA        #$4544               
                    STA        $A3,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$6056               
                    STA        $A5,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6361                
                    PEA        $1313                
                    PEA        $1633                
                    PEA        $1313                
                    PEA        $1116                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A1,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A6,S                
                    REP        #$30                 
                    PEA        $1316                
                    PEA        $3361                
                    PEA        $6151                
                    PEA        $3531                
                    PEA        $1161                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A1,S                
                    PEA        $1361                
                    PEA        $1313                
                    PEA        $1633                
                    PEA        $5555                
                    PEA        $1116                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $5645                
                    PEA        $4644                
                    TSC                             ; Line 17
                    ADC        #$009F               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A1,S                
                    PEA        $1116                
                    PEA        $3361                
                    PEA        $6113                
                    PEA        $1353                
                    PEA        $1561                
                    TSC                             
                    ADC        #$0010               
                    TCS                             
                    PEA        $6656                
                    PEA        $4444                
                    TSC                             ; Line 18
                    ADC        #$009E               
                    TCS                             
                    PEA        $6311                
                    PEA        $1316                
                    PEA        $1633                
                    PEA        $3131                
                    PEA        $5116                
                    TSC                             
                    ADC        #$0010               
                    TCS                             
                    PEA        $6655                
                    PEA        $4644                
                    TSC                             ; Line 19
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6655                
                    PEA        $6646                
                    PEA        $4434                
                    PEA        $6131                
                    PEA        $3161                
                    PEA        $6113                
                    PEA        $1311                
                    PEA        $5161                
                    TSC                             ; Line 20
                    ADC        #$00B0               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$6105               
                    STA        $91,S                
                    PEA        $6655                
                    PEA        $6644                
                    PEA        $4434                
                    PEA        $1613                
                    PEA        $1316                
                    PEA        $1611                
                    PHY                             
                    PEA        $1615                
                    TSC                             ; Line 21
                    ADC        #$00B0               
                    TCS                             
                    LDA        #$6566               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$000F               
                    ORA        #$6640               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6665                
                    PEA        $6666                
                    PEA        $4434                
                    PEA        $1631                
                    PHY                             
                    PHY                             
                    PEA        $1161                
                    TSC                             ; Line 22
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$F00F               
                    ORA        #$0660               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A3,S                
                    PEA        $1116                
                    PEA        $1313                
                    PHY                             
                    PHY                             
                    PHD                             
                    TSC                             ; Line 23
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6131                
                    PHY                             
                    PHY                             
                    PEA        $1161                
                    TSC                             ; Line 24
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1611                
                    PHY                             
                    PHD                             
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    TDC                             
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 72
                    ADC        #$1D5E               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 74
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_075       CLC                             ; Sprite #075 : 32x68, 1125 bytes, 1832 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 19
                    LDY        #$1616               ; Pattern #2 : 13
                    LDA        #$1611               ; Pattern #3 : 11
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6566                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5555               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    PEA        $5555                
                    PEA        $6566                
                    TSC                             ; Line 5
                    ADC        #$0138               
                    TCS                             
                    LDA        #$6646               
                    STA        $0A,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $08,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $0C,S                
                    SEP        #$20                 
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4444                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6664                
                    PEA        $4446                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    PEA        $6644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0138               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $0C,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00AD               
                    TCS                             
                    LDA        #$1311               
                    STA        $98,S                
                    LDA        #$3133               
                    STA        $9E,S                
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$4104               
                    STA        $96,S                
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1641                
                    PEA        $4444                
                    TSC                             ; Line 13
                    ADC        #$0137               
                    TCS                             
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$3204               
                    STA        $03,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$6031               
                    STA        $AD,S                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $6616                
                    PEA        $1333                
                    PEA        $1311                
                    PEA        $3132                
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PEA        $1161                
                    PHD                             
                    PEA        $1636                
                    PEA        $1331                
                    PEA        $2311                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    PEA        $1313                
                    PHX                             
                    PEA        $6131                
                    PEA        $1111                
                    PEA        $3314                
                    TSC                             ; Line 16
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6111                
                    PEA        $3131                
                    PEA        $1116                
                    PEA        $1613                
                    PEA        $3133                
                    PEA        $4444                
                    TSC                             ; Line 17
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$3333               
                    PHD                             
                    PEA        $1313                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $4444                
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6111                
                    PEA        $1131                
                    PEA        $3131                
                    PEA        $3133                
                    PEA        $3331                
                    PEA        $4414                
                    TSC                             ; Line 19
                    ADC        #$00AC               
                    TCS                             
                    PHD                             
                    PEA        $1116                
                    PEA        $1613                
                    PEA        $1313                
                    PEA        $1313                
                    PEA        $1133                
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6111                
                    PEA        $1161                
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $3113                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    PHY                             
                    PEA        $1116                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $1133                
                    TSC                             ; Line 22
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6111                
                    PEA        $1161                
                    PHX                             
                    PEA        $6163                
                    PHX                             
                    PEA        $3113                
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $9F,S                
                    PHY                             
                    PEA        $1131                
                    PEA        $3313                
                    PEA        $3313                
                    PEA        $6616                
                    PEA        $1133                
                    TSC                             ; Line 24
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $1111                
                    PEA        $1353                
                    PEA        $3361                
                    PHX                             
                    PEA        $3113                
                    TSC                             ; Line 25
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $1131                
                    PEA        $3155                
                    PEA        $1311                
                    PEA        $6616                
                    PEA        $1133                
                    TSC                             ; Line 26
                    ADC        #$00AA               
                    TCS                             
                    TDC                             
                    STA        $98,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $1335                
                    PEA        $3161                
                    PHX                             
                    PEA        $3113                
                    TSC                             ; Line 27
                    ADC        #$00AB               
                    TCS                             
                    LDA        #$6131               
                    STA        $97,S                
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$4304               
                    STA        $95,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $99,S                
                    PHY                             
                    PEA        $1131                
                    PEA        $1513                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $94,S                
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $99,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1153                
                    PEA        $3511                
                    TSC                             ; Line 29
                    ADC        #$009E               
                    TCS                             
                    LDA        #$4444               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9E,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9E,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $4344                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PHY                             
                    PEA        $5111                
                    PEA        $1116                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $98,S                
                    TYA                             
                    STA        $9D,S                
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $96,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5015               
                    STA        $9F,S                
                    PEA        $6151                
                    PEA        $1511                
                    PHX                             
                    TSC                             ; Line 32
                    ADC        #$013A               
                    TCS                             
                    TXA                             
                    STA        $0A,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $08,S                
                    TSC                             ; Line 64
                    ADC        #$1400               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 66
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_076       CLC                             ; Sprite #076 : 32x59, 1125 bytes, 1832 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$6161               ; Pattern #1 : 19
                    LDY        #$1616               ; Pattern #2 : 13
                    LDA        #$1611               ; Pattern #3 : 11
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6566                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$5555               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    PEA        $5555                
                    PEA        $6566                
                    TSC                             ; Line 5
                    ADC        #$0138               
                    TCS                             
                    LDA        #$6646               
                    STA        $0A,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $08,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $0C,S                
                    SEP        #$20                 
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4444                
                    TSC                             ; Line 7
                    ADC        #$00A4               
                    TCS                             
                    PEA        $6664                
                    PEA        $4446                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    PEA        $6644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0138               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $0C,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00AD               
                    TCS                             
                    LDA        #$1311               
                    STA        $98,S                
                    LDA        #$3133               
                    STA        $9E,S                
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$4104               
                    STA        $96,S                
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1641                
                    PEA        $4444                
                    TSC                             ; Line 13
                    ADC        #$0137               
                    TCS                             
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$3204               
                    STA        $03,S                
                    LDA        $0D,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0F00               
                    ORA        #$6031               
                    STA        $AD,S                
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $6616                
                    PEA        $1333                
                    PEA        $1311                
                    PEA        $3132                
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PEA        $1161                
                    PHD                             
                    PEA        $1636                
                    PEA        $1331                
                    PEA        $2311                
                    TSC                             ; Line 15
                    ADC        #$00AA               
                    TCS                             
                    PEA        $1313                
                    PHX                             
                    PEA        $6131                
                    PEA        $1111                
                    PEA        $3314                
                    TSC                             ; Line 16
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6111                
                    PEA        $3131                
                    PEA        $1116                
                    PEA        $1613                
                    PEA        $3133                
                    PEA        $4444                
                    TSC                             ; Line 17
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$3333               
                    PHD                             
                    PEA        $1313                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $4444                
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6111                
                    PEA        $1131                
                    PEA        $3131                
                    PEA        $3133                
                    PEA        $3331                
                    PEA        $4414                
                    TSC                             ; Line 19
                    ADC        #$00AC               
                    TCS                             
                    PHD                             
                    PEA        $1116                
                    PEA        $1613                
                    PEA        $1313                
                    PEA        $1313                
                    PEA        $1133                
                    TSC                             ; Line 20
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6111                
                    PEA        $1161                
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $3113                
                    TSC                             ; Line 21
                    ADC        #$00AC               
                    TCS                             
                    PHY                             
                    PEA        $1116                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $1133                
                    TSC                             ; Line 22
                    ADC        #$00AC               
                    TCS                             
                    PEA        $6111                
                    PEA        $1161                
                    PHX                             
                    PEA        $6163                
                    PHX                             
                    PEA        $3113                
                    TSC                             ; Line 23
                    ADC        #$00AC               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $9F,S                
                    PHY                             
                    PEA        $1131                
                    PEA        $3313                
                    PEA        $3313                
                    PEA        $6616                
                    PEA        $1133                
                    TSC                             ; Line 24
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $1111                
                    PEA        $1353                
                    PEA        $3361                
                    PHX                             
                    PEA        $3113                
                    TSC                             ; Line 25
                    ADC        #$00AA               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $1131                
                    PEA        $3155                
                    PEA        $1311                
                    PEA        $6616                
                    PEA        $1133                
                    TSC                             ; Line 26
                    ADC        #$00AA               
                    TCS                             
                    TDC                             
                    STA        $98,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $1335                
                    PEA        $3161                
                    PHX                             
                    PEA        $3113                
                    TSC                             ; Line 27
                    ADC        #$00AB               
                    TCS                             
                    LDA        #$6131               
                    STA        $97,S                
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$4304               
                    STA        $95,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $99,S                
                    PHY                             
                    PEA        $1131                
                    PEA        $1513                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $94,S                
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $99,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1153                
                    PEA        $3511                
                    TSC                             ; Line 29
                    ADC        #$009E               
                    TCS                             
                    LDA        #$4444               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9E,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9E,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $4344                
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PHY                             
                    PEA        $5111                
                    PEA        $1116                
                    TSC                             ; Line 30
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $98,S                
                    TYA                             
                    STA        $9D,S                
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $96,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9B,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$5015               
                    STA        $9F,S                
                    PEA        $6151                
                    PEA        $1511                
                    PHX                             
                    TSC                             ; Line 32
                    ADC        #$013A               
                    TCS                             
                    TXA                             
                    STA        $0A,S                
                    LDA        $08,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $08,S                
                    TSC                             ; Line 55
                    ADC        #$0E60               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 57
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_077       CLC                             ; Sprite #077 : 32x60, 1467 bytes, 2344 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 14
                    LDY        #$1131               ; Pattern #2 : 11
                    LDA        #$6161               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $09,S                
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AA,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$013A               
                    TCS                             
                    LDA        #$4444               
                    STA        $09,S                
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $07,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$3044               
                    STA        $AA,S                
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $2343                
                    PEA        $4431                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$2101               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $A0,S                
                    PEA        $6331                
                    PEA        $3244                
                    PEA        $1613                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1602               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1623                
                    PEA        $4364                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $93,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $93,S                
                    PEA        $6111                
                    PEA        $6331                
                    PEA        $3214                
                    TSC                             ; Line 16
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $93,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $6121                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$3244               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $1311                
                    PEA        $6331                
                    PEA        $3264                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$3311               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $95,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3111                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $1633                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1316                
                    PEA        $1163                
                    PEA        $1163                
                    PEA        $1631                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3161                
                    PHY                             
                    PEA        $3612                
                    PEA        $6313                
                    PEA        $1333                
                    PEA        $1361                
                    TSC                             ; Line 21
                    ADC        #$00AF               
                    TCS                             
                    PEA        $6111                
                    PEA        $1313                
                    PHX                             
                    PEA        $1163                
                    PEA        $1111                
                    PEA        $3631                
                    PEA        $3111                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $93,S                
                    PHX                             
                    PEA        $3361                
                    PHD                             
                    PHY                             
                    PEA        $1666                
                    PEA        $6113                
                    PEA        $1361                
                    TSC                             ; Line 23
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3113                
                    PHX                             
                    PEA        $1611                
                    PEA        $1313                
                    PEA        $1611                
                    TSC                             ; Line 24
                    ADC        #$00AB               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1621                
                    PEA        $2323                
                    PEA        $4364                
                    PHY                             
                    PHD                             
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3141                
                    PEA        $4414                
                    TSC                             ; Line 26
                    ADC        #$00A5               
                    TCS                             
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$3032               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $4644                
                    PEA        $1431                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $1111                
                    PEA        $1153                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $98,S                
                    PEA        $1511                
                    PEA        $5555                
                    PEA        $3533                
                    PEA        $2323                
                    TSC                             ; Line 29
                    ADC        #$00A9               
                    TCS                             
                    PEA        $1613                
                    PEA        $1316                
                    PEA        $5113                
                    PEA        $1331                
                    TSC                             ; Line 30
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $6131                
                    PEA        $3132                
                    PEA        $1335                
                    PEA        $6111                
                    PEA        $1333                
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $1621                
                    PEA        $2333                
                    PEA        $1516                
                    PEA        $1631                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    TYA                             
                    STA        $98,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3131                
                    PEA        $6361                
                    PEA        $6111                
                    TSC                             ; Line 33
                    ADC        #$00A9               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $95,S                
                    LDA        $97,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        #$63                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1613                
                    PEA        $1323                
                    TSC                             ; Line 34
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $96,S                
                    LDA        $94,S                
                    AND        #$F000               
                    ORA        #$0344               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6111                
                    PEA        $3131                
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $96,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $99,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    PHX                             
                    PHX                             
                    PEA        $1113                
                    TSC                             ; Line 36
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4144               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    TSC                             ; Line 37
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9C,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $97,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    PEA        $1333                
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$1344               
                    STA        $04,S                
                    LDA        #$1141               
                    STA        $A5,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $06,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A3,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $03,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 56
                    ADC        #$0960               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 58
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_078       CLC                             ; Sprite #078 : 32x70, 1467 bytes, 2344 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 14
                    LDY        #$1131               ; Pattern #2 : 11
                    LDA        #$6161               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $09,S                
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AA,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$013A               
                    TCS                             
                    LDA        #$4444               
                    STA        $09,S                
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $07,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$3044               
                    STA        $AA,S                
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $2343                
                    PEA        $4431                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$2101               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $A0,S                
                    PEA        $6331                
                    PEA        $3244                
                    PEA        $1613                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1602               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1623                
                    PEA        $4364                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $93,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $93,S                
                    PEA        $6111                
                    PEA        $6331                
                    PEA        $3214                
                    TSC                             ; Line 16
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $93,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $6121                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$3244               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $1311                
                    PEA        $6331                
                    PEA        $3264                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$3311               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $95,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3111                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $1633                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1316                
                    PEA        $1163                
                    PEA        $1163                
                    PEA        $1631                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3161                
                    PHY                             
                    PEA        $3612                
                    PEA        $6313                
                    PEA        $1333                
                    PEA        $1361                
                    TSC                             ; Line 21
                    ADC        #$00AF               
                    TCS                             
                    PEA        $6111                
                    PEA        $1313                
                    PHX                             
                    PEA        $1163                
                    PEA        $1111                
                    PEA        $3631                
                    PEA        $3111                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $93,S                
                    PHX                             
                    PEA        $3361                
                    PHD                             
                    PHY                             
                    PEA        $1666                
                    PEA        $6113                
                    PEA        $1361                
                    TSC                             ; Line 23
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3113                
                    PHX                             
                    PEA        $1611                
                    PEA        $1313                
                    PEA        $1611                
                    TSC                             ; Line 24
                    ADC        #$00AB               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1621                
                    PEA        $2323                
                    PEA        $4364                
                    PHY                             
                    PHD                             
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3141                
                    PEA        $4414                
                    TSC                             ; Line 26
                    ADC        #$00A5               
                    TCS                             
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$3032               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $4644                
                    PEA        $1431                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $1111                
                    PEA        $1153                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $98,S                
                    PEA        $1511                
                    PEA        $5555                
                    PEA        $3533                
                    PEA        $2323                
                    TSC                             ; Line 29
                    ADC        #$00A9               
                    TCS                             
                    PEA        $1613                
                    PEA        $1316                
                    PEA        $5113                
                    PEA        $1331                
                    TSC                             ; Line 30
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $6131                
                    PEA        $3132                
                    PEA        $1335                
                    PEA        $6111                
                    PEA        $1333                
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $1621                
                    PEA        $2333                
                    PEA        $1516                
                    PEA        $1631                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    TYA                             
                    STA        $98,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3131                
                    PEA        $6361                
                    PEA        $6111                
                    TSC                             ; Line 33
                    ADC        #$00A9               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $95,S                
                    LDA        $97,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        #$63                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1613                
                    PEA        $1323                
                    TSC                             ; Line 34
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $96,S                
                    LDA        $94,S                
                    AND        #$F000               
                    ORA        #$0344               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6111                
                    PEA        $3131                
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $96,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $99,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    PHX                             
                    PHX                             
                    PEA        $1113                
                    TSC                             ; Line 36
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4144               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    TSC                             ; Line 37
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9C,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $97,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    PEA        $1333                
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$1344               
                    STA        $04,S                
                    LDA        #$1141               
                    STA        $A5,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $06,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A3,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $03,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 66
                    ADC        #$0FA0               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 68
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_079       CLC                             ; Sprite #079 : 32x77, 1467 bytes, 2344 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 14
                    LDY        #$1131               ; Pattern #2 : 11
                    LDA        #$6161               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $09,S                
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AA,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $07,S                
                    LDA        $A7,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$013A               
                    TCS                             
                    LDA        #$4444               
                    STA        $09,S                
                    LDA        $07,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $07,S                
                    LDA        $A8,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F00               
                    ORA        #$3044               
                    STA        $AA,S                
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $07,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000B               
                    TCS                             
                    PEA        $2343                
                    PEA        $4431                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$2101               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1031               
                    STA        $A0,S                
                    PEA        $6331                
                    PEA        $3244                
                    PEA        $1613                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1602               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1623                
                    PEA        $4364                
                    TSC                             ; Line 15
                    ADC        #$00A6               
                    TCS                             
                    LDA        $93,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $93,S                
                    PEA        $6111                
                    PEA        $6331                
                    PEA        $3214                
                    TSC                             ; Line 16
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $93,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $6121                
                    TSC                             ; Line 17
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$3244               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $1311                
                    PEA        $6331                
                    PEA        $3264                
                    TSC                             ; Line 18
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$3311               
                    STA        $93,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$0F                 
                    ORA        #$20                 
                    STA        $95,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $3111                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $1633                
                    TSC                             ; Line 19
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6111                
                    PEA        $1316                
                    PEA        $1163                
                    PEA        $1163                
                    PEA        $1631                
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $93,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $93,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $3161                
                    PHY                             
                    PEA        $3612                
                    PEA        $6313                
                    PEA        $1333                
                    PEA        $1361                
                    TSC                             ; Line 21
                    ADC        #$00AF               
                    TCS                             
                    PEA        $6111                
                    PEA        $1313                
                    PHX                             
                    PEA        $1163                
                    PEA        $1111                
                    PEA        $3631                
                    PEA        $3111                
                    TSC                             ; Line 22
                    ADC        #$00AE               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $93,S                
                    PHX                             
                    PEA        $3361                
                    PHD                             
                    PHY                             
                    PEA        $1666                
                    PEA        $6113                
                    PEA        $1361                
                    TSC                             ; Line 23
                    ADC        #$00AE               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3113                
                    PHX                             
                    PEA        $1611                
                    PEA        $1313                
                    PEA        $1611                
                    TSC                             ; Line 24
                    ADC        #$00AB               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PEA        $1621                
                    PEA        $2323                
                    PEA        $4364                
                    PHY                             
                    PHD                             
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6131                
                    PEA        $3141                
                    PEA        $4414                
                    TSC                             ; Line 26
                    ADC        #$00A5               
                    TCS                             
                    LDA        $99,S                
                    AND        #$0F00               
                    ORA        #$3032               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $98,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $4644                
                    PEA        $1431                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$55                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $1111                
                    PEA        $1153                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $98,S                
                    PEA        $1511                
                    PEA        $5555                
                    PEA        $3533                
                    PEA        $2323                
                    TSC                             ; Line 29
                    ADC        #$00A9               
                    TCS                             
                    PEA        $1613                
                    PEA        $1316                
                    PEA        $5113                
                    PEA        $1331                
                    TSC                             ; Line 30
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $6131                
                    PEA        $3132                
                    PEA        $1335                
                    PEA        $6111                
                    PEA        $1333                
                    TSC                             ; Line 31
                    ADC        #$00A9               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PEA        $1621                
                    PEA        $2333                
                    PEA        $1516                
                    PEA        $1631                
                    TSC                             ; Line 32
                    ADC        #$00A8               
                    TCS                             
                    TYA                             
                    STA        $98,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3131                
                    PEA        $6361                
                    PEA        $6111                
                    TSC                             ; Line 33
                    ADC        #$00A9               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $95,S                
                    LDA        $97,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        #$63                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1613                
                    PEA        $1323                
                    TSC                             ; Line 34
                    ADC        #$00A6               
                    TCS                             
                    TYA                             
                    STA        $96,S                
                    LDA        $94,S                
                    AND        #$F000               
                    ORA        #$0344               
                    STA        $94,S                
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6111                
                    PEA        $3131                
                    TSC                             ; Line 35
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$4444               
                    STA        $94,S                
                    LDA        $96,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $96,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $99,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    PHX                             
                    PHX                             
                    PEA        $1113                
                    TSC                             ; Line 36
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4144               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $96,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PHY                             
                    TSC                             ; Line 37
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9C,S                
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $97,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    PEA        $1333                
                    TSC                             ; Line 39
                    ADC        #$013C               
                    TCS                             
                    LDA        #$1344               
                    STA        $04,S                
                    LDA        #$1141               
                    STA        $A5,S                
                    LDA        $06,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $06,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A3,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $03,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $A4,S                
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $05,S                
                    REP        #$30                 
                    TSC                             ; Line 73
                    ADC        #$1400               
                    TCS                             
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $A0,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 75
                    ADC        #$0140               
                    TCS                             
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $A2,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0E,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_07A       CLC                             ; Sprite #07A : 52x79, 1520 bytes, 2512 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 27
                    LDY        #$3131               ; Pattern #2 : 22
                    LDA        #$4444               ; Pattern #3 : 18
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $B3,S                
                    LDA        $12,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $12,S                
                    LDA        $B1,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        $14,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $14,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0154               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PHD                             
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6444               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    PEA        $6666                
                    PEA        $6446                
                    TSC                             ; Line 8
                    ADC        #$0130               
                    TCS                             
                    SEP        #$20                 
                    LDA        $10,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $10,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0014               
                    TCS                             
                    PEA        $6644                
                    PHD                             
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    TDC                             
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    PEA        $6644                
                    PHD                             
                    TSC                             ; Line 11
                    ADC        #$0130               
                    TCS                             
                    TDC                             
                    STA        $12,S                
                    SEP        #$20                 
                    LDA        #$43                 
                    STA        $14,S                
                    LDA        $B5,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $B5,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$00B4               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3016               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $3244                
                    PEA        $1413                
                    TSC                             ; Line 13
                    ADC        #$00A4               
                    TCS                             
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$1203               
                    STA        $9B,S                
                    PEA        $2343                
                    PEA        $6431                
                    TSC                             ; Line 14
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $1163                
                    PEA        $3132                
                    PEA        $4416                
                    TSC                             ; Line 15
                    ADC        #$00A5               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $6131                
                    PEA        $1133                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1163                
                    PEA        $3132                
                    PEA        $1426                
                    PHY                             
                    PEA        $3333                
                    TSC                             ; Line 17
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    LDA        #$3333               
                    PEA        $3611                
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $1613                
                    PEA        $1313                
                    PHA                             
                    PHA                             
                    PHA                             
                    PHD                             
                    TSC                             ; Line 18
                    ADC        #$00B2               
                    TCS                             
                    LDA        $8F,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $8F,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $1113                
                    PEA        $1163                
                    PEA        $3132                
                    PEA        $2611                
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHD                             
                    TSC                             ; Line 19
                    ADC        #$00B2               
                    TCS                             
                    LDA        $91,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $91,S                
                    PEA        $3161                
                    PEA        $1131                
                    PEA        $1631                
                    PEA        $3663                
                    PEA        $6161                
                    PEA        $1111                
                    PEA        $1113                
                    PEA        $1313                
                    TSC                             ; Line 20
                    ADC        #$00B2               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $6111                
                    PEA        $1313                
                    PEA        $1611                
                    PEA        $6323                
                    PEA        $2113                
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00AF               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6161                
                    PEA        $1131                
                    PEA        $1611                
                    TSC                             ; Line 22
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $3113                
                    PHX                             
                    PEA        $1611                
                    PEA        $6361                
                    TSC                             ; Line 23
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1333                
                    PEA        $6161                
                    PEA        $6111                
                    PHY                             
                    TSC                             ; Line 24
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1132                
                    PEA        $3232                
                    PEA        $4416                
                    PEA        $1113                
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $99,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    PHX                             
                    PEA        $1313                
                    PHD                             
                    PEA        $1111                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6161                
                    PHD                             
                    TSC                             ; Line 27
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1111                
                    PEA        $1131                
                    TSC                             ; Line 28
                    ADC        #$00A5               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5511                
                    PEA        $5155                
                    PEA        $5533                
                    TSC                             ; Line 29
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6111                
                    PEA        $3531                
                    PEA        $3333                
                    TSC                             ; Line 30
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$61                 
                    STA        $A1,S                
                    REP        #$30                 
                    LDA        #$3333               
                    PEA        $1613                
                    PEA        $2333                
                    PEA        $5113                
                    PHY                             
                    PEA        $3323                
                    PEA        $2323                
                    PHA                             
                    PHA                             
                    PHA                             
                    TSC                             ; Line 31
                    ADC        #$00B2               
                    TCS                             
                    PEA        $6111                
                    PEA        $3232                
                    PEA        $5361                
                    PEA        $1131                
                    PHY                             
                    PEA        $3133                
                    PEA        $3333                
                    PHY                             
                    PHY                             
                    PHD                             
                    PHD                             
                    TSC                             ; Line 32
                    ADC        #$00B7               
                    TCS                             
                    LDA        $8D,S                
                    AND        #$000F               
                    ORA        #$1140               
                    STA        $8D,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $8C,S                
                    REP        #$30                 
                    LDA        #$1313               
                    PHX                             
                    PEA        $1113                
                    PEA        $1333                
                    PHX                             
                    PEA        $1613                
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $1344                
                    PHD                             
                    TSC                             ; Line 33
                    ADC        #$00B6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    LDA        #$1111               
                    PEA        $6161                
                    PEA        $6131                
                    PHY                             
                    PEA        $6261                
                    PEA        $6161                
                    PEA        $6111                
                    PHA                             
                    PHA                             
                    PHA                             
                    TSC                             ; Line 34
                    ADC        #$00B1               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1611                
                    PEA        $1333                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 35
                    ADC        #$00B2               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $9A,S                
                    REP        #$30                 
                    PEA        $6161                
                    PEA        $6111                
                    PHY                             
                    PEA        $6261                
                    PEA        $6161                
                    TSC                             ; Line 36
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $99,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PEA        $1113                
                    TSC                             ; Line 37
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$1333               
                    STA        $9A,S                
                    LDA        $9C,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $9C,S                
                    PEA        $6161                
                    PEA        $6111                
                    PHY                             
                    TSC                             ; Line 39
                    ADC        #$0132               
                    TCS                             
                    LDA        #$1131               
                    STA        $0F,S                
                    TDC                             
                    STA        $AD,S                
                    LDA        $0D,S                
                    AND        #$00F0               
                    ORA        #$4104               
                    STA        $0D,S                
                    LDA        $AF,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $AF,S                
                    TSC                             ; Line 41
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $AD,S                
                    TSC                             ; Line 75
                    ADC        #$1540               
                    TCS                             
                    LDA        $11,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $13,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B4,S                
                    LDA        $B6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B6,S                
                    LDA        $B8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B8,S                
                    SEP        #$20                 
                    LDA        $15,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $15,S                
                    REP        #$30                 
                    TSC                             ; Line 77
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $0D,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0F,S                
                    LDA        $11,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $11,S                
                    LDA        $13,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $15,S                
                    LDA        $A8,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B2,S                
                    LDA        $B4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B4,S                
                    SEP        #$20                 
                    LDA        $17,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $17,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_07B          CLC                             ; Sprite #07B : 32x41, 1364 bytes, 2185 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1111               ; Pattern #1 : 14
                    LDY        #$4444               ; Pattern #2 : 14
                    LDA        #$6111               ; Pattern #3 : 8
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $AB,S                
                    LDA        $0A,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $0A,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$014C               
                    TCS                             
                    SEP        #$20                 
                    LDA        $01,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $01,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6666                
                    PHY                             
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6444               
                    STA        $9E,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $9C,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $A0,S                
                    PEA        $6666                
                    PEA        $6446                
                    TSC                             ; Line 8
                    ADC        #$0138               
                    TCS                             
                    SEP        #$20                 
                    LDA        $08,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $08,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000C               
                    TCS                             
                    PEA        $6644                
                    PHY                             
                    TSC                             ; Line 9
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $9F,S                
                    PEA        $6644                
                    PHY                             
                    TSC                             ; Line 11
                    ADC        #$0138               
                    TCS                             
                    TYA                             
                    STA        $0A,S                
                    SEP        #$20                 
                    LDA        #$43                 
                    STA        $0C,S                
                    LDA        $AD,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3244                
                    PEA        $1413                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $9A,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $1623                
                    PEA        $4364                
                    PEA        $3131                
                    TSC                             ; Line 14
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $1163                
                    PEA        $3132                
                    PEA        $4416                
                    TSC                             ; Line 15
                    ADC        #$00A5               
                    TCS                             
                    LDA        $95,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $3116                
                    PEA        $2343                
                    PEA        $6131                
                    PEA        $4144                
                    TSC                             ; Line 16
                    ADC        #$00A8               
                    TCS                             
                    TYA                             
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $1163                
                    PEA        $3132                
                    PEA        $1416                
                    PHY                             
                    TSC                             ; Line 17
                    ADC        #$00A8               
                    TCS                             
                    TYA                             
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $97,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1131                
                    PEA        $1623                
                    PEA        $4341                
                    PHY                             
                    TSC                             ; Line 18
                    ADC        #$00A9               
                    TCS                             
                    TYA                             
                    STA        $95,S                
                    LDA        $98,S                
                    AND        #$F0F0               
                    ORA        #$0403               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        #$12                 
                    STA        $9A,S                
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1113                
                    PEA        $1163                
                    PEA        $3112                
                    PEA        $4344                
                    TSC                             ; Line 19
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$3144               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $95,S                
                    LDA        $98,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $98,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1631                
                    PEA        $1231                
                    PEA        $1631                
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$1313               
                    STA        $97,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        #$41                 
                    STA        $96,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1633                
                    PEA        $2311                
                    PEA        $6323                
                    PEA        $1136                
                    TSC                             ; Line 21
                    ADC        #$00A8               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $96,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PHX                             
                    PEA        $3312                
                    PEA        $3112                
                    TSC                             ; Line 22
                    ADC        #$00A5               
                    TCS                             
                    PEA        $1133                
                    PEA        $3322                
                    PEA        $1161                
                    PEA        $3111                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $98,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $1133                
                    PHX                             
                    PEA        $1611                
                    PEA        $1166                
                    TSC                             ; Line 24
                    ADC        #$00AA               
                    TCS                             
                    PEA        $1116                
                    PEA        $1113                
                    PEA        $1161                
                    PHX                             
                    TSC                             ; Line 25
                    ADC        #$00A8               
                    TCS                             
                    PEA        $1161                
                    PHX                             
                    PEA        $1116                
                    PEA        $1161                
                    TSC                             ; Line 26
                    ADC        #$00A8               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $94,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1613                
                    PHD                             
                    PEA        $1333                
                    PEA        $3333                
                    PEA        $3323                
                    TSC                             ; Line 27
                    ADC        #$00AA               
                    TCS                             
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$1302               
                    STA        $96,S                
                    PEA        $6161                
                    PEA        $1131                
                    PEA        $3133                
                    PEA        $3131                
                    PEA        $2131                
                    TSC                             ; Line 28
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $95,S                
                    REP        #$30                 
                    PEA        $3316                
                    PEA        $1156                
                    PEA        $1113                
                    PEA        $1313                
                    PHX                             
                    TSC                             ; Line 29
                    ADC        #$00AB               
                    TCS                             
                    SEP        #$20                 
                    LDA        $94,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $94,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $3131                
                    PEA        $7555                
                    PHX                             
                    PEA        $6161                
                    PEA        $1131                
                    TSC                             ; Line 30
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $2323                
                    PEA        $3313                
                    PEA        $5157                
                    PEA        $1616                
                    PEA        $1616                
                    PEA        $1611                
                    TSC                             ; Line 31
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$1611               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $1313                
                    PEA        $5761                
                    PEA        $6161                
                    PEA        $6161                
                    PEA        $6131                
                    TSC                             ; Line 32
                    ADC        #$00AC               
                    TCS                             
                    TDC                             
                    STA        $95,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9B,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1331                
                    PEA        $3111                
                    PEA        $1716                
                    PEA        $1616                
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    TXA                             
                    STA        $9F,S                
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1601               
                    STA        $95,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$3101               
                    STA        $9D,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $97,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1363                
                    TSC                             ; Line 35
                    ADC        #$0136               
                    TCS                             
                    TXA                             
                    STA        $0D,S                
                    STA        $AD,S                
                    LDA        #$1616               
                    STA        $A4,S                
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $03,S                
                    LDA        $0B,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $0B,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $05,S                
                    LDA        $AC,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 37
                    ADC        #$0140               
                    TCS                             
                    TDC                             
                    STA        $04,S                
                    LDA        #$1611               
                    STA        $0D,S                
                    LDA        #$4464               
                    STA        $A4,S                
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0106               
                    STA        $0B,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AB,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6010               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $AD,S                
                    LDA        $03,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $03,S                
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $06,S                
                    LDA        $A6,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A6,S                
                    REP        #$30                 
                    TSC                             ; Line 39
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $04,S                
                    STA        $AD,S                
                    LDA        #$4644               
                    STA        $0D,S                
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $02,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0B,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$000F               
                    ORA        #$6460               
                    STA        $AB,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $06,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_07C       CLC                             ; Sprite #07C : 40x42, 1370 bytes, 2232 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1111               ; Pattern #1 : 21
                    LDY        #$6161               ; Pattern #2 : 18
                    LDA        #$1616               ; Pattern #3 : 18
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0D,S                
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $AE,S                
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0B,S                
                    LDA        $AB,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $6666                
                    PEA        $6666                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4644                
                    TSC                             ; Line 6
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$66                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6666                
                    PEA        $4666                
                    TSC                             ; Line 7
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $4646                
                    PEA        $4444                
                    TSC                             ; Line 8
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4444               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $4444                
                    TSC                             ; Line 10
                    ADC        #$0136               
                    TCS                             
                    LDA        #$4444               
                    STA        $0C,S                
                    LDA        #$4344               
                    STA        $AE,S                
                    LDA        $0E,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $0E,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $0B,S                
                    REP        #$30                 
                    TSC                             ; Line 12
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4414               
                    STA        $0D,S                
                    LDA        $0F,S                
                    AND        #$0F00               
                    ORA        #$6036               
                    STA        $0F,S                
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $B0,S                
                    LDA        $0C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 13
                    ADC        #$00AF               
                    TCS                             
                    LDA        $91,S                
                    AND        #$0FF0               
                    ORA        #$4004               
                    STA        $91,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $1333                
                    PEA        $6361                
                    TSC                             ; Line 14
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $3113                
                    TSC                             ; Line 15
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $91,S                
                    REP        #$30                 
                    LDA        #$3333               
                    PEA        $1331                
                    PEA        $3133                
                    PHA                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $3343                
                    PEA        $4444                
                    TSC                             ; Line 16
                    ADC        #$00B1               
                    TCS                             
                    LDA        $92,S                
                    AND        #$00F0               
                    ORA        #$1106               
                    STA        $92,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A0,S                
                    LDA        #$3333               
                    PHX                             
                    PEA        $1313                
                    PHA                             
                    PHA                             
                    PHA                             
                    PEA        $3331                
                    PEA        $3111                
                    PEA        $4144                
                    TSC                             ; Line 17
                    ADC        #$00AF               
                    TCS                             
                    LDA        $93,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $93,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    LDA        #$3131               
                    PHX                             
                    PHA                             
                    PHA                             
                    PHA                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 18
                    ADC        #$00AC               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $A1,S                
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1161                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 19
                    ADC        #$00AC               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A1,S                
                    PHX                             
                    PHX                             
                    PEA        $1116                
                    PHD                             
                    PHD                             
                    TSC                             ; Line 20
                    ADC        #$00AA               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1161                
                    PHY                             
                    TSC                             ; Line 21
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $1116                
                    PHD                             
                    TSC                             ; Line 22
                    ADC        #$00A5               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 23
                    ADC        #$00A4               
                    TCS                             
                    TYA                             
                    STA        $9F,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9D,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A1,S                
                    PHD                             
                    PHD                             
                    TSC                             ; Line 25
                    ADC        #$0135               
                    TCS                             
                    LDA        $0C,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $AC,S                
                    TSC                             
                    ADC        #$0011               
                    TCS                             
                    PEA        $5516                
                    PHD                             
                    TSC                             ; Line 26
                    ADC        #$00A4               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $5355                
                    PEA        $6561                
                    TSC                             ; Line 27
                    ADC        #$00A3               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$3102               
                    STA        $97,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A1,S                
                    PEA        $7357                
                    PEA        $5555                
                    PEA        $3533                
                    PEA        $3333                
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    PHX                             
                    PEA        $6175                
                    PEA        $3331                
                    PEA        $3131                
                    TSC                             ; Line 29
                    ADC        #$00AA               
                    TCS                             
                    PEA        $3313                
                    PEA        $1116                
                    PEA        $1657                
                    PEA        $1313                
                    PHX                             
                    PEA        $1333                
                    TSC                             ; Line 30
                    ADC        #$00AC               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $3161                
                    PEA        $6157                
                    PEA        $1161                
                    PHY                             
                    PEA        $3123                
                    TSC                             ; Line 31
                    ADC        #$00AC               
                    TCS                             
                    LDA        #$6111               
                    STA        $95,S                
                    LDA        $97,S                
                    AND        #$000F               
                    ORA        #$6160               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $2313                
                    PEA        $1316                
                    PEA        $1656                
                    PHD                             
                    PHD                             
                    PEA        $1633                
                    TSC                             ; Line 32
                    ADC        #$00AC               
                    TCS                             
                    TDC                             
                    STA        $9A,S                
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$1601               
                    STA        $95,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $99,S                
                    LDA        $97,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $97,S                
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9C,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3113                
                    PEA        $1161                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 33
                    ADC        #$00A8               
                    TCS                             
                    LDA        #$1611               
                    STA        $96,S                
                    SEP        #$20                 
                    LDA        $95,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $95,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $1116                
                    TSC                             ; Line 34
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$6111               
                    STA        $96,S                
                    TXA                             
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $98,S                
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1113                
                    PHY                             
                    TSC                             ; Line 36
                    ADC        #$0132               
                    TCS                             
                    LDA        #$1611               
                    STA        $08,S                
                    STA        $A9,S                
                    LDA        #$1113               
                    STA        $11,S                
                    LDA        $B1,S                
                    AND        #$00F0               
                    ORA        #$1103               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        $0A,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $0A,S                
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $13,S                
                    LDA        $B3,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $B3,S                
                    REP        #$30                 
                    TSC                             ; Line 38
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6111               
                    STA        $09,S                
                    LDA        #$4464               
                    STA        $A9,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $07,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$F0F0               
                    ORA        #$0106               
                    STA        $10,S                
                    LDA        $12,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $12,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A2,S                
                    LDA        $A4,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A4,S                
                    LDA        $A6,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A6,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B0,S                
                    LDA        $B2,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $B2,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0B,S                
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A8,S                
                    LDA        $AB,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $AB,S                
                    REP        #$30                 
                    TSC                             ; Line 40
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $09,S                
                    STA        $B2,S                
                    LDA        #$4644               
                    STA        $12,S                
                    LDA        $01,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $01,S                
                    LDA        $03,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $03,S                
                    LDA        $05,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $05,S                
                    LDA        $07,S                
                    AND        #$F0F0               
                    ORA        #$0406               
                    STA        $07,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $10,S                
                    LDA        $AC,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AC,S                
                    LDA        $AE,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$000F               
                    ORA        #$6460               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $0B,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0B,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_07D       CLC                             ; Sprite #07D : 46x39, 1171 bytes, 1951 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 41
                    LDY        #$6161               ; Pattern #2 : 35
                    LDA        #$3333               ; Pattern #3 : 16
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0F,S                
                    STA        $AE,S                
                    LDA        $B0,S                
                    AND        #$0F00               
                    ORA        #$6066               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0E,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5555               
                    STA        $0E,S                
                    STA        $AE,S                
                    LDA        $10,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $10,S                
                    LDA        $B0,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 4
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4464               
                    STA        $0E,S                
                    LDA        #$6446               
                    STA        $AE,S                
                    LDA        $10,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $10,S                
                    LDA        $B0,S                
                    AND        #$0F00               
                    ORA        #$4066               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0D,S                
                    LDA        $AD,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $AD,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $0E,S                
                    STA        $AF,S                
                    LDA        $10,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $10,S                
                    SEP        #$20                 
                    LDA        $0D,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $0D,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             ; Line 8
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6466               
                    STA        $0F,S                
                    LDA        #$4444               
                    STA        $AF,S                
                    SEP        #$20                 
                    LDA        $0E,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $0E,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $AE,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4416               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$0F00               
                    ORA        #$1046               
                    STA        $10,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $B1,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00B0               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $9C,S                
                    REP        #$30                 
                    PEA        $4644                
                    PEA        $6611                
                    TSC                             ; Line 12
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3033               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $1316                
                    PEA        $4644                
                    PEA        $2661                
                    TSC                             ; Line 13
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1666                
                    PEA        $4436                
                    PEA        $6133                
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A0,S                
                    PEA        $3313                
                    PEA        $1661                
                    PEA        $6412                
                    PEA        $3631                
                    PEA        $3133                
                    TSC                             ; Line 15
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1146                
                    PEA        $6411                
                    PEA        $1111                
                    PEA        $1333                
                    PHD                             
                    TSC                             ; Line 16
                    ADC        #$00AD               
                    TCS                             
                    PEA        $6361                
                    PEA        $1133                
                    PEA        $4444                
                    PEA        $1111                
                    PEA        $1611                
                    PEA        $3131                
                    PEA        $3133                
                    PEA        $3344                
                    TSC                             ; Line 17
                    ADC        #$00B1               
                    TCS                             
                    PEA        $1311                
                    PEA        $1633                
                    PEA        $1344                
                    PEA        $1416                
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $6111                
                    PEA        $4444                
                    TSC                             ; Line 18
                    ADC        #$00B2               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $97,S                
                    PHD                             
                    PHD                             
                    PEA        $1316                
                    PEA        $1111                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$00B0               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $3131                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 20
                    ADC        #$00A8               
                    TCS                             
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$3011               
                    STA        $9F,S                
                    PEA        $1313                
                    PEA        $1311                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $1161                
                    PHY                             
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $6616                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$7055               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9B,S                
                    AND        #$F0                 
                    ORA        #$07                 
                    STA        $9B,S                
                    REP        #$30                 
                    PEA        $6661                
                    PHY                             
                    PEA        $6165                
                    TSC                             ; Line 24
                    ADC        #$00A5               
                    TCS                             
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1555                
                    PEA        $5555                
                    TSC                             ; Line 25
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $5737                
                    TSC                             ; Line 26
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3313                
                    PEA        $5335                
                    PHD                             
                    PHD                             
                    TSC                             ; Line 27
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $91,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $91,S                
                    REP        #$30                 
                    PEA        $2331                
                    PEA        $3115                
                    PEA        $1513                
                    PEA        $1313                
                    PHD                             
                    PHD                             
                    TSC                             ; Line 28
                    ADC        #$00AD               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $8C,S                
                    REP        #$30                 
                    PEA        $2313                
                    PEA        $1311                
                    PEA        $6555                
                    PHY                             
                    PEA        $6131                
                    PEA        $3131                
                    PEA        $3133                
                    PHD                             
                    TSC                             ; Line 29
                    ADC        #$00B0               
                    TCS                             
                    PEA        $3131                
                    PEA        $1656                
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1313                
                    PHD                             
                    PEA        $4444                
                    TSC                             ; Line 30
                    ADC        #$00B4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $6361                
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PHY                             
                    PEA        $3131                
                    PEA        $4444                
                    TSC                             ; Line 31
                    ADC        #$00B3               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PHX                             
                    PEA        $1644                
                    TSC                             ; Line 32
                    ADC        #$00B2               
                    TCS                             
                    TXA                             
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A0,S                
                    REP        #$30                 
                    PEA        $1161                
                    PHY                             
                    TSC                             ; Line 34
                    ADC        #$0131               
                    TCS                             
                    TYA                             
                    STA        $11,S                
                    LDA        #$1116               
                    STA        $B1,S                
                    SEP        #$20                 
                    LDA        $13,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $13,S                
                    REP        #$30                 
                    TSC                             ; Line 36
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4644               
                    STA        $B1,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0E,S                
                    LDA        $10,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $10,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $13,S                
                    LDA        $A5,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A5,S                
                    LDA        $A7,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A7,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AD,S                
                    LDA        $AF,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AF,S                
                    LDA        $B4,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $B4,S                
                    SEP        #$20                 
                    LDA        $12,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $12,S                
                    LDA        $B3,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $B3,S                
                    REP        #$30                 
                    TSC                             ; Line 38
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $11,S                
                    LDA        $02,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $04,S                
                    LDA        $06,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0E,S                
                    LDA        $13,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $13,S                
                    LDA        $15,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $15,S                
                    SEP        #$20                 
                    LDA        $10,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $10,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                
Sprite_RL_07E       CLC                             ; Sprite #07E : 32x38, 1186 bytes, 1919 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 22
                    LDY        #$6161               ; Pattern #2 : 16
                    LDA        #$6666               ; Pattern #3 : 6
                    TCD                             
*--                                                 
                    TDC                             ; Line 0
                    STA        $04,S                
                    SEP        #$20                 
                    LDA        $06,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $06,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 1
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PHD                             
                    TSC                             ; Line 2
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$50                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6656                
                    TSC                             ; Line 3
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5555                
                    PEA        $5555                
                    TSC                             ; Line 4
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $5455                
                    PEA        $5564                
                    TSC                             ; Line 5
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$4666               
                    STA        $9E,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6064               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $9D,S                
                    REP        #$30                 
                    PEA        $4444                
                    PEA        $4464                
                    TSC                             ; Line 7
                    ADC        #$013E               
                    TCS                             
                    LDA        #$4464               
                    STA        $05,S                
                    LDA        #$4416               
                    STA        $A3,S                
                    LDA        $03,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $03,S                
                    LDA        $A5,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A5,S                
                    TSC                             ; Line 9
                    ADC        #$0145               
                    TCS                             
                    LDA        $01,S                
                    AND        #$0F00               
                    ORA        #$3063               
                    STA        $01,S                
                    LDA        $9C,S                
                    AND        #$00F0               
                    ORA        #$2103               
                    STA        $9C,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$3013               
                    STA        $A2,S                
                    PEA        $6446                
                    PEA        $1613                
                    TSC                             ; Line 10
                    ADC        #$00A5               
                    TCS                             
                    PEA        $6143                
                    PEA        $6313                
                    TSC                             ; Line 11
                    ADC        #$00A6               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$3031               
                    STA        $A0,S                
                    PEA        $1361                
                    PEA        $1346                
                    PEA        $3663                
                    PEA        $3332                
                    TSC                             ; Line 12
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $99,S                
                    PEA        $6113                
                    PEA        $4636                
                    PEA        $1631                
                    TSC                             ; Line 13
                    ADC        #$00A8               
                    TCS                             
                    LDA        $97,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $97,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$0F                 
                    ORA        #$30                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $6113                
                    PEA        $4636                
                    PEA        $6111                
                    TSC                             ; Line 14
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $97,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $97,S                
                    REP        #$30                 
                    PEA        $3116                
                    PEA        $6133                
                    PEA        $1636                
                    PHX                             
                    TSC                             ; Line 15
                    ADC        #$00A9               
                    TCS                             
                    LDA        #$3111               
                    STA        $A0,S                
                    LDA        $96,S                
                    AND        #$00F0               
                    ORA        #$3103               
                    STA        $96,S                
                    LDA        $9E,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $9E,S                
                    PEA        $1361                
                    PEA        $6111                
                    PEA        $3666                
                    PEA        $1161                
                    PEA        $6111                
                    TSC                             ; Line 16
                    ADC        #$00A7               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$3302               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $A8,S                
                    REP        #$30                 
                    PEA        $1636                
                    PEA        $6361                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00A6               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $99,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $6144                
                    PEA        $4433                
                    PEA        $3232                
                    TSC                             
                    ADC        #$000D               
                    TCS                             
                    PEA        $1413                
                    PEA        $1313                
                    PHY                             
                    TSC                             ; Line 18
                    ADC        #$009F               
                    TCS                             
                    TYA                             
                    STA        $A4,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $99,S                
                    LDA        $A6,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A6,S                
                    PEA        $1641                
                    PEA        $4413                
                    PEA        $1313                
                    TSC                             
                    ADC        #$000E               
                    TCS                             
                    PEA        $4414                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 19
                    ADC        #$009E               
                    TCS                             
                    SEP        #$20                 
                    LDA        $9A,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $9A,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6111                
                    PEA        $1111                
                    TSC                             ; Line 20
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9A,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $A0,S                
                    PHX                             
                    PHX                             
                    PHX                             
                    TSC                             ; Line 21
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    TSC                             ; Line 22
                    ADC        #$00A5               
                    TCS                             
                    PEA        $1516                
                    PHX                             
                    PHX                             
                    TSC                             ; Line 23
                    ADC        #$00A6               
                    TCS                             
                    PEA        $5755                
                    PEA        $5515                
                    PEA        $5575                
                    TSC                             ; Line 24
                    ADC        #$00A6               
                    TCS                             
                    LDA        $9A,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $9A,S                
                    PEA        $3333                
                    PEA        $5717                
                    PEA        $3353                
                    TSC                             ; Line 25
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$33                 
                    STA        $A1,S                
                    REP        #$30                 
                    PEA        $3333                
                    PEA        $1351                
                    PEA        $1133                
                    TSC                             ; Line 26
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1032               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1313                
                    PEA        $1156                
                    PEA        $1531                
                    PEA        $2133                
                    TSC                             ; Line 27
                    ADC        #$00A8               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1021               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $3211                
                    PEA        $6151                
                    PEA        $5111                
                    PEA        $1323                
                    TSC                             ; Line 28
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $98,S                
                    LDA        $9D,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9D,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1111                
                    PHX                             
                    PHX                             
                    PEA        $3131                
                    TSC                             ; Line 29
                    ADC        #$00A4               
                    TCS                             
                    TXA                             
                    STA        $9D,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $9F,S                
                    SEP        #$20                 
                    LDA        $9C,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHY                             
                    PHY                             
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PEA        $1161                
                    PHY                             
                    TSC                             ; Line 30
                    ADC        #$00A4               
                    TCS                             
                    LDA        #$1111               
                    STA        $98,S                
                    LDA        #$1161               
                    STA        $9F,S                
                    LDA        $9A,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9A,S                
                    LDA        $9D,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $9D,S                
                    PEA        $1111                
                    PHX                             
                    TSC                             ; Line 32
                    ADC        #$013B               
                    TCS                             
                    TXA                             
                    STA        $02,S                
                    TYA                             
                    STA        $A3,S                
                    STA        $A6,S                
                    LDA        $06,S                
                    AND        #$00F0               
                    ORA        #$1606               
                    STA        $06,S                
                    LDA        $08,S                
                    AND        #$0F00               
                    ORA        #$1011               
                    STA        $08,S                
                    LDA        $A8,S                
                    AND        #$0F00               
                    ORA        #$1061               
                    STA        $A8,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $A2,S                
                    LDA        $04,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $04,S                
                    REP        #$30                 
                    TSC                             ; Line 34
                    ADC        #$0140               
                    TCS                             
                    TXA                             
                    STA        $03,S                
                    STA        $06,S                
                    LDA        #$6111               
                    STA        $A6,S                
                    LDA        $A1,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$0F00               
                    ORA        #$4044               
                    STA        $A3,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        #$11                 
                    STA        $08,S                
                    LDA        $02,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $02,S                
                    LDA        $A8,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A8,S                
                    REP        #$30                 
                    TSC                             ; Line 36
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $06,S                
                    STA        $A7,S                
                    LDA        #$4644               
                    STA        $A3,S                
                    LDA        $00,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$0F0F               
                    ORA        #$6040               
                    STA        $04,S                
                    LDA        $08,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $0C,S                
                    LDA        $A0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A0,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$4406               
                    STA        $A5,S                
                    LDA        $A9,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $A9,S                
                    LDA        $AB,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AB,S                
                    LDA        $AD,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $AD,S                
                    SEP        #$20                 
                    LDA        #$64                 
                    STA        $A2,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                    
*-----------------------------------                                

Sprite_RL_07F       CLC                             ; Sprite #07F : 38x48, 1616 bytes, 2588 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$1616               ; Pattern #1 : 14
                    LDY        #$6111               ; Pattern #2 : 11
                    LDA        #$3133               ; Pattern #3 : 9
                    TCD                             
*--                                                 
                    LDA        #$6666               ; Line 0
                    STA        $0A,S                
                    STA        $AB,S                
                    LDA        $A9,S                
                    AND        #$00F0               
                    ORA        #$6606               
                    STA        $A9,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $0C,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    LDA        #$5555               
                    STA        $0A,S                
                    STA        $AA,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$5055               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$05                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 4
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    LDA        #$4666               
                    STA        $AA,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$6046               
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F00               
                    ORA        #$6064               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $09,S                
                    LDA        $A9,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A9,S                
                    REP        #$30                 
                    TSC                             ; Line 6
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $0A,S                
                    STA        $AA,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$6044               
                    STA        $0C,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $09,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 8
                    ADC        #$0140               
                    TCS                             
                    LDA        #$6646               
                    STA        $0A,S                
                    STA        $AA,S                
                    SEP        #$20                 
                    LDA        $0C,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $0C,S                
                    LDA        $AC,S                
                    AND        #$0F                 
                    ORA        #$40                 
                    STA        $AC,S                
                    REP        #$30                 
                    TSC                             ; Line 10
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4464               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F00               
                    ORA        #$3063               
                    STA        $0C,S                
                    SEP        #$20                 
                    LDA        $09,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $09,S                
                    REP        #$30                 
                    TSC                             ; Line 11
                    ADC        #$00AE               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A0,S                
                    PEA        $1631                
                    PEA        $6644                
                    PEA        $6413                
                    TSC                             ; Line 12
                    ADC        #$00A5               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3663                
                    PEA        $4464                
                    PEA        $1333                
                    TSC                             ; Line 13
                    ADC        #$00A7               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3302               
                    STA        $98,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $6344                
                    PEA        $3631                
                    PEA        $3332                
                    TSC                             ; Line 14
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $97,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $6333                
                    PEA        $4636                
                    PEA        $1631                
                    TSC                             ; Line 15
                    ADC        #$00A9               
                    TCS                             
                    LDA        $95,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $95,S                
                    PHX                             
                    PEA        $3161                
                    PEA        $3146                
                    PEA        $3616                
                    PEA        $1131                
                    TSC                             ; Line 16
                    ADC        #$00AA               
                    TCS                             
                    LDA        $94,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $94,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PHY                             
                    PEA        $1333                
                    PEA        $2616                
                    PEA        $3616                
                    PHX                             
                    TSC                             ; Line 17
                    ADC        #$00A9               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $3131                
                    PEA        $3136                
                    PEA        $6662                
                    PEA        $1161                
                    PEA        $6131                
                    TSC                             ; Line 18
                    ADC        #$00AB               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A0,S                
                    PEA        $1613                
                    PEA        $3311                
                    PEA        $6362                
                    PEA        $6313                
                    PHX                             
                    PEA        $1631                
                    PEA        $3333                
                    TSC                             ; Line 19
                    ADC        #$00AD               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $91,S                
                    REP        #$30                 
                    PEA        $3163                
                    PEA        $1131                
                    PEA        $2661                
                    PEA        $3311                
                    PEA        $6161                
                    PEA        $1133                
                    PEA        $3333                
                    PEA        $4444                
                    TSC                             ; Line 20
                    ADC        #$00A7               
                    TCS                             
                    LDA        #$6161               
                    STA        $9C,S                
                    LDA        $9E,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        #$44                 
                    STA        $9A,S                
                    LDA        #$61                 
                    STA        $AB,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1113                
                    PEA        $1344                
                    TSC                             
                    ADC        #$000F               
                    TCS                             
                    PEA        $2316                
                    PEA        $1611                
                    PEA        $6312                
                    TSC                             ; Line 21
                    ADC        #$00A7               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A1,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6161                
                    PEA        $3131                
                    PEA        $3633                
                    TSC                             ; Line 22
                    ADC        #$00A8               
                    TCS                             
                    TDC                             
                    STA        $9A,S                
                    LDA        $9C,S                
                    AND        #$000F               
                    ORA        #$6130               
                    STA        $9C,S                
                    SEP        #$20                 
                    LDA        $99,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $99,S                
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PEA        $1133                
                    PHX                             
                    PEA        $1133                
                    PEA        $6333                
                    TSC                             ; Line 23
                    ADC        #$00A9               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A0,S                
                    PEA        $6133                
                    PEA        $6261                
                    TSC                             ; Line 24
                    ADC        #$00A3               
                    TCS                             
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$5505               
                    STA        $99,S                
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$6031               
                    STA        $A1,S                
                    PEA        $3153                
                    PEA        $1516                
                    PEA        $1113                
                    TSC                             ; Line 25
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A0,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A0,S                
                    SEP        #$20                 
                    LDA        #$17                 
                    STA        $99,S                
                    REP        #$30                 
                    PEA        $2377                
                    PEA        $5755                
                    PEA        $5555                
                    TSC                             ; Line 26
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$4444               
                    STA        $A2,S                
                    LDA        $99,S                
                    AND        #$00F0               
                    ORA        #$1303               
                    STA        $99,S                
                    PEA        $1671                
                    PEA        $7777                
                    PEA        $5777                
                    TSC                             ; Line 27
                    ADC        #$00A6               
                    TCS                             
                    LDA        $A2,S                
                    AND        #$00F0               
                    ORA        #$4404               
                    STA        $A2,S                
                    PHY                             
                    PHD                             
                    PEA        $7515                
                    TSC                             ; Line 28
                    ADC        #$00A6               
                    TCS                             
                    SEP        #$20                 
                    LDA        $98,S                
                    AND        #$F0                 
                    ORA        #$03                 
                    STA        $98,S                
                    REP        #$30                 
                    PEA        $1611                
                    PEA        $3373                
                    PEA        $3535                
                    PEA        $3333                
                    TSC                             ; Line 29
                    ADC        #$00A8               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3353                
                    PEA        $3557                
                    PHD                             
                    TSC                             ; Line 30
                    ADC        #$00A7               
                    TCS                             
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $98,S                
                    LDA        $A0,S                
                    AND        #$0F00               
                    ORA        #$6011               
                    STA        $A0,S                
                    PEA        $1131                
                    PEA        $7313                
                    PEA        $5313                
                    PEA        $3332                
                    TSC                             ; Line 31
                    ADC        #$00A7               
                    TCS                             
                    LDA        $A1,S                
                    AND        #$0F00               
                    ORA        #$1016               
                    STA        $A1,S                
                    PEA        $3333                
                    PEA        $1111                
                    PEA        $3131                
                    TSC                             ; Line 32
                    ADC        #$00A6               
                    TCS                             
                    LDA        #$1113               
                    STA        $A0,S                
                    LDA        $98,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $98,S                
                    LDA        $9E,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $9E,S                
                    SEP        #$20                 
                    LDA        $A2,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A2,S                
                    REP        #$30                 
                    PHD                             
                    PEA        $6311                
                    PEA        $1133                
                    PEA        $3332                
                    TSC                             ; Line 33
                    ADC        #$00A5               
                    TCS                             
                    LDA        #$1631               
                    STA        $A3,S                
                    LDA        $9B,S                
                    AND        #$00F0               
                    ORA        #$2303               
                    STA        $9B,S                
                    LDA        $A1,S                
                    AND        #$00F0               
                    ORA        #$3303               
                    STA        $A1,S                
                    SEP        #$20                 
                    LDA        $A5,S                
                    AND        #$0F                 
                    ORA        #$10                 
                    STA        $A5,S                
                    REP        #$30                 
                    PEA        $1611                
                    PHD                             
                    TSC                             ; Line 34
                    ADC        #$00A4               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$31                 
                    STA        $9B,S                
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1133                
                    TSC                             ; Line 35
                    ADC        #$00A3               
                    TCS                             
                    SEP        #$20                 
                    LDA        #$13                 
                    STA        $9C,S                
                    REP        #$30                 
                    PHY                             
                    PEA        $3132                
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PHY                             
                    PEA        $2333                
                    TSC                             ; Line 36
                    ADC        #$009F               
                    TCS                             
                    SEP        #$20                 
                    LDA        $A0,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A0,S                
                    REP        #$30                 
                    PHX                             
                    PEA        $1313                
                    TSC                             
                    ADC        #$0009               
                    TCS                             
                    PEA        $1631                
                    PEA        $3332                
                    TSC                             ; Line 37
                    ADC        #$009E               
                    TCS                             
                    PEA        $6131                
                    PEA        $1331                
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PHY                             
                    PEA        $2333                
                    TSC                             ; Line 38
                    ADC        #$009E               
                    TCS                             
                    TYA                             
                    STA        $9D,S                
                    STA        $A5,S                
                    LDA        $9F,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $9F,S                
                    LDA        $A3,S                
                    AND        #$00F0               
                    ORA        #$1301               
                    STA        $A3,S                
                    PEA        $1611                
                    PHX                             
                    TSC                             
                    ADC        #$000A               
                    TCS                             
                    PEA        $1631                
                    PEA        $3111                
                    TSC                             ; Line 40
                    ADC        #$0136               
                    TCS                             
                    TXA                             
                    STA        $06,S                
                    STA        $0D,S                
                    LDA        #$6661               
                    STA        $A6,S                
                    TYA                             
                    STA        $AC,S                
                    LDA        $0B,S                
                    AND        #$00F0               
                    ORA        #$1601               
                    STA        $0B,S                
                    LDA        $AE,S                
                    AND        #$0F00               
                    ORA        #$6061               
                    STA        $AE,S                
                    SEP        #$20                 
                    LDA        $05,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $05,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$01                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 42
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1666               
                    STA        $AE,S                
                    LDA        $05,S                
                    AND        #$00F0               
                    ORA        #$1601               
                    STA        $05,S                
                    LDA        $0C,S                
                    AND        #$00F0               
                    ORA        #$1601               
                    STA        $0C,S                
                    LDA        $0E,S                
                    AND        #$0F00               
                    ORA        #$6016               
                    STA        $0E,S                
                    LDA        $A5,S                
                    AND        #$00F0               
                    ORA        #$6101               
                    STA        $A5,S                
                    LDA        $AC,S                
                    AND        #$00F0               
                    ORA        #$1101               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        $07,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $07,S                
                    LDA        $A7,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $A7,S                
                    REP        #$30                 
                    TSC                             ; Line 44
                    ADC        #$0140               
                    TCS                             
                    LDA        #$1661               
                    STA        $05,S                
                    LDA        #$6616               
                    STA        $0E,S                
                    LDA        #$4461               
                    STA        $AE,S                
                    LDA        $07,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $07,S                
                    LDA        $09,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $09,S                
                    LDA        $0B,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0B,S                
                    LDA        $A1,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A1,S                
                    LDA        $A3,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A3,S                
                    LDA        $A6,S                
                    AND        #$F000               
                    ORA        #$0644               
                    STA        $A6,S                
                    LDA        $A8,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $A8,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0106               
                    STA        $AC,S                
                    LDA        $B0,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $B0,S                
                    SEP        #$20                 
                    LDA        #$16                 
                    STA        $0D,S                
                    LDA        $04,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $04,S                
                    LDA        $10,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $10,S                
                    LDA        $A5,S                
                    AND        #$F0                 
                    ORA        #$04                 
                    STA        $A5,S                
                    REP        #$30                 
                    TSC                             ; Line 46
                    ADC        #$0140               
                    TCS                             
                    LDA        #$4444               
                    STA        $05,S                
                    STA        $0F,S                
                    STA        $A4,S                
                    STA        $AF,S                
                    LDA        $00,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $02,S                
                    LDA        $08,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $08,S                
                    LDA        $0A,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0A,S                
                    LDA        $0C,S                
                    AND        #$0F0F               
                    ORA        #$6060               
                    STA        $0C,S                
                    LDA        $AA,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AA,S                
                    LDA        $AC,S                
                    AND        #$F0F0               
                    ORA        #$0606               
                    STA        $AC,S                
                    SEP        #$20                 
                    LDA        #$64                 
                    STA        $04,S                
                    LDA        #$44                 
                    STA        $0E,S                
                    STA        $A6,S                
                    LDA        $07,S                
                    AND        #$0F                 
                    ORA        #$60                 
                    STA        $07,S                
                    LDA        $AE,S                
                    AND        #$F0                 
                    ORA        #$06                 
                    STA        $AE,S                
                    REP        #$30                 
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             

*-----------------------------------                                

Sprite_5H_080       CLC                             ; Sprite #080 : 16x6, 226 bytes, 369 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$2323               ; Pattern #1 : 4
                    LDY        #$2322               ; Pattern #2 : 2
                    LDA        #$3332               ; Pattern #3 : 1
                    TCD                             
*--                                                 
                    LDA        #$2222               ; Line 0
                    STA        $00,S                
                    TXA                             
                    STA        $A4,S                
                    LDA        $02,S                
                    AND        #$000F               
                    ORA        #$2230               
                    STA        $02,S                
                    LDA        $04,S                
                    AND        #$F00F               
                    ORA        #$0230               
                    STA        $04,S                
                    LDA        $A2,S                
                    AND        #$0FF0               
                    ORA        #$3002               
                    STA        $A2,S                
                    LDA        $A6,S                
                    AND        #$0FF0               
                    ORA        #$3002               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        #$23                 
                    STA        $06,S                
                    STA        $A0,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $00,S                
                    TXA                             
                    STA        $04,S                
                    STA        $A4,S                
                    LDA        $02,S                
                    AND        #$0FF0               
                    ORA        #$3002               
                    STA        $02,S                
                    LDA        $06,S                
                    AND        #$0FF0               
                    ORA        #$3002               
                    STA        $06,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$3032               
                    STA        $A2,S                
                    LDA        $A6,S                
                    AND        #$0FF0               
                    ORA        #$3002               
                    STA        $A6,S                
                    SEP        #$20                 
                    LDA        $A1,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $A1,S                
                    REP        #$30                 
                    TSC                             ; Line 4
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $A0,S                
                    LDA        $06,S                
                    AND        #$0FF0               
                    ORA        #$3002               
                    STA        $06,S                
                    LDA        $A4,S                
                    AND        #$F00F               
                    ORA        #$0230               
                    STA        $A4,S                
                    SEP        #$20                 
                    LDA        #$22                 
                    STA        $A3,S                
                    LDA        #$23                 
                    STA        $A6,S                
                    LDA        $01,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $01,S                
                    REP        #$30                 
                    TSC                             
                    ADC        #$0005               
                    TCS                             
                    PHX                             
                    PHD                             
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             

*-----------------------------------
                                                    
Sprite_SM_081       CLC                             ; Sprite #081 : 8x5, 129 bytes, 212 cycles
                    SEI                             ; Disable Interrupts
                    PHD                             ; Backup Direct Page
                    TSC                             ; Backup Stack
                    STA        StackAddress         
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 01/
                    ORA        #$0030               
                    STAL       $E1C068              
                    TYA                             ; Y = Sprite Target Screen Address (upper left corner)
                    TCS                             ; New Stack address
                    LDX        #$2226               ; Pattern #1 : 1
                    LDY        #$2222               ; Pattern #2 : 1
                    LDA        #$6262               ; Pattern #3 : 1
                    TCD                             
*--                                                 
                    TDC                             ; Line 0
                    STA        $01,S                
                    TXA                             
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$2026               
                    STA        $A2,S                
                    SEP        #$20                 
                    LDA        $00,S                
                    AND        #$F0                 
                    ORA        #$02                 
                    STA        $00,S                
                    REP        #$30                 
                    TSC                             ; Line 2
                    ADC        #$0140               
                    TCS                             
                    TYA                             
                    STA        $00,S                
                    LDA        $02,S                
                    AND        #$0F00               
                    ORA        #$6022               
                    STA        $02,S                
                    LDA        $A0,S                
                    AND        #$00F0               
                    ORA        #$2602               
                    STA        $A0,S                
                    LDA        $A2,S                
                    AND        #$0F00               
                    ORA        #$2026               
                    STA        $A2,S                
                    TSC                             ; Line 4
                    ADC        #$0140               
                    TCS                             
                    LDA        $01,S                
                    AND        #$00F0               
                    ORA        #$6202               
                    STA        $01,S                
*--                                                 
                    LDAL       $E1C068              ; Direct Page and Stack in Bank 00/
                    AND        #$FFCF               
                    STAL       $E1C068              
                    LDA        StackAddress         ; Restore Stack
                    TCS                             
                    PLD                             ; Restore Direct Page
                    CLI                             ; Enable Interrupts
                    PLB
                    RTL                             
                                                                                                                                                            
********************************************************************************                              
